import { TemplateSeparatorModule } from '@/components/template/templateseparator';
import { AppConfigService } from '@/service/appconfigservice';
import { Component, inject } from '@angular/core';

@Component({
    standalone: true,
    selector: 'poseidon-separator',
    imports: [TemplateSeparatorModule],
    template: `
        <template-separator>
            <svg width="48" height="48" viewBox="0 0 48 48" fill="none" xmlns="http://www.w3.org/2000/svg">
                <rect x="0.5" y="0.5" width="47" height="47" rx="23.5" fill="white" />
                <rect x="0.5" y="0.5" width="47" height="47" rx="23.5" stroke="#DFE7EF" />
                <path
                    d="M24.0876 12L26.9043 14.1136L25.6009 15.8507L25.0386 15.4293L25.0363 25.583L29.231 27.1112L32.1018 13.3479L35.1539 16.382L34.3935 18.1408L33.4104 17.7119L30.8451 30.0106L25.0363 27.8953L25.0345 36H23.134L23.1358 27.886L17.3024 30.0106L14.7434 17.7119L13.4501 18.1408L13 16.382L16.0532 13.3469L18.9176 27.1112L23.1358 25.5737L23.1382 15.4262L22.5732 15.8507L21.2698 14.1136L24.0876 12Z"
                    fill="url(#paint0_linear_1894_9042)"
                />
                <defs>
                    <linearGradient id="paint0_linear_1894_9042" x1="1120.7" y1="12" x2="1120.7" y2="2412" gradientUnits="userSpaceOnUse">
                        <stop stop-color="#5CACF4" />
                        <stop offset="1" stop-color="#1B74C5" />
                    </linearGradient>
                </defs>
            </svg>
        </template-separator>
    `
})
export class PoseidonSeparator {
    configService = inject(AppConfigService);

    get fillColor() {
        return this.configService.appState().darkTheme ? 'var(--p-surface-0)' : 'var(--p-surface-900)';
    }
}
