# Changelog

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.17-LTS](https://www.npmjs.com/package/primeng/v/16.9.17-lts) (2024-11-13)

**Fixed bugs:**

- Sidebar: onHide not triggered via programmatic close [\#16507](https://github.com/primefaces/primeng/issues/16507)
- MultiSelect: touched form property doesn't respect updateOn blur [\#14780](https://github.com/primefaces/primeng/issues/14780)
- Table | Bug on table checkboxes [\#16618](https://github.com/primefaces/primeng/issues/16618)
- When using stateStorage for the p-table I always get the following error in the console when the component first loads: [\#15043](https://github.com/primefaces/primeng/issues/15043)
- p-splitter: zero width panel parsed as null [\#16425](https://github.com/primefaces/primeng/issues/16425)
- p-tree: Unselectable children is selected when selecting parent [\#16430](https://github.com/primefaces/primeng/issues/16430)
- ContextMenu, Dock: aria-hidden throws console error [\#16397](https://github.com/primefaces/primeng/issues/16397)
- OrganizationChart collapsible property does not propagate [\#16361](https://github.com/primefaces/primeng/issues/16361)
- Grouping Functionality in p-table Breaks After Pagination Navigation Beyond First Page [\#15192](https://github.com/primefaces/primeng/issues/15192)
- Table: editable column is broken when disabled temporarily [\#16304](https://github.com/primefaces/primeng/issues/16304)
- Component: Calendar Year picker [\#14233](https://github.com/primefaces/primeng/issues/14233)
- Component: MultiSelect (Property 'ngOnInit' is missing in type 'MultiSelectTemplateDemo) [\#16256](https://github.com/primefaces/primeng/issues/16256)
- Messages: Messages template does not work if messagemodule is imported alone [\#16253](https://github.com/primefaces/primeng/issues/16253)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.16-LTS](https://www.npmjs.com/package/primeng/v/16.9.16-lts) (2024-09-20)

**Fixed bugs:**

- MegaMenu: aria-hidden throws console error [\#16248](https://github.com/primefaces/primeng/issues/16248)
- Icon: Mistake in example documentation code [\#16277](https://github.com/primefaces/primeng/issues/16277)
- Table: Flawed example in paginator documentation [\#16308](https://github.com/primefaces/primeng/issues/16308)
- Editor: the style of the toolbar is missing up when custom modules used [\#16114](https://github.com/primefaces/primeng/issues/16114)
- Tooltip on Dropdown causes Errors [\#16321](https://github.com/primefaces/primeng/issues/16321)
- Panel component -> toggle from the outside [\#16326](https://github.com/primefaces/primeng/issues/16326)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.15-LTS](https://www.npmjs.com/package/primeng/v/16.9.15-lts) (2024-08-15)

**Fixed bugs:**

- Menubar: Clicking menuitems outputs error in console [\#16201](https://github.com/primefaces/primeng/issues/16201)
- P-autocomplete after second click doesn't show dropdown [\#15281](https://github.com/primefaces/primeng/issues/15281)
- AutoComplete: Cannot intercept enter key [\#16160](https://github.com/primefaces/primeng/issues/16160)
- Table: when scrollHeight is set to 'flex', on the first load, the table height is not fitting parent [\#16165](https://github.com/primefaces/primeng/issues/16165)
- Calendar: panelStyle width and min width overridden when appendTo is used [\#16176](https://github.com/primefaces/primeng/issues/16176)
- ListBox component accessibility issues [\#16152](https://github.com/primefaces/primeng/issues/16152)
- Component: colorPicker - inline=true property doesn't set the appropriate color [\#16169](https://github.com/primefaces/primeng/issues/16169)
- Accessibility: Tree not selectable via Keyboard after second dialog opening [\#16191](https://github.com/primefaces/primeng/issues/16191)
- Menu | aria-hidden throws console error [\#16240](https://github.com/primefaces/primeng/issues/16240)
- Table: Cannot set autoSize from ScrollerOptions [\#16209](https://github.com/primefaces/primeng/issues/16209)
- Component: Slider [\#16214](https://github.com/primefaces/primeng/issues/16214)
- Table: breaks after one call to updateStyleElement() [\#16211](https://github.com/primefaces/primeng/issues/16211)
- Sidebar: Overlay of Nested Sidebar Blocks Its Own Content [\#16233](https://github.com/primefaces/primeng/issues/16233)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.14-LTS](https://www.npmjs.com/package/primeng/v/16.9.14-lts) (2024-08-01)

**Fixed bugs:**

- Password: Tooltip with tooltipEvent='focus' is never displayed [\#16106](https://github.com/primefaces/primeng/issues/16106)
- Breadcrumb | Disabled breadcrumbs should have 'aria-disabled' [\#16125](https://github.com/primefaces/primeng/issues/16125)
- Table> double call to (onLazyLoad) event [\#16070](https://github.com/primefaces/primeng/issues/16070)
- pBadge | Add missing badgeStyle & badgeStyleClass to directive [\#16133](https://github.com/primefaces/primeng/issues/16133)
- Breadcrumb | 'tabindex' property not working [\#16139](https://github.com/primefaces/primeng/issues/16139)
- Menubar: autoDisplay and autoHide broken [\#13512](https://github.com/primefaces/primeng/issues/13512)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.13-LTS](https://www.npmjs.com/package/primeng/v/16.9.13-lts) (2024-07-18)

**Fixed bugs:**

- Cascade Select clicking a few times causes the component to freeze [\#15869](https://github.com/primefaces/primeng/issues/15869)
- listbox filter is not working if options is bind to a string array [\#14454](https://github.com/primefaces/primeng/issues/14454)
- AutoComplete: Increased drop-down height on first search when using virtual scroll [\#15647](https://github.com/primefaces/primeng/issues/15647)
- Component: picklist scrolls to top [\#15861](https://github.com/primefaces/primeng/issues/15861)
- KeyFilter: No longer working on chips component [\#15531](https://github.com/primefaces/primeng/issues/15531)
- Component: Dropdown Accessibility [\#15155](https://github.com/primefaces/primeng/issues/15155)
- Dropdown: Placeholder magic cannot be disabled [\#15974](https://github.com/primefaces/primeng/issues/15974)
- Tabview: forward/backward buttons not showing up when dynamic tab panels overflow [\#15680](https://github.com/primefaces/primeng/issues/15680)
- ButtonComponent: routerLink accessible even when button is disabled [\#15946](https://github.com/primefaces/primeng/issues/15946)
- Component: p-tree (selection) [\#15761](https://github.com/primefaces/primeng/issues/15761)
- Custom sort in table not working [\#15550](https://github.com/primefaces/primeng/issues/15550)
- pFocusTrap: "aria-hidden-focus" accessibility rule violation [\#16042](https://github.com/primefaces/primeng/issues/16042)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.12-LTS](https://www.npmjs.com/package/primeng/v/16.9.12-lts) (2024-07-04)

**Fixed bugs:**

- Splitter | Overflow issue [\#15959](https://github.com/primefaces/primeng/issues/15959)
- Component: Multiselect - Provide removetokenicon hiding in case option is disabled (reopen) [\#15624](https://github.com/primefaces/primeng/issues/15624)
- Table | Multiple Selection with dataKey shows wrong selected row count upon CTRL+A [\#15903](https://github.com/primefaces/primeng/issues/15903)
- Button Tooltip shows up after Dialog opens [\#15933](https://github.com/primefaces/primeng/issues/15933)
- p-splitter: minSizes not working as expected [\#15943](https://github.com/primefaces/primeng/issues/15943)
- p-splitter: Resize not working when iFrames are used in panels [\#15942](https://github.com/primefaces/primeng/issues/15942)
- Component: InputNumber - Control update on strategy is ignored [\#12831](https://github.com/primefaces/primeng/issues/12831)
- Component: InputNumber unneeded update model on blur [\#15799](https://github.com/primefaces/primeng/issues/15799)
- p-multiselect: MultiSelectChangeEvent wrong select value [\#15954](https://github.com/primefaces/primeng/issues/15954)
- Accessibility: Selection in MultiSelect is not accessible for screenreader [\#15930](https://github.com/primefaces/primeng/issues/15930)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.11-LTS](https://www.npmjs.com/package/primeng/v/16.9.11-lts) (2024-06-14)

**Fixed bugs:**

- Accessibility: Buttons within an accordion header template (keyboard accessibility) [\#15837](https://github.com/primefaces/primeng/issues/15837)
- Accessibility: Tree inside an Accordion (arrow navigation) [\#15830](https://github.com/primefaces/primeng/issues/15830)
- Accessibility within Tree Component [\#15828](https://github.com/primefaces/primeng/issues/15828)
- pTree: right click on treenode chevron down [\#15714](https://github.com/primefaces/primeng/issues/15714)
- Component: Button: Opacity is applied twice on disabled state --> wrong opacity [\#15651](https://github.com/primefaces/primeng/issues/15651)
- Calendar: Range selection mode should use start date as default date when end date isn't set [\#15818](https://github.com/primefaces/primeng/issues/15818)
- Menu: Keyboard navigation broken when using custom template [\#15794](https://github.com/primefaces/primeng/issues/15794)
- pTemplate not working for p-menu alone [\#15781](https://github.com/primefaces/primeng/issues/15781)
- OrderList: Unable to insert space into input component [\#15326](https://github.com/primefaces/primeng/issues/15326)
- Dropdown: when using selectedItem template if the selected option is 0 then no template is rendered [\#15366](https://github.com/primefaces/primeng/issues/15366)
- InputNumber - MinFractionDigits and MaxFractionDigits no longer respect a value of 0 [\#15772](https://github.com/primefaces/primeng/issues/15772)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.10-LTS](https://www.npmjs.com/package/primeng/v/16.9.10-lts) (2024-05-16)

**Fixed bugs:**

- Tooltip visual issue in 17.16.1 [\#15545](https://github.com/primefaces/primeng/issues/15545)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.9-LTS](https://www.npmjs.com/package/primeng/v/16.9.9-lts) (2024-05-10)

**Fixed bugs:**

- Calendar: Add additional keyboard support [\#14995](https://github.com/primefaces/primeng/issues/14995)
- Tooltip | Tooltip-option tooltipEvent="focus" does not work on p-button [\#15472](https://github.com/primefaces/primeng/issues/15472)
- Tooltip | tooltipEvent - "focus" | "hover" combined [\#15468](https://github.com/primefaces/primeng/issues/15468)
- Dropdown head is empty if no value is provided [\#14954](https://github.com/primefaces/primeng/issues/14954)
- inputNumber with numeric prefix is not working as expected [\#15311](https://github.com/primefaces/primeng/issues/15311)
- Table | the 'not equal' filter is applied immediately after being selected [\#15283](https://github.com/primefaces/primeng/issues/15283)
- Dialog | tabbing order is broken because of pFocusTrap [\#15482](https://github.com/primefaces/primeng/issues/15482)
- AutoFocus | doesn't work in dialog [\#15524](https://github.com/primefaces/primeng/issues/15524)
- Tooltip | Tooltip is out of position after dialog opens [\#15529](https://github.com/primefaces/primeng/issues/15529)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.8-LTS](https://www.npmjs.com/package/primeng/v/16.9.8-lts) (2024-04-19)

**Fixed bugs:**

- DynamicDialog: accessibility- CloseAriaLabel not working [\#15144](https://github.com/primefaces/primeng/issues/15144)
- Incorrect type of InputNumberInputEvent.value [\#15206](https://github.com/primefaces/primeng/issues/15206)
- Component: ConfirmDialog Accessibility [\#15108](https://github.com/primefaces/primeng/issues/15108)
- TreeTable | selectionKeys support for checkbox selection mode [\#15216](https://github.com/primefaces/primeng/issues/15216)
- Dropdown, MultiSelect | Accessibility Enhancements [\#15197](https://github.com/primefaces/primeng/issues/15197)
- Component: MultiSelect use listitem semantically [\#15002](https://github.com/primefaces/primeng/issues/15002)
- Component: Dropdown | dropdown box missing the required children for the given role. [\#15123](https://github.com/primefaces/primeng/issues/15123)
- Component: Dropdown | ARIA hidden element must not be focusable or contain focusable elements [\#15116](https://github.com/primefaces/primeng/issues/15116)
- TreeTable | wrong value comparison [\#15178](https://github.com/primefaces/primeng/issues/15178)
- p-dropdown: Missing ariaLabel when in editable = true [\#15122](https://github.com/primefaces/primeng/issues/15122)
- Component: p-listbox missing aria-label [\#15084](https://github.com/primefaces/primeng/issues/15084)
- Panelmenu: Issue with navigating by Tab through submenu items [\#13630](https://github.com/primefaces/primeng/issues/13630)
- p-tag: style not change dynamically [\#12665](https://github.com/primefaces/primeng/issues/12665)
- Table: When removing the filter constraint it should not filter when showApplyButton is visible [\#15032](https://github.com/primefaces/primeng/issues/15032)
- Picklist: ul item lists are missing a label [\#14944](https://github.com/primefaces/primeng/issues/14944)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.7-LTS](https://www.npmjs.com/package/primeng/v/16.9.7-lts) (2024-03-29)

**Fixed bugs:**

- Major bug p-dropdown in latest LTS version! [\#15026](https://github.com/primefaces/primeng/issues/15026)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.6-LTS](https://www.npmjs.com/package/primeng/v/16.9.6-lts) (2024-03-07)

**Implemented New Features and Enhancements:**

- ColorPicker: Form elements must have labels [\#14941](https://github.com/primefaces/primeng/issues/14941)

**Fixed bugs:**

- Tree: If user filter tree nodes and then lazy load new children (with .key prop) - nodeClick event is not emitted [\#14723](https://github.com/primefaces/primeng/issues/14723)
- Tree: Certain ARIA roles must be contained by particular parents [\#14913](https://github.com/primefaces/primeng/issues/14913)
- Tree | ARIA attributes must conform to valid values [\#14912](https://github.com/primefaces/primeng/issues/14912)
- Scroll bar for the base page reappears after closing a secondary modal despite one modal still being open [\#14933](https://github.com/primefaces/primeng/issues/14933)
- Drag-and-Drop Functionality Disrupted by extra tag [\#14935](https://github.com/primefaces/primeng/issues/14935)
- Table, pFrozenColumn: Frozen columns are extremely slow and kick off many change detection cycles [\#14579](https://github.com/primefaces/primeng/issues/14579)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.5-LTS](https://www.npmjs.com/package/primeng/v/16.9.5-lts) (2024-02-07)

**Fixed bugs:**

- The scrollToIndex method on VirtualScroller does not scroll to the correct index when triggered twice. [\#14731](https://github.com/primefaces/primeng/issues/14731)
- Checkbox: Disabled property does not work when it's used with formControlName [\#14693](https://github.com/primefaces/primeng/issues/14693)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.4-LTS](https://www.npmjs.com/package/primeng/v/16.9.4-lts) (2024-01-19)

**Fixed bugs:**

- Table Virtual Scroll with Fixed Columns and Lazy Loading Causes Erratic Scrolling and Incomplete Data Display [\#14488](https://github.com/primefaces/primeng/issues/14488)
- TreeTable with scrollHeight="flex" shrinks the header as the table rows are expanded. [\#14523](https://github.com/primefaces/primeng/issues/14523)
- GalleriaThumbnail afterViewInit use platformBrowser instead of isPlatformBrowser. [\#14534](https://github.com/primefaces/primeng/issues/14534)
- Autocomplete: focus not being applied when clicking around input [\#14530](https://github.com/primefaces/primeng/issues/14530)
- Button | StyleClass does not work as expected [\#14583](https://github.com/primefaces/primeng/issues/14583)
- MegaMenu | Error: Cannot read properties of undefined [\#14476](https://github.com/primefaces/primeng/issues/14476)
- Table: Apply and Clear text buttons for filter menu are missing [\#14289](https://github.com/primefaces/primeng/issues/14289)
- Dropdown: Infinite loop dynamic options array [\#14319](https://github.com/primefaces/primeng/issues/14319)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.3-LTS](https://www.npmjs.com/package/primeng/v/16.9.3-lts) (2023-12-28)

**Fixed bugs:**

- LTS 14 & 16 - Update LicenseManager and fix the false version check [\#14449](https://github.com/primefaces/primeng/issues/14449)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [16.9.2-LTS](https://www.npmjs.com/package/primeng/v/16.9.2-lts) (2023-12-14)

**Fixed bugs:**

- AutoComplete | Float label goes down after losing focus w/ multiple [\#14297](https://github.com/primefaces/primeng/issues/14297)
- MultiSelect: selectionLimit & floating label regression [\#14299](https://github.com/primefaces/primeng/issues/14299)
- Menu | items don't receive p-focus class [\#14295](https://github.com/primefaces/primeng/issues/14295)
- Removing an item from autocomplete closes p-OverlayPanel [\#14300](https://github.com/primefaces/primeng/issues/14300)

## [16.9.1](https://github.com/primefaces/primeng/tree/16.9.1) (2023-11-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.9.0...16.9.1)

**Fixed bugs:**

- Paginator: missing or unresolved labels of navigation buttons / dropdowns [\#14191](https://github.com/primefaces/primeng/issues/14191)
- MultiSelect: Template dropdown selections not working [\#14188](https://github.com/primefaces/primeng/issues/14188)

## [16.9.0](https://github.com/primefaces/primeng/tree/16.9.0) (2023-11-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.8.0...16.9.0)

**Implemented New Features and Enhancements:**

- PickList | Accessibility Enhancements [\#14184](https://github.com/primefaces/primeng/issues/14184)
- TabView | Add autoHideButtons input property [\#14186](https://github.com/primefaces/primeng/issues/14186)

**Fixed bugs:**

- Component: p-table [\#14164](https://github.com/primefaces/primeng/issues/14164)
- MultiSelect | selectedItem template broken if optionValue and optionLabel used together. [\#14187](https://github.com/primefaces/primeng/issues/14187)
- ColumnFilter in row mode and type date not trigger change when value change [\#13672](https://github.com/primefaces/primeng/issues/13672)
- dataTable : <th> is hidden by <td> with frozenColumn  [\#13781](https://github.com/primefaces/primeng/issues/13781)
- MultiSelect Empty Filter Message / Template is not working when you have options [\#14057](https://github.com/primefaces/primeng/issues/14057)
- [Calendar] issue when clicking on "today" button it doesn't navigate to the current date. [\#14087](https://github.com/primefaces/primeng/issues/14087)
- Listbox: optionValue is ignored on some events [\#14182](https://github.com/primefaces/primeng/issues/14182)
- TabView Navbar hides last item / Wheelscroll not working anymore [\#14182](https://github.com/primefaces/primeng/issues/14182)
- PrimeNG : SideBar onHide Not trigger [\#13933](https://github.com/primefaces/primeng/issues/13933)
- OrderList | Filter accessibility fix [\#14156](https://github.com/primefaces/primeng/issues/14156)
- REGRESSION: dropdown changes requires the selectedItem to store entire option array item (label and value) to use template selecteditem [\#14172](https://github.com/primefaces/primeng/issues/14172)
- p-dropdown content position out of bounds [\#14162](https://github.com/primefaces/primeng/issues/14162)
- Dropdown does not have the same width of the input when appendTo="body" [\#14159](https://github.com/primefaces/primeng/issues/14159)
- ContextMenu - does NOT remove from the DOM after router.navigate action [\#13949](https://github.com/primefaces/primeng/issues/13949)
- AutoComplete | formGroup.reset() does not work as expected. [\#14170](https://github.com/primefaces/primeng/issues/14170)
- Autocomplete: ng-invalid and ng-dirty immediatly on startup. [\#14149](https://github.com/primefaces/primeng/issues/14149)
- 16.7.0: Context Menu with appendTo="body" throws Type Error in a nested Table. [\#14149](https://github.com/primefaces/primeng/issues/14149)

## [16.8.0](https://github.com/primefaces/primeng/tree/16.8.0) (2023-11-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.7.2...16.8.0)

**Implemented New Features and Enhancements:**

- Accessibility | Input Section (part 2) [\#13990](https://github.com/primefaces/primeng/issues/13990)
- Accessibility | Data Section [\#14123](https://github.com/primefaces/primeng/issues/14123)
- VirtualScroller performance enhancement for Input Components with selection [\#13993](https://github.com/primefaces/primeng/issues/13993)
- MegaMenu & MenuBar | Activate root item on hover. [\#14086](https://github.com/primefaces/primeng/issues/14086)

**Fixed bugs:**

- Autocomplete | overlayOptions not working [\#14139](https://github.com/primefaces/primeng/issues/14139)
- Dropdown Tab key not closing the overlay [\#14124](https://github.com/primefaces/primeng/issues/14124)
- Component: Calendar. After closing the calendar, the p-overflow-hidden class is not deleted [\#14012](https://github.com/primefaces/primeng/issues/14012)
- MultiSelect: Clear button is visible when field has empty array as value [\#14145](https://github.com/primefaces/primeng/issues/14145)
- p-dropdown: onBlur is been called on selection, without lost focus, and before onChange [\#14128](https://github.com/primefaces/primeng/issues/14128)
- Fileupload component disables upload button [\#14046](https://github.com/primefaces/primeng/issues/14046)
- MultiSelect: Label does not properly update when properties change [\#13862](https://github.com/primefaces/primeng/issues/13862)
- MultiSelect onPanelShow is not fired when there are no options (empty array / filtered) [\#14058](https://github.com/primefaces/primeng/issues/14058)
- p-message/p-toast: long details squeezed closeButton [\#14125](https://github.com/primefaces/primeng/issues/14125)
- Autocomplete: deleting search term causes ExpressionChangedAfterItHasBeenCheckedError [\#14001](https://github.com/primefaces/primeng/issues/14001)
- Dropdown & MultiSelect | Cannot scroll on selected on overlay shown. [\#14142](https://github.com/primefaces/primeng/issues/14142)
- AutoComplete | Items are not visible after overlay is opened second time [\#14137](https://github.com/primefaces/primeng/issues/14137)
- Component: p-multiSelect resetFilterOnHide issue [\#14134](https://github.com/primefaces/primeng/issues/14134)
- Dropdown: Triggers 3 onChange events when rendered (two empty) [\#14136](https://github.com/primefaces/primeng/issues/14136)
- ListBox selection is not working from code [\#14121](https://github.com/primefaces/primeng/issues/14121)
- Listbox default values being set. [\#14041](https://github.com/primefaces/primeng/issues/14041)
- PrimeNG : SideBar onHide Not trigger [\#13933](https://github.com/primefaces/primeng/issues/13933)
- Component: p-multiSelect does not render grouped items that have a property named group [\#14061](https://github.com/primefaces/primeng/issues/14061)
- MultiSelect component triggers two empty change events when rendered [\#14103](https://github.com/primefaces/primeng/issues/14103)
- Multiselect: Missing itemValue in onChange event [\#14100](https://github.com/primefaces/primeng/issues/14100)
- REGRESSION 16.7.2: dropdown incorrectly implements NG_VALUE_ACCESSOR, writeValue is issuing change. [\#14095](https://github.com/primefaces/primeng/issues/14095)
- dropdown not selected After upgrade Primeng 16 [\#14094](https://github.com/primefaces/primeng/issues/14094)
- Dropdown: Additional case where dropdown causes panel to scroll [\#14078](https://github.com/primefaces/primeng/issues/14078)
- Dropdown: In PrimeNG 16.7.1 interacting with dropdown causes panel to scroll [\#14039](https://github.com/primefaces/primeng/issues/14039)
- p-tooltip : autohide="false" does not work every times [\#14014](https://github.com/primefaces/primeng/issues/14014)
- Accordion: nested inputs loose focus when pressing arrow keys [\#14105](https://github.com/primefaces/primeng/issues/14105)
- Chips: Focus classes are no longer applied [\#14101](https://github.com/primefaces/primeng/issues/14101)
- Autocomplete: Delete selection in multiple mode cause "Cannot read properties of undefined (reading 'nativeElement')" [\#14064](https://github.com/primefaces/primeng/issues/14064)
- Component: p-chips | does not work with Reactive Forms [\#14062](https://github.com/primefaces/primeng/issues/14062)

## [16.7.2](https://github.com/primefaces/primeng/tree/16.7.2) (2023-11-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.7.1...16.7.2)

**Fixed bugs:**

- Overlay: p-overlay div not removed from DOM on hiding panel [\#12948](https://github.com/primefaces/primeng/issues/12948)
- Table / EditableColumn: onEditComplete emitts old data value and not the new one as documented [\#13708](https://github.com/primefaces/primeng/issues/13708)
- FileUpload: Input Triggered on Any Mouse Click [\#13722](https://github.com/primefaces/primeng/issues/13722)
- Toast | Position Class is there twice when using Angular SSR and Client Hydration [\#13784](https://github.com/primefaces/primeng/issues/13784)
- Dialog: bad drag behavior when keepInViewport is false [\#13856](https://github.com/primefaces/primeng/issues/13856)
- p-image-preview-indicator rendered when preview is false [\#14002](https://github.com/primefaces/primeng/issues/14002)
- TriStateCheckboxComponent: inputId not working [\#13946](https://github.com/primefaces/primeng/issues/13946)
- splitButton: close dropdown when default button is clicked [\#13962](https://github.com/primefaces/primeng/issues/13962)
- SelectButton in v16.7.1 is only partially fixed [\#14048](https://github.com/primefaces/primeng/issues/14048)

## [16.7.1](https://github.com/primefaces/primeng/tree/16.7.1) (2023-11-06)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.7.0...16.7.1)

**Fixed bugs:**

- BIG ERROR with DropDown [\#13996](https://github.com/primefaces/primeng/issues/13996)
- Component: p-dropdwon onChange is called multiple times at init [\#14005](https://github.com/primefaces/primeng/issues/14005)
- Change of Dropdown selection throws error: Cannot read properties of undefined (reading 'length') primeng dropdown [\#14007](https://github.com/primefaces/primeng/issues/14007)
- Dropdown filtering issues with array of strings [\#14011](https://github.com/primefaces/primeng/issues/14011)
- The ngModel directive can't set an item of dropdown in version 16.7.0 [\#14023](https://github.com/primefaces/primeng/issues/14023)
- ListBox | onClick event does not emit [\#14036](https://github.com/primefaces/primeng/issues/14036)
- ListBox | OnChange doesn't emit [\#14033](https://github.com/primefaces/primeng/issues/14033)
- onClick event listbox error v16.7.0 [\#13998](https://github.com/primefaces/primeng/issues/13998)
- MultiSelect | Input section receives focus on filter click. [\#14035](https://github.com/primefaces/primeng/issues/14035)
- Multiselect set value error v16.7.0 [\#13999](https://github.com/primefaces/primeng/issues/13999)
- SelectButton broken in v16.7.0 [\#14021](https://github.com/primefaces/primeng/issues/14021)
- Global filter to search tree-table is not returning all the relevant results [\#14016](https://github.com/primefaces/primeng/issues/14016)

## [16.7.0](https://github.com/primefaces/primeng/tree/16.7.0) (2023-11-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.6.0...16.7.0)

**Deprecated:**

- Deprecate pAnimate directive [\#13972](https://github.com/primefaces/primeng/issues/13972)

**Implemented New Features and Enhancements:**

- Accessibility | Input Section (part 1) [\#13413](https://github.com/primefaces/primeng/issues/13413)
- ListBox | VirtualScroller support [\#13939](https://github.com/primefaces/primeng/issues/13939)
- Add animateOnScroll directive [\#13970](https://github.com/primefaces/primeng/issues/13970)
- p-image: missing support for lazyloading [\#13926](https://github.com/primefaces/primeng/issues/13926)

**Fixed bugs:**

- OverlayPanel: Calendar and table inside OverlayPanel, click inside dissmiss the overlaypanel [\#13605](https://github.com/primefaces/primeng/issues/13605)
- 16.3.1 regression: p-overlayPanel dismisses when making changes to nested p-multiSelect [\#13601](https://github.com/primefaces/primeng/issues/13601)
- Component: Accordion Component Allows Tab Navigation Into Closed Accordion Tabs [\#13845](https://github.com/primefaces/primeng/issues/13845)
- Component: ContextMenu with appendTo="body" doesn't close when destroyed [\#13948](https://github.com/primefaces/primeng/issues/13948)
- Component: Carousel | Circular is broken when OnPush is enabled in parent components and it's initializing [\#13974](https://github.com/primefaces/primeng/issues/13974)
- Using AccordionTab inside of div or another element and not directly inside of an Accordion [\#13969](https://github.com/primefaces/primeng/issues/13969)

## [16.6.0](https://github.com/primefaces/primeng/tree/16.6.0) (2023-10-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.5.1...16.6.0)

**Implemented New Features and Enhancements:**

- Menu | item template support [\#13910](https://github.com/primefaces/primeng/issues/13910)
- Overlaypanel: OverlayPanel does not close on escape key press [\#13930](https://github.com/primefaces/primeng/issues/13930)
- Accessibility | Tabview ink bar accessibility problems [\#13902](https://github.com/primefaces/primeng/issues/13902)

**Fixed bugs:**

- Component: Carousel | Circular Option is broken when first iteration is done [\#13821](https://github.com/primefaces/primeng/issues/13821)
- Component: TreeTable selection binding no longer allows for single selection [\#13869](https://github.com/primefaces/primeng/issues/13869)
- Component: MultiSelect ExpressionChangedAfterItHasBeenCheckedError when spam clicking [\#13942](https://github.com/primefaces/primeng/issues/13942)
- pButton | Loading icon problem [\#13901](https://github.com/primefaces/primeng/issues/13901)
- splitbutton: Accessibility does not appear to work as documented [\#13908](https://github.com/primefaces/primeng/issues/13908)
- Galleria: Cannot read properties of undefined when tabbing through component [\#13945](https://github.com/primefaces/primeng/issues/13945)

## [16.5.1](https://github.com/primefaces/primeng/tree/16.5.1) (2023-10-18)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.5.0...16.5.1)

**Fixed bugs:**

- Table | Column widths are not recalculated w/resize + drag & drop [\#13875](https://github.com/primefaces/primeng/issues/13875)
- Tooltip doesn't accept TemplateRef HTMLElement anymore [\#13866](https://github.com/primefaces/primeng/issues/13866)
- Component: AccordionTab.toggle(null) throws TypeError [\#13872](https://github.com/primefaces/primeng/issues/13872)
- Menu Components | Convert property binding of 'id' to attribute binding [\#13870](https://github.com/primefaces/primeng/issues/13870)

## [16.5.0](https://github.com/primefaces/primeng/tree/16.5.0) (2023-10-11)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.4.2...16.5.0)

**Deprecated:**

- SlideMenu: Deprecate from PrimeNG [\#13830](https://github.com/primefaces/primeng/issues/13830)
- Remove FullCalendar theme support [\#13834](https://github.com/primefaces/primeng/issues/13834)

**Implemented New Features and Enhancements:**

- Button: New props [\#13851](https://github.com/primefaces/primeng/issues/13851)
- SelectButton: Add allowEmpty property [\#13853](https://github.com/primefaces/primeng/issues/13853)
- Accessibility | Step component bugs and improvements [\#13742](https://github.com/primefaces/primeng/issues/13742)
- Tooltip: Accessibility role not available [\#13843](https://github.com/primefaces/primeng/issues/13843)
- Improve block/unblockScroll architecture [\#13855](https://github.com/primefaces/primeng/issues/13855)

**Fixed bugs:**

- Toolbar: Inconsistent naming and wrong documentation [\#13814](https://github.com/primefaces/primeng/issues/13814)
- Password | Incorrect placement of close icon when toggleMask="true" [\#13817](https://github.com/primefaces/primeng/issues/13817)
- Tooltip: disable autoHide doesn't work [\#13828](https://github.com/primefaces/primeng/issues/13828)
- Multiselect: Chips: Delete button not visible if label is too wide [\#13816](https://github.com/primefaces/primeng/issues/13816)
- BlockUI: Mask is not applied when blocked changes rapidly [\#11838](https://github.com/primefaces/primeng/issues/11838)
- panelMenu- sub MenuItem is disabled but still it can be clickable and expandable [\#13827](https://github.com/primefaces/primeng/issues/13827)
- Multiselect: Incorrect view with selected items [\#13654](https://github.com/primefaces/primeng/issues/13654)
- there is a missed "break;" line in a switch case in menu.ts at line 540 [\#13766](https://github.com/primefaces/primeng/issues/13766)
- SSR fails on carousel circular and galleria autoplay [\#13837](https://github.com/primefaces/primeng/issues/13837)
- Editor layer defect [\#13831](https://github.com/primefaces/primeng/issues/13831)
- p-dialog: ExpressionChangedAfterItHasBeenCheckedError with attr.aria-labelledby [\#13636](https://github.com/primefaces/primeng/issues/13636)
- Textarea: autoResize doesn't work when used inside a Dialog [\#9231](https://github.com/primefaces/primeng/issues/9231)

## [16.4.4](https://github.com/primefaces/primeng/tree/16.4.4) (2024-04-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.4.3...16.4.4)

**Fixed bugs:**

- TreeTable | selectionKeys support for checkbox selection mode [\#15216](https://github.com/primefaces/primeng/issues/15216)
- p-treeTableHeaderCheckbox doesn't select/unselect all when TreeTable has dataKey property [\#9188](https://github.com/primefaces/primeng/issues/9188)

## [16.4.3](https://github.com/primefaces/primeng/tree/16.4.3) (2024-01-04)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.4.2...16.4.3)

**Fixed bugs:**

- ContextMenu | Touch Device support[\#14375](https://github.com/primefaces/primeng/issues/14375)

## [16.4.2](https://github.com/primefaces/primeng/tree/16.4.2) (2023-11-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.4.1...16.4.2)

**Fixed bugs:**

- TreeTable | Global filter to search tree-table is not returning all the relevant results [\#14082](https://github.com/primefaces/primeng/issues/14082)
- Dropdown | FocusTrap doesn't allow user to tab on next element [\#14083](https://github.com/primefaces/primeng/issues/14083)

## [16.4.1](https://github.com/primefaces/primeng/tree/16.4.1) (2023-09-27)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.4.0...16.4.1)

**Fixed bugs:**

- Menu Components | id property of menuItem API is ignored [\#13763](https://github.com/primefaces/primeng/issues/13763)
- ESLint Error [\#13764](https://github.com/primefaces/primeng/issues/13764)
- Table: Incorrect behavior when a column is both sortable and filterable, and user clicks on a certain part of the filter icon [\#13361](https://github.com/primefaces/primeng/issues/13361)
- Tree | onKeydown is broken with contextMenu [\#13558](https://github.com/primefaces/primeng/issues/13558)
- p-confirmPopup errors when setTimeout runs after onContainerDestroy [\#13761](https://github.com/primefaces/primeng/issues/13761)
- MegaMenu ReferenceError in Jest Test same as #12945 [\#13758](https://github.com/primefaces/primeng/issues/13758)

## [16.4.0](https://github.com/primefaces/primeng/tree/16.4.0) (2023-09-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.3.1...16.4.0)

**Implemented New Features and Enhancements:**

- Theme updates: change :focus to focus-visible [\#13740](https://github.com/primefaces/primeng/issues/13740)
- New @layer implementation [\#13737](https://github.com/primefaces/primeng/issues/13737)
- dynamic dialog module (same instances on top of each other) and update deprecated methods [\#13617](https://github.com/primefaces/primeng/issues/13617)
- DataTable | Row selection focus styling issue [\#13617](https://github.com/primefaces/primeng/issues/13617)
- FileUpload | Drag and drop highlight enhancement [\#13306](https://github.com/primefaces/primeng/issues/13306)
- Image: Add srcset attribute [\#13683](https://github.com/primefaces/primeng/issues/13683)
- FileUpload: allow file size units internationalization [\#13398](https://github.com/primefaces/primeng/issues/13398)
- Dialog component scrollbar shift [\#13732](https://github.com/primefaces/primeng/issues/13732)
- Update Lara to use "Inter var" font [\#13713](https://github.com/primefaces/primeng/issues/13713)
- ConfirmDialog: pTemplate="message" and pTemplate="icon" is missing [\#13700](https://github.com/primefaces/primeng/issues/13700)
- Add GTAG Manager [\#13626](https://github.com/primefaces/primeng/issues/13626)

**Fixed bugs:**

- TreeSelect: Close Button icon not centred [\#13750](https://github.com/primefaces/primeng/issues/13750)
- PrimeNG 16.1.0 selecting a menu option causes panel to scroll [\#13390](https://github.com/primefaces/primeng/issues/13390)
- p-tabPanel does not detect changes when "headerStyle", "headerStyleClass" binding is changed [\#13746](https://github.com/primefaces/primeng/issues/13746)
- Column Filter: Auto close on Click Outside does not work [\#13596](https://github.com/primefaces/primeng/issues/13596)
- dismissableMask is not working on ConfirmationPopup [\#13714](https://github.com/primefaces/primeng/issues/13714)
- showClear on calendar doesn't appear if showIcon is set to true [\#13749](https://github.com/primefaces/primeng/issues/13749)
- Codebase: ES LINTER ISSUE [\#13641](https://github.com/primefaces/primeng/issues/13641)
- zIndex of ConfirmDialog is not adaptive (always less by one) [\#13498](https://github.com/primefaces/primeng/issues/13498)
- Increased zIndex Position when Sidebar and Modals work together [\#13501](https://github.com/primefaces/primeng/issues/13501)
- SpeedDial | Menu Items are only hidden but still in view on closed dial [\#13725](https://github.com/primefaces/primeng/issues/13725)
- Calendar | Disabled date is highlighted when it's in the range [\#13736](https://github.com/primefaces/primeng/issues/13736)
- Calendar: disabledDate Template Broken [\#13695](https://github.com/primefaces/primeng/issues/13695)
- Toast: closeIcon on message is outside of button [\#13707](https://github.com/primefaces/primeng/issues/13707)
- BlockUI | Does not block scroll on document mode [\#13734](https://github.com/primefaces/primeng/issues/13734)
- AutoComplete | p-autocomplete-token-icon alignment issue [\#13532](https://github.com/primefaces/primeng/issues/13532)
- ConfirmPopup: CloseOnEscape is not working [\#13652](https://github.com/primefaces/primeng/issues/13652)
- Component: Panelmenu SubMenus not supported HTML content [\#13637](https://github.com/primefaces/primeng/issues/13637)
- pButton | Loading icon not removing [\#13489](https://github.com/primefaces/primeng/issues/13489)
- p-slider: Slider issue with onSlideEnd event and range selection [\#9013](https://github.com/primefaces/primeng/issues/9013)
- Calendar: Calendar is closed when month is selected with spacebar [\#13662](https://github.com/primefaces/primeng/issues/13662)
- Tooltip: Tooltip flickering issue [\#13680](https://github.com/primefaces/primeng/issues/13680)
- MultiSelect: Overlay not repositioned after filtering options [\#13571](https://github.com/primefaces/primeng/issues/13571)
- TieredMenu: SubMenus are not uncovered on mouse hover anymore [\#13582](https://github.com/primefaces/primeng/issues/13582)
- Menu | MenuItem API id property is ignored [\#13705](https://github.com/primefaces/primeng/issues/13705)
- Menu | Throws error on tab [\#13702](https://github.com/primefaces/primeng/issues/13702)
- DynamicDialog - remove entryComponents from docs [\#13679](https://github.com/primefaces/primeng/issues/13679)
- Table: Programmatic reset not work on primeng live demo [\#13657](https://github.com/primefaces/primeng/issues/13657)
- Component: Menu component throws a JS exception [\#13568](https://github.com/primefaces/primeng/issues/13568)
- SpeedDial onBlur: NG0600: Writing to signals is not allowed in a computed or an effect by default. Use allowSignalWrites in the CreateEffectOptions to enable this inside effects. [\#13499](https://github.com/primefaces/primeng/issues/13499)
- Component: InputNumber maxlength and maxFractionDigits attributes are ignored by pasting [\#13588](https://github.com/primefaces/primeng/issues/13588)
- Using SplitButton causes ReferenceError: Cannot access 'TieredMenu' before initialization [\#12945](https://github.com/primefaces/primeng/issues/12945)
- Component: Buttons and table frozen column [\#13562](https://github.com/primefaces/primeng/issues/13562)

## [16.3.1](https://github.com/primefaces/primeng/tree/16.3.1) (2023-08-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.3.0...16.3.1)

**Fixed bugs:**

- PrimeNG build is not working [\#13581](https://github.com/primefaces/primeng/issues/13581)

## [16.3.0](https://github.com/primefaces/primeng/tree/16.3.0) (2023-08-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.2.0...16.3.0)

**Implemented New Features and Enhancements:**

- Toast: Expose default Toast Item life prop for overriding [\#13577](https://github.com/primefaces/primeng/issues/13577)
- SelectButton: getOptionValue is called twice in onItemClick if multiple is false \(single mode\) [\#13553](https://github.com/primefaces/primeng/issues/13553)
- InputNumber | Add ariaLabelledBy props [\#13547](https://github.com/primefaces/primeng/issues/13547)
- InputNumber - showClear icon not showing when value is "0" [\#13525](https://github.com/primefaces/primeng/issues/13525)
- Knob | Add ariaLabel, ariaLabelledBy, tabindex props  [\#13504](https://github.com/primefaces/primeng/issues/13504)
- TreeTable and TreeSelect: Output emits wrong type \(TreeTable.onNodeExpand and TreeSelect.onNodeUnselect and .onNodeSelect\) [\#13415](https://github.com/primefaces/primeng/issues/13415)
- p-splitter: nested panels should have min-width: 0 to leverage flex-basis correctly [\#13323](https://github.com/primefaces/primeng/issues/13323)
- Tree/DataView/Table: there is no way to set a custom class to the paginator component  [\#13204](https://github.com/primefaces/primeng/issues/13204)
- Wrong type definition of KeyFilter.pKeyFilter \(pattern\) [\#13086](https://github.com/primefaces/primeng/issues/13086)
- DropDown: open even if disabled [\#12973](https://github.com/primefaces/primeng/issues/12973)
- Carousel or Galleria component autoplay will stop after click any step and can't re-autoplay again [\#12949](https://github.com/primefaces/primeng/issues/12949)
- Component: P-Image Preview Image URL [\#12928](https://github.com/primefaces/primeng/issues/12928)
- Component: Paginator, Table [\#12897](https://github.com/primefaces/primeng/issues/12897)
- Component: Carousel add better playing status support [\#12706](https://github.com/primefaces/primeng/issues/12706)
- DynamicDialog: Close button receives initial focus [\#12643](https://github.com/primefaces/primeng/issues/12643)
- Add LazyLoadOnInit flag for Data View [\#12526](https://github.com/primefaces/primeng/issues/12526)
- Password: Add autocomplete property for input [\#12362](https://github.com/primefaces/primeng/issues/12362)
- In Calender year view disable year issue [\#12151](https://github.com/primefaces/primeng/issues/12151)
- CI: Replace deprecated and non-functional travis-ci.org [\#10846](https://github.com/primefaces/primeng/issues/10846)
- Let the user choose where to place a DynamicDialog rather than in body [\#9546](https://github.com/primefaces/primeng/issues/9546)
- Template support for Tooltip [\#3496](https://github.com/primefaces/primeng/issues/3496)

**Fixed bugs:**

- Autocomplete Force Selection case sensitive issue [\#13578](https://github.com/primefaces/primeng/issues/13578)
- AutoComplete showClear close icon overlap with loader icon [\#13572](https://github.com/primefaces/primeng/issues/13572)
- Sidenav: Input Key Down triggers "TypeError: ctx\_r16.onKeyDown is not a function" [\#13569](https://github.com/primefaces/primeng/issues/13569)
- fileUpload: choose button is disabled after upload when you chose more files than the file limit [\#13566](https://github.com/primefaces/primeng/issues/13566)
- DropDown clear or close icon on click dropDown options open randomly  [\#13560](https://github.com/primefaces/primeng/issues/13560)
- DropDown filter search not trimming text and search showing empty  [\#13559](https://github.com/primefaces/primeng/issues/13559)
- Sidebar: Badge property not working [\#13523](https://github.com/primefaces/primeng/issues/13523)
- SplitButton \[NG\]: Menu is not closing when click on outside [\#13522](https://github.com/primefaces/primeng/issues/13522)
- p-steps Docs: Routing Example Broken [\#13519](https://github.com/primefaces/primeng/issues/13519)
- Component: Pick List [\#13513](https://github.com/primefaces/primeng/issues/13513)
- Sidebar related bug [\#13509](https://github.com/primefaces/primeng/issues/13509)
- DynamicDialog: ExpressionChangedAfterItHasBeenCheckedError for attr.aria-labelledby [\#13497](https://github.com/primefaces/primeng/issues/13497)
- Component: `p-dialog` bad drag behavior [\#13493](https://github.com/primefaces/primeng/issues/13493)
- InputTextarea with autoResize=true have scroll up issues [\#13484](https://github.com/primefaces/primeng/issues/13484)
- Dropdown: Escape Key event not default prevented [\#13463](https://github.com/primefaces/primeng/issues/13463)
- p-overlayPanel does not hide automatically after scrolling [\#13462](https://github.com/primefaces/primeng/issues/13462)
- TableRowSelectEvent: data must not be an array [\#13383](https://github.com/primefaces/primeng/issues/13383)
- Table: Incorrect behavior when a column is both sortable and filterable, and user clicks on a certain part of the filter icon [\#13361](https://github.com/primefaces/primeng/issues/13361)
- p-calendar: Cannot read properties of undefined \(reading 'length'\) [\#13348](https://github.com/primefaces/primeng/issues/13348)
- AutoComplete:  completeOnFocus [\#13344](https://github.com/primefaces/primeng/issues/13344)
- p-menu: Links are turned into groups [\#13297](https://github.com/primefaces/primeng/issues/13297)
- The `breakpoints`options can be ignored when the dialog is maximized. [\#13268](https://github.com/primefaces/primeng/issues/13268)
- TreeTable: selectionChange emitter type error [\#13254](https://github.com/primefaces/primeng/issues/13254)
- pKeyFilter stops Enter key from submitting form in Firefox [\#13246](https://github.com/primefaces/primeng/issues/13246)
- Calendar: onModelChange not called with keepInvalid=true if user enters a well-formatted date but outside allowed range [\#13132](https://github.com/primefaces/primeng/issues/13132)
- TreeTable: Can't write multi line in a textarea used to edit a cell [\#13105](https://github.com/primefaces/primeng/issues/13105)
- Menubar | ReferenceError: Cannot access 'Menubar' before initialization [\#13024](https://github.com/primefaces/primeng/issues/13024)
- Chips: After clicking the clear button does not allow to input values [\#13011](https://github.com/primefaces/primeng/issues/13011)
- p-password: attribute 'className' instead of 'class' used in content template [\#13003](https://github.com/primefaces/primeng/issues/13003)
- Calendar: formArray marked Touched when item gets removed  [\#12956](https://github.com/primefaces/primeng/issues/12956)
- Multiselect: Cannot dynamically change selectionLimit on Multiselect [\#12775](https://github.com/primefaces/primeng/issues/12775)
- Calendar: Error if using datatype string with selectionMode="range" and keepInvalid=true [\#12722](https://github.com/primefaces/primeng/issues/12722)
- Toggleable panel inside another toggleable panel has it's content visible when collapsed by default [\#12713](https://github.com/primefaces/primeng/issues/12713)
- p-button: disabled p-button doesn't work [\#12692](https://github.com/primefaces/primeng/issues/12692)
- Chips doesnt support RegExp Separator as per documentation [\#12640](https://github.com/primefaces/primeng/issues/12640)
- p-autocomplete: baseZIndex, autoZIndex, appendTo not respected [\#12600](https://github.com/primefaces/primeng/issues/12600)
- primeng calendar year view not work with \*maxDate\* and \*minDate\* not working  [\#12583](https://github.com/primefaces/primeng/issues/12583)
- Button: p-button executing methods on click when disabled [\#12495](https://github.com/primefaces/primeng/issues/12495)

## [16.2.0](https://github.com/primefaces/primeng/tree/16.2.0) (2023-08-11)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.1.0...16.2.0)

**New Features:**

- DynamicDialog | Add closeAriaLabel for acessibility [\#13410](https://github.com/primefaces/primeng/issues/#13410)
- ConfirmDialog | Add closeAriaLabel for accessibility [\#13408](https://github.com/primefaces/primeng/issues/#13408)
- SpeedDial | Add ariaLabel and ariaLabelledBy inputs (accessibility) [\#13404](https://github.com/primefaces/primeng/issues/#13404)
- Accordion | wrong aria roles and add headerAriaLevel property (accessibility) [\#13431](https://github.com/primefaces/primeng/issues/#13431)

**Enhancements:**

- Update Angular packages [\#13444](https://github.com/primefaces/primeng/issues/#13444)
- Accessibility | Messages Section [\#13411](https://github.com/primefaces/primeng/issues/#13411)
- Accessibility | Overlay Section [\#13409](https://github.com/primefaces/primeng/issues/#13409)
- Accessibility | Button Section [\#13402](https://github.com/primefaces/primeng/issues/#13402)
- Accessibility | TabView - TabIndex order doesn't follow the W3C recommended pattern [\#13421](https://github.com/primefaces/primeng/issues/#13421)
- Accessibility | Media Section [\#13420](https://github.com/primefaces/primeng/issues/#13420)
- Multiselect: Overlay should not be closed when toggle on unSelectAll icon [\#13384](https://github.com/primefaces/primeng/issues/#13384)
- Accordion | wrong aria roles and add headerAriaLevel property (accessibility) [\#13431](https://github.com/primefaces/primeng/issues/#13431)

**Fixed bugs:**

- Tooltip | Auto Hide Not Working [\#13482](https://github.com/primefaces/primeng/issues/#13482)
- TabView | Arrow button stays visible even there is no overflow [\#13478](https://github.com/primefaces/primeng/issues/#13478)
- p-panelMenu: visible:false don’t work for submenus [\#13469](https://github.com/primefaces/primeng/issues/#13469)
- fileUpload: conversion uses 1000 instead of 1024 for file size formatting [\#13467](https://github.com/primefaces/primeng/issues/#13467)
- Accessibility | PanelMenu - collapsed region are still reachable via tab navigation when at least an item has a link [\#13435](https://github.com/primefaces/primeng/issues/#13435)
- MenuBar and MegaMenu: On mobile menubar and megamenu both requires double tap to open submenu [\#13447](https://github.com/primefaces/primeng/issues/#13447)
- TieredMenu: On mobile tieredmenu requires double tap to open submenu [\#13433](https://github.com/primefaces/primeng/issues/#13433)
- Menu and PanelMenu | Separator is not visible [\#13476](https://github.com/primefaces/primeng/issues/#13476)
- Menu Components | Cannot override model value [\#13471](https://github.com/primefaces/primeng/issues/#13471)
- Component: PanelMenu - styleClass and tooltip not applied [\#13401](https://github.com/primefaces/primeng/issues/#13401)
- TieredMenu: SubMenus are not uncovered on mouse hover anymore [\#13455](https://github.com/primefaces/primeng/issues/#13455)
- TabMenu: Disabled items are no longer rendered [\#13454](https://github.com/primefaces/primeng/issues/#13454)
- Component: ContextMenu [\#13456](https://github.com/primefaces/primeng/issues/#13456)
- Button: Loading icon not showing when used by pButton directive [\#13345](https://github.com/primefaces/primeng/issues/#13345)
- pButton: When changing the loading property of the pButton the spinner is not shown [\#13195](https://github.com/primefaces/primeng/issues/#13195)
- Button: custom loading icon is not displayed [\#13250](https://github.com/primefaces/primeng/issues/#13250)
- Component: InputNumber - maxlength input param doesn't limit number of numbers that user can type [\#13426](https://github.com/primefaces/primeng/issues/#13426)
- FileUpload: when multiple files are selected and more than one has errors only only one message is shown [\#13426](https://github.com/primefaces/primeng/issues/#13426)
- FileUpload | Incorrect margin between label and icon [\#13414](https://github.com/primefaces/primeng/issues/#13414)
- OrganizationChart not refreshing view after new TreeNode is added [\#13368](https://github.com/primefaces/primeng/issues/#13368)
- SplitButton menu options not working correctly in v16.1.0 [\#13389](https://github.com/primefaces/primeng/issues/#13389)
- New required undocumented locale options in PrimeNG 16.1.0 [\#13380](https://github.com/primefaces/primeng/issues/#13380)

## [16.1.0](https://github.com/primefaces/primeng/tree/16.1.0) (2023-07-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.0.2...16.1.0)

**New Features:**

- TabMenu | Add ariaLabel and ariaLabelledBy props [\#13376](https://github.com/primefaces/primeng/issues/#13376)
- ContextMenu | Add id, ariaLabel, ariaLabelledBy props [\#13373](https://github.com/primefaces/primeng/issues/#13373)
- Toolbar | Add aria-labelledby [\#13235](https://github.com/primefaces/primeng/issues/#13235)

**Enhancements:**

- Accessibility | Panel section [\#13229](https://github.com/primefaces/primeng/issues/#13229)
- Accessibility | Misc section [\#13237](https://github.com/primefaces/primeng/issues/#13237)
- Accessibility | Menu section [\#13264](https://github.com/primefaces/primeng/issues/#13264)
- ContextMenu | Add ariaLabel, ariaLabelledBy, id properties & show/hide emitters (accessibility) [\#13310](https://github.com/primefaces/primeng/issues/#13310)
- Menu | Add ariaLabelledBy and ariaLabel and onFocus, onBlur emitters  [\#13253](https://github.com/primefaces/primeng/issues/#13253)

**Fixed bugs:**

- Calendar | Icon is not visible (material compact theme) [\#13123](https://github.com/primefaces/primeng/issues/#13123)
- DynamicDialogRef - onClose Observable never completes [\#9732](https://github.com/primefaces/primeng/issues/#9732)
- Component: OrderList [\#13322](https://github.com/primefaces/primeng/issues/#13322)
- TabView | Last element is not visible when scrolling=true [\#13371](https://github.com/primefaces/primeng/issues/#13371)
- Breadcrumb | Chevron and slash icon is visible at the same time (bootstrap themes) [\#13359](https://github.com/primefaces/primeng/issues/#13359)
- Tree: Partially selected checkbox rendered incorrectly [\#13131](https://github.com/primefaces/primeng/issues/#13131)
- TreeTable: previous and next button icons not visible when using paginator [\#13258](https://github.com/primefaces/primeng/issues/#13258)
- Component: ToolTip [\#13238](https://github.com/primefaces/primeng/issues/#13238)
- Component: p-overlay overflows the viewport [\#13273](https://github.com/primefaces/primeng/issues/#13273)
- Slidemenu: Separator class mismatch [\#13279](https://github.com/primefaces/primeng/issues/#13279)
- TreeNode: data is no longer generic [\#13183](https://github.com/primefaces/primeng/issues/#13183)
- Component: Avatar [\#13292](https://github.com/primefaces/primeng/issues/#13292)
- P-Table - Column resize not working as expected [\#12183](https://github.com/primefaces/primeng/issues/#12183)
- Inplace: Close icon customization variabe + input mismatch [\#13277](https://github.com/primefaces/primeng/issues/#13277)
- Component: Autocomplete component [\#13271](https://github.com/primefaces/primeng/issues/#13271)
- Carousel: The documentation doesn't show the examples [\#13286](https://github.com/primefaces/primeng/issues/#13286)
- Image Component: esc button doesn't close the preview [\#13305](https://github.com/primefaces/primeng/issues/#13305)

## [16.0.2](https://github.com/primefaces/primeng/tree/16.0.2) (2023-06-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.0.1...16.0.2)

**Fixed bugs:**

- FileUploader: Choose button is missing icon spacing [\#13232](https://github.com/primefaces/primeng/issues/#13232)
- Compiler error: p-autoComplete Argument of type 'Event' is not assignable to parameter of type 'MouseEvent' [\#13227](https://github.com/primefaces/primeng/issues/#13227)
- p-dropdown unable to auto-select first item if group used [\#12637](https://github.com/primefaces/primeng/issues/#12637)
- Component: Tooltip has no default zindex 16.0.1 [\#13220](https://github.com/primefaces/primeng/issues/#13220)
- Clear filter Icon is not showing in p-columnfilter Component [\#12947](https://github.com/primefaces/primeng/issues/#12947)
- Table Filter: Remove filter button is invisible [\#13134](https://github.com/primefaces/primeng/issues/#13134)
- In table filter slash icon is not displaying when data is entered in the row filter. [\#13222](https://github.com/primefaces/primeng/issues/#13222)
- Error: Cannot resolve type entity SafeHtmlPipe to symbol [\#13218](https://github.com/primefaces/primeng/issues/#13218)

## [16.0.1](https://github.com/primefaces/primeng/tree/16.0.1) (2023-06-16)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.0.0...16.0.1)

**Enhancements:**

- Type for demos [\#13135](https://github.com/primefaces/primeng/issues/13135)
- Update dynamicdialog-config.ts [\#13019](https://github.com/primefaces/primeng/issues/13019)

**Fixed bugs:**

- CascadeSelect: Wrong type definition for optionGroupChildren [\#13152](https://github.com/primefaces/primeng/issues/13152)
- Checkbox: breaking change for value type [\#13182](https://github.com/primefaces/primeng/issues/13182)
- Component: Dynamic Dialog resize change doesn't work [\#13158](https://github.com/primefaces/primeng/issues/13158)
- AutoComplete: grouped options are not selected with enter key [\#12624](https://github.com/primefaces/primeng/issues/12624)
- Galleria | cannot read properties of undefined error [\#13124](https://github.com/primefaces/primeng/issues/13124)
- selectButton: Conditional template rendering is not working [\#13053](https://github.com/primefaces/primeng/issues/13053)
- AccordionTab iconPos end not working [\#12988](https://github.com/primefaces/primeng/issues/12988)
- OverlayPanel: Incorrect position when inside of dialog in 16.0.0 (did not happen in rc2) [\#13201](https://github.com/primefaces/primeng/issues/13201)
- Button: loading style issue when already has an icon [\#13148](https://github.com/primefaces/primeng/issues/13148)
- FileUpload | File limit does not fire error [\#13129](https://github.com/primefaces/primeng/issues/13129)
- ConfirmDialog: style property not updated [\#13155](https://github.com/primefaces/primeng/issues/13155)
- Can not install with angular@16.1.0 [\#13197](https://github.com/primefaces/primeng/issues/13197)
- Button: loading state bugs [\#13098](https://github.com/primefaces/primeng/issues/13098)
- Menu | iconStyle or inline styling does not work as expected [\#13128](https://github.com/primefaces/primeng/issues/13128)
- TreeNode: data is no longer generic [\#13183](https://github.com/primefaces/primeng/issues/13183)
- Documentation: picklist example is not rendering the data [\#13186](https://github.com/primefaces/primeng/issues/13186)
- Tooltip: Doesn't work. Show console error [\#13190](https://github.com/primefaces/primeng/issues/13190)
- Documentation: Bug: Table "Subheader" takes you nowhere [\#13184](https://github.com/primefaces/primeng/issues/13184)

## [16.0.0](https://github.com/primefaces/primeng/tree/16.0.0) (2023-06-12)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.0.0-rc.2...16.0.0)

**Enhancements:**

- Icons: clipPath improvements [\#13177](https://github.com/primefaces/primeng/issues/13177)

**Fixed bugs:**

- p-confirmPopup errors when setTimeout runs after onContainerDestroy [\#13034](https://github.com/primefaces/primeng/issues/13034)
- FileUpload - when fileLimit is set, no previous error messages are displayed [\#13083](https://github.com/primefaces/primeng/issues/13083)
- Broken Stackblitz demos [\#13088](https://github.com/primefaces/primeng/issues/13088)
- PrimeNG Website - Documentation for Toast missing position feature in demo [\#13159](https://github.com/primefaces/primeng/issues/13159)
- Component: KeyFilter [\#13076](https://github.com/primefaces/primeng/issues/13076)
- Wrong type definition of ToastCloseEvent [\#13079](https://github.com/primefaces/primeng/issues/13079)
- Table: ERROR TypeError: this.scroller is undefined [\#12880](https://github.com/primefaces/primeng/issues/12880)
- Button is firing the click event even when it is disabled. [\#13042](https://github.com/primefaces/primeng/issues/13042)
- Panel: Collapse icon of toggle button is not showing [\#13071](https://github.com/primefaces/primeng/issues/13071)
- Panel custom expand Icon is never showing [\#13074](https://github.com/primefaces/primeng/issues/13074)

## [16.0.0-rc.2](https://github.com/primefaces/primeng/tree/16.0.0-rc.2) (2023-05-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/16.0.0-rc.1...16.0.0-rc.2)

**Enhancements:**

- Type Improvements[\#12979](https://github.com/primefaces/primeng/issues/12979)

**Fixed bugs:**

- PrimeNG 15 does not build with RxJS 6 [\#13012](https://github.com/primefaces/primeng/issues/13012)
- Autocomplete: Clear is not working as expected [\#13026](https://github.com/primefaces/primeng/issues/13026)

## [16.0.0-rc.1](https://github.com/primefaces/primeng/tree/16.0.0-rc.1) (2023-05-05)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.4.1...16.0.0-rc.1)

**Breaking Changes:**

- Drop support for zone.js versions <=0.12.0 [\#13002](https://github.com/primefaces/primeng/issues/13002)

**Enhancements:**

- Component: TabMenu should initiate a change detection in itemClick method [\#12744](https://github.com/primefaces/primeng/issues/12744)
- MultiSelect | Pass remove remove method through selectedItems template [\#12939](https://github.com/primefaces/primeng/issues/12939)
- p-inputNumber | ngModelOptions is not taken into account [\#12915](https://github.com/primefaces/primeng/issues/12915)
- Angular 16 Support [\#12990](https://github.com/primefaces/primeng/issues/12990)

**Fixed bugs:**

- MultiSelect | maxSelectionLimit not refreshed after clear called [\#12906](https://github.com/primefaces/primeng/issues/12906)
- Component | OverlayPanel [\#12933](https://github.com/primefaces/primeng/issues/12933)
- Table: 'this.el.nativeElement.parentElement is null' for frozen columns which are dynamically generated [\#12748](https://github.com/primefaces/primeng/issues/12748)
- MultiSelect | Alignment is broken if showClear is enabled [\#12932](https://github.com/primefaces/primeng/issues/12932)
- Table | Unable to reorder to the last element in the table after a scroll occurs [\#12493](https://github.com/primefaces/primeng/issues/12493)
- Table: Clear function does not clear all filters [\#12903](https://github.com/primefaces/primeng/issues/12903)
- FocusTrap for nested DynamicDialogs still not working [\#9329](https://github.com/primefaces/primeng/issues/9329)
- Autocomplete: Issue with Virtual Scroll [\#12568](https://github.com/primefaces/primeng/issues/12568)
- InputNumber / AutoFocus: ExpressionChangedAfterItHasBeenCheckedError [\#12559](https://github.com/primefaces/primeng/issues/12559)
- Expanding org chart node raises error [\#12946](https://github.com/primefaces/primeng/issues/12946)
- Touch Control - Thumbnails selects photo randomly when tapping. [\#12943](https://github.com/primefaces/primeng/issues/12943)
- Checkbox in p-treeNode always checked when using custom icon [\#12951](https://github.com/primefaces/primeng/issues/12951)
- ConfirmDialog: Duplicated AcceptIcons [\#13001](https://github.com/primefaces/primeng/issues/13001)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.28-LTS](https://www.npmjs.com/package/primeng/v/15.4.28-lts) (2024-11-13)

**Fixed bugs:**

- Sidebar: onHide not triggered via programmatic close [\#16507](https://github.com/primefaces/primeng/issues/16507)
- Table | Bug on table checkboxes [\#16618](https://github.com/primefaces/primeng/issues/16618)
- When using stateStorage for the p-table I always get the following error in the console when the component first loads: [\#15043](https://github.com/primefaces/primeng/issues/15043)
- p-splitter: zero width panel parsed as null [\#16425](https://github.com/primefaces/primeng/issues/16425)
- p-tree: Unselectable children is selected when selecting parent [\#16430](https://github.com/primefaces/primeng/issues/16430)
- Grouping Functionality in p-table Breaks After Pagination Navigation Beyond First Page [\#15192](https://github.com/primefaces/primeng/issues/15192)
- Table: editable column is broken when disabled temporarily [\#16304](https://github.com/primefaces/primeng/issues/16304)
- Component: Calendar Year picker [\#14233](https://github.com/primefaces/primeng/issues/14233)
- Component: MultiSelect (Property 'ngOnInit' is missing in type 'MultiSelectTemplateDemo) [\#16256](https://github.com/primefaces/primeng/issues/16256)
- Messages: Messages template does not work if messagemodule is imported alone [\#16253](https://github.com/primefaces/primeng/issues/16253)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.27-LTS](https://www.npmjs.com/package/primeng/v/15.4.27-lts) (2024-09-20)

**Fixed bugs:**

- Icon: Mistake in example documentation code [\#16277](https://github.com/primefaces/primeng/issues/16277)
- Table: Flawed example in paginator documentation [\#16308](https://github.com/primefaces/primeng/issues/16308)
- Editor: the style of the toolbar is missing up when custom modules used [\#16114](https://github.com/primefaces/primeng/issues/16114)
- Tooltip on Dropdown causes Errors [\#16321](https://github.com/primefaces/primeng/issues/16321)
- Panel component -> toggle from the outside [\#16326](https://github.com/primefaces/primeng/issues/16326)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.26-LTS](https://www.npmjs.com/package/primeng/v/15.4.26-lts) (2024-08-15)

**Fixed bugs:**

- Table: when scrollHeight is set to 'flex', on the first load, the table height is not fitting parent [\#16165](https://github.com/primefaces/primeng/issues/16165)
- Calendar: panelStyle width and min width overridden when appendTo is used [\#16176](https://github.com/primefaces/primeng/issues/16176)
- Component: colorPicker - inline=true property doesn't set the appropriate color [\#16169](https://github.com/primefaces/primeng/issues/16169)
- Table: Cannot set autoSize from ScrollerOptions [\#16209](https://github.com/primefaces/primeng/issues/16209)
- Table: breaks after one call to updateStyleElement() [\#16211](https://github.com/primefaces/primeng/issues/16211)
- Sidebar: Overlay of Nested Sidebar Blocks Its Own Content [\#16233](https://github.com/primefaces/primeng/issues/16233)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.25-LTS](https://www.npmjs.com/package/primeng/v/15.4.25-lts) (2024-08-01)

**Fixed bugs:**

- Password: Tooltip with tooltipEvent='focus' is never displayed [\#16106](https://github.com/primefaces/primeng/issues/16106)
- Table> double call to (onLazyLoad) event [\#16070](https://github.com/primefaces/primeng/issues/16070)
- pBadge | Add missing badgeStyle & badgeStyleClass to directive [\#16133](https://github.com/primefaces/primeng/issues/16133)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.24-LTS](https://www.npmjs.com/package/primeng/v/15.4.24-lts) (2024-07-24)

**Fixed bugs:**

- Multiselect: clicking directly on the svg icon closes the overlay [\#14335](https://github.com/primefaces/primeng/issues/14335)
- TreeSelect popup closes when unchecking nodes [\#13698](https://github.com/primefaces/primeng/issues/13698)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.23-LTS](https://www.npmjs.com/package/primeng/v/15.4.23-lts) (2024-07-18)

**Fixed bugs:**

- Cascade Select clicking a few times causes the component to freeze [\#15869](https://github.com/primefaces/primeng/issues/15869)
- AutoComplete: Increased drop-down height on first search when using virtual scroll [\#15647](https://github.com/primefaces/primeng/issues/15647)
- KeyFilter: No longer working on chips component [\#15531](https://github.com/primefaces/primeng/issues/15531)
- ButtonComponent: routerLink accessible even when button is disabled [\#15946](https://github.com/primefaces/primeng/issues/15946)
- Component: p-tree (selection) [\#15761](https://github.com/primefaces/primeng/issues/15761)
- Custom sort in table not working [\#15550](https://github.com/primefaces/primeng/issues/15550)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.22-LTS](https://www.npmjs.com/package/primeng/v/15.4.22-lts) (2024-07-04)

**Fixed bugs:**

- Component: Multiselect - Provide removetokenicon hiding in case option is disabled (reopen) [\#15624](https://github.com/primefaces/primeng/issues/15624)
- Button Tooltip shows up after Dialog opens [\#15933](https://github.com/primefaces/primeng/issues/15933)
- p-splitter: minSizes not working as expected [\#15943](https://github.com/primefaces/primeng/issues/15943)
- p-splitter: Resize not working when iFrames are used in panels [\#15942](https://github.com/primefaces/primeng/issues/15942)
- Component: InputNumber - Control update on strategy is ignored [\#12831](https://github.com/primefaces/primeng/issues/12831)
- Component: InputNumber unneeded update model on blur [\#15799](https://github.com/primefaces/primeng/issues/15799)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.21-LTS](https://www.npmjs.com/package/primeng/v/15.4.21-lts) (2024-06-14)

**Fixed bugs:**

- Accessibility: Buttons within an accordion header template (keyboard accessibility) [\#15837](https://github.com/primefaces/primeng/issues/15837)
- Calendar: Range selection mode should use start date as default date when end date isn't set [\#15818](https://github.com/primefaces/primeng/issues/15818)
- Component: Button: Opacity is applied twice on disabled state --> wrong opacity [\#15651](https://github.com/primefaces/primeng/issues/15651)
- pTemplate not working for p-menu alone [\#15781](https://github.com/primefaces/primeng/issues/15781)
- InputNumber - MinFractionDigits and MaxFractionDigits no longer respect a value of 0 [\#15772](https://github.com/primefaces/primeng/issues/15772)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.20-LTS](https://www.npmjs.com/package/primeng/v/15.4.20-lts) (2024-05-10)

**Fixed bugs:**

- Calendar: Add additional keyboard support [\#14995](https://github.com/primefaces/primeng/issues/14995)
- Tooltip | Tooltip-option tooltipEvent="focus" does not work on p-button [\#15472](https://github.com/primefaces/primeng/issues/15472)
- Tooltip | tooltipEvent - "focus" | "hover" combined [\#15468](https://github.com/primefaces/primeng/issues/15468)
- Table | the 'not equal' filter is applied immediately after being selected [\#15283](https://github.com/primefaces/primeng/issues/15283)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.18-LTS](https://www.npmjs.com/package/primeng/v/15.4.18-lts) (2024-04-19)

**Fixed bugs:**

- TreeTable | selectionKeys support for checkbox selection mode [\#15216](https://github.com/primefaces/primeng/issues/15216)
- Component: Dropdown | dropdown box missing the required children for the given role. [\#15123](https://github.com/primefaces/primeng/issues/15123)
- TreeTable | wrong value comparison [\#15178](https://github.com/primefaces/primeng/issues/15178)
- p-tag | style not change dynamically [\#12665](https://github.com/primefaces/primeng/issues/12665)
- Table: When removing the filter constraint it should not filter when showApplyButton is visible [\#15032](https://github.com/primefaces/primeng/issues/15032)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.17-LTS](https://www.npmjs.com/package/primeng/v/15.4.17-lts) (2024-03-07)

**Fixed bugs:**

- Tree: If user filter tree nodes and then lazy load new children (with .key prop) - nodeClick event is not emitted [\#14723](https://github.com/primefaces/primeng/issues/14723)
- Table, pFrozenColumn: Frozen columns are extremely slow and kick off many change detection cycles [\#14579](https://github.com/primefaces/primeng/issues/14579)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.16-LTS](https://www.npmjs.com/package/primeng/v/15.4.16-lts) (2024-02-07)

**Fixed bugs:**

- The scrollToIndex method on VirtualScroller does not scroll to the correct index when triggered twice. [\#14731](https://github.com/primefaces/primeng/issues/14731)
- Checkbox: Disabled property does not work when it's used with formControlName [\#14693](https://github.com/primefaces/primeng/issues/14693)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.15-LTS](https://www.npmjs.com/package/primeng/v/15.4.15-lts) (2024-01-19)

**Fixed bugs:**

- TreeTable with scrollHeight="flex" shrinks the header as the table rows are expanded. [\#14523](https://github.com/primefaces/primeng/issues/14523)
- GalleriaThumbnail afterViewInit use platformBrowser instead of isPlatformBrowser [\#14534](https://github.com/primefaces/primeng/issues/14534)
- Table Virtual Scroll with Fixed Columns and Lazy Loading Causes Erratic Scrolling and Incomplete Data Display [\#14488](https://github.com/primefaces/primeng/issues/14488)
- Autocomplete: focus not being applied when clicking around input [\#14530](https://github.com/primefaces/primeng/issues/14530)
- Button | StyleClass does not work as expected [\#14583](https://github.com/primefaces/primeng/issues/14583)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.14-LTS](https://www.npmjs.com/package/primeng/v/15.4.14-lts) (2023-12-14)

**Fixed bugs:**

- PrimeNG table is not honoring the sort column and sort order specified when groupRowsBy is added. [\#13773](https://github.com/primefaces/primeng/issues/13773)
- dataTable : <th> is hidden by <td> with frozenColumn [\#13781](https://github.com/primefaces/primeng/issues/13781)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.13-LTS](https://www.npmjs.com/package/primeng/v/15.4.13-lts) (2023-11-17)

**Fixed bugs:**

- p-tooltip : autohide="false" does not work every times [\#14014](https://github.com/primefaces/primeng/issues/14014)
- Fileupload component disables upload button [\#14046](https://github.com/primefaces/primeng/issues/14046)
- MultiSelect: Label does not properly update when properties change [\#13862](https://github.com/primefaces/primeng/issues/13862)
- p-message/p-toast: long details squeezed closeButton [\#14125](https://github.com/primefaces/primeng/issues/14125)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.12-LTS](https://www.npmjs.com/package/primeng/v/15.4.12-lts) (2023-11-08)

**Fixed bugs:**

- Overlay: p-overlay div not removed from DOM on hiding panel [\#12948](https://github.com/primefaces/primeng/issues/12948)
- Table / EditableColumn: onEditComplete emitts old data value and not the new one as documented [\#13708](https://github.com/primefaces/primeng/issues/13708)
- FileUpload: Input Triggered on Any Mouse Click [\#13722](https://github.com/primefaces/primeng/issues/13722)
- Dialog: bad drag behavior when keepInViewport is false [\#13856](https://github.com/primefaces/primeng/issues/13856)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.11-LTS](https://www.npmjs.com/package/primeng/v/15.4.11-lts) (2023-10-19)

**Fixed bugs:**

- Password | Incorrect placement of close icon when [toggleMask]="true" [\#13817](https://github.com/primefaces/primeng/issues/13817)
- Multiselect: Chips: Delete button not visible if label is too wide [\#13816](https://github.com/primefaces/primeng/issues/13816)
- Multiselect: Incorrect view with selected items [\#13654](https://github.com/primefaces/primeng/issues/13654)
- Textarea: autoResize doesn't work when used inside a Dialog [\#9231](https://github.com/primefaces/primeng/issues/9231)
- Table | Column widths are not recalculated w/resize + drag & drop #38 [\#13875](https://github.com/primefaces/primeng/issues/13875)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.10-LTS](https://www.npmjs.com/package/primeng/v/15.4.10-lts) (2023-10-04)

**Fixed bugs:**

- Autocomplete Force Selection case sensitive issue [\#13578](https://github.com/primefaces/primeng/issues/13578)
- Component: Carousel add better playing status support [\#12706](https://github.com/primefaces/primeng/issues/12706)
- p-calendar: Cannot read properties of undefined (reading 'length') [\#13348](https://github.com/primefaces/primeng/issues/13348)
- DropDown filter search not trimming text and search showing empty [\#13559](https://github.com/primefaces/primeng/issues/13559)
- InputNumber - showClear icon not showing when value is "0" [\#13525](https://github.com/primefaces/primeng/issues/13525)
- fileUpload: choose button is disabled after upload when you chose more files than the file limit [\#13566](https://github.com/primefaces/primeng/issues/13566)
- Component: Pick List [\#13513](https://github.com/primefaces/primeng/issues/13513)
- AutoComplete showClear close icon overlap with loader icon [\#13572](https://github.com/primefaces/primeng/issues/13572)
- calendar year view not work with *maxDate* and *minDate* not working [\#13583](https://github.com/primefaces/primeng/issues/13583)
- Calendar: onModelChange not called with keepInvalid=true if user enters a well-formatted date but outside allowed range [\#13132](https://github.com/primefaces/primeng/issues/13132)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.9-LTS](https://www.npmjs.com/package/primeng/v/15.4.9-lts) (2023-08-30)

**Fixed bugs:**

- Image Component: esc button doesn't close the preview [\#13305](https://github.com/primefaces/primeng/issues/13305)
- Button: p-button executing methods on click when disabled [\#12692](https://github.com/primefaces/primeng/issues/12692)
- Calendar: formArray marked Touched when item gets removed [\#12956](https://github.com/primefaces/primeng/issues/12956)
- pKeyFilter stops Enter key from submitting form in Firefox [\#13246](https://github.com/primefaces/primeng/issues/13246)
- The breakpointsoptions can be ignored when the dialog is maximized [\#13268](https://github.com/primefaces/primeng/issues/13268)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.8-LTS](https://www.npmjs.com/package/primeng/v/15.4.8-lts) (2023-08-16)

**Fixed bugs:**

- FileUpload: when multiple files are selected and more than one has errors only only one message is shown [\#13397](https://github.com/primefaces/primeng/issues/13397)
- TabView | Arrow button stays visible even there is no overflow [\#13478](https://github.com/primefaces/primeng/issues/13478)
- Tooltip | Auto Hide Not Working [\#13482](https://github.com/primefaces/primeng/issues/13482)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.7-LTS](https://www.npmjs.com/package/primeng/v/15.4.7-lts) (2023-08-03)

**Fixed bugs:**

- TabView | Last element is not visible when scrolling=true [\#13371](https://github.com/primefaces/primeng/issues/13371)
- Calendar | Icon is not visible (material compact theme) [\#13123](https://github.com/primefaces/primeng/issues/13123)
- DynamicDialogRef - onClose Observable never completes [\#9732](https://github.com/primefaces/primeng/issues/9732)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.6-LTS](https://www.npmjs.com/package/primeng/v/15.4.6-lts) (2023-07-19)

**Fixed bugs:**

- Slidemenu: Separator class mismatch [\#13279](https://github.com/primefaces/primeng/issues/13279)
- FileUploader: Choose button is missing icon spacing [\#13232](https://github.com/primefaces/primeng/issues/13232)
- In table filter slash icon is not displaying when data is entered in the row filter [\#13222](https://github.com/primefaces/primeng/issues/13222)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.5-LTS](https://www.npmjs.com/package/primeng/v/15.4.5-lts) (2023-06-19)

**Fixed bugs:**

- Button: Loading icon [\#13098](https://github.com/primefaces/primeng/issues/13098)
- FileUpload | File limit does not fire error [\#13129](https://github.com/primefaces/primeng/issues/13129)

**Enhancements:**

- Improve LicenseManager structure

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.4-LTS](https://www.npmjs.com/package/primeng/v/15.4.4-lts) (2023-05-29)

**Fixed bugs:**

- Panel: Custom expand Icon is never showing [\#13074](https://github.com/primefaces/primeng/issues/13074)
- Improve LicenseManager structure

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.3-LTS](https://www.npmjs.com/package/primeng/v/15.4.3-lts) (2023-05-18)

**Fixed bugs:**

- Autocomplete: Clear is not working as expected [\#13026](https://github.com/primefaces/primeng/issues/13026)
- ConfirmDialog: Accept Icon is duplicated [\#13022](https://github.com/primefaces/primeng/issues/13022)
- Button: The button is firing the click event even when it is disabled [\#13042](https://github.com/primefaces/primeng/issues/13042)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [15.4.2-LTS](https://www.npmjs.com/package/primeng/v/15.4.2-lts) (2023-05-05)

**Enhancements:**

- Component: TabMenu should initiate a change detection in itemClick method [\#12744](https://github.com/primefaces/primeng/issues/12744)
- MultiSelect | Pass remove remove method through selectedItems template [\#12939](https://github.com/primefaces/primeng/issues/12939)
- p-inputNumber | ngModelOptions is not taken into account [\#12915](https://github.com/primefaces/primeng/issues/12915)

**Fixed bugs:**

- MultiSelect | maxSelectionLimit not refreshed after clear called [\#12906](https://github.com/primefaces/primeng/issues/12906)
- Component | OverlayPanel [\#12933](https://github.com/primefaces/primeng/issues/12933)
- Table: 'this.el.nativeElement.parentElement is null' for frozen columns which are dynamically generated [\#12748](https://github.com/primefaces/primeng/issues/12748)
- MultiSelect | Alignment is broken if showClear is enabled [\#12932](https://github.com/primefaces/primeng/issues/12932)
- Table | Unable to reorder to the last element in the table after a scroll occurs [\#12493](https://github.com/primefaces/primeng/issues/12493)
- Table: Clear function does not clear all filters [\#12903](https://github.com/primefaces/primeng/issues/12903)
- FocusTrap for nested DynamicDialogs still not working [\#9329](https://github.com/primefaces/primeng/issues/9329)
- Autocomplete: Issue with Virtual Scroll [\#12568](https://github.com/primefaces/primeng/issues/12568)
- InputNumber / AutoFocus: ExpressionChangedAfterItHasBeenCheckedError [\#12559](https://github.com/primefaces/primeng/issues/12559)
- Expanding org chart node raises error [\#12946](https://github.com/primefaces/primeng/issues/12946)
- Touch Control - Thumbnails selects photo randomly when tapping. [\#12943](https://github.com/primefaces/primeng/issues/12943)
- Checkbox in p-treeNode always checked when using custom icon [\#12951](https://github.com/primefaces/primeng/issues/12951)

## [15.4.1](https://github.com/primefaces/primeng/tree/15.4.1) (2023-04-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.4.0...15.4.1)

**Fixed bugs:**

- TreeSelect | Icons are not visible [\#12925](https://github.com/primefaces/primeng/issues/12925)
- Paginator: previous and next button icons not visible  [\#12916](https://github.com/primefaces/primeng/issues/12916)

## [15.4.0](https://github.com/primefaces/primeng/tree/15.4.0) (2023-04-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.3.0...15.4.0)

**Breaking Changes:**

- Deprecate Components [\#12781](https://github.com/primefaces/primeng/issues/12781)

**Implemented New Features and Enhancements:**

- Improve icon implementation in core [\#12839](https://github.com/primefaces/primeng/issues/12839)
- All: Add zone.js 0.13.0 support [\#12851](https://github.com/primefaces/primeng/issues/12851)
- Table / EditableColumn: onEditComplete emitted event data is wrong [\#12822](https://github.com/primefaces/primeng/issues/12822)
- Textarea does not create new line when used in Datatable celleditor, instead completes edit mode [\#10458](https://github.com/primefaces/primeng/issues/10458)

**Fixed bugs:**

- AutoComplete component is not scrolling on arrow down [\#12883](https://github.com/primefaces/primeng/issues/12883)
- p-overlay: Overlay component does not resize correctly [\#12769](https://github.com/primefaces/primeng/issues/12769)
- MegaMenu: at items array item - style or styleClass NOT working [\#12771](https://github.com/primefaces/primeng/issues/12771)
- InputNumber: Input Number spinner buttons right click indefinitely increments/decrements value [\#12813](https://github.com/primefaces/primeng/issues/12813)
- TabMenu - field visible [\#12823](https://github.com/primefaces/primeng/issues/12823)
- PrimeNG Website - Keyboard Copy Command Broken on MacOS [\#12846](https://github.com/primefaces/primeng/issues/12846)
- MultiSelect | Add gap and text ellipsis to multiselect-chip [\#12842](https://github.com/primefaces/primeng/issues/12842)

## [15.3.0](https://github.com/primefaces/primeng/tree/15.3.0) (2023-03-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.2.1...15.3.0)

**Enhancements:**

- Algolia Search 🙂
- Angular Universal Support [\#12810](https://github.com/primefaces/primeng/issues/12810)
- Angular SSR Support - Multiple Components [\#12734](https://github.com/primefaces/primeng/issues/12734)
- Sidebar | Add flex-grow to p-sidebar-content [\#12833](https://github.com/primefaces/primeng/issues/12833)
- Docs: Installation code blocks missing Prism [\#12783](https://github.com/primefaces/primeng/issues/12783)

## [15.2.1](https://github.com/primefaces/primeng/tree/15.2.1) (2023-03-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.2.0...15.2.1)

**New Features:**

- Tooltips: Option to close tooltips with escape [\#12603](https://github.com/primefaces/primeng/issues/12603)

**Enhancements:**

- Various Eslint errors [\#12580](https://github.com/primefaces/primeng/issues/12580)

**Fixed bugs:**

- Calendar | input becomes invalid when navigating [\#12741](https://github.com/primefaces/primeng/issues/12741)
- OverlayPanel target arrow points to the wrong position when target is on the right edge of the screen [\#10484](https://github.com/primefaces/primeng/issues/10484)
- p-image inside p-scrollPanel - Scrollbar shows through image [\#12554](https://github.com/primefaces/primeng/issues/12554)
- InputNumber | does not update the input value onInput [\#12733](https://github.com/primefaces/primeng/issues/12733)
- Overlay | modal does not destroy on hide (w/responsiveOptions) [\#12747](https://github.com/primefaces/primeng/issues/12747)

## [15.2.0](https://github.com/primefaces/primeng/tree/15.2.0) (2023-01-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.1.1...15.2.0)
**New Features:**

- Free premium themes [\#12561](https://github.com/primefaces/primeng/issues/12561)
- Password | Add maxlength [\#12531](https://github.com/primefaces/primeng/issues/12531)

**Enhancements:**

- Migrate to eslint [\#12577](https://github.com/primefaces/primeng/issues/12577)

**Fixed bugs:**

- Menubar: Overflow problem [\#12549](https://github.com/primefaces/primeng/issues/12549)
- DynamicDialog need to steal focus [\#12319](https://github.com/primefaces/primeng/issues/12319)
- ContextMenu | triggerEvent="click" does not have any effect [\#12532](https://github.com/primefaces/primeng/issues/12532)
- Sidebar: onHide ist emitted twice [\#12564](https://github.com/primefaces/primeng/issues/12564)
- Calendar: Shows null values when date is passed from iframe [\#12555](https://github.com/primefaces/primeng/issues/12555)
- pFocusTrap: ignoring anchor tags as focusable elements [\#12527](https://github.com/primefaces/primeng/issues/12527)
- Rendering RadioButton inside Table column error [\#12511](https://github.com/primefaces/primeng/issues/12555)
- Panel menu with submenu expanded by itself when in sideBar [\#12173](https://github.com/primefaces/primeng/issues/12173)
- VirtualScroller | fails to initalize correctly inside tabView [\#12542](https://github.com/primefaces/primeng/issues/12542)

## [15.1.0](https://github.com/primefaces/primeng/tree/15.1.1) (2023-01-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.1.0...15.1.1)
**Fixed bugs:**

- Dropdown and Multiselect: ERROR TypeError: value.trim is not a function [\#12525](https://github.com/primefaces/primeng/issues/12525)
- Dropdown virtualScroll filter bug [\#12461](https://github.com/primefaces/primeng/issues/12461)

## [15.1.0](https://github.com/primefaces/primeng/tree/15.1.0) (2023-01-18)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.0.1...15.1.0)

**New Features:**

- pStyleClass | hideOnEscape support [\#12429](https://github.com/primefaces/primeng/issues/12429)
- MultiSelect: Add event onRemove [\#12460](https://github.com/primefaces/primeng/issues/12460)
- Overlay | close on escape key [\#12474](https://github.com/primefaces/primeng/issues/12474)
- Accordion | Add new style and styleClass properties [\#12432](https://github.com/primefaces/primeng/issues/12432)
- ProgressBar: Color for the background of the progress [\#12374](https://github.com/primefaces/primeng/issues/12374)
- Badge Attribute - Size option [\#12205](https://github.com/primefaces/primeng/issues/12205)
- DataView: add gridStyleClass to customize the grid class [\#12448](https://github.com/primefaces/primeng/issues/12448)
- Customizable hide timeout for Menubar on mouse leave [\#12454](https://github.com/primefaces/primeng/issues/12454)

**Enhancements:**

- Update to Angular 15.1.0 [\#12487](https://github.com/primefaces/primeng/issues/12487)
- Tree with autoSize virtualScrollOptions, Scroller does not update its size to fit parent on size changed [\#12492](https://github.com/primefaces/primeng/issues/12492)
- no option to generate csv the whole entire data when the table is filtered [\#12436](https://github.com/primefaces/primeng/issues/12436)

**Fixed bugs:**

- InputMask | numbers entered in the middle of the field, get moved to the left [\#12426](https://github.com/primefaces/primeng/issues/12426)
- pFocusTrap: focus stuck when ancestor of tabbable element is hidden [\#12349](https://github.com/primefaces/primeng/issues/12349)
- Tabmenu | menuItem API badge does not work [\#12503](https://github.com/primefaces/primeng/issues/12503)
- Dynamic Dialog | Focus is broken in case of nested dialogs [\#12486](https://github.com/primefaces/primeng/issues/12486)
- Button | incorrect work with dynamic classes [\#12456](https://github.com/primefaces/primeng/issues/12456)
- Component: Dialog/Dynamic Dialog Mask Not Clearing [\#12456](https://github.com/primefaces/primeng/issues/12456)
- Table: pReorderableRowHandle directive generates error TS2322: Type 'string' is not assignable to type 'number' [\#12416](https://github.com/primefaces/primeng/issues/12416)
- p-dropdown: option displays "empty" when value is 0 (zero) instead of the actual value 0 [\#12455](https://github.com/primefaces/primeng/issues/12455)
- PrimeNG dropdown not properly highlighting selected items when appendTo="body" [\#12256](https://github.com/primefaces/primeng/issues/12256)

## [15.0.1](https://github.com/primefaces/primeng/tree/15.0.1) (2023-01-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.0.0...15.0.1)

**New Features:**

- Center content to Toolbar [\#12365](https://github.com/primefaces/primeng/issues/12365)

**Enhancements:**

- Table/TreeTable: filters property might have undefined value when access by key [\#12321](https://github.com/primefaces/primeng/issues/12321)
- p-columnFilterFormElement with custom template can't adapt according to the matchMode [\#11466](https://github.com/primefaces/primeng/issues/11466)
- Add gap when Toolbar wraps [\#12366](https://github.com/primefaces/primeng/issues/12366)
- Deprecate Toolbar CSS classes [\#12364](https://github.com/primefaces/primeng/issues/12364)

**Fixed bugs:**

- MultiSelect: onPanelHide triggers twice [\#12382](https://github.com/primefaces/primeng/issues/12382)
- Calendar: wrong logic of disabling the month [\#12330](https://github.com/primefaces/primeng/issues/12330)
- Tab key in p-dialog with p-InputNumber [\#9380](https://github.com/primefaces/primeng/issues/9380)
- Component: TabMenu incorrectly checks if routerLink is active [\#11999](https://github.com/primefaces/primeng/issues/11999)
- FileUpload: Upload button does not expand when text is added [\#12420](https://github.com/primefaces/primeng/issues/12420)
- Chips | Remove extra bottom spacing [\#12419](https://github.com/primefaces/primeng/issues/12419)
- Tree with virtualScroll: Inconsistent focus [\#12351](https://github.com/primefaces/primeng/issues/12351)
- Password: Eye icon problem in MS Edge and IE [\#12335](https://github.com/primefaces/primeng/issues/12335)
- Button: Directive class on label change [\#12083](https://github.com/primefaces/primeng/issues/12083)
- Table: Resizable columns in expand mode with state feature. Column sizes not properly restored [\#12398](https://github.com/primefaces/primeng/issues/12398)
- Password input with reactive form, does not disable until clicked even though control is reported as disabled [\#12317](https://github.com/primefaces/primeng/issues/12317)
- Tree: Multiple Selection with Checkbox - double click on chevron makes subtree to be selected [\#12347](https://github.com/primefaces/primeng/issues/12347)
- VirtualScroll | autoSize = "true" causes browser freeze [\#12377](https://github.com/primefaces/primeng/issues/12377)
- inputNumber | Unnecessary focus on up/down buttons [\#12369](https://github.com/primefaces/primeng/issues/12369)
- Bug report: users are allowed to focus a speed dial action while the action panel is hidden [\#11238](https://github.com/primefaces/primeng/issues/11238)

## [15.0.0](https://github.com/primefaces/primeng/tree/15.0.0) (2022-12-12)

[Full Changelog](https://github.com/primefaces/primeng/compare/15.0.0-rc.1...15.0.0)

**New Features:**

- TabMenu: Tab selection is not actionable due to missing output [\#12310](https://github.com/primefaces/primeng/issues/12310)
- pAnimate | Add leaveClass for leave animation [\#12222](https://github.com/primefaces/primeng/issues/12222)

**Enhancements:**

- Ripple doesn't support FontAwesome SVG Kit for Button/Menu/etc [\#9853](https://github.com/primefaces/primeng/issues/9853)
- MultiSelect | Add selected value to original event [\#12059](https://github.com/primefaces/primeng/issues/12059)

**Fixed bugs:**

- PrimeNG Table OnEditComplete passing empty event parameters once fired [\#12299](https://github.com/primefaces/primeng/issues/12299)
- Galleria: change detection not working when changing some input properties [\#12181](https://github.com/primefaces/primeng/issues/12181)
- Editor: Not displaying correctly in dialog after content change and dialog reopen [\#12195](https://github.com/primefaces/primeng/issues/12195)
- DataView: DataView shows Empty Message even if loading [\#12157](https://github.com/primefaces/primeng/issues/12157)
- ToggleButton | Label of basic button is unexpectedly shifted to the left [\#12216](https://github.com/primefaces/primeng/issues/12216)
- Calendar | Unexpected focus happens in disabled mode [\#12282](https://github.com/primefaces/primeng/issues/12282)
- Component: OverlayPanel [\#12273](https://github.com/primefaces/primeng/issues/12273)
- Input in Overlaypanel won't have focus [\#12284](https://github.com/primefaces/primeng/issues/12284)
- Header of scrollable Table covers menubar menu [\#12281](https://github.com/primefaces/primeng/issues/12281)
- Component: Block UI - JEST error when destroy component if 'mask' is undefined [\#12254](https://github.com/primefaces/primeng/issues/12254)
- tsConfig target:"ES2022" causes reference error on Safari v15.6 [\#12302](https://github.com/primefaces/primeng/issues/12302)

## [15.0.0-rc.1](https://github.com/primefaces/primeng/tree/15.0.0-rc.1) (2022-11-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/14.2.2...15.0.0-rc.1)

**Enhancements:**

- Add Angular 15 support [\#12243](https://github.com/primefaces/primeng/issues/12243)

**Fixed bugs:**

- pFileUpload | button does not render correctly in basic mode if chooseLabel is null or undefined [\#12270](https://github.com/primefaces/primeng/issues/12270)
- Carousel wrong pagination if numScroll is set to 1 and data is loaded dynamically [\#12043](https://github.com/primefaces/primeng/issues/12043)
- Sidebar: Footer Templating [\#12259](https://github.com/primefaces/primeng/issues/12259)
- Calendar: Day names don't update [\#12148](https://github.com/primefaces/primeng/issues/12148)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.17-LTS](https://www.npmjs.com/package/primeng/v/14.2.17-lts) (2023-12-28)

**Fixed bugs:**

- LTS 14 & 16 - Update LicenseManager and fix the false version check [\#14449](https://github.com/primefaces/primeng/issues/14449)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.16-LTS](https://www.npmjs.com/package/primeng/v/14.2.16-lts) (2023-11-17)

**Fixed bugs:**

- Fileupload component disables upload button [\#14046](https://github.com/primefaces/primeng/issues/14046)
- MultiSelect: Label does not properly update when properties change [\#13862](https://github.com/primefaces/primeng/issues/13862)
- p-message/p-toast: long details squeezed closeButton [\#14125](https://github.com/primefaces/primeng/issues/14125)
- Autocomplete: deleting search term causes ExpressionChangedAfterItHasBeenCheckedError [\#14001](https://github.com/primefaces/primeng/issues/14001)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.15-LTS](https://www.npmjs.com/package/primeng/v/14.2.15-lts) (2023-11-08)

**Fixed bugs:**

- Overlay: p-overlay div not removed from DOM on hiding panel [\#12948](https://github.com/primefaces/primeng/issues/12948)
- Table / EditableColumn: onEditComplete emitts old data value and not the new one as documented [\#13708](https://github.com/primefaces/primeng/issues/13708)
- FileUpload: Input Triggered on Any Mouse Click [\#13722](https://github.com/primefaces/primeng/issues/13722)
- Dialog: bad drag behavior when keepInViewport is false [\#13856](https://github.com/primefaces/primeng/issues/13856)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.14-LTS](https://www.npmjs.com/package/primeng/v/14.2.14-lts) (2023-10-19)

**Fixed bugs:**

- Password | Incorrect placement of close icon when [toggleMask]="true" [\#13817](https://github.com/primefaces/primeng/issues/13817)
- Multiselect: Chips: Delete button not visible if label is too wide [\#13816](https://github.com/primefaces/primeng/issues/13816)
- Multiselect: Incorrect view with selected items [\#13654](https://github.com/primefaces/primeng/issues/13654)
- Textarea: autoResize doesn't work when used inside a Dialog [\#9231](https://github.com/primefaces/primeng/issues/9231)
- Table | Column widths are not recalculated w/resize + drag & drop #38 [\#13875](https://github.com/primefaces/primeng/issues/13875)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.13-LTS](https://www.npmjs.com/package/primeng/v/14.2.13-lts) (2023-10-04)

**Fixed bugs:**

- Calendar: onModelChange not called with keepInvalid=true if user enters a well-formatted date but outside allowed range [\#13132](https://github.com/primefaces/primeng/issues/13132)
- calendar year view not work with *maxDate* and *minDate* not working [\#13583](https://github.com/primefaces/primeng/issues/13583)
- p-calendar: Cannot read properties of undefined (reading 'length') [\#13348](https://github.com/primefaces/primeng/issues/13348)
- Component: Pick List [\#13513](https://github.com/primefaces/primeng/issues/13513)
- AutoComplete showClear close icon overlap with loader icon [\#13572](https://github.com/primefaces/primeng/issues/13572)
- fileUpload: choose button is disabled after upload when you chose more files than the file limit [\#13566](https://github.com/primefaces/primeng/issues/13566)
- Component: Carousel add better playing status support [\#12706](https://github.com/primefaces/primeng/issues/12706)
- InputNumber - showClear icon not showing when value is "0" [\#13525](https://github.com/primefaces/primeng/issues/13525)
- Dropdown: Escape Key event not default prevented [\#13463](https://github.com/primefaces/primeng/issues/13463)
- p-splitter: nested panels should have min-width: 0 to leverage flex-basis correctly [\#13323](https://github.com/primefaces/primeng/issues/13323)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.12-LTS](https://www.npmjs.com/package/primeng/v/14.2.12-lts) (2023-08-30)

- DropDown filter search not trimming text and search showing empty [\#13559](https://github.com/primefaces/primeng/issues/13559)
- Autocomplete Force Selection case sensitive issue [\#13578](https://github.com/primefaces/primeng/issues/13578)
- The breakpointsoptions can be ignored when the dialog is maximized [\#13268](https://github.com/primefaces/primeng/issues/13268)
- Calendar: formArray marked Touched when item gets removed [\#12956](https://github.com/primefaces/primeng/issues/12956)
- Button: p-button executing methods on click when disabled [\#12692](https://github.com/primefaces/primeng/issues/12692)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.11-LTS](https://www.npmjs.com/package/primeng/v/14.2.11-lts) (2023-08-16)

**Fixed bugs:**

- FileUpload: when multiple files are selected and more than one has errors only only one message is shown [\#13397](https://github.com/primefaces/primeng/issues/13397)
- TabView | Arrow button stays visible even there is no overflow [\#13478](https://github.com/primefaces/primeng/issues/13478)
- Image Component: esc button doesn't close the preview [\#13305](https://github.com/primefaces/primeng/issues/13305)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.10-LTS](https://www.npmjs.com/package/primeng/v/14.2.10-lts) (2023-08-03)

**Fixed bugs:**

- Slidemenu: Separator class mismatch [\#13279](https://github.com/primefaces/primeng/issues/13279)
- TabView | Last element is not visible when scrolling=true [\#13371](https://github.com/primefaces/primeng/issues/13371)
- DynamicDialogRef - onClose Observable never completes [\#9732](https://github.com/primefaces/primeng/issues/9732)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.9-LTS](https://www.npmjs.com/package/primeng/v/14.2.9-lts) (2023-06-19)

**Fixed bugs:**

- FileUpload | File limit does not fire error [\#13129](https://github.com/primefaces/primeng/issues/13129)

**Enhancements:**

- Improve LicenseManager structure

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.8-LTS](https://www.npmjs.com/package/primeng/v/14.2.8-lts) (2023-05-30)

**Fixed bugs:**

- VirtualScroller | fails to initalize correctly inside tabView [\#12542](https://github.com/primefaces/primeng/issues/12542)
- Menubar: Overflow Problem [\#12549](https://github.com/primefaces/primeng/issues/12549)
- Reimplement LicenseManager structure

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.7-LTS](https://www.npmjs.com/package/primeng/v/14.2.7-lts) (2023-05-18)

**Fixed bugs:**

- MultiSelect | maxSelectionLimit not refreshed after clear called [\#12906](https://github.com/primefaces/primeng/issues/12906)
- MultiSelect | onPanelHide triggers twice [\#12382](https://github.com/primefaces/primeng/issues/12382)
- Button | The button is firing the click event even when it is disabled [\#13042](https://github.com/primefaces/primeng/issues/13042)
- pFocusTrap: focus stuck when ancestor of tabbable element is hidden [\#12349](https://github.com/primefaces/primeng/issues/12349)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.6-LTS](https://www.npmjs.com/package/primeng/v/14.2.6-lts) (2023-05-05)

**Enhancements:**

- Sidebar | Add flex-grow to p-sidebar-content [\#12833](https://github.com/primefaces/primeng/issues/12833)

**Fixed bugs:**

- DynamicDialog | FocusTrap for nested DynamicDialogs still not working [\#9329](https://github.com/primefaces/primeng/issues/9329)
- Autocomplete| Issue with Virtual Scroll [\#12568](https://github.com/primefaces/primeng/issues/12568)
- OrganizationChart | Expanding org chart node raises error [\#12946](https://github.com/primefaces/primeng/issues/12946)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.5-LTS](https://www.npmjs.com/package/primeng/v/14.2.5-lts) (2023-04-26)

**Fixed bugs:**

- Table: Clear function does not clear all filters [\#12903](https://github.com/primefaces/primeng/issues/12903)
- InputNumber | ngModelOptions is not taken into account [\#12915](https://github.com/primefaces/primeng/issues/12915)
- OverlayPanel | Error: Cannot read properties of null [\#12933](https://github.com/primefaces/primeng/issues/12933)
- MultiSelect | Pass remove remove method through selectedItems template [\#12939](https://github.com/primefaces/primeng/issues/12939)
- Table | Unable to reorder to the last element in the table after a scroll occurs [\#12493](https://github.com/primefaces/primeng/issues/12493)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [14.2.4-LTS](https://www.npmjs.com/package/primeng/v/14.2.4-lts) (2023-04-19)

**Fixed bugs:**

- InputNumber | Unnecessary focus on up/down buttons [\#12369](https://github.com/primefaces/primeng/issues/12369)
- Sidebar: onHide ist emitted twice [\#12564](https://github.com/primefaces/primeng/issues/12564)
- Calendar | input becomes invalid when navigating [\#12741](https://github.com/primefaces/primeng/issues/12741)
- Button: Directive class on label change [\#12083](https://github.com/primefaces/primeng/issues/12083)
- InputNumber | does not update the input value onInput [\#12733](https://github.com/primefaces/primeng/issues/12733)

## [14.2.3](https://github.com/primefaces/primeng/tree/14.2.3) (2022-12-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/14.2.2...14.2.3)

**Fixed bugs:**

- Table | On col reorder the col destination position indicators are not shown properly [\#12379](https://github.com/primefaces/primeng/issues/12379)

## [14.2.2](https://github.com/primefaces/primeng/tree/14.2.2) (2022-11-16)

[Full Changelog](https://github.com/primefaces/primeng/compare/v14.2.1...14.2.2)

**Enhancements:**

- Add zone.js 0.12.0 support [\#12231](https://github.com/primefaces/primeng/issues/12231)
- Component: Messages - automatic closing/dismissal [\#11969](https://github.com/primefaces/primeng/issues/11969)
- Component: Badge [\#12170](https://github.com/primefaces/primeng/issues/12170)
- PrimeNG Table OnEditComplete fired by Tab [\#12160](https://github.com/primefaces/primeng/issues/12160)

**Fixed bugs:**

- Frozen columns overlap when scrolling [\#12230](https://github.com/primefaces/primeng/issues/12230)
- TreeSelect: panelClass not working [\#12221](https://github.com/primefaces/primeng/issues/12221)
- uploadLabel is not working on basic mode of the FileUploadModule module [\#12019](https://github.com/primefaces/primeng/issues/12019)
- Component: ContextMenu is not aligned properly when the document is scrolled [\#12011](https://github.com/primefaces/primeng/issues/12011)
- Dynamic Dialog Ref crashes the App on close [\#11230](https://github.com/primefaces/primeng/issues/11230)
- p-slider: In Range mode, the slider gets stuck if the range min value is equal or superior to the range max value [\#12175](https://github.com/primefaces/primeng/issues/12175)
- pAutoFocus | Does not work if element has 'p-disabled' class [\#12176](https://github.com/primefaces/primeng/issues/12176)
- Toggleable fieldset inside another toggleable fieldset has its content visible when collapsed by deafult [\#11736](https://github.com/primefaces/primeng/issues/11736)
- p-dropdown : Overlay issue on hide [\#12189](https://github.com/primefaces/primeng/issues/12189)
- Button: Label Element not found [\#12172](https://github.com/primefaces/primeng/issues/12172)
- Accordion Panel within an Accordion Panel is broken [\#11848](https://github.com/primefaces/primeng/issues/11848)

## [14.2.1](https://github.com/primefaces/primeng/tree/14.2.1) (2022-11-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/v14.2.0...14.2.1)

**Fixed bugs:**

- 14.2.0 TS2380 in overlay.d.ts [\#12159](https://github.com/primefaces/primeng/issues/12159)

## [14.2.0](https://github.com/primefaces/primeng/tree/14.2.0) (2022-11-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/v14.1.2...14.2.0)

**Breaking changes:**

- Remove p-fullCalendar component [\#12152](https://github.com/primefaces/primeng/issues/12152)
- Table CSS Improvements [\#12047](https://github.com/primefaces/primeng/issues/12047)

**New Features:**

- Chips | Allow multiple seperators [\#12089](https://github.com/primefaces/primeng/issues/12089)
- pAnimate Directive [\#12057](https://github.com/primefaces/primeng/issues/12057)
- Component: Overlay [\#12031](https://github.com/primefaces/primeng/issues/12031)
- TreeSelect | replace overlay with p-overlay [\#12116](https://github.com/primefaces/primeng/issues/12116)
- MultiSelect | replace overlay with p-overlay [\#12110](https://github.com/primefaces/primeng/issues/12110)
- Add appendOnly option to Scroller API [\#12142](https://github.com/primefaces/primeng/issues/12142)
- Add step option to Scroller API [\#12141](https://github.com/primefaces/primeng/issues/12141)
- Sidebar | Add footer template [\#12117](https://github.com/primefaces/primeng/issues/12117)
- Sidebar | Add header template [\#12025](https://github.com/primefaces/primeng/issues/12025)
- add panelStyle and panelStyleClass properties to components [\#11917](https://github.com/primefaces/primeng/issues/11917)
- TreeSelect | Add styleClass and style support for container and label [\#11982](https://github.com/primefaces/primeng/issues/11982)
- Rating | Templating support [\#12156](https://github.com/primefaces/primeng/issues/12156)

**Enhancements:**

- Improve Scroller and DataTable with virtualScroller implementation [\#12120](https://github.com/primefaces/primeng/issues/12120)
- Table: VirtualScroll + Lazy Load incorrectly paginates load requests, displays loadingbody too frequently [\#11789](https://github.com/primefaces/primeng/issues/11789)
- RowSpan Grouping does not work on DataTable with virtualScroll feature [\#10851](https://github.com/primefaces/primeng/issues/10851)
- InputNumber | Pass formattedValue to input event [\#12070](https://github.com/primefaces/primeng/issues/12070)
- Table CSS Improvements [\#12047](https://github.com/primefaces/primeng/issues/12047)
- Add flex-gap to p-chips and autocomplete multiple input container [\#11985](https://github.com/primefaces/primeng/issues/11985)

**Fixed bugs:**

- inputNumber | minFractionDigits fails if set to "0" when using with a suffix [\#11902](https://github.com/primefaces/primeng/issues/11902)
- MenuBar: Menu Icon in mobile view is shown even though there are no items in model [\#12084](https://github.com/primefaces/primeng/issues/12084)
- Button | Renders empty label when the label is not defined [\#9482](https://github.com/primefaces/primeng/issues/9482)
- The scrollToVirtualIndexmethod is not working as expected on Table [\#11948](https://github.com/primefaces/primeng/issues/11948)
- Incorrect class assignment for true value of toggleMask in the password component [\#12147](https://github.com/primefaces/primeng/issues/12147)
- DataTable: Multiple sorting with Date field as first sort [\#11918](https://github.com/primefaces/primeng/issues/11918)
- VirtualScroller triggers onLazyLoad event even though there is no scroll event [\#11987](https://github.com/primefaces/primeng/issues/11987)
- primeicons.ts not updated for v6 missing strings [\#12105](https://github.com/primefaces/primeng/issues/12105)
- Slider: The slider when I reset the values the style of the bar is not modified [\#12093](https://github.com/primefaces/primeng/issues/12093)
- Cannot bind "pAutoFocus" [\#12090](https://github.com/primefaces/primeng/issues/12090)
- InputNumber | Support highlight on focus property [\#12077](https://github.com/primefaces/primeng/issues/12077)
- Table | ReferenceError: Cannot access 'ColumnFilter' before initialization [\#11931](https://github.com/primefaces/primeng/issues/11931)
- p-treeSelect: selectionMode="checkbox" and showClear="true" doesn't work properly [\#12050](https://github.com/primefaces/primeng/issues/12050)
- Chips | Cannot remove p-focus (Firefox) [\#12016](https://github.com/primefaces/primeng/issues/12016)
- Autocomplete value remains the old when entered text changed [\#12027](https://github.com/primefaces/primeng/issues/12027)
- Dropdown selecting an unwanted option when pressing Control key on the keyboard [\#11889](https://github.com/primefaces/primeng/issues/11889)
- TreeSelect selection expands sibling nodes above the selection [\#11224](https://github.com/primefaces/primeng/issues/11224)

## [14.1.2](https://github.com/primefaces/primeng/tree/14.1.2) (2022-09-28)

[Full Changelog](https://github.com/primefaces/primeng/compare/v14.1.1...14.1.2)

**Fixed bugs:**

- Calendar view="month" and selectionMode="range" not working properly. [\#11153](https://github.com/primefaces/primeng/issues/11153)
- MenuItem visible property not working in Menu p-menu with sub items. [\#11928](https://github.com/primefaces/primeng/issues/11928)
- Chips | Clear icon is not visible with long text content. [\#11957](https://github.com/primefaces/primeng/issues/11957)
- Float Label always above dropdown when using reactive forms. [\#10964](https://github.com/primefaces/primeng/issues/10964)

**Enhancements:**

- Add onError event to image contents. [\#11945](https://github.com/primefaces/primeng/issues/11945)

**New Features:**

- CascadeSelect | Add panelStyle and panelStyleClass. [\#11943](https://github.com/primefaces/primeng/issues/11943)

## [14.1.1](https://github.com/primefaces/primeng/tree/v14.1.1) (2022-09-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/v14.1.0...v14.1.1)

**Fixed bugs:**

- Table "Sticky" headers fail to "stick" when a table is placed inside an Accordion panel [\#11924](https://github.com/primefaces/primeng/issues/11924)
- Ripple is triggered when not properly destroyed [\#11933](https://github.com/primefaces/primeng/issues/11933)

## [14.1.0](https://github.com/primefaces/primeng/tree/v14.1.0) (2022-09-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/14.0.2...v14.1.0)

**New Features:**

- TieredMenu | onShow/onHide event support [\#11727](https://github.com/primefaces/primeng/issues/11727)
- Draggable and Resizable DynamicDialog [\#7811](https://github.com/primefaces/primeng/issues/7811)

**Fixed bugs:**

- SelectButton | throws a exception when options are changed [\#11915](https://github.com/primefaces/primeng/issues/11915)
- Table Module: Export ColumnFilterFormElement [\#11733](https://github.com/primefaces/primeng/issues/11733)
- p-slider: Entering a decimal value without a preceding number before decimal point gives error [\#11790](https://github.com/primefaces/primeng/issues/11790)
- p-dropdown: FormControl loses value if it contains a value not in options and options array is updated [\#11645](https://github.com/primefaces/primeng/issues/11645)
- p-slider: Range slider with a step has the middle bar lag behind by one update [\#11749](https://github.com/primefaces/primeng/issues/11749)
- Table: Unhandled exception if multiSortMeta array is empty [\#11868](https://github.com/primefaces/primeng/issues/11868)
- Galleria: GalleriaItem activeItem has stale reference when value array is changed [\#11882](https://github.com/primefaces/primeng/issues/11882)
- fileUpload | Notification messages not work [\#11886](https://github.com/primefaces/primeng/issues/11886)
- Table: Column resize not working with minimum width [\#11873](https://github.com/primefaces/primeng/issues/11873)
- p-confirmPopup: Does not show even with a valid target [\#11831](https://github.com/primefaces/primeng/issues/11831)
- ListBox: Incorrect value for "aria-multiselectable" attribute ( WCAG: 4.1.2 violation) [\#11743](https://github.com/primefaces/primeng/issues/11743)

**Enhancements:**

- Carousel SSR broken [\#8447](https://github.com/primefaces/primeng/issues/8447)
- DynamicDialog: Add generic support to DynamicDialogConfig [\#11665](https://github.com/primefaces/primeng/issues/11665)
- InputNumber | Do not swallow Enter key press event [\#11913](https://github.com/primefaces/primeng/issues/11913)
- InputSwitch | Add event type to onChange emitter [\#11912](https://github.com/primefaces/primeng/issues/11912)
- Table | add showButtons input to inputNumber in ColumnFilter [\#11881](https://github.com/primefaces/primeng/issues/11881)
- FileUploader | StyleClass support for buttons [\#11884](https://github.com/primefaces/primeng/issues/11884)

## [14.0.2](https://github.com/primefaces/primeng/tree/14.0.2) (2022-08-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/v14.0.1...14.0.2)

**Fixed bugs:**

- Table Sticky Footer doesn't work with VirtualScroll on DataTable [\#11819](https://github.com/primefaces/primeng/issues/11819)
- Table | ColumnFilter overlay not closing after clicked an input element inside the container [\#11822](https://github.com/primefaces/primeng/issues/11822)
- pColumnFilter | Filter is applied by adding a new constraint [\#11841](https://github.com/primefaces/primeng/issues/11841)
- Table | LazyLoad emits before onPage event [\#11843](https://github.com/primefaces/primeng/issues/11843)
- Accordion Panel within an Accordion Panel is broken [\#11848](https://github.com/primefaces/primeng/issues/11848)
- TabView | inkbar does not work correctly [\#11855](https://github.com/primefaces/primeng/issues/11855)
- Table | Header and Footer have no background color with virtualScroller [\#11858](https://github.com/primefaces/primeng/issues/11858)
- p-autoComplete : onHide firing on destroy [\#11839](https://github.com/primefaces/primeng/issues/11839)
- Dropdown: Allow empty string while not showing clear button [\#11836](https://github.com/primefaces/primeng/issues/11836)
- Editor: Not displaying content correctly in dialog [\#11814](https://github.com/primefaces/primeng/issues/11814)
- FileUpload | The error message does not disappear correctly when removing file(s), to match your file limit [\#11799](https://github.com/primefaces/primeng/issues/11799)
- TreeSelect: style and type attribute of TreeNode API doesn't work [\#11761](https://github.com/primefaces/primeng/issues/11761)
- p-radioButton: can't get the value from onClick event [\#11861](https://github.com/primefaces/primeng/issues/11861)

## [14.0.1](https://github.com/primefaces/primeng/tree/v14.0.1) (2022-08-11)

[Full Changelog](https://github.com/primefaces/primeng/compare/14.0.0...v14.0.1)

**New Features:**

- Add pAutoFocus directive to fix broken autoFocus property of components [\#11807](https://github.com/primefaces/primeng/issues/11807)

**Fixed bugs:**

- p-calendar in p-dialog with touchUI=true and inline=true clicking year and dismissing modal raises errors [\#11649](https://github.com/primefaces/primeng/issues/11649)
- OverlayPanel | Close icon overflows in small screen (flipped) [\#11796](https://github.com/primefaces/primeng/issues/11796)
- Error on adding an item to an empty tab panel [\#11454](https://github.com/primefaces/primeng/issues/11454)
- cascadeSelect: showClear button not display after the second time value selected [\#11769](https://github.com/primefaces/primeng/issues/11769)
- Empty messages are not displayed in the components with grouped options [\#11803](https://github.com/primefaces/primeng/issues/11803)
- The close button doesn't have correct styling on focus state in MultiSelect [\#11802](https://github.com/primefaces/primeng/issues/11802)
- Table: VirtualScroll not detecting changes of data [\#11771](https://github.com/primefaces/primeng/issues/11771)
- DataTable with virtual scroll and expand mode is not working as expected [\#11801](https://github.com/primefaces/primeng/issues/11801)

## [14.0.0](https://github.com/primefaces/primeng/tree/14.0.0) (2022-07-18)

[Full Changelog](https://github.com/primefaces/primeng/compare/14.0.0-rc.1...14.0.0)

**Enhancements:**

- Tree | scrollTo, scrollToVirtualIndex, onScroll, and onScrollIndexChange support [\#11697](https://github.com/primefaces/primeng/issues/11697)

**Fixed bugs:**

- Table Resize | Expand mode not working with Virtual Scroll [\#11717](https://github.com/primefaces/primeng/issues/11717)
- p-calendar is hidden while in a p-panel [\#11685](https://github.com/primefaces/primeng/issues/11685)
- Badge: Whitespaces are added before & after string [\#11627](https://github.com/primefaces/primeng/issues/11627)
- P-Tree: Duplicated render [\#11669](https://github.com/primefaces/primeng/issues/11669)
- The scrollTo method is not working as expected on Scroller API [\#11675](https://github.com/primefaces/primeng/issues/11675)
- Dropdown: Options grouping feature is not working [\#11672](https://github.com/primefaces/primeng/issues/11672)

## [14.0.0-rc.1](https://github.com/primefaces/primeng/tree/14.0.0-rc.1) (2022-06-29)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.4.1...14.0.0-rc.1)

**Breaking changes:**

- Reimplement virtual scroll feature on Table [\#11664](https://github.com/primefaces/primeng/issues/11664)
- Reimplement virtual scroll feature on TreeTable [\#11663](https://github.com/primefaces/primeng/issues/11663)
- Reimplement virtual scroll feature on Tree [\#11662](https://github.com/primefaces/primeng/issues/11662)
- Reimplement virtual scroll feature on MultiSelect [\#11661](https://github.com/primefaces/primeng/issues/11661)
- Reimplement virtual scroll feature on Dropdown [\#11660](https://github.com/primefaces/primeng/issues/11660)
- Reimplement virtual scroll feature on AutoComplete [\#11659](https://github.com/primefaces/primeng/issues/11659)
- Reimplement virtual scroll feature on VirtualScroller [\#11658](https://github.com/primefaces/primeng/issues/11658)

**Implemented New Features and Enhancements:**

- Support Angular 14 [\#11586](https://github.com/primefaces/primeng/issues/11586)
- Add forceUpdate option to LazyLoadEvent [\#11668](https://github.com/primefaces/primeng/issues/11668)
- MultiSelect, ListBox, Dropdown | Filter template support [\#11628](https://github.com/primefaces/primeng/issues/11628)
- Floating label with placeholder [\#11508](https://github.com/primefaces/primeng/issues/11508)
- Add color-scheme style to Themes [\#11657](https://github.com/primefaces/primeng/issues/11657)
- New Component: Scroller [\#11656](https://github.com/primefaces/primeng/issues/11656)
- Badge option for MenuComponents [\#10201](https://github.com/primefaces/primeng/issues/10201)
- OrderList | Templating support for filter [\#11611](https://github.com/primefaces/primeng/issues/11611)
- Add maskStyleClass property in DialogService [\#11569](https://github.com/primefaces/primeng/issues/11569)
- Tooltip | fit-content support [\#11502](https://github.com/primefaces/primeng/issues/11502)

**Fixed bugs:**

- Dropdown method "show" not working [\#11648](https://github.com/primefaces/primeng/issues/11648)
- Scrolling in a t-table that implements virtual scrolling and lazy loading bugs out the header of the t-table [\#10630](https://github.com/primefaces/primeng/issues/10630)
- Dropdown | ng-dirty issue when options are set by a service call [\#11634](https://github.com/primefaces/primeng/issues/11634)
- Dialog bottom has no border radius when footer does not exist [\#11626](https://github.com/primefaces/primeng/issues/11626)
- AutoComplete showClear is not working when dropdown is enabled [\#11592](https://github.com/primefaces/primeng/issues/11592)
- Event listeners not removed for ReorderableRow and ReorderableColumn [\#11414](https://github.com/primefaces/primeng/issues/11414)
- Image Toolbar hidden behind large image in preview mode [\#11561](https://github.com/primefaces/primeng/issues/11561)
- Overlay with hideTransitionOptions leads to TypeError: Cannot read properties of null (reading 'offsetHeight') [\#11405](https://github.com/primefaces/primeng/issues/11405)
- Bug(calendar): yearpicker wont show value with reactive forms [\#11223](https://github.com/primefaces/primeng/issues/11223)
- Tabmenu set as scrollable show forward button when no needed [\#11415](https://github.com/primefaces/primeng/issues/11415)
- Tabmenu with routerLink items doesn't show offscreen item when reloaded [\#11411](https://github.com/primefaces/primeng/issues/11411)
- Dropdown stays with red border after form reset [\#11503](https://github.com/primefaces/primeng/issues/11503)
- The overlay elements automatically close on mobile devices [\#11567](https://github.com/primefaces/primeng/issues/11567)
- Toast | wrong zIndex problem [\#11563](https://github.com/primefaces/primeng/issues/11563)
- ConfirmDialog | keeps raising z-index in whole application [\#11523](https://github.com/primefaces/primeng/issues/11523)
- Dropdown | Mouse click when it is partially off the top of the screen causes the page to jump [\#11512](https://github.com/primefaces/primeng/issues/11512)
- Sidebar: closeOnEscape not working [\#11517](https://github.com/primefaces/primeng/issues/11517)
- ng-template won't load, missing internal SharedModule export inside p-menubar component [\#11538](https://github.com/primefaces/primeng/issues/11538)
- Image | Zoom in and out buttons do not work properly (Firefox & Chrome) [\#11527](https://github.com/primefaces/primeng/issues/11527)
- Splitbutton commands not triggered when using keyboard [\#11514](https://github.com/primefaces/primeng/issues/11514)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [13.4.5-LTS](https://www.npmjs.com/package/primeng/v/13.4.5-lts) (2023-06-19)

**Enhancements:**

- Improve LicenseManager structure

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [13.4.4-LTS](https://www.npmjs.com/package/primeng/v/13.4.4-lts) (2023-05-05)

**Enhancements:**

- Sidebar | Add flex-grow to p-sidebar-content [\#12833](https://github.com/primefaces/primeng/issues/12833)

**Fixed bugs:**

- DynamicDialog | FocusTrap for nested DynamicDialogs still not working [\#9329](https://github.com/primefaces/primeng/issues/9329)
- OrganizationChart | Expanding org chart node raises error [\#12946](https://github.com/primefaces/primeng/issues/12946)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [13.4.3-LTS](https://www.npmjs.com/package/primeng/v/13.4.3-lts) (2023-04-26)

**Fixed bugs:**

- Table: Clear function does not clear all filters [\#12903](https://github.com/primefaces/primeng/issues/12903)
- InputNumber | ngModelOptions is not taken into account [\#12915](https://github.com/primefaces/primeng/issues/12915)
- OverlayPanel | Error: Cannot read properties of null [\#12933](https://github.com/primefaces/primeng/issues/12933)
- MultiSelect | Pass remove remove method through selectedItems template [\#12939](https://github.com/primefaces/primeng/issues/12939)
- Table | Unable to reorder to the last element in the table after a scroll occurs [\#12493](https://github.com/primefaces/primeng/issues/12493)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [13.4.2-LTS](https://www.npmjs.com/package/primeng/v/13.4.2-lts) (2023-04-19)

**Fixed bugs:**

- InputNumber | does not update the input value onInput [\#12733](https://github.com/primefaces/primeng/issues/12733)
- Dropdown | ng-dirty issue when options are set by a service call [\#11634](https://github.com/primefaces/primeng/issues/11634)
- Calendar | input becomes invalid when navigating [\#12741](https://github.com/primefaces/primeng/issues/12741)
- Button: Directive class on label change [\#12083](https://github.com/primefaces/primeng/issues/12083)
  
**Implemented New Features and Enhancements:**

- FileUploader | StyleClass support for buttons [\#11884](https://github.com/primefaces/primeng/issues/11884)

## [13.4.1](https://github.com/primefaces/primeng/tree/HEAD) (2022-05-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.4.0...13.4.1)

**Fixed bugs:**

- Dropdown value not set properly when options come later than value [\#11526](https://github.com/primefaces/primeng/issues/11526)
- pTooltip | focus event does not work with p-components [\#11535](https://github.com/primefaces/primeng/issues/11535)

## [13.4.0](https://github.com/primefaces/primeng/tree/HEAD) (2022-05-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.3.3...13.4.0)

**Implemented New Features and Enhancements:**

- Input Components | Clear support [\#11471](https://github.com/primefaces/primeng/issues/11471)
- TreeSelect | Filter [\#11461](https://github.com/primefaces/primeng/issues/11461)
- Dropdown value is not cleared when options change [\#8806](https://github.com/primefaces/primeng/issues/8806)
- Slider | Range slider can not be dragged to the left when both thumbs overlap [\#11427](https://github.com/primefaces/primeng/issues/11427)
- add iconStyle in MenuModel API [\#11258](https://github.com/primefaces/primeng/issues/11258)
  
**Fixed bugs:**

- Row reordering in table not working with virtual scroll [\#9817](https://github.com/primefaces/primeng/issues/9817)
- TreeSelect | Duplicate Empty Message [\#11497](https://github.com/primefaces/primeng/issues/11497)
- PrimeIcons.ts contains invalid icons [\#11472](https://github.com/primefaces/primeng/issues/11472)
- p-autocomplete does not clears selected object when CTRL-Z is pressed in textbox [\#9842](https://github.com/primefaces/primeng/issues/9842)
- Dropdown | auto-selects group entries instead of first entry inside first group [\#11485](https://github.com/primefaces/primeng/issues/11485)
- p-colorPicker onInputClick using a button not working [\#11438](https://github.com/primefaces/primeng/issues/11438)
- More than one dropdown can be opened at a time [\#11455](https://github.com/primefaces/primeng/issues/11455)
- Slider Range | Vertical handles not aligned [\#11463](https://github.com/primefaces/primeng/issues/11463)

## [13.3.3](https://github.com/primefaces/primeng/tree/HEAD) (2022-04-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.3.2...13.3.3)

**Implemented New Features and Enhancements:**

- Primary Color Palette [\#11413](https://github.com/primefaces/primeng/issues/11413)

**Fixed bugs:**

- onChange event triggered for selectButton even when no change occurs [\#11384](https://github.com/primefaces/primeng/issues/11384)
- TreeTable | FlexScroll not working [\#11390](https://github.com/primefaces/primeng/issues/11390)

## [13.3.2](https://github.com/primefaces/primeng/tree/HEAD) (2022-03-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.3.1...13.3.2)

**Fixed bugs:**

- Calendar | Loses alignment when switching from year/month to date view [\#11362](https://github.com/primefaces/primeng/issues/11362)
- Dialog | Scrolling breaks draggable dialog [\#11284](https://github.com/primefaces/primeng/issues/11284)
- Event listener leak in ReorderableRow and ReorderableColumn [\#11357](https://github.com/primefaces/primeng/issues/11357)
- Toast | z-index shouldn't removed when other toasts are shown [\#11313](https://github.com/primefaces/primeng/issues/11313)
- Tooltip escape parameter not working after update [\#11348](https://github.com/primefaces/primeng/issues/11348)

## [13.3.1](https://github.com/primefaces/primeng/tree/HEAD) (2022-03-28)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.3.0...13.3.1)

**Implemented New Features and Enhancements:**

- Tooltip | Escape encode enhancement [\#11332](https://github.com/primefaces/primeng/issues/11332)

**Fixed bugs:**

- pStyleClass may fail to enter the element [\#11341](https://github.com/primefaces/primeng/issues/11341)

## [13.3.0](https://github.com/primefaces/primeng/tree/HEAD) (2022-03-16)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.2.1...13.3.0)

**Implemented New Features and Enhancements:**

- SplitButton | TieredMenu Support [\#11301](https://github.com/primefaces/primeng/issues/11301)
- SplitButton | Templating Support [\#11300](https://github.com/primefaces/primeng/issues/11300)
- OrderList | disabled support [\#11298](https://github.com/primefaces/primeng/issues/11298)
- OrderList | Transfer buttons disable check [\#11297](https://github.com/primefaces/primeng/issues/11297)
- PickList | Keep selection after moving an item [\#11283](https://github.com/primefaces/primeng/issues/11283)
- PickList | Transfer buttons disable check [\#11281](https://github.com/primefaces/primeng/issues/11281)
- Password, CascadeSelect, MultiSelect | ariaLabel and label does not exist [\#11277](https://github.com/primefaces/primeng/issues/11277)

**Fixed bugs:**

- Picklist | Selection is not updated when drag and drop transfer [\#11296](https://github.com/primefaces/primeng/issues/11296)
- TieredMenu | responsive is not correct [\#11276](https://github.com/primefaces/primeng/issues/11276)
- Property target does not working on p-menu [\#11226](https://github.com/primefaces/primeng/issues/11226)
- Virtual Scroll with Lazy Loading fires onLazyLoad when lazyLoadOnInit is false [\#10414](https://github.com/primefaces/primeng/issues/10414)
- Clear filter on table calls multiple times onLazyLoad [\#9980](https://github.com/primefaces/primeng/issues/9980)

## [13.2.1](https://github.com/primefaces/primeng/tree/HEAD) (2022-03-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.2.0...13.2.1)

**Implemented New Features and Enhancements:**

- Themes | Red Color Palette [\#11243](https://github.com/primefaces/primeng/issues/11243)
- Change lara to use system font [\#11215](https://github.com/primefaces/primeng/issues/11215)

**Fixed bugs:**

- Multiselect overlay bug - baseZIndex property is unused [\#11191](https://github.com/primefaces/primeng/issues/11191)
- Bug on Dark Themes related with fixed columns [\#11245](https://github.com/primefaces/primeng/issues/11245)
- Material Calendar | Disabled Calendar getting opacity twice [\#11250](https://github.com/primefaces/primeng/issues/11250)
- Lara Light Blue | Primary Button Hover is not Changing [\#11244](https://github.com/primefaces/primeng/issues/11244)
- Breadcrumb | tooltip alignment fails if breadcrumb item has long text [\#11228](https://github.com/primefaces/primeng/issues/11228)
- PanelMenu border top not always visible [\#11112](https://github.com/primefaces/primeng/issues/11112)
- Material DataTable extension border typo fix [\#11248](https://github.com/primefaces/primeng/issues/11248)

## [13.2.0:](https://github.com/primefaces/primeng/tree/HEAD) (2022-02-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.1.1...13.2.0)

**Implemented New Features and Enhancements:**

- Custom Table CSV Export Headers [\#11120](https://github.com/primefaces/primeng/issues/11120)
- Striped Rows for OrderList and PickList [\#11190](https://github.com/primefaces/primeng/issues/11190)
- Knob surface letters replaced with new surface variables [\#11189](https://github.com/primefaces/primeng/issues/11189)
- Dropdown, button, inputSwitch, calendar, panel, autoComplete, inputNumber, inputText accessibility problems [\#11168](https://github.com/primefaces/primeng/issues/11168)
- Hide multiselect panel on living by TAB key [\#11088](https://github.com/primefaces/primeng/issues/11088)
- Alignment of Icon in Header of Collapsible Panel [\#11175](https://github.com/primefaces/primeng/issues/11175)
- Scrollable TabMenu support [\#11154](https://github.com/primefaces/primeng/issues/11154)
- Calendar | hide timepicker on month/year select [\#11180](https://github.com/primefaces/primeng/issues/11180)
- p-image does not allow src to be of type SafeUrl [\#11143](https://github.com/primefaces/primeng/issues/11143)
- confirmDialog documentation says acceptIcon and rejectIcon default values are null, but source code specifies default values [\#10430](https://github.com/primefaces/primeng/issues/10430)

**Fixed bugs:**

- Tabview and TabMenu | ForwardButton not hidden correctly [\#11197](https://github.com/primefaces/primeng/issues/11197)
- Dynamic contextmenu items cause null exception in ContextMenu.positionSubmenu [\#11173](https://github.com/primefaces/primeng/issues/11173)

## [13.1.1:](https://github.com/primefaces/primeng/tree/HEAD) (2022-02-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.1.0...13.1.1)

**Implemented New Features and Enhancements:**

- Custom Table CSV Export Headers [\#11120](https://github.com/primefaces/primeng/issues/11120)
- MultiSelect | Filter autocomplete attribute support [\#11100](https://github.com/primefaces/primeng/issues/11100)

**Fixed bugs:**

- FullCalendar | Bootstrap background highlight is wrong [\#11152](https://github.com/primefaces/primeng/issues/11152)
- PrimeNG Calendar (p-calendar) Loses alignment when positioned at the top of the input and the user clicks in the year/month [\#11040](https://github.com/primefaces/primeng/issues/11040)
- Progress value in ProgressBar not clearly visible (theme Material Design) [\#11146](https://github.com/primefaces/primeng/issues/11146)
- P-calendar defaultDate not work correctly [\#11104](https://github.com/primefaces/primeng/issues/11104)
- Table multiple frozen columns aligned on the right [\#11134](https://github.com/primefaces/primeng/issues/11134)

## [13.1.0:](https://github.com/primefaces/primeng/tree/13.1.0) (2022-01-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.0.4...13.1.0)

**Implemented New Features and Enhancements:**

- Update themes for list shadow style [\#11083](https://github.com/primefaces/primeng/issues/11083)
- Calendar | KeepInvalid Support [\#11089](https://github.com/primefaces/primeng/issues/11089)
- Improve resizable structure on DataTable [\#11082](https://github.com/primefaces/primeng/issues/11082)
- MegaMenu | RouterLink CtrlKey support [\#11049](https://github.com/primefaces/primeng/issues/11049)

**Fixed bugs:**

- Calendar firstDayOfWeek returns the number of months [\#11070](https://github.com/primefaces/primeng/issues/11070)
- Dropdown | filled background problem [\#11069](https://github.com/primefaces/primeng/issues/11069)
- Multiple ContextMenu's on the same page/component do not work as expected [\#11048](https://github.com/primefaces/primeng/issues/11048)
- TypeError: Cannot read properties of undefined (reading 'nativeElement') with scrollable and state enabled table [\#10792](https://github.com/primefaces/primeng/issues/10792)
- p-tree node toggler button is shrunk until not visible if label starts to not fit the node [\#11039](https://github.com/primefaces/primeng/issues/11039)
- multi select with group ignores filterBy option [\#11036](https://github.com/primefaces/primeng/issues/11036)
- TabMenu and Steps | All items with routerLink being highlighted [\#11028](https://github.com/primefaces/primeng/issues/11028)
- Table | Footer is not align when resize mode is enable. [\#10979](https://github.com/primefaces/primeng/issues/10979)
- Table border is not showing in Firefox browser [\#11010](https://github.com/primefaces/primeng/issues/11010)
- Calendar | Some Months are disabled when using disabled dates [\#11027](https://github.com/primefaces/primeng/issues/11027)
- Calendar | Displayed year doesn't update for month picker [\#11024](https://github.com/primefaces/primeng/issues/11024)
- TableHeaderCheckbox is checked when the selection array is empty [\#11025](https://github.com/primefaces/primeng/issues/11025)
- Table | ColResize Expand Mode not Compatible with Table Scroll [\#11021](https://github.com/primefaces/primeng/issues/11021)
- Material Light | Surface Border is invalid [\#11015](https://github.com/primefaces/primeng/issues/11015)

## [13.0.4:](https://github.com/primefaces/primeng/tree/13.0.4)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.0.3...13.0.4)

**Implemented New Features and Enhancements:**

- Globally configure p-calendar firstDayOfWeek  [\#9635](https://github.com/primefaces/primeng/issues/9635)
- Add rowSelectable property to DataTable [\#6736](https://github.com/primefaces/primeng/issues/6736)
- New Color Scheme for Lara Dark [\#11012](https://github.com/primefaces/primeng/issues/11012)

**Fixed bugs:**

- Table Selection | Disabled checkbox getting pointer cursor [\#11004](https://github.com/primefaces/primeng/issues/11004)
- Table, TreeTable | Checkbox and RadioButton Focus Missing on Material [\#10996](https://github.com/primefaces/primeng/issues/10996)
- Calendar: the Year is incorrect for Multiple Months mode [\#10993](https://github.com/primefaces/primeng/issues/10993)
- p-dropdown causes page to horizontally scroll [\#10992](https://github.com/primefaces/primeng/issues/10992)
- Table ColumnFilter | Add p-button-sm class for Apply and Clear button [\#10987](https://github.com/primefaces/primeng/issues/10987)
- Table ColumnFilter | Placeholder for Calendar [\#10986](https://github.com/primefaces/primeng/issues/10986)
- Password Overlay not properly destroyed [\#10955](https://github.com/primefaces/primeng/issues/10955)
- calendar firstDayOfWeek won't change dinamically [\#10574](https://github.com/primefaces/primeng/issues/10574)
- TabMenu item not highlighted on navigation [\#9925](https://github.com/primefaces/primeng/issues/9925)

## [13.0.3](https://github.com/primefaces/primeng/tree/13.0.3) (2021-12-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.0.02...13.0.3)

**Implemented New Features and Enhancements:**

- Add selectionPageOnly property to DataTable [\#10967](https://github.com/primefaces/primeng/issues/10967)
- Improve table row reorder highlight [\#10959](https://github.com/primefaces/primeng/issues/10959)
- Improve lazy loading and select all implementation on DataTable [\#10951](https://github.com/primefaces/primeng/issues/10951)

**Fixed bugs:**

- Splitter control not allowing changing of panelSize dynamically [\#10981](https://github.com/primefaces/primeng/issues/10981)
- Table | Frozen Columns not working when created partial dynamically  [\#10960](https://github.com/primefaces/primeng/issues/10960)
- p-dropdown onChange - return null when using keyboard navigation [\#10940](https://github.com/primefaces/primeng/issues/10940)
- p-calendar: Keyboard/mouse interaction with time selector controls behave differently [\#10937](https://github.com/primefaces/primeng/issues/10937)
- TabView: p-tabview-ink-bar doesn't follow the size of TabPanel header property change [\#10837](https://github.com/primefaces/primeng/issues/10837)
- Problem with keydown for FileUpload component [\#10575](https://github.com/primefaces/primeng/issues/10575)
- Dropdown is not opening programmatically using the `show\(\)` method  [\#10454](https://github.com/primefaces/primeng/issues/10454)

## [13.0.02](https://github.com/primefaces/primeng/tree/13.0.02) (2021-12-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.0.1...13.0.02)

**Implemented New Features and Enhancements:**

- Calendar | Escape Support For Month and Year Picker [\#10923](https://github.com/primefaces/primeng/issues/10923)

**Fixed bugs:**

- BreadCrumb | cursor is missing when href is not defined [\#10933](https://github.com/primefaces/primeng/issues/10933)
- Calendar | Year Picker and Month Picker empty when value empty and using Range or Multiple Selection [\#10931](https://github.com/primefaces/primeng/issues/10931)
- Calendar manual input doesn't work [\#10922](https://github.com/primefaces/primeng/issues/10922)
- Some menu components not supporting ctrl click to open new duplicate screen [\#10919](https://github.com/primefaces/primeng/issues/10919)
- TypeError: Cannot read properties of undefined \(reading 'classList'\) at Function.addClass [\#10909](https://github.com/primefaces/primeng/issues/10909)

## [13.0.1](https://github.com/primefaces/primeng/tree/13.0.1) (2021-12-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.0.0...13.0.1)

**Implemented New Features and Enhancements:**

- Menu | Submenu Tooltip Support [\#10675](https://github.com/primefaces/primeng/issues/10675)

**Fixed bugs:**

- Calendar | Year Picker and Month Picker empty when using Range and Multiple options [\#10906](https://github.com/primefaces/primeng/issues/10906)
- Table header hides when scrolling [\#10887](https://github.com/primefaces/primeng/issues/10887)
- p-sidebar not trigger visibleChange output event [\#10884](https://github.com/primefaces/primeng/issues/10884)
- DynamicDialog does not block interaction with elements behind the mask [\#10882](https://github.com/primefaces/primeng/issues/10882)
- Dropdown bug with selection via up key [\#10843](https://github.com/primefaces/primeng/issues/10843)
- SpeedDial items visible even if MenuItem object property "visible" is false [\#10831](https://github.com/primefaces/primeng/issues/10831)
- ExpressionChangedAfterItHasBeenCheckedError in table virtual scrolling after upgrading to 12.1.1 [\#10659](https://github.com/primefaces/primeng/issues/10659)
- Wrong emit on accordion open [\#10509](https://github.com/primefaces/primeng/issues/10509)
- Table | global filter doesn't reset on Table.clear\(\) [\#10246](https://github.com/primefaces/primeng/issues/10246)
- Chips float label does not work when value is updated programmatically  [\#9289](https://github.com/primefaces/primeng/issues/9289)

## [13.0.0](https://github.com/primefaces/primeng/tree/13.0.0) (2021-11-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/13.0.0-rc.2...13.0.0)

**Implemented New Features and Enhancements:**

- Calendar | Add space key support for time pickers [\#10863](https://github.com/primefaces/primeng/issues/10863)
- Year Picker for Calendar [\#10856](https://github.com/primefaces/primeng/issues/10856)
- Add responsiveOptions property to Calendar [\#10855](https://github.com/primefaces/primeng/issues/10855)

**Fixed bugs:**

- readonly not working on p-inputNumber [\#10866](https://github.com/primefaces/primeng/issues/10866)
- Table | Row expansion table header scrolls above the main table header [\#10864](https://github.com/primefaces/primeng/issues/10864)
- ProgressBar: color text accessibility issue [\#10862](https://github.com/primefaces/primeng/issues/10862)
- Failed to execute 'querySelectorAll' \(not a valid selector\) error when tabbing out of calendar component [\#10859](https://github.com/primefaces/primeng/issues/10859)
- Angular 13 Editor not loading properly "ERROR TypeError: \({get default\(value}\) is not a constructor" primeng-editor.mjs:29 [\#10834](https://github.com/primefaces/primeng/issues/10834)

## [13.0.0-rc.1](https://github.com/primefaces/primeng/tree/13.0.0-rc.1) (2021-11-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.2.2...13.0.0-rc.1)

**Implemented New Features and Enhancements:**

- New Theme Lara 🎨  [\#10830](https://github.com/primefaces/primeng/issues/10830)
- Update to PrimeIcons v5.0.0 [\#10811](https://github.com/primefaces/primeng/issues/10811)
- Update to Angular 13 [\#10810](https://github.com/primefaces/primeng/issues/10810)
- Match @angular 12 libraries to allow rxjs upgrade to v7.x [\#10804](https://github.com/primefaces/primeng/issues/10804)

**Fixed bugs:**

- The `escape` property does not work for label in Slide Menu component [\#10827](https://github.com/primefaces/primeng/issues/10827)
- Button | loadingIcon is not displayed when icon is not provided [\#10822](https://github.com/primefaces/primeng/issues/10822)
- sidebar causes javascript error if modal=false [\#10813](https://github.com/primefaces/primeng/issues/10813)
- Dismissable Mask and Escape on Dynamic Dialogue [\#10809](https://github.com/primefaces/primeng/issues/10809)
- Wrong zIndex for p-toast [\#10801](https://github.com/primefaces/primeng/issues/10801)
- TypeError: Cannot read properties of undefined \(reading 'style'\) at FrozenColumn.updateStickyPosition [\#10794](https://github.com/primefaces/primeng/issues/10794)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [12.2.5-LTS](https://www.npmjs.com/package/primeng-lts/v/12.2.5) (2022-01-31)

- p-tree node toggler button is shrunk until not visible if label starts to not fit the node [\#11039](https://github.com/primefaces/primeng/issues/11039)
- multi select with group ignores filterBy option [\#11036](https://github.com/primefaces/primeng/issues/11036)
- Material Light | Surface Border is invalid [\#11015](https://github.com/primefaces/primeng/issues/11015)
- Table Selection | Disabled checkbox getting pointer cursor [\#11004](https://github.com/primefaces/primeng/issues/11004)
- Table, TreeTable | Checkbox and RadioButton Focus Missing on Material [\#10996](https://github.com/primefaces/primeng/issues/10996)
- Problem with keydown for FileUpload component [\#10575](https://github.com/primefaces/primeng/issues/10575)
- calendar firstDayOfWeek won't change dinamically [\#10574](https://github.com/primefaces/primeng/issues/10574)
- Wrong emit on accordion open [\#10509](https://github.com/primefaces/primeng/issues/10509)
- Dropdown is not opening programmatically using the show() method [\#10454](https://github.com/primefaces/primeng/issues/10454)
- Globally configure p-calendar firstDayOfWeek [\#9635](https://github.com/primefaces/primeng/issues/9635)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [12.2.4-LTS](https://www.npmjs.com/package/primeng-lts/v/12.2.4) (2021-12-06)

- TypeError: Cannot read properties of undefined (reading 'classList') at Function.addClass [\#10909](https://github.com/primefaces/primeng/issues/10909)
- Table header hides when scrolling [\#10887](https://github.com/primefaces/primeng/issues/10887)
- p-sidebar not trigger visibleChange output event [\#10884](https://github.com/primefaces/primeng/issues/10884)
- DynamicDialog does not block interaction with elements behind the mask [\#10882](https://github.com/primefaces/primeng/issues/10882)
- readonly not working on p-inputNumber [\#10866](https://github.com/primefaces/primeng/issues/10866)
- Table | Row expansion table header scrolls above the main table header [\#10864](https://github.com/primefaces/primeng/issues/10864)
- Dropdown bug with selection via up key [\#10843](https://github.com/primefaces/primeng/issues/10843)
- SpeedDial items visible even if MenuItem object property "visible" is false [\#10831](https://github.com/primefaces/primeng/issues/10831)
- ExpressionChangedAfterItHasBeenCheckedError in table virtual scrolling after upgrading to 12.1.1 [\#10659](https://github.com/primefaces/primeng/issues/10659)
- Table | global filter doesn't reset on Table.clear() [\#10246](https://github.com/primefaces/primeng/issues/10246)

## [12.2.2](https://github.com/primefaces/primeng/tree/12.2.2) (2021-11-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.2.1...12.2.2)

**Implemented New Features and Enhancements:**

- Material | Use box-shadow for outlined Buttons [\#10799](https://github.com/primefaces/primeng/issues/10799)
- Material Focus Improvements [\#10798](https://github.com/primefaces/primeng/issues/10798)
- Multiselect missing itemValue in OnChange callback after removeChip [\#10789](https://github.com/primefaces/primeng/issues/10789)
- PanelMenu | Keyboard Support [\#10784](https://github.com/primefaces/primeng/issues/10784)
- SlideMenu | Keyboard Support [\#10781](https://github.com/primefaces/primeng/issues/10781)
- Dynamic Dialog | BlockUI | Modal layer enter-leave transition  [\#10775](https://github.com/primefaces/primeng/issues/10775)
- TreeSelect | Keyboard Support [\#10774](https://github.com/primefaces/primeng/issues/10774)
- ConfirmPopup | Default Focus support [\#10772](https://github.com/primefaces/primeng/issues/10772)
- Menu | Keyboard Support [\#10771](https://github.com/primefaces/primeng/issues/10771)
- ZIndexUtils Support for ConfirmDialog [\#10762](https://github.com/primefaces/primeng/issues/10762)
- Dropdown appendTo default changed to "body" in PrimeNG 12 [\#10751](https://github.com/primefaces/primeng/issues/10751)
- CascadeSelect | Keyboard Exit Functionality [\#10749](https://github.com/primefaces/primeng/issues/10749)
- Editor missing some text in template file [\#10745](https://github.com/primefaces/primeng/issues/10745)
- p-Table: resizing a scrollable table resizes the expanded row [\#10609](https://github.com/primefaces/primeng/issues/10609)

**Fixed bugs:**

- MultiSelect and Listbox | Header Checkbox Should be focusable [\#10797](https://github.com/primefaces/primeng/issues/10797)
- Dropdown | autoDisplayFirst not update value of dropdown [\#10768](https://github.com/primefaces/primeng/issues/10768)
- Password and TreeSelect | Invalid styles are missing [\#10766](https://github.com/primefaces/primeng/issues/10766)
- If appendTo property of confirmDialog is set, defaultFocus doesn't work [\#10722](https://github.com/primefaces/primeng/issues/10722)
- Dropdown - scroll to selected item [\#10346](https://github.com/primefaces/primeng/issues/10346)

## [12.2.1](https://github.com/primefaces/primeng/tree/12.2.1) (2021-10-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.2.0...12.2.1)

**Implemented New Features and Enhancements:**

- Integrate pTooltip with pMenu\* via MenuModel API extension [\#4714](https://github.com/primefaces/primeng/issues/4714)
- CascadeSelect | Enter and Space support for toggle  [\#10742](https://github.com/primefaces/primeng/issues/10742)
- BlockUI | Modal layer enter-leave transition  [\#10741](https://github.com/primefaces/primeng/issues/10741)
- p-password | onFocus and onBlur Event [\#10736](https://github.com/primefaces/primeng/issues/10736)
- Add onClear event to dropdown [\#10712](https://github.com/primefaces/primeng/issues/10712)
- Dropdown Accessibility | Ensures every form element has a label" [\#10701](https://github.com/primefaces/primeng/issues/10701)
- Improve scrollbar style on BreadCrumb and TabMenu [\#10698](https://github.com/primefaces/primeng/issues/10698)

**Fixed bugs:**

- Spaces are not accepted in p-dropdown-filter [\#10739](https://github.com/primefaces/primeng/issues/10739)
- Tooltip hideDelay bug [\#10735](https://github.com/primefaces/primeng/issues/10735)
- multiselect applies disabled UI state to all items when selectionLimit is reached and chip is removed [\#10734](https://github.com/primefaces/primeng/issues/10734)
- float-label chips problem [\#10725](https://github.com/primefaces/primeng/issues/10725)
- pButton Directive throws error when label is set when async pipe [\#10719](https://github.com/primefaces/primeng/issues/10719)
- p-radioButton causes layout issues when used inside an overflow: auto div \(all elements with p-hidden-accessible?\) [\#10718](https://github.com/primefaces/primeng/issues/10718)
- float-label pInputText problem [\#10716](https://github.com/primefaces/primeng/issues/10716)
- Dropdown overlay bug - baseZIndex property is unused in PrimeNG 12.2.0 [\#10713](https://github.com/primefaces/primeng/issues/10713)
- V12 - sidebar doesn't remove mask [\#10682](https://github.com/primefaces/primeng/issues/10682)
- The "plugins" property is not assigned when creating the Chart object [\#10664](https://github.com/primefaces/primeng/issues/10664)
- Cannot read property 'trim' of undefined with ButtonDirective  [\#10354](https://github.com/primefaces/primeng/issues/10354)

## [12.2.0](https://github.com/primefaces/primeng/tree/12.2.0) (2021-09-29)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.2.0-rc.1...12.2.0)

- No changes.

## [12.2.0-rc.1](https://github.com/primefaces/primeng/tree/12.2.0-rc.1) (2021-09-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.1.1...12.2.0-rc.1)

**Implemented New Features and Enhancements:**

- Tree | aria-label support for the toggler icon [\#10670](https://github.com/primefaces/primeng/issues/10670)
- Breadcrumb | aria-label support for Home Icon [\#10669](https://github.com/primefaces/primeng/issues/10669)
- Menu | aria-role support [\#10668](https://github.com/primefaces/primeng/issues/10668)
- Picklist | aria-label support for Buttons [\#10667](https://github.com/primefaces/primeng/issues/10667)
- Autocomplete - aria-label for dropdown [\#10666](https://github.com/primefaces/primeng/issues/10666)
- Disable the navigation helpers when paginator empty [\#10661](https://github.com/primefaces/primeng/issues/10661)
- Add contains Method to ObjectUtils [\#10657](https://github.com/primefaces/primeng/issues/10657)
- Add trueValue-falseValue to Checkbox [\#10656](https://github.com/primefaces/primeng/issues/10656)
- Make Dock component mobile friendly [\#10654](https://github.com/primefaces/primeng/issues/10654)
- Set Paginator Page from InputNumber [\#10653](https://github.com/primefaces/primeng/issues/10653)
- Add trueValue-falseValue to InputSwitch [\#10650](https://github.com/primefaces/primeng/issues/10650)
- Incorrect Sizing due to filter input width of dropdown [\#10649](https://github.com/primefaces/primeng/issues/10649)
- Aria Label for Calendar's Icon [\#10641](https://github.com/primefaces/primeng/issues/10641)
- Improve Galleria animation on FullScreen mode [\#10640](https://github.com/primefaces/primeng/issues/10640)
- Modal layer enter-leave transition [\#10639](https://github.com/primefaces/primeng/issues/10639)
- Tabindex property for Dialog's Close Button [\#10632](https://github.com/primefaces/primeng/issues/10632)
- Image Component [\#10631](https://github.com/primefaces/primeng/issues/10631)
- Tailwind Theme [\#10629](https://github.com/primefaces/primeng/issues/10629)

**Fixed bugs:**

- DataTable row group and sortable columns are not working together [\#10663](https://github.com/primefaces/primeng/issues/10663)
- Paginator's Inputnumber displays index instead of current page [\#10660](https://github.com/primefaces/primeng/issues/10660)
- CurrentPageReport displays wrong value [\#10652](https://github.com/primefaces/primeng/issues/10652)
- Material themes secondary text color issue [\#10651](https://github.com/primefaces/primeng/issues/10651)
- Filtered Dropdown unusable on Windows Tablet [\#10648](https://github.com/primefaces/primeng/issues/10648)
- Tooltip: word wrap [\#10647](https://github.com/primefaces/primeng/issues/10647)
- Extra space between MultiSelect and filter list [\#10644](https://github.com/primefaces/primeng/issues/10644)
- DataTable - The showClearButton literally doesn't do anything [\#10643](https://github.com/primefaces/primeng/issues/10643)
- Overlay panel hide when clicking on a label inside of it [\#10642](https://github.com/primefaces/primeng/issues/10642)
- DataTable doesn't work as expected when the container is resized. [\#10623](https://github.com/primefaces/primeng/issues/10623)
- p-checkbox causes layout issues when used inside an overflow: auto div [\#9725](https://github.com/primefaces/primeng/issues/9725)

## [12.1.1](https://github.com/primefaces/primeng/tree/12.1.1) (2021-09-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.1.0...12.1.1)

**Implemented New Features and Enhancements:**

- Scrollable Tabs [\#10119](https://github.com/primefaces/primeng/issues/10119)
- Add p-inputwrapper class to form components [\#10591](https://github.com/primefaces/primeng/issues/10591)
- Add p-element class to the host element on all components [\#10590](https://github.com/primefaces/primeng/issues/10590)
- Add getFormatter method to InputNumber [\#10588](https://github.com/primefaces/primeng/issues/10588)
- Add allowEmpty property to InputNumber [\#10583](https://github.com/primefaces/primeng/issues/10583)
- InputNumber behaves odd when trying to insert fracitonal digits [\#10582](https://github.com/primefaces/primeng/issues/10582)
- Dropdown Accessibility Enhancements [\#10562](https://github.com/primefaces/primeng/issues/10562)
- closeAriaLabel for SplitButton [\#10553](https://github.com/primefaces/primeng/issues/10553)
- expandAriaLabel for SplitButton [\#10552](https://github.com/primefaces/primeng/issues/10552)
- InputNumber on mobile works like textinput [\#10142](https://github.com/primefaces/primeng/issues/10142)
- Add \[readonly\] attribute to p-inputNumber [\#9827](https://github.com/primefaces/primeng/issues/9827)
- InputNumber: cannot insert fractional digits when minFractionDigits=0 [\#9272](https://github.com/primefaces/primeng/issues/9272)

**Fixed bugs:**

- Thumbnails are not displayed correctly on Galleria if numVisible is greater than the length of value [\#10594](https://github.com/primefaces/primeng/issues/10594)
- InputNumber input event returns wrong value [\#10581](https://github.com/primefaces/primeng/issues/10581)
- Input number caret issue with negatives [\#10565](https://github.com/primefaces/primeng/issues/10565)
- Scrollable Resizing Table not working Variable Width [\#10561](https://github.com/primefaces/primeng/issues/10561)
- inputnumber  : both prefix and currency  Input error [\#10521](https://github.com/primefaces/primeng/issues/10521)
- Negative sign in front of number is not possible for Finnish or Swedish locale. [\#10409](https://github.com/primefaces/primeng/issues/10409)
- InputNumber: setting "min" to anything greater than 0 implies "required" [\#10056](https://github.com/primefaces/primeng/issues/10056)
- p-inputNumber uses wrong border radius in p-inputGroup [\#9949](https://github.com/primefaces/primeng/issues/9949)
- InputNumber - unable to enter negative with minFractionDigits set [\#9516](https://github.com/primefaces/primeng/issues/9516)
- Updating minFractionDigits and maxFractionDigits results in error [\#9466](https://github.com/primefaces/primeng/issues/9466)
- InputNumber: issues with decimal separator for some locales, 0s are added to input [\#9399](https://github.com/primefaces/primeng/issues/9399)

## [12.1.0](https://github.com/primefaces/primeng/tree/12.1.0) (2021-08-25)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.1.0-rc.2...12.1.0)

**Fixed bugs:**

- Table Header Checkbox not working when lazy loading enabled [\#10532](https://github.com/primefaces/primeng/issues/10532)
- AutoZIndex support for DynamicDialog [\#10526](https://github.com/primefaces/primeng/issues/10526)

## [12.1.0-rc.2](https://github.com/primefaces/primeng/tree/12.1.0-rc.2) (2021-08-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.1.0-rc.1...12.1.0-rc.2)

**Implemented New Features and Enhancements:**

- TreeSelect missing Tree option propagateSelectionDown and propagateSelectionUp [\#10504](https://github.com/primefaces/primeng/issues/10504)
- dateFormat option for I18N API [\#10503](https://github.com/primefaces/primeng/issues/10503)

**Fixed bugs:**

- Display issue of p-dropdown in p-dialog [\#10517](https://github.com/primefaces/primeng/issues/10517)
- PrimeNG 12.1 pTooltip text display lags behind bound input change [\#10516](https://github.com/primefaces/primeng/issues/10516)
- pFrozenColumn is moving when position set to left [\#10513](https://github.com/primefaces/primeng/issues/10513)
- FlexScroll not working with VirtualScroll [\#10505](https://github.com/primefaces/primeng/issues/10505)

## [12.1.0-rc.1](https://github.com/primefaces/primeng/tree/12.1.0-rc.1) (2021-08-11)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.0.1...12.1.0-rc.1)

**Breaking changes:**

- Update Chart.js to 3.3.2  [\#10452](https://github.com/primefaces/primeng/issues/10452)
- FullCalendar v5 Theme Support [\#10451](https://github.com/primefaces/primeng/issues/10451)
- DataTable RowGroup Mode [\#10396](https://github.com/primefaces/primeng/issues/10396)
- New DataTable Scrolling [\#10395](https://github.com/primefaces/primeng/issues/10395)

**Implemented New Features and Enhancements:**

- New Table Responsive layout  [\#10495](https://github.com/primefaces/primeng/issues/10495)
- Support for scrolling and column groups [\#10489](https://github.com/primefaces/primeng/issues/10489)
- Tooltip support for Menu Components [\#10422](https://github.com/primefaces/primeng/issues/10422)
- Dock Component [\#10413](https://github.com/primefaces/primeng/issues/10413)
- onResizeStart event for p-splitter [\#10384](https://github.com/primefaces/primeng/issues/10384)
- New Component: SpeedDial [\#10380](https://github.com/primefaces/primeng/issues/10380)
- Reimplement OverlayService [\#10301](https://github.com/primefaces/primeng/issues/10301)
- New Component: TreeSelect [\#10299](https://github.com/primefaces/primeng/issues/10299)
- Customizable ZIndex Layering [\#10298](https://github.com/primefaces/primeng/issues/10298)

**Fixed bugs:**

- Improve resize feature of Dialog [\#10465](https://github.com/primefaces/primeng/issues/10465)
- A maximizable dialog cannot be maximized properly after its size or position has been changed [\#10464](https://github.com/primefaces/primeng/issues/10464)
- Overlay aligning calculation defect [\#10447](https://github.com/primefaces/primeng/issues/10447)
- p-password is not changing when I18N API called [\#10446](https://github.com/primefaces/primeng/issues/10446)
- Dropdown Array Key Selection skipping last entry. [\#10408](https://github.com/primefaces/primeng/issues/10408)
- Unsubscription error when running any default component test using Steps [\#10379](https://github.com/primefaces/primeng/issues/10379)
- TreeTable PartialSelect not working [\#10370](https://github.com/primefaces/primeng/issues/10370)
- FileUpload Size Calculation is wrong [\#10369](https://github.com/primefaces/primeng/issues/10369)
- p-password tamplate [\#10355](https://github.com/primefaces/primeng/issues/10355)

## [12.0.2](https://github.com/primefaces/primeng/tree/12.0.2) (2021-08-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.0.0...12.0.1)

**Fixed bugs:**

- StyleClass does not open overlay when source is clicked again [\#10491](https://github.com/primefaces/primeng/issues/10491)

## [12.0.1](https://github.com/primefaces/primeng/tree/12.0.1) (2021-07-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.0.0...12.0.1)

**Implemented New Features and Enhancements:**

- pStyleClass Directive [\#10427](https://github.com/primefaces/primeng/issues/10427)

## [12.0.0](https://github.com/primefaces/primeng/tree/12.0.0) (2021-06-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/12.0.0-rc.1...12.0.0)

**Implemented New Features and Enhancements:**

- Add gray scheme [\#10340](https://github.com/primefaces/primeng/issues/10340)
- Responsive Toast [\#10339](https://github.com/primefaces/primeng/issues/10339)
- Responsive TabMenu and Breadcrumb [\#10338](https://github.com/primefaces/primeng/issues/10338)
- Toast center positioning enhancement [\#10333](https://github.com/primefaces/primeng/issues/10333)
- CascadeSelect material theming improvements [\#10314](https://github.com/primefaces/primeng/issues/10314)
- styleClass and contentStyleClass Support for Message [\#10308](https://github.com/primefaces/primeng/issues/10308)
- Picklist events not always return an array [\#10284](https://github.com/primefaces/primeng/issues/10284)
- \[Accessibility\] p-dropdown information is only announced after pressing ctrl+down arrow twice.  [\#10156](https://github.com/primefaces/primeng/issues/10156)

**Fixed bugs:**

- Filtering non existing item in p-dropdown \[filter=true, group=true\] and pressing key down generates error: Dropdown.html:25 ERROR TypeError: Cannot read property '0' of null [\#10332](https://github.com/primefaces/primeng/issues/10332)
- Table frozen columns not working with colresize expand mode [\#10310](https://github.com/primefaces/primeng/issues/10310)
- \#10286 for ColorPicker [\#10309](https://github.com/primefaces/primeng/issues/10309)
- Splitter error : Cannot read property '0' of undefined at Splitter.onResize [\#10286](https://github.com/primefaces/primeng/issues/10286)
- Button icon css class not set after it has been initialized [\#10277](https://github.com/primefaces/primeng/issues/10277)
- FileUpload - long filename  [\#10275](https://github.com/primefaces/primeng/issues/10275)
- p-dialog breakpoints is not working [\#10270](https://github.com/primefaces/primeng/issues/10270)
- Sidebar wrong animation and close button display [\#10261](https://github.com/primefaces/primeng/issues/10261)
- Badge with value 0 should use p-badge-no-gutter class [\#10257](https://github.com/primefaces/primeng/issues/10257)
- Dropdown selecting disabled option throws error using keyboard arrows [\#10252](https://github.com/primefaces/primeng/issues/10252)
- p-dropdown float label overlaps input when selected value is 0 [\#10245](https://github.com/primefaces/primeng/issues/10245)

## [12.0.0-rc.1](https://github.com/primefaces/primeng/tree/12.0.0-rc.1) (2021-21-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.4.2...12.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Angular 12 Support [\#10262](https://github.com/primefaces/primeng/issues/10262)

**Fixed bugs:**

- Sidebar - ngOnDestory throws an exception [\#10247](https://github.com/primefaces/primeng/issues/10247)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [11.4.10-LTS](https://www.npmjs.com/package/primeng-lts/v/11.4.10) (2022-01-31)

- p-tree node toggler button is shrunk until not visible if label starts to not fit the node [\#11039](https://github.com/primefaces/primeng/issues/11039)
- multi select with group ignores filterBy option [\#11036](https://github.com/primefaces/primeng/issues/11036)
- Material Light | Surface Border is invalid [\#11015](https://github.com/primefaces/primeng/issues/11015)
- Table Selection | Disabled checkbox getting pointer cursor [\#11004](https://github.com/primefaces/primeng/issues/11004)
- Table, TreeTable | Checkbox and RadioButton Focus Missing on Material [\#10996](https://github.com/primefaces/primeng/issues/10996)
- Problem with keydown for FileUpload component [\#10575](https://github.com/primefaces/primeng/issues/10575)
- calendar firstDayOfWeek won't change dinamically [\#10574](https://github.com/primefaces/primeng/issues/10574)
- Wrong emit on accordion open [\#10509](https://github.com/primefaces/primeng/issues/10509)
- Dropdown is not opening programmatically using the show() method [\#10454](https://github.com/primefaces/primeng/issues/10454)
- Globally configure p-calendar firstDayOfWeek [\#9635](https://github.com/primefaces/primeng/issues/9635)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [11.4.9-LTS](https://www.npmjs.com/package/primeng-lts/v/11.4.9) (2021-12-06)

- p-sidebar not trigger visibleChange output event [\#10884](https://github.com/primefaces/primeng/issues/10884)
- readonly not working on p-inputNumber [\#10866](https://github.com/primefaces/primeng/issues/10866)
- Dropdown bug with selection via up key [\#10843](https://github.com/primefaces/primeng/issues/10843)
- Multiselect missing itemValue in OnChange callback after removeChip [\#10789](https://github.com/primefaces/primeng/issues/10789)
- CascadeSelect | Keyboard Exit Functionality [\#10749](https://github.com/primefaces/primeng/issues/10749)
- CascadeSelect | Enter and Space support for toggle [\#10742](https://github.com/primefaces/primeng/issues/10742)
- Add onClear event to dropdown [\#10712](https://github.com/primefaces/primeng/issues/10712)
- p-password is not changing when I18N API called [\#10446](https://github.com/primefaces/primeng/issues/10446)
- TreeTable PartialSelect not working [\#10370](https://github.com/primefaces/primeng/issues/10370)
- Table | global filter doesn't reset on Table.clear()  [\#10246](https://github.com/primefaces/primeng/issues/10246)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [11.4.8-LTS](https://www.npmjs.com/package/primeng-lts/v/11.4.8) (2021-11-11)

- The escape property does not work for label in Slide Menu component [\#10827](https://github.com/primefaces/primeng/issues/10827)
- MultiSelect and Listbox | Header Checkbox Should be focusable [\#10797](https://github.com/primefaces/primeng/issues/10797)
- Dropdown | autoDisplayFirst not update value of dropdown [\#10768](https://github.com/primefaces/primeng/issues/10768)
- If appendTo property of confirmDialog is set, defaultFocus doesn't work [\#10722](https://github.com/primefaces/primeng/issues/10722)
- Filtered Dropdown unusable on Windows Tablet [\#10648](https://github.com/primefaces/primeng/issues/10648)
- Extra space between MultiSelect and filter list [\#10644](https://github.com/primefaces/primeng/issues/10644)
- Dropdown - scroll to selected item [\#10346](https://github.com/primefaces/primeng/issues/10346)
- Table frozen columns not working with colresize expand mode [\#10310](https://github.com/primefaces/primeng/issues/10310)
- 10286 for ColorPicker [\#10309](https://github.com/primefaces/primeng/issues/10309)
- Splitter error : Cannot read property '0' of undefined at Splitter.onResize [\#10286](https://github.com/primefaces/primeng/issues/10286)
- FileUpload - long filename [\#10275](https://github.com/primefaces/primeng/issues/10275)
- Sidebar wrong animation and close button display [\#10261](https://github.com/primefaces/primeng/issues/10261)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [11.4.7-LTS](https://www.npmjs.com/package/primeng-lts/v/11.4.7) (2021-10-18)

- multiselect applies disabled UI state to all items when selectionLimit is reached and chip is removed [\#10734](https://github.com/primefaces/primeng/issues/10734)
- float-label chips problem [\#10725](https://github.com/primefaces/primeng/issues/10725)
- pButton Directive throws error when label is set when async pipe [\#10719](https://github.com/primefaces/primeng/issues/10719)
- p-radioButton causes layout issues when used inside an overflow: auto div [\#10718](https://github.com/primefaces/primeng/issues/10718)
- float-label pInputText problem [\#10716](https://github.com/primefaces/primeng/issues/10716)
- Thumbnails are not displayed correctly on Galleria if numVisible is greater than the length of value [\#10594](https://github.com/primefaces/primeng/issues/10594)
- Improve resize feature of Dialog [\#10465](https://github.com/primefaces/primeng/issues/10465)
- A maximizable dialog cannot be maximized properly after its size or position has been changed [\#10464](https://github.com/primefaces/primeng/issues/10464)
- Unsubscription error when running any default component test using Steps [\#10379](https://github.com/primefaces/primeng/issues/10379)
- FileUpload Size Calculation is wrong [\#10369](https://github.com/primefaces/primeng/issues/10369)
- p-checkbox causes layout issues when used inside an overflow: auto div [\#9725](https://github.com/primefaces/primeng/issues/9725)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [11.4.6-LTS](https://www.npmjs.com/package/primeng-lts/v/11.4.6) (2021-10-05)

- Improve scrollbar style on BreadCrumb and TabMenu [\#10698](https://github.com/primefaces/primeng/issues/10698)
- Disable the navigation helpers when paginator empty [\#10661](https://github.com/primefaces/primeng/issues/10661)
- Tooltip: word wrap [\#10647](https://github.com/primefaces/primeng/issues/10647)
- p-password tamplate [\#10355](https://github.com/primefaces/primeng/issues/10355)
- Responsive TabMenu and Breadcrumb [\#10338](https://github.com/primefaces/primeng/issues/10338)
- p-dialog breakpoints is not working [\#10270](https://github.com/primefaces/primeng/issues/10270)
- Badge with value 0 should use p-badge-no-gutter class [\#10257](https://github.com/primefaces/primeng/issues/10257)
- Dropdown selecting disabled option throws error using keyboard arrows [\#10252](https://github.com/primefaces/primeng/issues/10252)
- Sidebar - ngOnDestory throws an exception [\#10247](https://github.com/primefaces/primeng/issues/10247)
- p-dropdown float label overlaps input when selected value is 0 [\#10245](https://github.com/primefaces/primeng/issues/10245)

## [11.4.5](https://github.com/primefaces/primeng/tree/11.4.5) (2021-08-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.4.4...11.4.5)

**Fixed bugs:**

- StyleClass does not open overlay when source is clicked again [\#10492](https://github.com/primefaces/primeng/issues/10492)

## [11.4.4](https://github.com/primefaces/primeng/tree/11.4.4) (2021-07-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.4.3...11.4.4)

**Implemented New Features and Enhancements:**

- pStyleClass Directive [\#10426](https://github.com/primefaces/primeng/issues/10426)

## [11.4.2](https://github.com/primefaces/primeng/tree/11.4.2) (2021-05-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.4.0...11.4.2)

**Implemented New Features and Enhancements:**

- Dynamic Translation Support [\#10224](https://github.com/primefaces/primeng/issues/10224)
- ConfirmDialog Ripple Support [\#10223](https://github.com/primefaces/primeng/issues/10223)
- resetFilter for p-tree [\#10220](https://github.com/primefaces/primeng/issues/10220)
- p-tree \_filter value support [\#10217](https://github.com/primefaces/primeng/issues/10217)
- showNavigator and showIndicator support for Carousel [\#10208](https://github.com/primefaces/primeng/issues/10208)
- IndicatorStyle and IndicatorStyleClass support for Carousel [\#10207](https://github.com/primefaces/primeng/issues/10207)
- showInitialSortBadge for Table [\#10206](https://github.com/primefaces/primeng/issues/10206)
- Header template support for PickList and OrderList [\#10192](https://github.com/primefaces/primeng/issues/10192)
- panelStyle for Splitter [\#10186](https://github.com/primefaces/primeng/issues/10186)
- SideBar transitionOptions Support [\#10184](https://github.com/primefaces/primeng/issues/10184)
- p-editor - HTML binding fails [\#10182](https://github.com/primefaces/primeng/issues/10182)
- FloatLabel support for p-password [\#10172](https://github.com/primefaces/primeng/issues/10172)
- Header and Footer Template for AutoComplete [\#10159](https://github.com/primefaces/primeng/issues/10159)
- empty and emptyFilter template for components [\#9532](https://github.com/primefaces/primeng/issues/9532)

**Fixed bugs:**

- InputStyle and Ripple config do not work on components that are attached to body [\#10226](https://github.com/primefaces/primeng/issues/10226)
- Timeline Module missing module export [\#10205](https://github.com/primefaces/primeng/issues/10205)
- When options changed filter not applying - Listbox [\#10199](https://github.com/primefaces/primeng/issues/10199)
- Sidebar component not removing p-sidebar-left class  when using fullScreen [\#10185](https://github.com/primefaces/primeng/issues/10185)
- Prod build is failing with Directive SelectableRow, Expected 0 arguments, but got 1. [\#10180](https://github.com/primefaces/primeng/issues/10180)
- Password meter does not update dynamically [\#10174](https://github.com/primefaces/primeng/issues/10174)
- p-dropdown with editable=true and floating labels results in incorrect behavior with manually entered values [\#10170](https://github.com/primefaces/primeng/issues/10170)
- p-calendar styling is incorrect when it is disabled with an icon [\#10167](https://github.com/primefaces/primeng/issues/10167)
- Radio buttons do not get unselected on the same group, with Reactive Forms using formControl instead of formControlName [\#9631](https://github.com/primefaces/primeng/issues/9631)
- Sidebar content overflows its container [\#10231](https://github.com/primefaces/primeng/issues/10231)
- Sidebar's Overlay not removing when closing with cancel [\#10234](https://github.com/primefaces/primeng/issues/10234)

## [11.4.0](https://github.com/primefaces/primeng/tree/11.4.0) (2021-04-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.3.2...11.4.0)

**Implemented New Features and Enhancements:**

- Add "loading" prop to Buttons [\#10145](https://github.com/primefaces/primeng/issues/10145)
- Header and Footer template for Tree [\#10137](https://github.com/primefaces/primeng/issues/10137)
- ColumnFilter should be have hide option when click clear [\#10107](https://github.com/primefaces/primeng/issues/10107)
- Dropdown closing issue [\#10106](https://github.com/primefaces/primeng/issues/10106)
- TriStateCheckbox null state has false state icon [\#10101](https://github.com/primefaces/primeng/issues/10101)
- VirtualScroller for Autocomplete items [\#7442](https://github.com/primefaces/primeng/issues/7442)

**Fixed bugs:**

- p-disabled class missing on p-button [\#10140](https://github.com/primefaces/primeng/issues/10140)
- Crash when changing Button Icon  [\#10138](https://github.com/primefaces/primeng/issues/10138)
- Footer gets misaligned when used with calendar's inline mode [\#10130](https://github.com/primefaces/primeng/issues/10130)
- TabView programmatic update activeIndex not update inkbar position when using Material Themes [\#10117](https://github.com/primefaces/primeng/issues/10117)
- MultiSelect, Dropdown and AutoComplete's virtualScroll padding is wrong [\#10115](https://github.com/primefaces/primeng/issues/10115)
- Dropdown selecting an unwanted option when pressing Windows key on the keyboard [\#10113](https://github.com/primefaces/primeng/issues/10113)
- Password Component onAnimationStart invalid State case [\#10099](https://github.com/primefaces/primeng/issues/10099)
- \[p-tree\] event.accept\(\) not available on first drop [\#10093](https://github.com/primefaces/primeng/issues/10093)
- PColumnFilter's apply and clear button arent hiding if \[showApplyButton\] or \[showClearButton\] are set to false [\#9654](https://github.com/primefaces/primeng/issues/9654)
- Hovering on timepicker arrows acting like select after clicking an arrow in the time picker [\#8961](https://github.com/primefaces/primeng/issues/8961)

## [11.3.2](https://github.com/primefaces/primeng/tree/11.3.2) (2021-04-06)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.3.1...11.3.2)

**Implemented New Features and Enhancements:**

- Icon support for TriStateCheckBox [\#10052](https://github.com/primefaces/primeng/issues/10052)
- MenuItem's style and styleClass properties should be apply to li [\#10045](https://github.com/primefaces/primeng/issues/10045)
- Menuitem style and styleClass should applied to the TabMenu [\#10044](https://github.com/primefaces/primeng/issues/10044)
- Placeholder support for Password Component [\#10030](https://github.com/primefaces/primeng/issues/10030)
- Splitter not working on touch devices \(including dev tools\) [\#10020](https://github.com/primefaces/primeng/issues/10020)
- Dropdown/Multiselect filter change event [\#9971](https://github.com/primefaces/primeng/issues/9971)
- p-confirmDialog should support template [\#5448](https://github.com/primefaces/primeng/issues/5448)

**Fixed bugs:**

- p-table with save state \(localstorage/sessionstorage\) remember old value after delete from filter [\#10065](https://github.com/primefaces/primeng/issues/10065)
- Pick list events emit inconsistent types [\#10063](https://github.com/primefaces/primeng/issues/10063)
- Accessibility: Typo in aria attribute valuemin for InputNumber [\#10058](https://github.com/primefaces/primeng/issues/10058)
- Carousel does not always display dynamically added items [\#10051](https://github.com/primefaces/primeng/issues/10051)
- PickList's and OrderList's reorder and move functions not working with filtering [\#10048](https://github.com/primefaces/primeng/issues/10048)
- Picklist dragdrop input can't disable drag and drop [\#10037](https://github.com/primefaces/primeng/issues/10037)
- Toggle All Checkbox not working when using Group templates on Listbox and MultiSelect [\#10035](https://github.com/primefaces/primeng/issues/10035)
- AutoComplete does not display 0 as value when preselected [\#10031](https://github.com/primefaces/primeng/issues/10031)
- Animation "none" not working for p-skeleton [\#10026](https://github.com/primefaces/primeng/issues/10026)
- p-calendar styling is incorrect when it is disabled with an icon [\#10024](https://github.com/primefaces/primeng/issues/10024)
- Dropdown, MultiSelect, Listbox group filter issue when using custom interface instead of SelectItemGroup [\#10022](https://github.com/primefaces/primeng/issues/10022)
- firstDayOfWeek is broken in 11.3.1 [\#10013](https://github.com/primefaces/primeng/issues/10013)
- First node dropped into empty tree not triggering onNodeDrop [\#9991](https://github.com/primefaces/primeng/issues/9991)
- Galleria: thumbnail items doesn't work properly when responsive options are set [\#9744](https://github.com/primefaces/primeng/issues/9744)
- Implemented fix for \#9660 prevents finding a value for simple array of options [\#9742](https://github.com/primefaces/primeng/issues/9742)
- Scroll Panel Bars not displaying correctly when the scrollpanel loses/gains width [\#9727](https://github.com/primefaces/primeng/issues/9727)
- MultiSelect Not Displaying Pre-Selected Items Upon Load [\#9673](https://github.com/primefaces/primeng/issues/9673)
- When no label is assigned to pButton, the button should not render &nbsp; [\#9482](https://github.com/primefaces/primeng/issues/9482)

## [11.3.1](https://github.com/primefaces/primeng/tree/11.3.1) (2021-03-12)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.3.0...11.3.1)

**Implemented New Features and Enhancements:**

- Changing captcha language does not work [\#9985](https://github.com/primefaces/primeng/issues/9985)
- TreeTable onEditComplete not triggered [\#9307](https://github.com/primefaces/primeng/issues/9307)

**Fixed bugs:**

- Allow zone.js 0.11.4 [\#9989](https://github.com/primefaces/primeng/issues/9989)
- CascadeSelect onGroupChange returns undefined [\#9986](https://github.com/primefaces/primeng/issues/9986)
- Defer directive throws ExpressionChangedAfterItHasBeenCheckedError if visible from the beginning [\#9984](https://github.com/primefaces/primeng/issues/9984)
- Password component content template not working [\#9983](https://github.com/primefaces/primeng/issues/9983)
- Calendar week days are never updated use i18n API. [\#9689](https://github.com/primefaces/primeng/issues/9689)
- AutoComplete does not display 0 as value [\#9628](https://github.com/primefaces/primeng/issues/9628)
- Autocomplete with multiple and readonly enabled still show button to remove options [\#9513](https://github.com/primefaces/primeng/issues/9513)
- p-dataView not updating view after \[layout\] change [\#9494](https://github.com/primefaces/primeng/issues/9494)

## [11.3.0](https://github.com/primefaces/primeng/tree/11.3.0) (2021-03-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.3.0-rc.1...11.3.0)

**Implemented New Features and Enhancements:**

- Ellipsis mode for Multiselect [\#9979](https://github.com/primefaces/primeng/issues/9979)
- Showcase menu enhancement [\#9966](https://github.com/primefaces/primeng/issues/9966)
- Update Chart Demos [\#9961](https://github.com/primefaces/primeng/issues/9961)
- Unable to access tab menu using keyboard [\#9954](https://github.com/primefaces/primeng/issues/9954)
- Facing accessibility-related issues with primeNg controls and AXE tools. [\#9834](https://github.com/primefaces/primeng/issues/9834)
- p-splitter not working with I think nested ngtemplates [\#9754](https://github.com/primefaces/primeng/issues/9754)
- Calendar: WeekNumber looks like it is selectable [\#9746](https://github.com/primefaces/primeng/issues/9746)
- Menubar menuitems must have menu/menubar as parent  [\#9680](https://github.com/primefaces/primeng/issues/9680)
- Indicators for MultiSort [\#8757](https://github.com/primefaces/primeng/issues/8757)
- Touch support for ColorPicker [\#8566](https://github.com/primefaces/primeng/issues/8566)

**Fixed bugs:**

- Table error while using stateStorage with date filter [\#9967](https://github.com/primefaces/primeng/issues/9967)
- Galleria thumbnail animation jumps [\#9963](https://github.com/primefaces/primeng/issues/9963)
- Chips disabled not working when using with comma [\#9958](https://github.com/primefaces/primeng/issues/9958)
- Disabled p-inputNumber updated after pasting from clipboard [\#9957](https://github.com/primefaces/primeng/issues/9957)
- OverlayPanel  not working unless ShareModule is imported as well [\#9927](https://github.com/primefaces/primeng/issues/9927)
- first in currentPageReportTemplate always resolves to "1" even when no rows match [\#9002](https://github.com/primefaces/primeng/issues/9002)

## [11.3.0-rc.1](https://github.com/primefaces/primeng/tree/11.3.0-rc.1) (2021-03-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.2.3...11.3.0-rc.1)

**Implemented New Features and Enhancements:**

- Remove max-height from OrderList PickList [\#9955](https://github.com/primefaces/primeng/issues/9955)
- Color Palettes for Each Theme [\#9948](https://github.com/primefaces/primeng/issues/9948)
- Cdk DragDrop Support for OrderList and PickList [\#9943](https://github.com/primefaces/primeng/issues/9943)
- BreakPoints for OrderList and PickList [\#9942](https://github.com/primefaces/primeng/issues/9942)
- Reimplement password strength ui  [\#9929](https://github.com/primefaces/primeng/issues/9929)
- breakpoints for Dialog and ConfirmDialog [\#9923](https://github.com/primefaces/primeng/issues/9923)
- Improve support page [\#9914](https://github.com/primefaces/primeng/issues/9914)
- Update Editor Custom Toolbar Documentation [\#8905](https://github.com/primefaces/primeng/issues/8905)

**Fixed bugs:**

- p-cascadeSelect optionGroupChildren wrong type definition [\#9952](https://github.com/primefaces/primeng/issues/9952)
- columnResizeMode Expand not working with Storage Table [\#9922](https://github.com/primefaces/primeng/issues/9922)
- p-picklist drag and drop is not working correctly [\#9910](https://github.com/primefaces/primeng/issues/9910)
- ExpressionChangedAfterItHasBeenCheckedError error in p-accordion [\#9894](https://github.com/primefaces/primeng/pull/9894)

## [11.2.3](https://github.com/primefaces/primeng/tree/11.2.3) (2021-02-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.2.2...11.2.3)

**Implemented New Features and Enhancements:**

- Expose InputMask OnKeyDown event [\#9718](https://github.com/primefaces/primeng/issues/9718)

**Fixed bugs:**

- When table is lazy and having multiSortMeta then "lazyLoad" execute twice [\#9906](https://github.com/primefaces/primeng/issues/9906)
- p-dialog draggable with maximize [\#9899](https://github.com/primefaces/primeng/issues/9899)
- Avatar Circle not working [\#9895](https://github.com/primefaces/primeng/issues/9895)
- pSelectableRow blocks typing space on inputs in p-table [\#9893](https://github.com/primefaces/primeng/issues/9893)
- p-inputnumber infinite loop when using buttons [\#9888](https://github.com/primefaces/primeng/issues/9888)
- selectButton \>Custom Template broken [\#9883](https://github.com/primefaces/primeng/issues/9883)
- p-slider does not react when clicking on bar in some cases [\#9857](https://github.com/primefaces/primeng/issues/9857)
- p-columnFilter not displaying placeholder for type="numeric" [\#9851](https://github.com/primefaces/primeng/issues/9851)
- p-table reset\(\) causes errors in filter value binding [\#9570](https://github.com/primefaces/primeng/issues/9570)

## [11.2.2](https://github.com/primefaces/primeng/tree/11.2.2) (2021-02-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.2.1...11.2.2)

**Implemented New Features and Enhancements:**

- Add Search to Showcase [\#9887](https://github.com/primefaces/primeng/issues/9887)
- Splitter property for initial size should be called panelSize on the showcase [\#9807](https://github.com/primefaces/primeng/issues/9807)

**Fixed bugs:**

- Filter Match All vs Match Any not working twice [\#9836](https://github.com/primefaces/primeng/issues/9836)

## [11.2.1](https://github.com/primefaces/primeng/tree/11.2.1) (2021-02-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.2.0...11.2.1)

**Implemented New Features and Enhancements:**

- Enter key should hide calendar [\#9880](https://github.com/primefaces/primeng/issues/9880)
- New Date Filters for Table [\#9879](https://github.com/primefaces/primeng/issues/9879)
- Add ConfirmEventType for ConfirmDialog [\#9872](https://github.com/primefaces/primeng/issues/9872)
- PageDown PageUp Home End Key support for Table VirtualScroll [\#9832](https://github.com/primefaces/primeng/issues/9832)
- Add rowIndex to onRowUnselect [\#9823](https://github.com/primefaces/primeng/issues/9823)

**Fixed bugs:**

- Filtermenu grows with multiple constraints [\#9878](https://github.com/primefaces/primeng/issues/9878)
- p-sidebar appendTo has wrong type [\#9876](https://github.com/primefaces/primeng/issues/9876)
- LazyEvent.first coming wrong when sorting with resetPageOnSort true [\#9866](https://github.com/primefaces/primeng/issues/9866)
- Adding \[multiSortMeta\] to the table causes an extra initial call to fetch data in virtual scroll [\#9854](https://github.com/primefaces/primeng/issues/9854)
- TabPanel's leftIcon and rightIcon properties not working with programmatic change [\#9844](https://github.com/primefaces/primeng/issues/9844)
- Not filtering date using "Is"  in table [\#9838](https://github.com/primefaces/primeng/issues/9838)
- Row not selected when using the Table contextMenuSelectionMode="joint" [\#9824](https://github.com/primefaces/primeng/issues/9824)
- ConnectedOverlayScrollHandler API doesn't work as expected [\#9822](https://github.com/primefaces/primeng/issues/9822)
- Strange behavior using context menu on Safari [\#9814](https://github.com/primefaces/primeng/issues/9814)
- Table onRowSelect calling before the selection change [\#9806](https://github.com/primefaces/primeng/issues/9806)
- The up and down arrow key stops working by the virtualscroller [\#9805](https://github.com/primefaces/primeng/issues/9805)
- Space key causes scroll the browser when using Table selection  [\#9804](https://github.com/primefaces/primeng/issues/9804)
- ContextMenu highlight select multiple items when item count bigger than nine [\#9803](https://github.com/primefaces/primeng/issues/9803)

## [11.2.0](https://github.com/primefaces/primeng/tree/11.2.0) (2021-01-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.1.0...11.2.0)

**Breaking changes:**

- Remove p-error in favor p-invalid [\#9757](https://github.com/primefaces/primeng/issues/9757)

**Implemented New Features and Enhancements:**

- Remove deprecated p-header and p-footer from demos [\#9795](https://github.com/primefaces/primeng/issues/9795)
- Float Label support for CascadeSelect [\#9783](https://github.com/primefaces/primeng/issues/9783)
- Grouping for Select Components [\#9772](https://github.com/primefaces/primeng/issues/9772)
- emptyMessage template is duplicated if treeTable has frozen columns \[TreeTable\] [\#9768](https://github.com/primefaces/primeng/issues/9768)
- Add frozenexpansion template to TurboTable [\#9621](https://github.com/primefaces/primeng/issues/9621)
- Wrong documentation for controlCase on TabView [\#9490](https://github.com/primefaces/primeng/issues/9490)
- Keyboard navigation Table - Edit with arrows [\#6982](https://github.com/primefaces/primeng/issues/6982)

**Fixed bugs:**

- Improve float label support in overlay selects [\#9797](https://github.com/primefaces/primeng/issues/9797)
- Link button is not visible on material themes [\#9796](https://github.com/primefaces/primeng/issues/9796)
- Knob not set sizes when using Firefox [\#9792](https://github.com/primefaces/primeng/issues/9792)
- \[bug report\] Filter function 'between' used a wrong comparison operator. [\#9769](https://github.com/primefaces/primeng/issues/9769)
- \[bug report\] Filter function 'between' thow an exception when the second parameter value is null. [\#9765](https://github.com/primefaces/primeng/issues/9765)
- Wrong color on material default text [\#9756](https://github.com/primefaces/primeng/issues/9756)
- CascadeSelect missing material theming [\#9755](https://github.com/primefaces/primeng/issues/9755)
- ConfirmDialog throws exception during onDestroy [\#8585](https://github.com/primefaces/primeng/issues/8585)

## [11.1.0](https://github.com/primefaces/primeng/tree/11.1.0) (2021-01-11)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.1.0-rc.1...11.1.0)

**Implemented New Features and Enhancements:**

- shiftKey invokes onRowSelect multiple times [\#9747](https://github.com/primefaces/primeng/issues/9747)
- New  Lazy Table Demo with Remote Source [\#9717](https://github.com/primefaces/primeng/issues/9717)
- p-table: Unable to translate "No filter" in columnFilter [\#9709](https://github.com/primefaces/primeng/issues/9709)
- Messages 2way binding is not working [\#9623](https://github.com/primefaces/primeng/issues/9623)

**Fixed bugs:**

- Improve invalid validation visuals on material themes [\#9745](https://github.com/primefaces/primeng/issues/9745)
- p-chip remove event doesn't match documentation [\#9735](https://github.com/primefaces/primeng/issues/9735)
- Basic uploader button visual issue [\#9711](https://github.com/primefaces/primeng/issues/9711)
- Table not restoring columns when using virtualscroll [\#9708](https://github.com/primefaces/primeng/issues/9708)
- Toast message icon is not styled [\#9702](https://github.com/primefaces/primeng/issues/9702)
- Editor UI bug report [\#9695](https://github.com/primefaces/primeng/issues/9695)
- Skeleton animation not working expected in Safari [\#9692](https://github.com/primefaces/primeng/issues/9692)
- Float label not working when clearing input on AutoComplete and TextArea [\#9688](https://github.com/primefaces/primeng/issues/9688)
- TabView Header does not update until clicking elsewhere [\#9685](https://github.com/primefaces/primeng/issues/9685)
- p-editor automatically gains focus when intializing model with data [\#9664](https://github.com/primefaces/primeng/issues/9664)
- ConfirmPopup not not hidden after url change [\#9637](https://github.com/primefaces/primeng/issues/9637)
- Lazy loaded tabpanel content loading eagerly when selected input is present [\#9613](https://github.com/primefaces/primeng/issues/9613)
- P-Table with VirtualScroll only header is resizing [\#9598](https://github.com/primefaces/primeng/issues/9598)
- Multiselect on chips display does not update the model when deleting them from the chip icon [\#9579](https://github.com/primefaces/primeng/issues/9579)
- Resizable columns with virtual scroll doesn't work with p-treeTable [\#9575](https://github.com/primefaces/primeng/issues/9575)
- Treetable column resize breaks when columnResizeMode="expand" in combination with \[virtualScroll\]="true" [\#9202](https://github.com/primefaces/primeng/issues/9202)
- p-treeTable with VirtualScroll only header is resizing [\#9170](https://github.com/primefaces/primeng/issues/9170)
- p-table cell edit wrong index on onEditComplete event [\#9075](https://github.com/primefaces/primeng/issues/9075)

## [11.1.0-rc.1](https://github.com/primefaces/primeng/tree/11.1.0-rc.1) (2020-12-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.0.0...11.1.0-rc.1)

**Implemented New Features and Enhancements:**

- Splitter Component [\#9677](https://github.com/primefaces/primeng/issues/9677)
- CascadeSelect component [\#9665](https://github.com/primefaces/primeng/issues/9665)
- Knob Component [\#9652](https://github.com/primefaces/primeng/issues/9652)
- Divider Component [\#9650](https://github.com/primefaces/primeng/issues/9650)
- ScrollTop Component [\#9649](https://github.com/primefaces/primeng/issues/9649)
- Skeleton Component [\#9643](https://github.com/primefaces/primeng/issues/9643)
- Chip Component [\#9641](https://github.com/primefaces/primeng/issues/9641)
- Tag Component [\#9640](https://github.com/primefaces/primeng/issues/9640)
- Avatar Component [\#9639](https://github.com/primefaces/primeng/issues/9639)
- Badge Component and Directive [\#9638](https://github.com/primefaces/primeng/issues/9638)

**Fixed bugs:**

- optionValue backward compatibility issue [\#9660](https://github.com/primefaces/primeng/issues/9660)
- headerTemplate error in Editor [\#9659](https://github.com/primefaces/primeng/issues/9659)
- PrimeNG 11 requires Angular \< 11 [\#9626](https://github.com/primefaces/primeng/issues/9626)

## [11.0.0](https://github.com/primefaces/primeng/tree/11.0.0) (2020-12-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.0.0-rc.2...11.0.0)

**Implemented New Features and Enhancements:**

- fileupload missing import in documentation [\#9618](https://github.com/primefaces/primeng/issues/9618)
- InputText documentation wrong usage for i element [\#9614](https://github.com/primefaces/primeng/issues/9614)
- Not all the selected items are visible in an autocomplete with multiple="true" [\#9602](https://github.com/primefaces/primeng/issues/9602)
- Change mouse cursor on drag&drop events [\#9536](https://github.com/primefaces/primeng/issues/9536)
- Add a maximize event on dialog [\#8861](https://github.com/primefaces/primeng/issues/8861)
- ConfirmationService does not let specify closeOnEscape [\#8790](https://github.com/primefaces/primeng/issues/8790)
- ConfirmDialog does not support dismissableMask [\#8791](https://github.com/primefaces/primeng/issues/8791)

**Fixed bugs:**

- Checkbox getting highlight when Tree item disabled [\#9619](https://github.com/primefaces/primeng/issues/9619)
- Wrong layout in ConfirmPopup component [\#9617](https://github.com/primefaces/primeng/issues/9617)
- ConfirmDialog top-left top-right bottom-left bottom-right positions not working [\#9612](https://github.com/primefaces/primeng/issues/9612)
- InputTextArea, FloatLabel and Initial State [\#9607](https://github.com/primefaces/primeng/issues/9607)
- Slider range issue when max values on the right [\#9538](https://github.com/primefaces/primeng/issues/9538)

## [11.0.0-rc.2](https://github.com/primefaces/primeng/tree/11.0.0-rc.2) (2020-11-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/11.0.0-rc.1...11.0.0-rc.2)

**Breaking changes:**

- Remove FilterUtils [\#9548](https://github.com/primefaces/primeng/issues/9548)

**Implemented New Features and Enhancements:**

- Tree toggle icon should not receive focus [\#9590](https://github.com/primefaces/primeng/issues/9590)
- Add new icons of 4.1.0 to PrimeIcons Constants [\#9565](https://github.com/primefaces/primeng/issues/9565)
- New FilterService API [\#9547](https://github.com/primefaces/primeng/issues/9547)
- onShow and onHide event for colorPicker [\#8828](https://github.com/primefaces/primeng/issues/8828)
- Overlay Panel / Confirm Popup The arrow shows wrong [\#8750](https://github.com/primefaces/primeng/issues/8750)
- Dialog.onShow should occur when the animation ends [\#8747](https://github.com/primefaces/primeng/issues/8747)
- Unable to navigate in p-tree when using NVDA or JAWS screen reader [\#8674](https://github.com/primefaces/primeng/issues/8674)
- FilterUtils.filter only accepts filterValue of type string [\#8348](https://github.com/primefaces/primeng/issues/8348)

**Fixed bugs:**

- Clearing a p-columnFilter / p-dropdown using "showClear" X-button throws a TypeError [\#9578](https://github.com/primefaces/primeng/issues/9578)
- ver. 11.0.0-rc.1 error with table when building in prod. [\#9567](https://github.com/primefaces/primeng/issues/9567)
- MultiSelect not working when Objects contain property "value" [\#9561](https://github.com/primefaces/primeng/issues/9561)
- PickList V11.00-rc-1 Both are triggered at the same time - onMoveAllToTarget, onMoveToTarget [\#9555](https://github.com/primefaces/primeng/issues/9555)
- p-calendar: Pressing Enter key on prev or next month arrows calls onPrevButtonClick or onNextButtonClick twice respectively [\#9521](https://github.com/primefaces/primeng/issues/9521)
- Carousel does not respond to change to numVisible   [\#9049](https://github.com/primefaces/primeng/issues/9049)
- Carousel doesn't use 'responsiveOptions' on init [\#8833](https://github.com/primefaces/primeng/issues/8833)
- p-colorPicker not working | Failing on click [\#8746](https://github.com/primefaces/primeng/issues/8746)
- Autocomplete empty text when lost focus [\#8740](https://github.com/primefaces/primeng/issues/8740)
- \[Bug\] Carousel displays last page when circular=true [\#8739](https://github.com/primefaces/primeng/issues/8739)
- \[Bug\] Carousel does not recalculate the number of dots on refresh [\#8705](https://github.com/primefaces/primeng/issues/8705)

## [11.0.0-rc.1](https://github.com/primefaces/primeng/tree/11.0.0-rc.1) (2020-11-18)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.3...11.0.0-rc.1)

**Breaking changes:**

- Remove clearCache method from Table and VirtualScroller [\#9530](https://github.com/primefaces/primeng/issues/9530)
- Pass the option as a template variable in Select Components without wrapping to SelectItem [\#9505](https://github.com/primefaces/primeng/issues/9505)
- Remove functionality of locale property of Calendar [\#9504](https://github.com/primefaces/primeng/issues/9504)
- Rename filterMode to filterMatchMode in Listbox [\#9481](https://github.com/primefaces/primeng/issues/9481)

**Implemented New Features and Enhancements:**

- Change yes-no button order in ConfirmDialog [\#9531](https://github.com/primefaces/primeng/issues/9531)
- Remove clearCache method from Table and VirtualScroller [\#9530](https://github.com/primefaces/primeng/issues/9530)
- Update to PrimeIcons 4.1.0 [\#9524](https://github.com/primefaces/primeng/issues/9524)
- Remove functionality of locale property of Calendar [\#9504](https://github.com/primefaces/primeng/issues/9504)
- Add keyboard support to ContextMenu [\#9499](https://github.com/primefaces/primeng/issues/9499)
- p-accordion with lazy loaded content doesnt load when opened programattically [\#9496](https://github.com/primefaces/primeng/issues/9496)
- Rename filterMode to filterMatchMode in Listbox [\#9481](https://github.com/primefaces/primeng/issues/9481)
- p-calendar Dynamic default date [\#9479](https://github.com/primefaces/primeng/issues/9479)
- Chips display for MultiSelect [\#9470](https://github.com/primefaces/primeng/issues/9470)
- New Component: ConfirmPopıp [\#9468](https://github.com/primefaces/primeng/issues/9468)
- Visibility option for Paginator's first and last page icons [\#9456](https://github.com/primefaces/primeng/issues/9456)
- Dropdown Item template support for Paginator [\#9455](https://github.com/primefaces/primeng/issues/9455)
- Customizable Toast and Messages [\#9454](https://github.com/primefaces/primeng/issues/9454)
- TieredMenu Keyboard Support [\#9451](https://github.com/primefaces/primeng/issues/9451)
- i18n API [\#9446](https://github.com/primefaces/primeng/issues/9446)
- Advanced Filtering for Table [\#9420](https://github.com/primefaces/primeng/issues/9420)
- Improve sortable column focus visuals [\#9396](https://github.com/primefaces/primeng/issues/9396)
- Constants for PrimeIcons [\#9391](https://github.com/primefaces/primeng/issues/9391)
- Model driven forms support for RadioButton [\#9162](https://github.com/primefaces/primeng/issues/9162)
- Accessibility: Dialog close button needs aria- label [\#8947](https://github.com/primefaces/primeng/issues/8947)
- Add autoDisplay to MenuBar and TieredMenu [\#8293](https://github.com/primefaces/primeng/issues/8293)
- New Component: Timeline [\#7936](https://github.com/primefaces/primeng/issues/7936)
- Turbo Table cannot filter empty values with "in" Filter [\#6808](https://github.com/primefaces/primeng/issues/6808)
- Ability to define optionValue, optionDisabled, optionGroup in Select components [\#4295](https://github.com/primefaces/primeng/issues/4295)

**Fixed bugs:**

- Galleria Indicators aren't displayed in Firefox [\#9537](https://github.com/primefaces/primeng/issues/9537)
- Popup TieredMenu not closing when click on leaf [\#9534](https://github.com/primefaces/primeng/issues/9534)
- ContextMenu Keyboard Controls does not prevent Tree Keyboard Controls [\#9529](https://github.com/primefaces/primeng/issues/9529)
- Table stored state does not match current columns [\#9510](https://github.com/primefaces/primeng/issues/9510)
- DOM Exception trigger with ButtonDirective afterViewInit [\#9497](https://github.com/primefaces/primeng/issues/9497)
- scrollHeight doesn't change dynamically when using virtualScroll [\#9489](https://github.com/primefaces/primeng/issues/9489)
- Align contextmenu menu behavior with menubar [\#9459](https://github.com/primefaces/primeng/issues/9459)
- TieredMenu initial hover is broken [\#9458](https://github.com/primefaces/primeng/issues/9458)
- Can't upload file using PUT [\#9448](https://github.com/primefaces/primeng/issues/9448)
- OverlayPanel target arrow points to the wrong position when target is on the right edge of the screen [\#9441](https://github.com/primefaces/primeng/issues/9441)
- The up and down arrow key stops working by the table virtualscrolling [\#9437](https://github.com/primefaces/primeng/issues/9437)
- Radiobutton stackblitz example dynamic radio label not clickable [\#9417](https://github.com/primefaces/primeng/issues/9417)
- Table with scroll has misaligned headers if scrollbar is not visible [\#9413](https://github.com/primefaces/primeng/issues/9413)
- pRipple working when disabled\(etc menuitem\) [\#9406](https://github.com/primefaces/primeng/issues/9406)
- Button badge colors are wrong [\#9397](https://github.com/primefaces/primeng/issues/9397)
- Material tristatecheckbox false state invisible [\#9395](https://github.com/primefaces/primeng/issues/9395)
- Tree toggler icon visual issue with hover [\#9394](https://github.com/primefaces/primeng/issues/9394)
- Galleria and Carousel highlight item visual improvement on PrimeOne Themes [\#9393](https://github.com/primefaces/primeng/issues/9393)
- Galleria thumbnailsPosition top and left don't work [\#9381](https://github.com/primefaces/primeng/issues/9381)
- P-multiselect component ignores disabled options if optionLabel property is used [\#9346](https://github.com/primefaces/primeng/issues/9346)
- Table lazy virtual scroll triggers multiple separate calls to `onLazyLoad\(\)` function [\#9316](https://github.com/primefaces/primeng/issues/9316)
- Again problem with twice load init in virtualscroll [\#9311](https://github.com/primefaces/primeng/issues/9311)
- wrong behavior of Dialog.maskClickListener [\#9282](https://github.com/primefaces/primeng/issues/9282)

**Deprecated:**

- Deprecate SelectItem [\#9506](https://github.com/primefaces/primeng/issues/9506)

**Closed issues:**

- Pass the option as a template variable in Select Components without wrapping to SelectItem [\#9505](https://github.com/primefaces/primeng/issues/9505)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.1.5-LTS](https://www.npmjs.com/package/primeng-lts/v/10.1.5) (2021-11-11)

- The escape property does not work for label in Slide Menu component [\#10827](https://github.com/primefaces/primeng/issues/10827)
- Dropdown | autoDisplayFirst not update value of dropdown [\#10768](https://github.com/primefaces/primeng/issues/10768)
- If appendTo property of confirmDialog is set, defaultFocus doesn't work [\#10722](https://github.com/primefaces/primeng/issues/10722)
- Filtered Dropdown unusable on Windows Tablet [\#10648](https://github.com/primefaces/primeng/issues/10648)
- Extra space between MultiSelect and filter list [\#10644](https://github.com/primefaces/primeng/issues/10644)
- Dropdown - scroll to selected item [\#10346](https://github.com/primefaces/primeng/issues/10346)
- Table frozen columns not working with colresize expand mode [\#10310](https://github.com/primefaces/primeng/issues/10310)
- 10286 for ColorPicker [\#10309](https://github.com/primefaces/primeng/issues/10309)
- FileUpload - long filename [\#10275](https://github.com/primefaces/primeng/issues/10275)
- Sidebar wrong animation and close button display [\#10261](https://github.com/primefaces/primeng/issues/10261)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.1.4-LTS](https://www.npmjs.com/package/primeng-lts/v/10.1.4) (2021-10-18)

- float-label chips problem [\#10725](https://github.com/primefaces/primeng/issues/10725)
- pButton Directive throws error when label is set when async pipe [\#10719](https://github.com/primefaces/primeng/issues/10719)
- p-radioButton causes layout issues when used inside an overflow: auto div [\#10718](https://github.com/primefaces/primeng/issues/10718)
- float-label pInputText problem [\#10716](https://github.com/primefaces/primeng/issues/10716)
- Thumbnails are not displayed correctly on Galleria if numVisible is greater than the length of value [\#10594](https://github.com/primefaces/primeng/issues/10594)
- Improve resize feature of Dialog [\#10465](https://github.com/primefaces/primeng/issues/10465)
- A maximizable dialog cannot be maximized properly after its size or position has been changed [\#10464](https://github.com/primefaces/primeng/issues/10464)
- Unsubscription error when running any default component test using Steps [\#10379](https://github.com/primefaces/primeng/issues/10379)
- FileUpload Size Calculation is wrong [\#10369](https://github.com/primefaces/primeng/issues/10369)
- p-checkbox causes layout issues when used inside an overflow: auto div [\#9725](https://github.com/primefaces/primeng/issues/9725)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.1.3-LTS](https://www.npmjs.com/package/primeng-lts/v/10.1.3) (2021-10-05)

- Improve scrollbar style on BreadCrumb and TabMenu [\#10698](https://github.com/primefaces/primeng/issues/10698)
- Disable the navigation helpers when paginator empty [\#10661](https://github.com/primefaces/primeng/issues/10661)
- Tooltip: word wrap [\#10647](https://github.com/primefaces/primeng/issues/10647)
- Responsive TabMenu and Breadcrumb [\#10338](https://github.com/primefaces/primeng/issues/10338)
- Dropdown selecting disabled option throws error using keyboard arrows [\#10252](https://github.com/primefaces/primeng/issues/10252)
- Sidebar - ngOnDestory throws an exception [\#10247](https://github.com/primefaces/primeng/issues/10247)
- p-dropdown float label overlaps input when selected value is 0 [\#10245](https://github.com/primefaces/primeang/issues/10245)
- Header and Footer Template for AutoComplete [\#10159](https://github.com/primefaces/primeang/issues/10159)
- p-disabled class missing on p-button [\#10140](https://github.com/primefaces/primeang/issues/10140)
- first in currentPageReportTemplate always resolves to "1" even when no rows match [\#9002](https://github.com/primefaces/primeang/issues/9002)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.1.2-LTS](https://www.npmjs.com/package/primeng-lts/v/10.1.2) (2021-05-07)

- showNavigator and showIndicator support for Carousel [\#10208](https://github.com/primefaces/primeng/issues/10208)
- IndicatorStyle and IndicatorStyleClass support for Carousel [\#10207](https://github.com/primefaces/primeng/issues/10207)
- p-editor - HTML binding fails [\#10182](https://github.com/primefaces/primeng/issues/10182)
- p-dropdown with editable=true and floating labels results in incorrect behavior with manually entered values [\#10170](https://github.com/primefaces/primeng/issues/10170)
- Footer gets misaligned when used with calendar's inline mode [\#10130](https://github.com/primefaces/primeng/issues/10130)
- Dropdown selecting an unwanted option when pressing Windows key on the keyboard [\#10113](https://github.com/primefaces/primeng/issues/10113)
- Facing accessibility-related issues with primeNg controls and AXE tools. [\#9834](https://github.com/primefaces/primeng/issues/9834)
- Radio buttons do not get unselected on the same group, with Reactive Forms using formControl instead of formControlName [\#9631](https://github.com/primefaces/primeng/issues/9631)
- Hovering on timepicker arrows acting like select after clicking an arrow in the time picker [\#8961](https://github.com/primefaces/primeng/issues/8961)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.1.1-LTS](https://www.npmjs.com/package/primeng-lts/v/10.1.1) (2021-04-13)

- p-tree event.accept() not available on first drop [\#10093](https://github.com/primefaces/primeng/issues/10093)
- p-table with save state (localstorage/sessionstorage) remember old value after delete from filter [\#10065](https://github.com/primefaces/primeng/issues/10065)
- Accessibility: Typo in aria attribute valuemin for InputNumber [\#10058](https://github.com/primefaces/primeng/issues/10058)
- Carousel does not always display dynamically added items [\#10051](https://github.com/primefaces/primeng/issues/10051)
- MenuItem's style and styleClass properties should be apply to li [\#10045](https://github.com/primefaces/primeng/issues/10045)
- AutoComplete does not display 0 as value when preselected [\#10031](https://github.com/primefaces/primeng/issues/10031)
- Calendar: WeekNumber looks like it is selectable [\#9746](https://github.com/primefaces/primeng/issues/9746)
- Menubar menuitems must have menu/menubar as parent [\#9680](https://github.com/primefaces/primeng/issues/9680)
- AutoComplete does not display 0 as value [\#9628](https://github.com/primefaces/primeng/issues/9628)
- When no label is assigned to pButton, the button should not render &nbsp; [\#9482](https://github.com/primefaces/primeng/issues/9482)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.1.0-LTS](https://www.npmjs.com/package/primeng-lts/v/10.1.0) (2021-03-16)

- First node dropped into empty tree not triggering onNodeDrop [\#9991](https://github.com/primefaces/primeng/issues/9991)
- Changing captcha language does not work [\#9985](https://github.com/primefaces/primeng/issues/9985)
- Defer directive throws ExpressionChangedAfterItHasBeenCheckedError if visible from the beginning [\#9984](https://github.com/primefaces/primeng/issues/9984)
- Chips disabled not working when using with comma [\#9958](https://github.com/primefaces/primeng/issues/9958)
- Disabled p-inputNumber updated after pasting from clipboard [\#9957](https://github.com/primefaces/primeng/issues/9957)
- Unable to access tab menu using keyboard [\#9954](https://github.com/primefaces/primeng/issues/9954)
- OverlayPanel not working unless ShareModule is imported as well [\#9927](https://github.com/primefaces/primeng/issues/9927)
- Galleria: thumbnail items doesn't work properly when responsive options are set [\#9744](https://github.com/primefaces/primeng/issues/9744)
- Autocomplete with multiple and readonly enabled still show button to remove options [\#9513](https://github.com/primefaces/primeng/issues/9513)
- p-dataView not updating view after [layout] change [\#9494](https://github.com/primefaces/primeng/issues/9494)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.0.9-LTS](https://www.npmjs.com/package/primeng-lts/v/10.0.9) (2021-03-01)

- When table is lazy and having multiSortMeta then "lazyLoad" execute twice [\#9906](https://github.com/primefaces/primeng/issues/9906)
- p-dialog draggable with maximize [\#9899](https://github.com/primefaces/primeng/issues/9899)
- pSelectableRow blocks typing space on inputs in p-table [\#9893](https://github.com/primefaces/primeng/issues/9893)
- p-inputnumber infinite loop when using buttons [\#9888](https://github.com/primefaces/primeng/issues/9888)
- Enter key should hide calendar [\#9880](https://github.com/primefaces/primeng/issues/9880)
- p-sidebar appendTo has wrong type [\#9876](https://github.com/primefaces/primeng/issues/9876)
- p-slider does not react when clicking on bar in some cases [\#9857](https://github.com/primefaces/primeng/issues/9857)
- Add rowIndex to onRowUnselect [\#9823](https://github.com/primefaces/primeng/issues/9823)
- Expose InputMask OnKeyDown event [\#9718](https://github.com/primefaces/primeng/issues/9718)
- p-table cell edit wrong index on onEditComplete event [\#9075](https://github.com/primefaces/primeng/issues/9075)
- Update Editor Custom Toolbar Documentation [\#8905](https://github.com/primefaces/primeng/issues/8905)
- ConfirmDialog throws exception during onDestroy [\#8585](https://github.com/primefaces/primeng/issues/8585)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.0.8-LTS](https://www.npmjs.com/package/primeng-lts/v/10.0.8) (2021-02-11)

- LazyEvent.first coming wrong when sorting with resetPageOnSort true [\#9866](https://github.com/primefaces/primeng/issues/9866)
- Adding [multiSortMeta] to the table causes an extra initial call to fetch data in virtual scroll [\#9854](https://github.com/primefaces/primeng/issues/9854)
- TabPanel's leftIcon and rightIcon properties not working with programmatic change [\#9844](https://github.com/primefaces/primeng/issues/9844)
- Row not selected when using the Table contextMenuSelectionMode="joint" [\#9824](https://github.com/primefaces/primeng/issues/9824)
- Strange behavior using context menu on Safari [\#9814](https://github.com/primefaces/primeng/issues/9814)
- Table onRowSelect calling before the selection change [\#9806](https://github.com/primefaces/primeng/issues/9806)
- The up and down arrow key stops working by the virtualscroller [\#9805](https://github.com/primefaces/primeng/issues/9805)
- Space key causes scroll the browser when using Table selection [\#9804](https://github.com/primefaces/primeng/issues/9804)
- Messages 2way binding is not working [\#9623](https://github.com/primefaces/primeng/issues/9623)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.0.7-LTS](https://www.npmjs.com/package/primeng-lts/v/10.0.7) (2021-01-12)

- shiftKey invokes onRowSelect multiple times [\#9747](https://github.com/primefaces/primeng/issues/9747)
- Basic uploader button visual issue [\#9711](https://github.com/primefaces/primeng/issues/9711)
- Table not restoring columns when using virtualscroll [\#9708](https://github.com/primefaces/primeng/issues/9708)
- Toast message icon is not styled [\#9702](https://github.com/primefaces/primeng/issues/9702)
- Float label not working when clearing input on AutoComplete and TextArea [\#9688](https://github.com/primefaces/primeng/issues/9688)
- TabView Header does not update until clicking elsewhere [\#9685](https://github.com/primefaces/primeng/issues/9685)
- p-editor automatically gains focus when intializing model with data [\#9664](https://github.com/primefaces/primeng/issues/9664)
- Lazy loaded tabpanel content loading eagerly when selected input is present [\#9613](https://github.com/primefaces/primeng/issues/9613)
- P-Table with VirtualScroll only header is resizing [\#9598](https://github.com/primefaces/primeng/issues/9598)
- Resizable columns with virtual scroll doesn't work with p-treeTable [\#9575](https://github.com/primefaces/primeng/issues/9575)
- Wrong documentation for controlCase on TabView [\#9490](https://github.com/primefaces/primeng/issues/9490)
- Treetable column resize breaks when columnResizeMode="expand" in combination with [virtualScroll]="true" [\#9202](https://github.com/primefaces/primeng/issues/9202)
- p-treeTable with VirtualScroll only header is resizing [\#9170](https://github.com/primefaces/primeng/issues/9170)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.0.6-LTS](https://www.npmjs.com/package/primeng-lts/v/10.0.6) (2020-12-09)

- Checkbox getting highlight when Tree item disabled [\#9619](https://github.com/primefaces/primeng/issues/9619)
- ConfirmDialog top-left top-right bottom-left bottom-right positions not working [\#9612](https://github.com/primefaces/primeng/issues/9612)
- InputTextArea, FloatLabel and Initial State [\#9607](https://github.com/primefaces/primeng/issues/9607)
- Not all the selected items are visible in an autocomplete with multiple="true" [\#9602](https://github.com/primefaces/primeng/issues/9602)
- Change mouse cursor on drag&drop events [\#9536](https://github.com/primefaces/primeng/issues/9536)
- p-calendar: Pressing Enter key on prev or next month arrows calls onPrevButtonClick or onNextButtonClick twice respectively  [\#9521](https://github.com/primefaces/primeng/issues/9521)
- Carousel does not respond to change to numVisible [\#9049](https://github.com/primefaces/primeng/issues/9049)
- Add a maximize event on dialog [\#8861](https://github.com/primefaces/primeng/issues/8861)
- Carousel doesn't use 'responsiveOptions' on init [\#8833](https://github.com/primefaces/primeng/issues/8833)
- onShow and onHide event for colorPicker [\#8828](https://github.com/primefaces/primeng/issues/8828)
- ConfirmDialog does not support dismissableMask [\#8791](https://github.com/primefaces/primeng/issues/8791)
- ConfirmationService does not let specify closeOnEscape [\#8790](https://github.com/primefaces/primeng/issues/8790)
- Dialog.onShow should occur when the animation ends [\#8747](https://github.com/primefaces/primeng/issues/8747)
- p-colorPicker not working | Failing on click [\#8746](https://github.com/primefaces/primeng/issues/8746)
- [Bug] Carousel displays last page when circular=true [\#8739](https://github.com/primefaces/primeng/issues/8739)
- [Bug] Carousel does not recalculate the number of dots on refresh [\#8705](https://github.com/primefaces/primeng/issues/8705)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [10.0.5-LTS](https://www.npmjs.com/package/primeng-lts/v/10.0.5) (2020-11-24)

- Galleria Indicators aren't displayed in Firefox [\#9537](https://github.com/primefaces/primeng/issues/9537)
- Popup TieredMenu not closing when click on leaf  [\#9534](https://github.com/primefaces/primeng/issues/9534)
- ContextMenu Keyboard Controls does not prevent Tree Keyboard Controls [\#9529](https://github.com/primefaces/primeng/issues/9529)
- Table stored state does not match current columns [\#9510](https://github.com/primefaces/primeng/issues/9510)
- Add keyboard support to ContextMenu [\#9499](https://github.com/primefaces/primeng/issues/9499)
- DOM Exception trigger with ButtonDirective afterViewInit [\#9497](https://github.com/primefaces/primeng/issues/9497)
- p-accordion with lazy loaded content doesnt load when opened programattically [\#9496](https://github.com/primefaces/primeng/issues/9496)
- scrollHeight doesn't change dynamically when using virtualScroll [\#9489](https://github.com/primefaces/primeng/issues/9489)
- p-calendar Dynamic default date [\#9479](https://github.com/primefaces/primeng/issues/9479)
- Align contextmenu menu behavior with menubar [\#9459](https://github.com/primefaces/primeng/issues/9459)
- TieredMenu initial hover is broken [\#9458](https://github.com/primefaces/primeng/issues/9458)
- Visibility option for Paginator's first and last page icons [\#9456](https://github.com/primefaces/primeng/issues/9456)
- Dropdown Item template support for Paginator [\#9455](https://github.com/primefaces/primeng/issues/9455)
- Customizable Toast and Messages [\#9454](https://github.com/primefaces/primeng/issues/9454)
- TieredMenu Keyboard Support [\#9451](https://github.com/primefaces/primeng/issues/9451)
- OverlayPanel target arrow points to the wrong position when target is on the right edge of the screen [\#9441](https://github.com/primefaces/primeng/issues/9441)
- The up and down arrow key stops working by the table virtualscrolling [\#9437](https://github.com/primefaces/primeng/issues/9437)
- pRipple working when disabled(etc menuitem) [\#9406](https://github.com/primefaces/primeng/issues/9406)
- Galleria thumbnailsPosition top and left don't work [\#9381](https://github.com/primefaces/primeng/issues/9381)
- Table lazy virtual scroll triggers multiple separate calls to onLazyLoad() function [\#9316](https://github.com/primefaces/primeng/issues/9316)
- wrong behavior of Dialog.maskClickListener [\#9282](https://github.com/primefaces/primeng/issues/9282)
- Model driven forms support for RadioButton [\#9162](https://github.com/primefaces/primeng/issues/9162)
- Accessibility: Dialog close button needs aria- label [\#8947](https://github.com/primefaces/primeng/issues/8947)

## [10.0.3](https://github.com/primefaces/primeng/tree/10.0.3) (2020-10-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.2...10.0.3)

**Implemented New Features and Enhancements:**

- Tooltip doesn't close in scrollable containers [\#9353](https://github.com/primefaces/primeng/issues/9353)

**Fixed bugs:**

- Align tiered menu behavior with menubar [\#9379](https://github.com/primefaces/primeng/issues/9379)
- Listbox disabled visuals broken [\#9377](https://github.com/primefaces/primeng/issues/9377)
- SplitButton menu animation not aligned with rest of the overlays [\#9376](https://github.com/primefaces/primeng/issues/9376)
- Primeng 10 breadcrumb doesn't set p-disabled class for disabled menuitems [\#9374](https://github.com/primefaces/primeng/issues/9374)
- Problems when typing or pasting numbers into InputNumber [\#9372](https://github.com/primefaces/primeng/issues/9372)
- If virtual scroll property is enabled, Tree nodes are rendering with no hierarchy even if nested/children nodes are available [\#9368](https://github.com/primefaces/primeng/issues/9368)
- tabView: progomatically changing tabPanel disabled does not have visual affect until tabs are clicked  [\#9367](https://github.com/primefaces/primeng/issues/9367)
- Table Keyboard metaSelections not working [\#9366](https://github.com/primefaces/primeng/issues/9366)
- Table arrow keys not working [\#9365](https://github.com/primefaces/primeng/issues/9365)
- InputNumber cannot set value when format property is false [\#9364](https://github.com/primefaces/primeng/issues/9364)
- Table MetaKeySelection Demo not working with shift [\#9363](https://github.com/primefaces/primeng/issues/9363)
- Accordion activeIndex not affecting manually opened tabs,  those tabs get in confused state. [\#9355](https://github.com/primefaces/primeng/issues/9355)
- P-autoComplete component not showing the values in Primeng version 10.0.1 [\#9352](https://github.com/primefaces/primeng/issues/9352)
- onDropdownClick not working on Splitbutton in PrimeNG v10 [\#9351](https://github.com/primefaces/primeng/issues/9351)
- DialogService onclose event not fired when you click close button after v9.0.3\(include\) [\#9345](https://github.com/primefaces/primeng/issues/9345)
- InputNumber with spinner mode throws a JS exception [\#9337](https://github.com/primefaces/primeng/issues/9337)
- Angular PrimeNG FocusTrap Tabbing Fix Issue [\#9332](https://github.com/primefaces/primeng/issues/9332)
- p-calendar combination \[showIcon\]="true" \[showOnFocus\]="false" produces an error on using tab-key [\#9257](https://github.com/primefaces/primeng/issues/9257)
- Multiple DynamicDialogs are not closing programmatically [\#8801](https://github.com/primefaces/primeng/issues/8801)

## [10.0.2](https://github.com/primefaces/primeng/tree/10.0.2) (2020-10-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.1...10.0.2)

**Fixed bugs:**

- Invalid falsey value in menu components [\#9349](https://github.com/primefaces/primeng/issues/9349)
- ColumnResize not working with Table VirtualScroll [\#9347](https://github.com/primefaces/primeng/issues/9347)
- Galleria navigator icons not showing on Bootstrap Ligh [\#9343](https://github.com/primefaces/primeng/issues/9343)

## [10.0.1](https://github.com/primefaces/primeng/tree/10.0.1) (2020-09-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.0...10.0.1)

**Implemented New Features and Enhancements:**

- RTL support for Steps [\#3774](https://github.com/primefaces/primeng/issues/3774)
- Lighter Highlight Color for PrimeOne Themes [\#9333](https://github.com/primefaces/primeng/issues/9333)
- Improvement in behavior of components that have overlay panels in scrollable containers [\#9324](https://github.com/primefaces/primeng/issues/9324)
- Add inputId to table radio and checkbox components [\#9225](https://github.com/primefaces/primeng/issues/9225)
- Html support for Menu Components [\#4370](https://github.com/primefaces/primeng/issues/4370)
- Typed TreeNode and SelectItem [\#2876](https://github.com/primefaces/primeng/issues/2876)

**Fixed bugs:**

- DataTable style classes documentation is wrong [\#9336](https://github.com/primefaces/primeng/issues/9336)
- Fullcalendar button styling issues [\#9334](https://github.com/primefaces/primeng/issues/9334)
- TabView-Accordion changes due to \*ngIf do not take place [\#9331](https://github.com/primefaces/primeng/issues/9331)
- Alignment issue on Scrollable Datatable [\#9326](https://github.com/primefaces/primeng/issues/9326)
- Alignment issue on Scrollable TreeTable [\#9325](https://github.com/primefaces/primeng/issues/9325)
- TabView tab close does not work when using ripple effect with PrimeNG 10 [\#9323](https://github.com/primefaces/primeng/issues/9323)
- Dynamic scrollHeight support for Table/Tree Virtual Scrolling [\#9322](https://github.com/primefaces/primeng/issues/9322)
- Typo in InputNumber documentation: maxFracionDigits [\#9315](https://github.com/primefaces/primeng/issues/9315)
- After upgrading from 9 to 10 frozen columns ceased to be synchronized with scrollable columns in case on virtual scroll [\#9294](https://github.com/primefaces/primeng/issues/9294)
- TreeTable openCell\(\) not working [\#9279](https://github.com/primefaces/primeng/issues/9279)
- InputNumber: css issue for ng-invalid [\#9271](https://github.com/primefaces/primeng/issues/9271)
- Ripple not working on IE [\#9268](https://github.com/primefaces/primeng/issues/9268)
- Dialog with Long Content does not scroll in IE11 [\#9255](https://github.com/primefaces/primeng/issues/9255)
- VirtualScroll ExpressionChangedAfterItHasBeenCheckedError on TreeTable [\#9254](https://github.com/primefaces/primeng/issues/9254)
- Items in PanelMenu are highlighted wrongly with Material dark themes [\#9253](https://github.com/primefaces/primeng/issues/9253)

## [10.0.0](https://github.com/primefaces/primeng/tree/10.0.0) (2020-09-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.0-rc.4...10.0.0)

**Implemented New Features and Enhancements:**

- Progress Spinner doesn't have a customization example [\#9232](https://github.com/primefaces/primeng/issues/9232)
- Trigger onClose event when click close button in the DynamicDialog [\#9083](https://github.com/primefaces/primeng/issues/9083)

**Fixed bugs:**

- 10.0.0-rc.4 accordion displays error message in browser developer tool [\#9244](https://github.com/primefaces/primeng/issues/9244)
- InputNumber gets dirty but not touched [\#9239](https://github.com/primefaces/primeng/issues/9239)
- UI doesn't update when control is disabled via Reactive Forms [\#9233](https://github.com/primefaces/primeng/issues/9233)
- InputNumber: overwriting doesn't work correctly [\#9229](https://github.com/primefaces/primeng/issues/9229)
- inputNumber with numeric prefix is not working as expected [\#9125](https://github.com/primefaces/primeng/issues/9125)

## [10.0.0-rc.4](https://github.com/primefaces/primeng/tree/10.0.0-rc.4) (2020-09-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.0-rc.3...10.0.0-rc.4)

**Implemented New Features and Enhancements:**

- css theme body prefix makes primeng not compatible with shadowdom [\#8756](https://github.com/primefaces/primeng/issues/8756)
- Prevent virtual device calendar on touchUI mode [\#9226](https://github.com/primefaces/primeng/issues/9226)
- Add onInput event to InputNumber [\#9223](https://github.com/primefaces/primeng/issues/9223)
- Add PrimeFlex Setup Documentation [\#9222](https://github.com/primefaces/primeng/issues/9222)
- InputNumber: pasting doesn't work correctly [\#9219](https://github.com/primefaces/primeng/issues/9219)
- Scrollable Table alignment improvement [\#9218](https://github.com/primefaces/primeng/issues/9218)
- Improved visuals for empty message in dropdown and multiselect [\#9217](https://github.com/primefaces/primeng/issues/9217)
- jumpToPageDropdown and showPageLinks for Paginator [\#9213](https://github.com/primefaces/primeng/issues/9213)
- Add style and styleClass to message component [\#9212](https://github.com/primefaces/primeng/issues/9212)
- Use `el.ownerDocument.activeElement` where possible, instead of `document.activeElement` [\#9181](https://github.com/primefaces/primeng/issues/9181)
- Enhance Steps RouterNavigation [\#9174](https://github.com/primefaces/primeng/issues/9174)
- fileUpload chooseIcon always set to default in mode="basic" [\#9173](https://github.com/primefaces/primeng/issues/9173)
- StepsDemo Update [\#9171](https://github.com/primefaces/primeng/issues/9171)
- Sort and Filter support for VirtualScrolling [\#9154](https://github.com/primefaces/primeng/issues/9154)
- Improve calendar tabbing behavior [\#9139](https://github.com/primefaces/primeng/issues/9139)
- Pass files to fileupload content template [\#9121](https://github.com/primefaces/primeng/issues/9121)
- Add Del key support to InputNumber [\#8981](https://github.com/primefaces/primeng/issues/8981)
- Negative sign with InputNumber [\#8919](https://github.com/primefaces/primeng/issues/8919)
- Inputnumber, decimal numbers [\#8900](https://github.com/primefaces/primeng/issues/8900)
- Remove primeng/primeng imports [\#7096](https://github.com/primefaces/primeng/issues/7096)

**Fixed bugs:**

- Warnings after upgrade to Angular 10 [\#9210](https://github.com/primefaces/primeng/issues/9210)
- FileUploadModule - types error in 10+ version [\#9209](https://github.com/primefaces/primeng/issues/9209)
- MenuBar Showcase demo has incorrectly formated SelectItem [\#9203](https://github.com/primefaces/primeng/issues/9203)
- TimePicker broken in 10.0.0-rc.3 [\#9195](https://github.com/primefaces/primeng/issues/9195)
- Pill Text not centered [\#9193](https://github.com/primefaces/primeng/issues/9193)
- Slider handle not working correctly with model driven forms [\#9192](https://github.com/primefaces/primeng/issues/9192)
- In calendar, \<p-footer\> with custom buttons not showing in calendar in v10 [\#9191](https://github.com/primefaces/primeng/issues/9191)
- p-fieldset flickers when it's initialized collapsed \[10.0.0-rc.3\] [\#9179](https://github.com/primefaces/primeng/issues/9179)
- Calendar misplaced layout if more than one month is shown [\#9168](https://github.com/primefaces/primeng/issues/9168)
- Carousel - set page does not work for first and last page [\#9153](https://github.com/primefaces/primeng/issues/9153)
- Menubar not working on mobile devices [\#9127](https://github.com/primefaces/primeng/issues/9127)
- Unable to close p-messages on Firefox [\#9123](https://github.com/primefaces/primeng/issues/9123)
- Showcase does not show active menu [\#9109](https://github.com/primefaces/primeng/issues/9109)
- Redirect to data.com when dropping on datapoint with TreeComponent with Firefox [\#9108](https://github.com/primefaces/primeng/issues/9108)
- \[TriStateCheckbox\] Keyboard gets opened on mobile devices on use [\#9085](https://github.com/primefaces/primeng/issues/9085)
- Table component tries to restore non-existing state [\#9076](https://github.com/primefaces/primeng/issues/9076)
- disabled p-slider still reacts to keyboard input [\#9066](https://github.com/primefaces/primeng/issues/9066)
- p-inputNumber cannot set value bigger than 99.999 for an ES locale [\#9027](https://github.com/primefaces/primeng/issues/9027)
- Table erratic row selection with virtual scroll [\#8952](https://github.com/primefaces/primeng/issues/8952)
- Table scrollHeight="flex" messes columns' width [\#8921](https://github.com/primefaces/primeng/issues/8921)
- VirtualScroll ExpressionChangedAfterItHasBeenCheckedError [\#8886](https://github.com/primefaces/primeng/issues/8886)
- Turbo Table Column Resize Is Ignored If Smaller Than minWidth \[expand mode\] [\#8262](https://github.com/primefaces/primeng/issues/8262)
- sub menu of p-contextMenu in p-table go off screen when right click on the bottom of screen [\#8077](https://github.com/primefaces/primeng/issues/8077)
- Table cell editor not switching correctly from input to output with OnPush [\#8046](https://github.com/primefaces/primeng/issues/8046)
- Frozen Columns and Rows should be exportable to CSV as well [\#7916](https://github.com/primefaces/primeng/issues/7916)

**Deprecated:**

- Deprecate reset\(\) method in favor of new clear\(\) [\#8636](https://github.com/primefaces/primeng/issues/8636)

**Breaking changes:**

- Dialog position property and position classes needs rename [\#9177](https://github.com/primefaces/primeng/issues/9177)

**Unit Tests:**

- Fixed broken tests [\#9116](https://github.com/primefaces/primeng/issues/9116)

## [10.0.0-rc.3](https://github.com/primefaces/primeng/tree/10.0.0-rc.3)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.0-rc.2...10.0.0-rc.3)

**Fixed bugs:**

- Padding for Fieldset content [\#9146](https://github.com/primefaces/primeng/issues/9146)
- Content slide animations fail on Safari [\#9145](https://github.com/primefaces/primeng/issues/9145)
- HTML page auto scrolls down when TextArea with AutoResize option is set [\#9129](https://github.com/primefaces/primeng/issues/9129)
- Invalid markup on Calendar Time Picker [\#9137](https://github.com/primefaces/primeng/issues/9137)
- Calendar FocusTrap not working [\#9136](https://github.com/primefaces/primeng/issues/9136)
- Multiselect filter not working in v10.0.0-rc.2 [\#9135](https://github.com/primefaces/primeng/issues/9135)

## [10.0.0-rc.2](https://github.com/primefaces/primeng/tree/10.0.0-rc.2)

[Full Changelog](https://github.com/primefaces/primeng/compare/10.0.0-rc.1...10.0.0-rc.2)

**Fixed bugs:**

- Ripple effect is not working [\#9111](https://github.com/primefaces/primeng/issues/9111)

## [10.0.0-rc.1](https://github.com/primefaces/primeng/tree/10.0.0-rc.1)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.1.3...10.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Sizes for input text and button [\#9100](https://github.com/primefaces/primeng/issues/9100)
- Outlined and Filled Input texts [\#9099](https://github.com/primefaces/primeng/issues/9099)
- Improved Overlay Animations [\#9098](https://github.com/primefaces/primeng/issues/9098)
- Migrate to PrimeIcons 4.0 [\#9097](https://github.com/primefaces/primeng/issues/9097)
- Label Nova, Luna and Rhea as Legacy Themes [\#9095](https://github.com/primefaces/primeng/issues/9095)
- Migrate to PrimeOne Design Architecture [\#9094](https://github.com/primefaces/primeng/issues/9094)
- PrimeOne Themes [\#9093](https://github.com/primefaces/primeng/issues/9093)
- Material Theme [\#9092](https://github.com/primefaces/primeng/issues/9092)
- Bootstrap Theme [\#9091](https://github.com/primefaces/primeng/issues/9091)
- Add Icon template to Panel like PrimeVue [\#9068](https://github.com/primefaces/primeng/issues/9068)
- Add badge and badgeClass to Button  [\#9062](https://github.com/primefaces/primeng/issues/9062)
- Add style and styleClass to InputNumber [\#9048](https://github.com/primefaces/primeng/issues/9048)
- p-inputNumber is missing inputStyleClass property [\#9028](https://github.com/primefaces/primeng/issues/9028)
- Reimplement TieredMenu, MegaMenu and MenuBar [\#8780](https://github.com/primefaces/primeng/issues/8780)
- Deprecate ng-content in favor of ng-template [\#8775](https://github.com/primefaces/primeng/issues/8775)
- Multiple Messages display should support multiple severities [\#8767](https://github.com/primefaces/primeng/issues/8767)
- Remove ui-g [\#8761](https://github.com/primefaces/primeng/issues/8761)
- Migrate all components to use ChangeDetectionStrategy.**OnPush** [\#8688](https://github.com/primefaces/primeng/issues/8688)
- Remove deprecated style classes [\#8630](https://github.com/primefaces/primeng/issues/8630)
- Deprecate Responsive Table [\#8611](https://github.com/primefaces/primeng/issues/8611)
- Listbox filter width problem when showToggleAll=false [\#8541](https://github.com/primefaces/primeng/issues/8541)

**Fixed bugs:**

- ToggleButton bug: incorrect background color when not checked \(value=false\) PrimeNG 9.0.6-9.1.2 [\#8915](https://github.com/primefaces/primeng/issues/8915)

**Deprecated:**

- Deprecated Features [\#9096](https://github.com/primefaces/primeng/issues/9096)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.8-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.8) (2021-05-07)

- showNavigator and showIndicator support for Carousel [\#10208](https://github.com/primefaces/primeng/issues/10208)
- IndicatorStyle and IndicatorStyleClass support for Carousel [\#10207](https://github.com/primefaces/primeng/issues/10207)
- p-editor - HTML binding fails [\#10182](https://github.com/primefaces/primeng/issues/10182)
- p-dropdown with editable=true and floating labels results in incorrect behavior with manually entered values [\#10170](https://github.com/primefaces/primeng/issues/10170)
- Dropdown selecting an unwanted option when pressing Windows key on the keyboard [\#10113](https://github.com/primefaces/primeng/issues/10113)
- Facing accessibility-related issues with primeNg controls and AXE tools. [\#9834](https://github.com/primefaces/primeng/issues/9834)
- Radio buttons do not get unselected on the same group, with Reactive Forms using formControl instead of formControlName [\#9631](https://github.com/primefaces/primeng/issues/9631)
- Hovering on timepicker arrows acting like select after clicking an arrow in the time picker [\#8961](https://github.com/primefaces/primeng/issues/8961)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.6-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.6) (2021-04-13)

- p-tree event.accept() not available on first drop [\#10093](https://github.com/primefaces/primeng/issues/10093)
- p-table with save state (localstorage/sessionstorage) remember old value after delete from filter [\#10065](https://github.com/primefaces/primeng/issues/10065)
- Accessibility: Typo in aria attribute valuemin for InputNumber [\#10058](https://github.com/primefaces/primeng/issues/10058)
- Carousel does not always display dynamically added items [\#10051](https://github.com/primefaces/primeng/issues/10051)
- MenuItem's style and styleClass properties should be apply to li [\#10045](https://github.com/primefaces/primeng/issues/10045)
- AutoComplete does not display 0 as value when preselected [\#10031](https://github.com/primefaces/primeng/issues/10031)
- Calendar: WeekNumber looks like it is selectable [\#9746](https://github.com/primefaces/primeng/issues/9746)
- Menubar menuitems must have menu/menubar as parent [\#9680](https://github.com/primefaces/primeng/issues/9680)
- AutoComplete does not display 0 as value [\#9628](https://github.com/primefaces/primeng/issues/9628)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.5-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.5) (2021-03-16)

- First node dropped into empty tree not triggering onNodeDrop [\#9991](https://github.com/primefaces/primeng/issues/9991)
- Changing captcha language does not work [\#9985](https://github.com/primefaces/primeng/issues/9985)
- Defer directive throws ExpressionChangedAfterItHasBeenCheckedError if visible from the beginning [\#9984](https://github.com/primefaces/primeng/issues/9984)
- Chips disabled not working when using with comma [\#9958](https://github.com/primefaces/primeng/issues/9958)
- Disabled p-inputNumber updated after pasting from clipboard [\#9957](https://github.com/primefaces/primeng/issues/9957)
- Unable to access tab menu using keyboard [\#9954](https://github.com/primefaces/primeng/issues/9954)
- OverlayPanel not working unless ShareModule is imported as well [\#9927](https://github.com/primefaces/primeng/issues/9927)
- Galleria: thumbnail items doesn't work properly when responsive options are set [\#9744](https://github.com/primefaces/primeng/issues/9744)
- Autocomplete with multiple and readonly enabled still show button to remove options [\#9513](https://github.com/primefaces/primeng/issues/9513)
- p-dataView not updating view after [layout] change [\#9494](https://github.com/primefaces/primeng/issues/9494)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.4-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.4) (2021-03-01)

- When table is lazy and having multiSortMeta then "lazyLoad" execute twice [\#9906](https://github.com/primefaces/primeng/issues/9906)
- pSelectableRow blocks typing space on inputs in p-table [\#9893](https://github.com/primefaces/primeng/issues/9893)
- p-inputnumber infinite loop when using buttons [\#9888](https://github.com/primefaces/primeng/issues/9888)
- Enter key should hide calendar [\#9880](https://github.com/primefaces/primeng/issues/9880)
- p-sidebar appendTo has wrong type [\#9876](https://github.com/primefaces/primeng/issues/9876)
- p-slider does not react when clicking on bar in some cases [\#9857](https://github.com/primefaces/primeng/issues/9857)
- Add rowIndex to onRowUnselect [\#9823](https://github.com/primefaces/primeng/issues/9823)
- Expose InputMask OnKeyDown event [\#9718](https://github.com/primefaces/primeng/issues/9718)
- p-table cell edit wrong index on onEditComplete event [\#9075](https://github.com/primefaces/primeng/issues/9075)
- ConfirmDialog throws exception during onDestroy [\#8585](https://github.com/primefaces/primeng/issues/8585)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.3-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.3) (2021-02-11)

- LazyEvent.first coming wrong when sorting with resetPageOnSort true [\#9866](https://github.com/primefaces/primeng/issues/9866)
- Adding multiSortMeta to the table causes an extra initial call to fetch data in virtual scroll [\#9854](https://github.com/primefaces/primeng/issues/9854)
- TabPanel's leftIcon and rightIcon properties not working with programmatic change [\#9844](https://github.com/primefaces/primeng/issues/9844)
- Row not selected when using the Table contextMenuSelectionMode="joint" [\#9824](https://github.com/primefaces/primeng/issues/9824)
- Strange behavior using context menu on Safari [\#9814](https://github.com/primefaces/primeng/issues/9814)
- Table onRowSelect calling before the selection change [\#9806](https://github.com/primefaces/primeng/issues/9806)
- The up and down arrow key stops working by the virtualscroller [\#9805](https://github.com/primefaces/primeng/issues/9805)
- Space key causes scroll the browser when using Table selection [\#9804](https://github.com/primefaces/primeng/issues/9804)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.2-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.2) (2021-01-12)

- shiftKey invokes onRowSelect multiple times [\#9747](https://github.com/primefaces/primeng/issues/9747)
- Table not restoring columns when using virtualscroll [\#9708](https://github.com/primefaces/primeng/issues/9708)
- Float label not working when clearing input on AutoComplete and TextArea [\#9688](https://github.com/primefaces/primeng/issues/9688)
- p-editor automatically gains focus when intializing model with data [\#9664](https://github.com/primefaces/primeng/issues/9664)
- Lazy loaded tabpanel content loading eagerly when selected input is present [\#9613](https://github.com/primefaces/primeng/issues/9613)
- Resizable columns with virtual scroll doesn't work with p-treeTable [\#9575](https://github.com/primefaces/primeng/issues/9575)
- Wrong documentation for controlCase on TabView [\#9490](https://github.com/primefaces/primeng/issues/9490)
- Treetable column resize breaks when columnResizeMode="expand" in combination with [virtualScroll]="true" [\#9202](https://github.com/primefaces/primeng/issues/9202)
- p-treeTable with VirtualScroll only header is resizing [\#9170](https://github.com/primefaces/primeng/issues/9170)
- SelectButton - reactive form and disabled control [\#8788](https://github.com/primefaces/primeng/issues/8788)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.1-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.1) (2020-12-09)

- InputTextArea, FloatLabel and Initial State [\#9607](https://github.com/primefaces/primeng/issues/9607)
- Change mouse cursor on drag&drop events [\#9536](https://github.com/primefaces/primeng/issues/9536)
- Carousel does not respond to change to numVisible [\#9049](https://github.com/primefaces/primeng/issues/9049)
- Add a maximize event on dialog [\#8861](https://github.com/primefaces/primeng/issues/8861)
- Carousel doesn't use 'responsiveOptions' on init  [\#8833](https://github.com/primefaces/primeng/issues/8833)
- onShow and onHide event for colorPicker [\#8828](https://github.com/primefaces/primeng/issues/8828)
- ConfirmationService does not let specify closeOnEscape [\#8790](https://github.com/primefaces/primeng/issues/8790)
- Dialog.onShow should occur when the animation ends [\#8747](https://github.com/primefaces/primeng/issues/8747)
- p-colorPicker not working | Failing on click [\#8746](https://github.com/primefaces/primeng/issues/8746)
- Autocomplete empty text when lost focus [\#8740](https://github.com/primefaces/primeng/issues/8740)
- [Bug] Carousel displays last page when circular=true [\#8739](https://github.com/primefaces/primeng/issues/8739)
- [Bug] Carousel does not recalculate the number of dots on refresh [\#8705](https://github.com/primefaces/primeng/issues/8705)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.2.0-LTS](https://www.npmjs.com/package/primeng-lts/v/9.2.0) (2020-11-24)

- Galleria Indicators aren't displayed in Firefox [\#9537](https://github.com/primefaces/primeng/issues/9537)
- Popup TieredMenu not closing when click on leaf [\#9534](https://github.com/primefaces/primeng/issues/9534)
- ContextMenu Keyboard Controls does not prevent Tree Keyboard Controls [\#9529](https://github.com/primefaces/primeng/issues/9529)
- Table stored state does not match current columns [\#9510](https://github.com/primefaces/primeng/issues/9510)
- DOM Exception trigger with ButtonDirective afterViewInit [\#9497](https://github.com/primefaces/primeng/issues/9497)
- TieredMenu initial hover is broken [\#9458](https://github.com/primefaces/primeng/issues/9458)
- OverlayPanel target arrow points to the wrong position when target is on the right edge of the screen [\#9441](https://github.com/primefaces/primeng/issues/9441)
- Table with scroll has misaligned headers if scrollbar is not visible [\#9413](https://github.com/primefaces/primeng/issues/9413)
- Galleria thumbnailsPosition top and left don't work [\#9381](https://github.com/primefaces/primeng/issues/9381)
- Table lazy virtual scroll triggers multiple separate calls to onLazyLoad() function [\#9316](https://github.com/primefaces/primeng/issues/9316)
- wrong behavior of Dialog.maskClickListener [\#9282](https://github.com/primefaces/primeng/issues/9282)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.1.8-LTS](https://www.npmjs.com/package/primeng-lts/v/9.1.8) (2020-11-10)

- Add keyboard support to ContextMenu [\#9499](https://github.com/primefaces/primeng/issues/9499)
- p-accordion with lazy loaded content doesnt load when opened programattically[\#9496](https://github.com/primefaces/primeng/issues/9496)
- scrollHeight doesn't change dynamically when using virtualScroll [\#9489](https://github.com/primefaces/primeng/issues/9489)
- p-calendar Dynamic default date [\#9479](https://github.com/primefaces/primeng/issues/9479)
- Align contextmenu menu behavior with menubar [\#9459](https://github.com/primefaces/primeng/issues/9459)
- Visibility option for Paginator's first and last page icons [\#9456](https://github.com/primefaces/primeng/issues/9456)
- Dropdown Item template support for Paginator [\#9455](https://github.com/primefaces/primeng/issues/9455)
- Customizable Toast and Messages [\#9454](https://github.com/primefaces/primeng/issues/9454)
- TieredMenu Keyboard Support [\#9451](https://github.com/primefaces/primeng/issues/9451)
- The up and down arrow key stops working by the table virtualscrolling [\#9437](https://github.com/primefaces/primeng/issues/9437)
- Model driven forms support for RadioButton [\#9162](https://github.com/primefaces/primeng/issues/9162)
- Accessibility: Dialog close button needs aria-label [\#8947](https://github.com/primefaces/primeng/issues/8947)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.1.7-LTS](https://www.npmjs.com/package/primeng-lts/v/9.1.7) (2020-10-12)

- DialogService onclose event not fired when you click close button after v9.0.3(include) [\#9345](https://github.com/primefaces/primeng/issues/9345)
- Align tiered menu behavior with menubar [\#9379](https://github.com/primefaces/primeng/issues/9379)
- Problems when typing or pasting numbers into InputNumber [\#9372](https://github.com/primefaces/primeng/issues/9372)
- Table Keyboard metaSelections not working [\#9366](https://github.com/primefaces/primeng/issues/9366)
- InputNumber cannot set value when format property is false [\#9364](https://github.com/primefaces/primeng/issues/9364)
- ColumnResize not working with Table VirtualScroll [\#9347](https://github.com/primefaces/primeng/issues/9347)
- InputNumber with spinner mode throws a JS exception [\#9337](https://github.com/primefaces/primeng/issues/9337)
- Angular PrimeNG FocusTrap Tabbing Fix Issue [\#9332](https://github.com/primefaces/primeng/issues/9332)
- p-calendar combination [showIcon]="true" [showOnFocus]="false" produces an error on using tab-key [\#9257](https://github.com/primefaces/primeng/issues/9257)
- Multiple DynamicDialogs are not closing programmatically [\#8801](https://github.com/primefaces/primeng/issues/8801)

**Fixed bugs:**

- TreeTable openCell() not working [\#9279](https://github.com/primefaces/primeng/issues/9279)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.1.6-LTS](https://www.npmjs.com/package/primeng-lts/v/9.1.6) (2020-09-23)

**Fixed bugs:**

- TreeTable openCell() not working [\#9279](https://github.com/primefaces/primeng/issues/9279)
- Turbo Table Column Resize Is Ignored If Smaller Than minWidth [expand mode] [\#8262](https://github.com/primefaces/primeng/issues/8262)
- Frozen Columns and Rows should be exportable to CSV as well [\#7916](https://github.com/primefaces/primeng/issues/7916)
- Table cell editor not switching correctly from input to output with OnPush [\#8046](https://github.com/primefaces/primeng/issues/8046)
- sub menu of p-contextMenu in p-table go off screen when right click on the bottom of screen [\#8077](https://github.com/primefaces/primeng/issues/8077)
- InputNumber: overwriting doesn't work correctly [\#9229](https://github.com/primefaces/primeng/issues/9229)
- Add onInput event to InputNumber [\#9223](https://github.com/primefaces/primeng/issues/9223)
- InputNumber: pasting doesn't work correctly [\#9219](https://github.com/primefaces/primeng/issues/9219)
- inputNumber with numeric prefix is not working as expected [\#9125](https://github.com/primefaces/primeng/issues/9125)
- p-inputNumber cannot set value bigger than 99.999 for an ES locale [\#9027](https://github.com/primefaces/primeng/issues/9027)
- Add Del key support to InputNumber [\#8981](https://github.com/primefaces/primeng/issues/8981)
- Inputnumber, decimal numbers [\#8900](https://github.com/primefaces/primeng/issues/8900)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.1.5-LTS](https://www.npmjs.com/package/primeng-lts/v/9.1.5) (2020-09-08)

**Fixed bugs:**

- OverlayPanel doesn't disappear in OnPush components. [\#8804](https://github.com/primefaces/primeng/issues/8804)
- fileUpload chooseIcon always set to default in mode="basic" [\#9173](https://github.com/primefaces/primeng/issues/9173)
- Improve calendar tabbing behavior [\#9139](https://github.com/primefaces/primeng/issues/9139)
- InputNumber gets dirty but not touched [\#9239](https://github.com/primefaces/primeng/issues/9239)
- Prevent virtual device calendar on touchUI mode [\#9226](https://github.com/primefaces/primeng/issues/9226)
- Sort and Filter support for VirtualScrolling [\#9154](https://github.com/primefaces/primeng/issues/9154)
- Redirect to data.com when dropping on datapoint with TreeComponent with Firefox [\#9108](https://github.com/primefaces/primeng/issues/9108)
- Table erratic row selection with virtual scroll [\#8952](https://github.com/primefaces/primeng/issues/8952)
- VirtualScroll ExpressionChangedAfterItHasBeenCheckedError [\#8886](https://github.com/primefaces/primeng/issues/8886)
- VirtualScroll ExpressionChangedAfterItHasBeenCheckedError on TreeTable [\#9254](https://github.com/primefaces/primeng/issues/9254)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [9.1.4-LTS](https://www.npmjs.com/package/primeng-lts/v/9.1.4) (2020-08-18)

**Fixed bugs:**

- Button lose class style after label update with after primeng 9.1.0 [\#8996](https://github.com/primefaces/primeng/issues/8996)
- primeng.css is corrupted in 9.1.3 [\#9161](https://github.com/primefaces/primeng/issues/9161)
- Add style and styleClass to InputNumber [\#9048](https://github.com/primefaces/primeng/issues/9048)
- p-inputNumber is missing inputStyleClass property [\#9028](https://github.com/primefaces/primeng/issues/9028)
- HTML page auto scrolls down when TextArea with AutoResize option is set [\#9129](https://github.com/primefaces/primeng/issues/9129)

## [9.1.3](https://github.com/primefaces/primeng/tree/9.1.3) (2020-07-06)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.1.2...9.1.3)

**Implemented New Features and Enhancements:**

- Use angular style API for components and reduce primeng.css [\#8651](https://github.com/primefaces/primeng/issues/8651)

**Fixed bugs:**

- TreeTable, Table and InputNumber throwing error [\#9007](https://github.com/primefaces/primeng/issues/9007)

## [9.1.2](https://github.com/primefaces/primeng/tree/9.1.2) (2020-06-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.1.1...9.1.2)

**Implemented New Features and Enhancements:**

- Add focusTrap attribute to Calendar [\#8968](https://github.com/primefaces/primeng/issues/8968)
- Bug in dialog.ts - variable naming and improvement [\#8964](https://github.com/primefaces/primeng/issues/8964)
- ToggleButton disabled doesn't correctly disable the accessibility input [\#8955](https://github.com/primefaces/primeng/issues/8955)
- Don't close menu components when clicking the disabled option [\#8950](https://github.com/primefaces/primeng/issues/8950)
- Add contentStyleClass to Dialog [\#8945](https://github.com/primefaces/primeng/issues/8945)
- Add listStyleClass to ListBox [\#8944](https://github.com/primefaces/primeng/issues/8944)
- Feature Request: Make activate-on-click optional for Inplace [\#8931](https://github.com/primefaces/primeng/issues/8931)

**Fixed bugs:**

- inputnumber :  "spinner button click submitting the form"   [\#8984](https://github.com/primefaces/primeng/issues/8984)
- inputnumber : "maxlength" property doesn't work  [\#8983](https://github.com/primefaces/primeng/issues/8983)
- 9.1.0 Popup slidemenu item doubleclick causes page to reload [\#8976](https://github.com/primefaces/primeng/issues/8976)
- Incorrect property  pEditableRowIndex in Table docs [\#8972](https://github.com/primefaces/primeng/issues/8972)
- InputNumber prevents min key number [\#8956](https://github.com/primefaces/primeng/issues/8956)
- Menu Components getting hover and focus even when disabled [\#8951](https://github.com/primefaces/primeng/issues/8951)
- Angular i18n error [\#8943](https://github.com/primefaces/primeng/issues/8943)
- Filter in p-tree is not working with virtual scroll in primeng 9.1.0 [\#8941](https://github.com/primefaces/primeng/issues/8941)
- Tabview: disabled tab control can be focused [\#8939](https://github.com/primefaces/primeng/issues/8939)
- DynamicDialog and Dialog Closed by clear button on drop down or chips inside [\#8934](https://github.com/primefaces/primeng/issues/8934)
- Button with icon shows no label after change [\#8918](https://github.com/primefaces/primeng/issues/8918)
- 9.1.0 InputNumber node\_modules errors [\#8916](https://github.com/primefaces/primeng/issues/8916)
- ui-fluid not working with dropdown [\#8914](https://github.com/primefaces/primeng/issues/8914)
- p-inputNumber ignores disabled state in reactive forms [\#8901](https://github.com/primefaces/primeng/issues/8901)
- Dialog Resize not working when set height [\#8899](https://github.com/primefaces/primeng/issues/8899)
- javascript error in gallery [\#8897](https://github.com/primefaces/primeng/issues/8897)
- \[PR\] Fix 9.1.0 p-dialog resize bug miscalculates drag position [\#8892](https://github.com/primefaces/primeng/issues/8892)
- DynamicDialog dismissableMask working when it shouldn't [\#8891](https://github.com/primefaces/primeng/issues/8891)
- Typo in the documentation of inputNumber [\#8882](https://github.com/primefaces/primeng/issues/8882)
- SET value to InputMask doesn't work on PrimeNG 9.0.3 - 9.1 [\#8727](https://github.com/primefaces/primeng/issues/8727)

## [9.1.1](https://github.com/primefaces/primeng/tree/9.1.1) (2020-06-30)

Invalid release, use 9.1.2 instead.

## [9.1.0](https://github.com/primefaces/primeng/tree/9.1.0) (2020-05-25)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.6...9.1.0)

**Implemented New Features and Enhancements:**

- Filtering for DataGrid [\#2457](https://github.com/primefaces/primeng/issues/2457)
- Add clearCache method to VirtualScroller and Table [\#8881](https://github.com/primefaces/primeng/issues/8881)
- Deprecate Spinner [\#8873](https://github.com/primefaces/primeng/issues/8873)
- Deprecate Lightbox [\#8872](https://github.com/primefaces/primeng/issues/8872)
- Reimplement DataTable-TreeTable-VirtualScroller Lazy Loading Implementation [\#8865](https://github.com/primefaces/primeng/issues/8865)
- minBufferPx and maxBufferPx for Table [\#8860](https://github.com/primefaces/primeng/issues/8860)
- Add scrollToIndex function to VirtualScroller [\#8859](https://github.com/primefaces/primeng/issues/8859)
- Add scrollToVirtualIndex and scrollTo functions to DataTable [\#8857](https://github.com/primefaces/primeng/issues/8857)
- Reimplement TreeTable VirtualScroll  [\#8856](https://github.com/primefaces/primeng/issues/8856)
- Reimplement Table VirtualScroll [\#8855](https://github.com/primefaces/primeng/issues/8855)
- Table/TreeTable virtualscroller should reset scroll position after sort and filter [\#8854](https://github.com/primefaces/primeng/issues/8854)
- Deprecate first, cache and totalRecords props of VirtualScroller [\#8850](https://github.com/primefaces/primeng/issues/8850)
- Remove ul-li pair from VirtualScroller  [\#8849](https://github.com/primefaces/primeng/issues/8849)
- VirtualScroller Demo Update [\#8848](https://github.com/primefaces/primeng/issues/8848)
- minBufferX and maxBufferX for VirtualScroller [\#8847](https://github.com/primefaces/primeng/issues/8847)
- New FormLayout Utility [\#8843](https://github.com/primefaces/primeng/issues/8843)
- Re-Add center method to Dialog [\#8792](https://github.com/primefaces/primeng/issues/8792)
- Remove ui-g usage from Demos [\#8782](https://github.com/primefaces/primeng/issues/8782)
- Remove ui-g from MegaMenu [\#8762](https://github.com/primefaces/primeng/issues/8762)
- VirtualScrolling for Tree [\#8257](https://github.com/primefaces/primeng/issues/8257)
- Virtual scrolling support without lazy loading [\#7419](https://github.com/primefaces/primeng/issues/7419)
- Pagination Support for Virtual Scrolling [\#6961](https://github.com/primefaces/primeng/issues/6961)
- New Flex mode for Table ScrollHeight [\#5235](https://github.com/primefaces/primeng/issues/5235)
- New Galleria [\#3105](https://github.com/primefaces/primeng/issues/3105)
- New Component: InputNumber [\#1109](https://github.com/primefaces/primeng/issues/1109)

**Fixed bugs:**

- Resizable Dialog is broken [\#8863](https://github.com/primefaces/primeng/issues/8863)
- p-dialog performance degraded after 9.0.0-rc.4 [\#8846](https://github.com/primefaces/primeng/issues/8846)
- Tree missing property documentation [\#8844](https://github.com/primefaces/primeng/issues/8844)
- p-tree validateDrop throws error in subscribe [\#8827](https://github.com/primefaces/primeng/issues/8827)
- VirtualScroller does not display items at page boundaries [\#8733](https://github.com/primefaces/primeng/issues/8733)
- TurboTable reload data automaticly scrolls down [\#8574](https://github.com/primefaces/primeng/issues/8574)
- Dropdowns and MultiSelects open inconsistently or not at all when using a wrapped-label layout [\#8455](https://github.com/primefaces/primeng/issues/8455)
- Virtualscroller cache not working [\#8306](https://github.com/primefaces/primeng/issues/8306)
- Virtual scroll with radio- Incorrect radio\(s\) selected on scroll. [\#8238](https://github.com/primefaces/primeng/issues/8238)
- PrimeNG table lazy loading not working properly on setting the property first [\#7819](https://github.com/primefaces/primeng/issues/7819)
- DataTable virtual scrolling with onLazyLoad: event.first is 0 when sorting [\#7546](https://github.com/primefaces/primeng/issues/7546)

## [9.0.6](https://github.com/primefaces/primeng/tree/9.0.6) (2020-04-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.5...9.0.6)

**Implemented New Features and Enhancements:**

- Enhance shiftkey support for Table [\#8600](https://github.com/primefaces/primeng/issues/8600)
- Calendar should not use ui-g [\#8769](https://github.com/primefaces/primeng/issues/8769)
- filterLocale for components with filtering [\#8754](https://github.com/primefaces/primeng/issues/8754)
- Update sort icons [\#8753](https://github.com/primefaces/primeng/issues/8753)
- Add modal property to DynamicDialog [\#8726](https://github.com/primefaces/primeng/issues/8726)
- Add onFilter to Tree [\#8710](https://github.com/primefaces/primeng/issues/8710)
- Nested multiple sort support for TreeTable [\#8530](https://github.com/primefaces/primeng/issues/8530)
- Add LazyLoadOnInit flag for Tree Table [\#8527](https://github.com/primefaces/primeng/issues/8527)
- p-autoComplete dropdown menu does not toggle closed on click of menu disclosure button [\#8523](https://github.com/primefaces/primeng/issues/8523)
- Remove zoom css property [\#8440](https://github.com/primefaces/primeng/issues/8440)
- Paginator showAll - Pre-Selecting All Inconsistent [\#8360](https://github.com/primefaces/primeng/issues/8360)
- Original browser event of p-checkbox is not exposed [\#8221](https://github.com/primefaces/primeng/issues/8221)
- Allow static HTML in the messages component [\#1795](https://github.com/primefaces/primeng/issues/1795)

**Fixed bugs:**

- Multiple messages should wrap [\#8768](https://github.com/primefaces/primeng/issues/8768)
- The dynamicDialog can't be closed using the ESC key if the dynamicDialog hasn't the baseZIndex property [\#8760](https://github.com/primefaces/primeng/issues/8760)
- TabMenu RouterLinkActive doesn't work since @9.0.3 [\#8748](https://github.com/primefaces/primeng/issues/8748)
- p-dialog drag not working IE 11 [\#8745](https://github.com/primefaces/primeng/issues/8745)
- Add rePosition Function to Dialog [\#8744](https://github.com/primefaces/primeng/issues/8744)
- All links are highlighted instead of using text color in PanelMenu [\#8731](https://github.com/primefaces/primeng/issues/8731)
- Toast - preventOpenDuplicates does not work - Detail Message is not compared properly [\#8717](https://github.com/primefaces/primeng/issues/8717)
- Toast modal property is not active. [\#8716](https://github.com/primefaces/primeng/issues/8716)
- dismissableMask not working in dynamic dialog [\#8714](https://github.com/primefaces/primeng/issues/8714)
- Typo error in documentation [\#8711](https://github.com/primefaces/primeng/issues/8711)
- Pressing arrow up key in drag and drop enabled tree selects wrong node [\#8623](https://github.com/primefaces/primeng/issues/8623)
- Tiered Menu command does not receive MenuItem in event [\#8592](https://github.com/primefaces/primeng/issues/8592)
- Hovering on timepicker arrows acting like select [\#8584](https://github.com/primefaces/primeng/issues/8584)
- Drag does not work on Dialogs with position set [\#8581](https://github.com/primefaces/primeng/issues/8581)
- p-dialog not centered in IE and overflows on maximize [\#8545](https://github.com/primefaces/primeng/issues/8545)
- Tooltip - new tooltip created without removing old tooltip [\#8516](https://github.com/primefaces/primeng/issues/8516)
- PickList - items dissapear when items are moved and filters are set [\#8514](https://github.com/primefaces/primeng/issues/8514)
- p-calendar selectionMode="multiple" After unselect date, the calendar breaks.  [\#8457](https://github.com/primefaces/primeng/issues/8457)
- Dropdown allows selecting disabled options [\#8448](https://github.com/primefaces/primeng/issues/8448)
- Button and SplitButton have different brightness when disabled [\#8416](https://github.com/primefaces/primeng/issues/8416)
- Carousel  - Button inside carousel-item is not clickable in mobile phones [\#8377](https://github.com/primefaces/primeng/issues/8377)
- multiselect applies disabled UI state to all items when selectionLimit is reached and selection is reset [\#8374](https://github.com/primefaces/primeng/issues/8374)
- MenuItem items property type error [\#8339](https://github.com/primefaces/primeng/issues/8339)
- Panel: aria-labelledby points to not existing id when toggleable equals false [\#8272](https://github.com/primefaces/primeng/issues/8272)
- \[p-tree\] \[bug\] right arrow key tries to expand a leaf if onNodeExpand function is defined [\#8271](https://github.com/primefaces/primeng/issues/8271)
- Dropdown panelStyle min width overridden when appendTo body is used [\#8218](https://github.com/primefaces/primeng/issues/8218)
- Toast blocks protractor [\#8122](https://github.com/primefaces/primeng/issues/8122)
- fieldset: don't animate into collapse !... when collapse is default [\#8022](https://github.com/primefaces/primeng/issues/8022)
- "no file chosen" tooltip appears after selecting file [\#7957](https://github.com/primefaces/primeng/issues/7957)
- Slider doesn't works properly with ChangeDetectionStrategy.OnPush / reactive forms [\#7692](https://github.com/primefaces/primeng/issues/7692)

**Deprecated:**

- Deprecate positionTop and positionLeft properties [\#8730](https://github.com/primefaces/primeng/issues/8730)

## [9.0.5](https://github.com/primefaces/primeng/tree/9.0.5) (2020-04-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.4...9.0.5)

**Fixed bugs:**

- MaskStyleClass Does not found [\#8704](https://github.com/primefaces/primeng/issues/8704)

## [9.0.4](https://github.com/primefaces/primeng/tree/9.0.4) (2020-04-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.3...9.0.4)

**Implemented New Features and Enhancements:**

- Nodes in p-tree can't have individual aria-labels (accessibility) [\#8276](https://github.com/primefaces/primeng/issues/8276)
- Allow BlockUI individual styling [\#8326](https://github.com/primefaces/primeng/issues/8326)

**Fixed bugs:**

- selectOtherMonths is broken in multiple and range mode [\#8349](https://github.com/primefaces/primeng/issues/8349)
- p-spinner does not work after upgrade to 9.0.3 [\#8695](https://github.com/primefaces/primeng/issues/8695)
- Property 'columnheader' does not exist on type 'SortableColumn' [\#8693](https://github.com/primefaces/primeng/issues/8693)
- Change Tooltip disabled doesn't close it [\#8324](https://github.com/primefaces/primeng/issues/8324)
- Incorrect sample code on demo page [\#8697](https://github.com/primefaces/primeng/issues/8697)
- Site Example X Github Example (table/export) [\#8316](https://github.com/primefaces/primeng/issues/8316)

## [9.0.3](https://github.com/primefaces/primeng/tree/9.0.3) (2020-03-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.2...9.0.3)

**Implemented New Features and Enhancements:**

- pSortableColumn should add aria-sort for readers [\#8684](https://github.com/primefaces/primeng/issues/8684)
- Theme aware focus ring for table rows [\#8682](https://github.com/primefaces/primeng/issues/8682)
- Add 'ui-menuitem-link-active' as the active route link [\#8681](https://github.com/primefaces/primeng/issues/8681)
- ContextMenu selection should focus the row in table [\#8680](https://github.com/primefaces/primeng/issues/8680)
- Remove ui-contextmenu-selected styling from free themes [\#8679](https://github.com/primefaces/primeng/issues/8679)
- Improve performance of FocusTrap and add disable support [\#8678](https://github.com/primefaces/primeng/issues/8678)
- OverlayPanel should use ngTemplateOutlet in favor of ng-content [\#8677](https://github.com/primefaces/primeng/issues/8677)
- Table column resizer should be displayed on mousedown [\#8672](https://github.com/primefaces/primeng/issues/8672)
- ConfirmationService should not override ConfirmDialog Properties [\#8671](https://github.com/primefaces/primeng/issues/8671)
- Dialog Footer is 1px off in free themes [\#8668](https://github.com/primefaces/primeng/issues/8668)
- Review and Refactor static ViewChilds [\#8667](https://github.com/primefaces/primeng/issues/8667)
- Add precision property to Spinner [\#8662](https://github.com/primefaces/primeng/issues/8662)
- Improve Dialog style [\#8656](https://github.com/primefaces/primeng/issues/8656)
- Add maskStyleClass property to Dialog and ConfirmDialog [\#8655](https://github.com/primefaces/primeng/issues/8655)
- Migrate DynamicDialog to new Dialog Impl [\#8653](https://github.com/primefaces/primeng/issues/8653)
- FilterUtils in filter should use deep object equality [\#8648](https://github.com/primefaces/primeng/issues/8648)
- Ability to turn off autofocus on Dropdown/MultiSelect Filter [\#8137](https://github.com/primefaces/primeng/issues/8137)
- Configurable icon for Inplace [\#8125](https://github.com/primefaces/primeng/issues/8125)
- FocusTrap for DynamicDialog [\#7921](https://github.com/primefaces/primeng/issues/7921)
- aria-label for p-tableCheckbox, p-tableHeaderCheckbox and p-tableRadioButton [\#7843](https://github.com/primefaces/primeng/issues/7843)
- Table ContextMenu Selection should be unselected after clicking away [\#7821](https://github.com/primefaces/primeng/issues/7821)
- filterPlaceholder for Listbox [\#7801](https://github.com/primefaces/primeng/issues/7801)
- FullCalendar documentation improvements [\#7719](https://github.com/primefaces/primeng/issues/7719)
- Make Confirmation.message optional [\#7637](https://github.com/primefaces/primeng/issues/7637)
- Improve keyboard navigation performance of Table [\#7632](https://github.com/primefaces/primeng/issues/7632)
- Default focus button should be configurable [\#7622](https://github.com/primefaces/primeng/issues/7622)
- Customizable FileUpload Icons [\#7611](https://github.com/primefaces/primeng/issues/7611)
- Two way binding for Accordion activeIndex [\#7604](https://github.com/primefaces/primeng/issues/7604)
- p-button component in inputgroup has inconsistent border-radius [\#7539](https://github.com/primefaces/primeng/issues/7539)
- Add onResizeInit and onResizeEnd to Dialog [\#7535](https://github.com/primefaces/primeng/issues/7535)
- Add rowIndex to cell edit events [\#7531](https://github.com/primefaces/primeng/issues/7531)
- Refactor icon only buttons for Aria [\#7463](https://github.com/primefaces/primeng/issues/7463)
- Add required property to p-checkBox and p-tableCheckbox [\#7432](https://github.com/primefaces/primeng/issues/7432)
- Add focus\(\) method to checkbox and radiobutton [\#7411](https://github.com/primefaces/primeng/issues/7411)
- Unify style \(horizontal alignment\) for input components \(dropdown, multiSelect\) [\#7367](https://github.com/primefaces/primeng/issues/7367)
- Breadcrumb should support Menuitem style/styleClass of MenuModel [\#7364](https://github.com/primefaces/primeng/issues/7364)
- Default button classes for ConfirmDialog [\#7356](https://github.com/primefaces/primeng/issues/7356)
- Add name and inputId to p-tableCheckbox, p-tableHeaderCheckbox, p-tableRadioButton [\#7346](https://github.com/primefaces/primeng/issues/7346)
- preserveSpace property to OrganizationChart [\#7313](https://github.com/primefaces/primeng/issues/7313)
- Extend MenuModel with new Router Options [\#7299](https://github.com/primefaces/primeng/issues/7299)
- Prevent duplicates and Prevent open duplicates for Toast [\#7219](https://github.com/primefaces/primeng/issues/7219)
- Chips Separator [\#5333](https://github.com/primefaces/primeng/issues/5333)
- Missing common selection mode in TurboTable \(as in DataTable\) [\#4943](https://github.com/primefaces/primeng/issues/4943)
- Add completeOnFocus option to AutoComplete [\#3976](https://github.com/primefaces/primeng/issues/3976)

**Fixed bugs:**

- Slider animate fails [\#8683](https://github.com/primefaces/primeng/issues/8683)
- onEditCancel is not invoked on escape key [\#8669](https://github.com/primefaces/primeng/issues/8669)
- The dynamicDialog can't be closed using the ESC key if the dynamicDialog has the baseZIndex property [\#8666](https://github.com/primefaces/primeng/issues/8666)
- ViewDestroyedError when destroying modal dialogs without closing [\#8661](https://github.com/primefaces/primeng/issues/8661)
- p-messages inside a p-dialog dissapear when closing and reopening it  [\#8659](https://github.com/primefaces/primeng/issues/8659)
- MultiSelect: \*ngIf in p-footer not working [\#8646](https://github.com/primefaces/primeng/issues/8646)
- Autocomplete - Not Defined Event Error [\#8645](https://github.com/primefaces/primeng/issues/8645)
- Dropdown floating label ui-inputwrapper-filled css class not applied [\#8614](https://github.com/primefaces/primeng/issues/8614)
- bug in dropdown : TypeError: Cannot read property 'measureScrollOffset' of undefined [\#8140](https://github.com/primefaces/primeng/issues/8140)
- MultiSelect and Dropdown role type is not appropriate [\#7844](https://github.com/primefaces/primeng/issues/7844)
- Table filter change detection race condition [\#7842](https://github.com/primefaces/primeng/issues/7842)
- p-dialog tabbing problem: focus always in the first elemets if two dialogs are opened [\#7754](https://github.com/primefaces/primeng/issues/7754)
- Dynamic Dialog doesn't animate on hide only when showing [\#7728](https://github.com/primefaces/primeng/issues/7728)
- Keyboard navigation not working in IE11 after click on table row [\#7703](https://github.com/primefaces/primeng/issues/7703)
- Checkbox binary property is treated like a boolean, declared as string and documented as boolean [\#7681](https://github.com/primefaces/primeng/issues/7681)
- hideOnDateTimeSelect is not respected when showTime is false [\#7642](https://github.com/primefaces/primeng/issues/7642)
- Dropdown/MultiSelect control should be marked as touched after hiding the list [\#7629](https://github.com/primefaces/primeng/issues/7629)
- ContextMenu disabled menu item shows subitems [\#7585](https://github.com/primefaces/primeng/issues/7585)
- PrimeNG KeyFilter alphanum allows !\#$%&\( in Firefox and IE [\#7570](https://github.com/primefaces/primeng/issues/7570)
- id selector is not being set on toast message [\#7449](https://github.com/primefaces/primeng/issues/7449)
- TabMenu: support Ctrl+click for open link tab with routerLink [\#7434](https://github.com/primefaces/primeng/issues/7434)
- Calendar incorrect time validation [\#7381](https://github.com/primefaces/primeng/issues/7381)
- TreeTable top level nodes not aligned [\#7297](https://github.com/primefaces/primeng/issues/7297)
- RouterLinkActiveOptions doesn't work with free themes [\#7142](https://github.com/primefaces/primeng/issues/7142)
- Spinner silently discards manually entered decimal value if step value is a whole number [\#3853](https://github.com/primefaces/primeng/issues/3853)

## [9.0.2](https://github.com/primefaces/primeng/tree/9.0.2) (2020-03-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.1...9.0.2)

**Implemented New Features and Enhancements:**

- Pass current files to FileUpload onSelect [\#7421](https://github.com/primefaces/primeng/issues/7421)

**Fixed bugs:**

- Bug: Calendar increasing/decreasing minutes does not clear Timeout [\#7342](https://github.com/primefaces/primeng/issues/7342)
- pCellEditor not triggering edit when clicking on any element inside cell [\#8638](https://github.com/primefaces/primeng/issues/8638)
- Turbo Table empty message always showing even when table has data [\#8637](https://github.com/primefaces/primeng/issues/8637)

## [9.0.1](https://github.com/primefaces/primeng/tree/9.0.1) (2020-03-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.0...9.0.1)

**Implemented New Features and Enhancements:**

- Use requestAnimationFrame in VirtualScroll [\#8635](https://github.com/primefaces/primeng/issues/8635)
- Sortable columns should not be selectable [\#8634](https://github.com/primefaces/primeng/issues/8634)
- Use loadingbody in regular table according to loading property [\#8633](https://github.com/primefaces/primeng/issues/8633)
- currentPageReportTemplate support for TreeTable [\#8631](https://github.com/primefaces/primeng/issues/8631)
- Chips cover 100% although input is visually smaller [\#8610](https://github.com/primefaces/primeng/issues/8610)
- More options for currentPageReportTemplate [\#8605](https://github.com/primefaces/primeng/issues/8605)
- Customizable Toast Transformations [\#8136](https://github.com/primefaces/primeng/issues/8136)
- Add template for disabled dates of Calendar  [\#7259](https://github.com/primefaces/primeng/issues/7259)
- Column toggle demo does not maintain column order [\#7234](https://github.com/primefaces/primeng/issues/7234)
- Toasts use the same icon for both the severity \(error\) and close icon [\#7196](https://github.com/primefaces/primeng/issues/7196)
- Context menu shouldn't close upon clicking an item with children [\#7076](https://github.com/primefaces/primeng/issues/7076)

**Fixed bugs:**

- Increase contract in currentPageReportTemplate [\#8632](https://github.com/primefaces/primeng/issues/8632)
- Dropdown and MultiSelect placeholder color is inconsistent [\#8629](https://github.com/primefaces/primeng/issues/8629)
- \[doc\] wrong demo code in Calendar doc [\#8627](https://github.com/primefaces/primeng/issues/8627)
- DataTable scrollHeight doesn't calculate correctly with frozen columns [\#8618](https://github.com/primefaces/primeng/issues/8618)
- Chips getting focus when clicking outside input [\#8606](https://github.com/primefaces/primeng/issues/8606)
- Float Label doesn't work for Chips and Input Addons [\#8604](https://github.com/primefaces/primeng/issues/8604)
- Click header containing tags does not toggle sorter [\#8597](https://github.com/primefaces/primeng/issues/8597)
- Table and TreeTable footer with vertical scroll might be misaligned with header and body [\#8591](https://github.com/primefaces/primeng/issues/8591)
- DynamicDialog close button alignment is broken [\#8587](https://github.com/primefaces/primeng/issues/8587)
- ConfirmDialog throws exception during onDestroy on v9.0.0 [\#8585](https://github.com/primefaces/primeng/issues/8585)
- Keyfilter paste not working [\#8579](https://github.com/primefaces/primeng/issues/8579)
- Multiselect scrolling down page when opening with keyboard [\#8578](https://github.com/primefaces/primeng/issues/8578)
- p-dialog and p-confirmDialog not centered when set appendTo body [\#8573](https://github.com/primefaces/primeng/issues/8573)
- InputMask not dispatching onInput event [\#8569](https://github.com/primefaces/primeng/issues/8569)
- Autocomplete doesn't clear input value if user tabs before suggestions are displayed [\#8511](https://github.com/primefaces/primeng/issues/8511)
- Table EditableColumn crashing on Tab key when loose ui-editing-cell [\#8470](https://github.com/primefaces/primeng/issues/8470)
- Incorrect position for scroll bars in scrollpanel [\#8400](https://github.com/primefaces/primeng/issues/8400)
- Tooltip flickering [\#8335](https://github.com/primefaces/primeng/issues/8335)
- pTable cell editing: onEditComplete not triggered when clicking other cells. [\#8049](https://github.com/primefaces/primeng/issues/8049)
- SlideMenu: change detection not triggered when hidden [\#7820](https://github.com/primefaces/primeng/issues/7820)
- Spinner buttons should not be focusable [\#7789](https://github.com/primefaces/primeng/issues/7789)
- Dialog draggable wrong header style [\#7258](https://github.com/primefaces/primeng/issues/7258)
- p-dropdown with ui-fluid and ui-inputgroup classes does not grow horizontally [\#7224](https://github.com/primefaces/primeng/issues/7224)
- LazyLoad event triggered by moving horizontal scrollbar [\#7207](https://github.com/primefaces/primeng/issues/7207)
- Pagination not reseting when using multiple sortMode [\#7141](https://github.com/primefaces/primeng/issues/7141)

## [9.0.0](https://github.com/primefaces/primeng/tree/9.0.0) (2020-02-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.0-rc.4...9.0.0)

**Implemented New Features and Enhancements:**

- Keyboard accessible Steps [\#8546](https://github.com/primefaces/primeng/issues/8546)
- Add position property to ConfirmDialog [\#8543](https://github.com/primefaces/primeng/issues/8543)
- Add position property to Dialog [\#8535](https://github.com/primefaces/primeng/issues/8535)
- Reimplement maximizable dialog [\#8534](https://github.com/primefaces/primeng/issues/8534)
- Autocomplete onShow onHide [\#8519](https://github.com/primefaces/primeng/issues/8519)
- Allow dragging popups outside of the viewport [\#8507](https://github.com/primefaces/primeng/issues/8507)
- Add hide and show emitters to slidemenu [\#8497](https://github.com/primefaces/primeng/issues/8497)
- Provide a callback on DataView format change [\#6953](https://github.com/primefaces/primeng/issues/6953)

**Fixed bugs:**

- ng update @angular/core &@angular/cli to latest fails [\#8542](https://github.com/primefaces/primeng/issues/8542)
- ConfirmationDialog and Dialog leaves screen grayed on rejection [\#8538](https://github.com/primefaces/primeng/issues/8538)
- Dialog blockScroll property not working without modal [\#8533](https://github.com/primefaces/primeng/issues/8533)
- TreeTable metakey selection not working with keyboard [\#8532](https://github.com/primefaces/primeng/issues/8532)
- Table Sortable Column Cannot Used with Filter Input Elements \(etc input multiselect...\) [\#8526](https://github.com/primefaces/primeng/issues/8526)
- Table State not Saving Column Width When Column Reordered [\#8506](https://github.com/primefaces/primeng/issues/8506)
- Carousel allowes navigation if too less items available [\#8500](https://github.com/primefaces/primeng/issues/8500)
- Carousel - Invalid Array Length error [\#8498](https://github.com/primefaces/primeng/issues/8498)
- TypeError: Cannot read property 'childNodes' of null   [\#8340](https://github.com/primefaces/primeng/issues/8340)
- Galleria not updating as expected [\#7868](https://github.com/primefaces/primeng/issues/7868)
- dialog’s contentStyle to fail to set the height. [\#7308](https://github.com/primefaces/primeng/issues/7308)
- p-calendar doesn't disable months outside of minDate/maxDate with view="month" [\#7008](https://github.com/primefaces/primeng/issues/7008)
- TabView/TabPanel ExpressionChangedAfterItHasBeenCheckedError: Expression has changed after it was checked. Previous value: 'ui-helper-hidden: true'. Current value: 'ui-helper-hidden: false' [\#5826](https://github.com/primefaces/primeng/issues/5826)
- Accordion: \[activeIndex\] not bound when accordion tabs are created with \*ngFor [\#4458](https://github.com/primefaces/primeng/issues/4458)
- p-spinner \[\(ngModel\)\]=”value” binding does not fire by paste via right click context menu [\#3970](https://github.com/primefaces/primeng/issues/3970)

## [9.0.0-rc.4](https://github.com/primefaces/primeng/tree/9.0.0-rc.4) (2020-01-27)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.0-rc.3...9.0.0-rc.4)

**Implemented New Features and Enhancements:**

- P-Calendar fires onBlur event upon clicking a date in the calendar [\#7357](https://github.com/primefaces/primeng/issues/7357)

**Fixed bugs:**

- 'allSelected' does not exist on type 'MultiSelect' [\#8486](https://github.com/primefaces/primeng/issues/8486)
- ui-inputwrapper-filled doesn't change with toggleAll in multiselect [\#8484](https://github.com/primefaces/primeng/issues/8484)
- InputSwitch doesn't switch when clicked if it is inside a label [\#8466](https://github.com/primefaces/primeng/issues/8466)
- ui-inputwrapper-filled is not removed when multi-select options are deselected [\#8279](https://github.com/primefaces/primeng/issues/8279)
- p-dropdown: emptyFilterMessage does not work with optionLabel [\#7448](https://github.com/primefaces/primeng/issues/7448)

## [9.0.0-rc.3](https://github.com/primefaces/primeng/tree/9.0.0-rc.3) (2020-01-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.0-rc2...9.0.0-rc.3)

**Implemented New Features and Enhancements:**

- Keyboard accessible Horizontal TreeNode [\#8478](https://github.com/primefaces/primeng/issues/8478)
- Keyboard accessible Inplace [\#8477](https://github.com/primefaces/primeng/issues/8477)
- Unify focus visuals in Themes [\#8476](https://github.com/primefaces/primeng/issues/8476)
- Reimplement ConfirmDialog  [\#8475](https://github.com/primefaces/primeng/issues/8475)
- Deprecate breakpoint and responsive properties of Dialog [\#8473](https://github.com/primefaces/primeng/issues/8473)
- Reimplement Dialog [\#8472](https://github.com/primefaces/primeng/issues/8472)
- Enhance ARIA roles and attributes for the components [\#8439](https://github.com/primefaces/primeng/issues/8439)
- Calendar - Keyboard Navigation Support [\#4695](https://github.com/primefaces/primeng/issues/4695)

**Fixed bugs:**

- Issue in Carousel component. Click events or href does not work on touch on mobile devices [\#8302](https://github.com/primefaces/primeng/issues/8302)
- Disabled steps item still receives focus [\#8479](https://github.com/primefaces/primeng/issues/8479)
- Frozen columns misalignment in Firefox [\#8474](https://github.com/primefaces/primeng/issues/8474)
- Scrollbar over footer cause display issue with frozen column [\#8431](https://github.com/primefaces/primeng/issues/8431)
- Table footer scroll not working using with Frozen Columns [\#8417](https://github.com/primefaces/primeng/issues/8417)
- Dropdown resetFilter method not clear filter input value [\#8408](https://github.com/primefaces/primeng/issues/8408)
- ConfirmDialog ignores blockScroll property [\#8395](https://github.com/primefaces/primeng/issues/8395)
- Drag and Drop is not working in PickList in Firefox web browser [\#8320](https://github.com/primefaces/primeng/issues/8320)
- Confirm dialog mask bug [\#8312](https://github.com/primefaces/primeng/issues/8312)
- Popup menu does not hide on document click when parent uses OnPush change detection [\#8226](https://github.com/primefaces/primeng/issues/8226)

## [9.0.0-rc.2](https://github.com/primefaces/primeng/tree/9.0.0-rc.2) (2019-12-05)

[Full Changelog](https://github.com/primefaces/primeng/compare/9.0.0-rc.1...9.0.0-rc.2)

**Fixed bugs:**

- PanelMenu header item does not render id [\#8379](https://github.com/primefaces/primeng/issues/8379)
- TableState resets paginator when sorting is enabled [\#8378](https://github.com/primefaces/primeng/issues/8378)
- Table selection not restored with TableState [\#8376](https://github.com/primefaces/primeng/issues/8376)
- Bug on dialog [\#8364](https://github.com/primefaces/primeng/issues/8364)
- Don't decrease page when totalRecords is not \(yet\) set [\#8358](https://github.com/primefaces/primeng/issues/8358)
- TreeTable column resize for footer [\#8351](https://github.com/primefaces/primeng/issues/8351)
- colorPicker - wrong color rendered [\#8334](https://github.com/primefaces/primeng/issues/8334)
- Dynamic Tooltip rendering wrong [\#8323](https://github.com/primefaces/primeng/issues/8323)
- Timer running even after calendar closing and opening [\#8296](https://github.com/primefaces/primeng/issues/8296)
- ConfirmDialog - Documentation - Incorrect Spelling 'Specifices' [\#8291](https://github.com/primefaces/primeng/issues/8291)
- Documentation error for FullCalendar [\#8286](https://github.com/primefaces/primeng/issues/8286)
- InputMask always setting class ui-inputwrapper-focus [\#8032](https://github.com/primefaces/primeng/issues/8032)
- Document that resetPageOnSort is only available in single sort [\#7953](https://github.com/primefaces/primeng/issues/7953)

## [9.0.0-rc.1](https://github.com/primefaces/primeng/tree/9.0.0-rc.1) (2019-11-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.1.1...9.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Angular 9 Compatibility [\#8347](https://github.com/primefaces/primeng/issues/8347)
- Add separator option to the SplitButton [\#8337](https://github.com/primefaces/primeng/issues/8337)
- Delete deprecated components [\#8328](https://github.com/primefaces/primeng/issues/8328)
- Delete deprecated properties [\#8322](https://github.com/primefaces/primeng/issues/8322)
- Delete Autocomplete immutable property [\#8313](https://github.com/primefaces/primeng/issues/8313)
- Add aria-required to Calendar [\#8278](https://github.com/primefaces/primeng/issues/8278)
- Feat\(ng-packagr\): use ng-packagr to build library [\#8057](https://github.com/primefaces/primeng/issues/8057)

**Fixed bugs:**

- Carousel - Invalid Array Length error when array length = 0 [\#8300](https://github.com/primefaces/primeng/issues/8300)
- Calendar Receives Keyboard Focus [\#8280](https://github.com/primefaces/primeng/issues/8280)
- Esc keyboard click is not hiding MultiSelect overlay [\#8181](https://github.com/primefaces/primeng/issues/8181)

**Unit Tests:**

- Angular 9 Compatibility for Unit Tests [\#8352](https://github.com/primefaces/primeng/issues/8352)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.9-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.9) (2020-10-12)

**Fixed bugs:**

- Align tiered menu behavior with menubar [\#9379](https://github.com/primefaces/primeng/issues/9379)
- DialogService onclose event not fired when you click close button after v9.0.3(include) [\#9345](https://github.com/primefaces/primeng/issues/9345)
- VirtualScroll ExpressionChangedAfterItHasBeenCheckedError on TreeTable [\#9254](https://github.com/primefaces/primeng/issues/9254)
- Slider handle not working correctly with model driven forms [\#9192](https://github.com/primefaces/primeng/issues/9192)
- Carousel - set page does not work for first and last page [\#9153](https://github.com/primefaces/primeng/issues/9153)
- TriStateCheckbox Keyboard gets opened on mobile devices on use [\#9085](https://github.com/primefaces/primeng/issues/9085)
- Table component tries to restore non-existing state [\#9076](https://github.com/primefaces/primeng/issues/9076)
- disabled p-slider still reacts to keyboard input  [\#9066](https://github.com/primefaces/primeng/issues/9066)
- Multiple DynamicDialogs are not closing programmatically [\#8801](https://github.com/primefaces/primeng/issues/8801)
- SelectButton - reactive form and disabled control [\#8788](https://github.com/primefaces/primeng/issues/8788)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.8-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.8) (2020-09-23)

**Fixed bugs:**

- TreeTable openCell() not working [\#9279](https://github.com/primefaces/primeng/issues/9279)
- Turbo Table Column Resize Is Ignored If Smaller Than minWidth [expand mode] [\#8262](https://github.com/primefaces/primeng/issues/8262)
- sub menu of p-contextMenu in p-table go off screen when right click on the bottom of screen [\#8077](https://github.com/primefaces/primeng/issues/8077)
- Table cell editor not switching correctly from input to output with OnPush [\#8046](https://github.com/primefaces/primeng/issues/8046)
- Frozen Columns and Rows should be exportable to CSV as well [\#8046](https://github.com/primefaces/primeng/issues/8046)
- p-tree validateDrop throws error in subscribe [\#8827](https://github.com/primefaces/primeng/issues/8827)
- 9.1.0 Popup slidemenu item doubleclick causes page to reload [\#8976](https://github.com/primefaces/primeng/issues/8976)
- Filter in p-tree is not working with virtual scroll in primeng 9.1.0 [\#8941](https://github.com/primefaces/primeng/issues/8941)
- Don't close menu components when clicking the disabled option [\#8950](https://github.com/primefaces/primeng/issues/8950)
- Tabview: disabled tab control can be focused [\#8939](https://github.com/primefaces/primeng/issues/8939)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.7-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.7) (2020-09-08)

**Fixed bugs:**

- fileUpload chooseIcon always set to default in mode="basic" [\#9173](https://github.com/primefaces/primeng/issues/9173)
- Customizable FileUpload Icons [\#7611](https://github.com/primefaces/primeng/issues/7611)
- Prevent virtual device calendar on touchUI mode [\#9226](https://github.com/primefaces/primeng/issues/9226)
- Redirect to data.com when dropping on datapoint with TreeComponent with Firefox [\#9108](https://github.com/primefaces/primeng/issues/9108)
- OverlayPanel doesn't disappear in OnPush components. [\#8804](https://github.com/primefaces/primeng/issues/8804)
- Carousel - Button inside carousel-item is not clickable in mobile phones [\#8377](https://github.com/primefaces/primeng/issues/8377)
- multiselect applies disabled UI state to all items when selectionLimit is reached and selection is reset [\#8374](https://github.com/primefaces/primeng/issues/8374)
- Paginator showAll - Pre-Selecting All Inconsistent [\#8360](https://github.com/primefaces/primeng/issues/8360)
- Dropdowns and MultiSelects open inconsistently or not at all when using a wrapped-label layout [\#8455](https://github.com/primefaces/primeng/issues/8455)
- Bug in dialog.ts - variable naming and improvement [\#8964](https://github.com/primefaces/primeng/issues/8964)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.6-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.6) (2020-07-03)

**Fixed bugs:**

- Add contentStyleClass to Dialog [\#8945](https://github.com/primefaces/primeng/issues/8945)
- DataTable scrollHeight doesn't calculate correctly with frozen columns [\#8618](https://github.com/primefaces/primeng/issues/8618)
- Button with icon shows no label after change [\#8918](https://github.com/primefaces/primeng/issues/8918)
- Add listStyleClass to ListBox [\#8944](https://github.com/primefaces/primeng/issues/8944)
- ToggleButton disabled doesn't correctly disable the accessibility input [\#8955](https://github.com/primefaces/primeng/issues/8955)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.5-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.5) (2020-05-18)

**Fixed bugs:**

- VirtualScrolling for Tree [\#8257](https://github.com/primefaces/primeng/issues/8257)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.4-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.4) (2020-05-11)

**Fixed bugs:**

- Slider doesn't works properly with ChangeDetectionStrategy.OnPush / reactive forms [\#7692](https://github.com/primefaces/primeng/issues/7692)
- "no file chosen" tooltip appears after selecting file [\#7957](https://github.com/primefaces/primeng/issues/7957)
- fieldset: don't animate into collapse !... when collapse is default [\#8022](https://github.com/primefaces/primeng/issues/8022)
- Dropdown panelStyle min width overridden when appendTo body is used [\#8218](https://github.com/primefaces/primeng/issues/8218)
- Toast blocks protractor [\#8122](https://github.com/primefaces/primeng/issues/8122)
- [p-tree] [bug] right arrow key tries to expand a leaf if onNodeExpand function is defined [\#8271](https://github.com/primefaces/primeng/issues/8271)
- Panel: aria-labelledby points to not existing id when toggleable equals false [\#8272](https://github.com/primefaces/primeng/issues/8272)
- MenuItem items property type error [\#8339](https://github.com/primefaces/primeng/issues/8339)
- Multiple messages should wrap [\#8768](https://github.com/primefaces/primeng/issues/8768)
- Button and SplitButton have different brightness when disabled [\#8416](https://github.com/primefaces/primeng/issues/8416)
- p-spinner does not work after upgrade to 9.0.3 [\#8695](https://github.com/primefaces/primeng/issues/8695)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.3-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.3) (2020-04-28)

**Fixed bugs:**

- selectOtherMonths is broken in multiple and range mode [\#8349](https://github.com/primefaces/primeng/issues/8349)
- Change Tooltip disabled doesn't close it [\#8324](https://github.com/primefaces/primeng/issues/8324)
- The dynamicDialog can't be closed using the ESC key if the dynamicDialog has the baseZIndex property [\#8666](https://github.com/primefaces/primeng/issues/8666)
- The dynamicDialog can't be closed using the ESC key if the dynamicDialog hasn't the baseZIndex property [\#8760](https://github.com/primefaces/primeng/issues/8760)
- Pressing arrow up key in drag and drop enabled tree selects wrong node [\#8623](https://github.com/primefaces/primeng/issues/8623)
- Tiered Menu command does not receive MenuItem in event [\#8592](https://github.com/primefaces/primeng/issues/8592)
- Tooltip - new tooltip created without removing old tooltip [\#8516](https://github.com/primefaces/primeng/issues/8516)
- PickList - items dissapear when items are moved and filters are set [\#8514](https://github.com/primefaces/primeng/issues/8514)
- p-calendar selectionMode="multiple" After unselect date, the calendar breaks. [\#8457](https://github.com/primefaces/primeng/issues/8457)
- Dropdown allows selecting disabled options [\#8448](https://github.com/primefaces/primeng/issues/8448)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.2-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.2) (2020-04-15)

**Fixed bugs:**

- Calendar incorrect time validation [\#7381](https://github.com/primefaces/primeng/issues/7381)
- id selector is not being set on toast message [\#7449](https://github.com/primefaces/primeng/issues/7449)
- PrimeNG KeyFilter alphanum allows !#$%&( in Firefox and IE [\#7570](https://github.com/primefaces/primeng/issues/7570)
- Dropdown/MultiSelect control should be marked as touched after hiding the list [\#7629](https://github.com/primefaces/primeng/issues/7629)
- hideOnDateTimeSelect is not respected when showTime is false [\#7642](https://github.com/primefaces/primeng/issues/7642)
- bug in dropdown : TypeError: Cannot read property 'measureScrollOffset' of undefined [\#8140](https://github.com/primefaces/primeng/issues/8140)
- Keyboard navigation not working in IE11 after click on table row [\#7703](https://github.com/primefaces/primeng/issues/7703)
- MultiSelect and Dropdown role type is not appropriate [\#7703](https://github.com/primefaces/primeng/issues/7844)
- Checkbox binary property is treated like a boolean, declared as string and documented as boolean [\#7681](https://github.com/primefaces/primeng/issues/7681)
- Dropdown floating label ui-inputwrapper-filled css class not applied [\#8614](https://github.com/primefaces/primeng/issues/8614)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.1-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.1) (2020-04-08)

**Fixed bugs:**

- TreeTable top level nodes not aligned [\#7297](https://github.com/primefaces/primeng/issues/7297)
- Table filter change detection race condition [\#7842](https://github.com/primefaces/primeng/issues/7842)
- TabMenu: support Ctrl+click for open link tab with routerLink [\#7434](https://github.com/primefaces/primeng/issues/7434)
- Breadcrumb should support Menuitem style/styleClass of MenuModel [\#7364](https://github.com/primefaces/primeng/issues/7364)
- Autocomplete - Not Defined Event Error [\#8645](https://github.com/primefaces/primeng/issues/8645)
- Refactor icon only buttons for Aria [\#7463](https://github.com/primefaces/primeng/issues/7463)
- filterPlaceholder for Listbox [\#7801](https://github.com/primefaces/primeng/issues/7801)
- Dynamic Dialog doesn't animate on hide only when showing [\#7728](https://github.com/primefaces/primeng/issues/7728)
- Spinner silently discards manually entered decimal value if step value is a whole number [\#3853](https://github.com/primefaces/primeng/issues/3853)
- Add precision property to Spinner [\#8662](https://github.com/primefaces/primeng/issues/8662)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.2.0-LTS](https://www.npmjs.com/package/primeng-lts/v/8.2.0) (2020-03-30)

**Fixed bugs:**

- Customizable Toast Transformations [\#8136](https://github.com/primefaces/primeng/issues/8136)
- Context menu shouldn't close upon clicking an item with children [\#7076](https://github.com/primefaces/primeng/issues/7076)
- Sortable columns should not be selectable [\#8634](https://github.com/primefaces/primeng/issues/8634)
- FileUpload size formatting is incorrect [\#8563](https://github.com/primefaces/primeng/issues/8563)
- onItemClick event for Breadcrumb [\#8230](https://github.com/primefaces/primeng/issues/8230)
- Accept and Reject icons to Confirmation [\#8414](https://github.com/primefaces/primeng/issues/8414)
- ConfirmDialog close via service feature [\#8524](https://github.com/primefaces/primeng/issues/8524)
- Pass current files to FileUpload onSelect [\#7421](https://github.com/primefaces/primeng/issues/7421)
- Bug: Calendar increasing/decreasing minutes does not clear Timeout [\#7342](https://github.com/primefaces/primeng/issues/7342)
- FilterUtils in filter should use deep object equality [\#8648](https://github.com/primefaces/primeng/issues/8648)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.9-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.9) (2020-03-24)

**Fixed bugs:**

- Autocomplete doesn't clear input value if user tabs before suggestions are displayed [\#8511](https://github.com/primefaces/primeng/issues/8511)
- Pagination not reseting when using multiple sortMode [\#7141](https://github.com/primefaces/primeng/issues/7141)
- Use requestAnimationFrame in VirtualScroll [\#8635](https://github.com/primefaces/primeng/issues/8635)
- LazyLoad event triggered by moving horizontal scrollbar [\#7207](https://github.com/primefaces/primeng/issues/7207)
- Dialog draggable wrong header style [\#7258](https://github.com/primefaces/primeng/issues/7258)
- p-dropdown with ui-fluid and ui-inputgroup classes does not grow horizontally [\#7224](https://github.com/primefaces/primeng/issues/7224)
- pTable cell editing: onEditComplete not triggered when clicking other cells. [\#8049](https://github.com/primefaces/primeng/issues/8049)
- Table EditableColumn crashing on Tab key when loose ui-editing-cell [\#8470](https://github.com/primefaces/primeng/issues/8470)
- pCellEditor not triggering edit when clicking on any element inside cell [\#8638](https://github.com/primefaces/primeng/issues/8638)
- Incorrect position for scroll bars in scrollpanel [\#8400](https://github.com/primefaces/primeng/issues/8400)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.7-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.8) (2020-03-19)

**Fixed bugs:**

- Turbo Table empty message always showing even when table has data [\#8637](https://github.com/primefaces/primeng/issues/8637)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.7-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.7) (2020-03-19)

**Fixed bugs:**

- Chips getting focus when clicking outside input [\#8606](https://github.com/primefaces/primeng/issues/8606)
- Chips cover 100% although input is visually smaller [\#8610](https://github.com/primefaces/primeng/issues/8610)
- Float Label doesn't work for Chips and Input Addons [\#8604](https://github.com/primefaces/primeng/issues/8604)
- Dropdown and MultiSelect placeholder color is inconsistent [\#8629](https://github.com/primefaces/primeng/issues/8629)
- DataTable scrollHeight doesn't calculate correctly with frozen columns [\#8618](https://github.com/primefaces/primeng/issues/8618)
- More options for currentPageReportTemplate [\#8605](https://github.com/primefaces/primeng/issues/8605)
- currentPageReportTemplate support for TreeTable [\#8631](https://github.com/primefaces/primeng/issues/8631)
- Increase contract in currentPageReportTemplate [\#8632](https://github.com/primefaces/primeng/issues/8632)
- Toasts use the same icon for both the severity (error) and close icon [\#8632](https://github.com/primefaces/primeng/issues/8632)
- Spinner buttons should not be focusable [\#7789](https://github.com/primefaces/primeng/issues/7789)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.6-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.6) (2020-01-17)

**Fixed bugs:**

- Provide a callback on DataView format change [\#6953](https://github.com/primefaces/primeng/issues/6953)
- p-calendar doesn't disable months outside of minDate/maxDate with view="month" [\#7008](https://github.com/primefaces/primeng/issues/7008)
- TabView/TabPanel ExpressionChangedAfterItHasBeenCheckedError: Expression has changed after it was checked. Previous value: 'ui-helper-hidden: true'. Current value: 'ui-helper-hidden: false' [\#5826](https://github.com/primefaces/primeng/issues/5826)
- dialog’s contentStyle to fail to set the height. [\#7308](https://github.com/primefaces/primeng/issues/7308)
- Accordion: [activeIndex] not bound when accordion tabs are created with *ngFor [\#4458](https://github.com/primefaces/primeng/issues/4458)
- Multiselect scrolling down page when opening with keyboard [\#8578](https://github.com/primefaces/primeng/issues/8578)
- InputMask not dispatching onInput event [\#8569](https://github.com/primefaces/primeng/issues/8569)
- Keyfilter paste not working [\#8579](https://github.com/primefaces/primeng/issues/8579)
- Tooltip flickering [\#8335](https://github.com/primefaces/primeng/issues/8335)
- SlideMenu: change detection not triggered when hidden [\#7820](https://github.com/primefaces/primeng/issues/7820)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.5-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.5) (2020-01-17)

**Fixed bugs:**

- Carousel allowes navigation if too less items available [\#8500](https://github.com/primefaces/primeng/issues/8500)
- Carousel - Invalid Array Length error [\#8498](https://github.com/primefaces/primeng/issues/8498)
- Autocomplete onShow onHide [\#8519](https://github.com/primefaces/primeng/issues/8519)
- TypeError: Cannot read property 'childNodes' of null [\#8340](https://github.com/primefaces/primeng/issues/8340)
- Table Sortable Column Cannot Used with Filter Input Elements (etc input multiselect...)  [\#8526](https://github.com/primefaces/primeng/issues/8526)
- Galleria not updating as expected [\#7868](https://github.com/primefaces/primeng/issues/7868)
- Add hide and show emitters to slidemenu [\#8497](https://github.com/primefaces/primeng/issues/8497)
- TreeTable metakey selection not working with keyboard [\#8532](https://github.com/primefaces/primeng/issues/8532)
- Dialog blockScroll property not working without modal [\#8533](https://github.com/primefaces/primeng/issues/8533)
- Keyboard accessible Steps [\#8546](https://github.com/primefaces/primeng/issues/8546)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.4-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.4) (2020-01-17)

**Fixed bugs:**

- Disabled steps item still receives focus [\#8479](https://github.com/primefaces/primeng/issues/8479)
- p-dropdown: emptyFilterMessage does not work with optionLabel [\#7448](https://github.com/primefaces/primeng/issues/7448)
- ui-inputwrapper-filled is not removed when multi-select options are deselected [\#8279](https://github.com/primefaces/primeng/issues/8279)
- ui-inputwrapper-filled doesn't change with toggleAll in multiselect [\#8484](https://github.com/primefaces/primeng/issues/8484)
- InputSwitch doesn't switch when clicked if it is inside a label [\#8466](https://github.com/primefaces/primeng/issues/8466)
- Add aria-required to Calendar [\#8278](https://github.com/primefaces/primeng/issues/8278)
- Add separator option to the SplitButton [\#8337](https://github.com/primefaces/primeng/issues/8337)
- Keyboard accessible Horizontal TreeNode [\#8478](https://github.com/primefaces/primeng/issues/8478)
- Keyboard accessible Inplace [\#8477](https://github.com/primefaces/primeng/issues/8477)
- P-Calendar fires onBlur event upon clicking a date in the calendar [\#7357](https://github.com/primefaces/primeng/issues/7357)
- Table State not Saving Column Width When Column Reordered [\#8506](https://github.com/primefaces/primeng/issues/8506)
- Allow dragging popups outside of the viewport [\#8507](https://github.com/primefaces/primeng/issues/8507)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.3-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.3) (2020-01-17)

**Fixed bugs:**

- colorPicker - wrong color rendered [\#8334](https://github.com/primefaces/primeng/issues/8334)
- Don't decrease page when totalRecords is not (yet) set [\#8358](https://github.com/primefaces/primeng/issues/8358)
- Popup menu does not hide on document click when parent uses OnPush change detection  [\#8226](https://github.com/primefaces/primeng/issues/8226)
- Drag and Drop is not working in PickList in Firefox web browser [\#8320](https://github.com/primefaces/primeng/issues/8320)
- Table footer scroll not working using with Frozen Columns [\#8417](https://github.com/primefaces/primeng/issues/8417)
- Dropdown resetFilter method not clear filter input value [\#8408](https://github.com/primefaces/primeng/issues/8408)
- ConfirmDialog ignores blockScroll property [\#8395](https://github.com/primefaces/primeng/issues/8395)
- Confirm dialog mask bug [\#8312](https://github.com/primefaces/primeng/issues/8312)
- Scrollbar over footer cause display issue with frozen column [\#8431](https://github.com/primefaces/primeng/issues/8431)
- Frozen columns misalignment in Firefox [\#8474](https://github.com/primefaces/primeng/issues/8474)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [8.1.2-LTS](https://www.npmjs.com/package/primeng-lts/v/8.1.2) (2020-01-20)

**Fixed bugs:**

- Calendar Receives Keyboard Focus [\#8280](https://github.com/primefaces/primeng/issues/8280)
- Carousel - Invalid Array Length error when array length = 0 [\#8300](https://github.com/primefaces/primeng/issues/8300)
- Esc keyboard click is not hiding MultiSelect overlay [\#8181](https://github.com/primefaces/primeng/issues/8181)
- TreeTable column resize for footer [\#8351](https://github.com/primefaces/primeng/issues/8351)
- InputMask always setting class ui-inputwrapper-focus [\#8032](https://github.com/primefaces/primeng/issues/8032)
- PanelMenu header item does not render id [\#8379](https://github.com/primefaces/primeng/issues/8379)
- Dynamic Tooltip rendering wrong [\#8323](https://github.com/primefaces/primeng/issues/8323)
- TableState resets paginator when sorting is enabled [\#8378](https://github.com/primefaces/primeng/issues/8378)
- Timer running even after calendar closing and opening [\#8296](https://github.com/primefaces/primeng/issues/8296)
- Table selection not restored with TableState [\#8376](https://github.com/primefaces/primeng/issues/8376)
- Calendar Receives Keyboard Focus [\#8280](https://github.com/primefaces/primeng/issues/8280)

## [8.1.1](https://github.com/primefaces/primeng/tree/8.1.1) (2019-10-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.1.0...8.1.1)

**Fixed bugs:**

- PrimeNG 8.1.0 Couldn't resolve resource ./carousel.css [\#8267](https://github.com/primefaces/primeng/issues/8267)

## [8.1.0](https://github.com/primefaces/primeng/tree/8.1.0) (2019-10-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.0.4...8.1.0)

**Implemented New Features and Enhancements:**

- Deprecate autoDisplay from Menubar [\#8266](https://github.com/primefaces/primeng/issues/8266)
- Improve Menubar, ContextMenu and TieredMenu Behavior [\#8214](https://github.com/primefaces/primeng/issues/8214)
- ConfirmDialog should trap focus [\#8212](https://github.com/primefaces/primeng/issues/8212)
- Ability to extend Filters in Table [\#8123](https://github.com/primefaces/primeng/issues/8123)
- Reimplement Carousel [\#3896](https://github.com/primefaces/primeng/issues/3896)
- PDF and EXCEL demo for Table [\#534](https://github.com/primefaces/primeng/issues/534)

**Fixed bugs:**

- acceptVisible and rejectVisible being false cause focus error  [\#8246](https://github.com/primefaces/primeng/issues/8246)
- p-tree lazy loading not working as arrow icon not showing despite marking leaf false [\#8237](https://github.com/primefaces/primeng/issues/8237)
- Multiple autocomplete ignore maxlength attribute [\#8232](https://github.com/primefaces/primeng/issues/8232)
- Numeric keypad \(0-9\) cannot be used for searching in dropdown [\#6777](https://github.com/primefaces/primeng/issues/6777)

## [8.0.4](https://github.com/primefaces/primeng/tree/8.0.4) (2019-10-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.0.3...8.0.4)

**Implemented New Features and Enhancements:**

- tfoot should be after tbody [\#8211](https://github.com/primefaces/primeng/issues/8211)
- Tooltip for TabView [\#8195](https://github.com/primefaces/primeng/issues/8195)
- Tooltip for Dropdown [\#8194](https://github.com/primefaces/primeng/issues/8194)
- Tooltip for Multiselect [\#8193](https://github.com/primefaces/primeng/issues/8193)
- Expose Activate/Deactivate functionality for Inplace [\#8155](https://github.com/primefaces/primeng/issues/8155)
- Autocomplete. Name attribute for input element [\#8129](https://github.com/primefaces/primeng/issues/8129)
- Tree filter - expand search result [\#7417](https://github.com/primefaces/primeng/issues/7417)
- Active State for PanelMenu sub menus. [\#6773](https://github.com/primefaces/primeng/issues/6773)
- TurboTable responsive with colgroup breaks column width [\#6757](https://github.com/primefaces/primeng/issues/6757)
- Make leaf node not expandable in tree regardless of children [\#6743](https://github.com/primefaces/primeng/issues/6743)
- Elements with editable portions should support native input attributes [\#6723](https://github.com/primefaces/primeng/issues/6723)
- Calendar: Expose API to toggle calendar from component [\#6575](https://github.com/primefaces/primeng/issues/6575)

**Fixed bugs:**

- p-button style property doesn't work at all [\#8184](https://github.com/primefaces/primeng/issues/8184)
- Multiselect arrow keys for selection is not working properly [\#8167](https://github.com/primefaces/primeng/issues/8167)
- Close button for Sidebar does not show the pointer when hovering [\#8159](https://github.com/primefaces/primeng/issues/8159)
- Listbox "toggle all" checkbox deselects all disabled options [\#8149](https://github.com/primefaces/primeng/issues/8149)
- Chrome doesn't respect the autocomplete property of the p-autocomplete component [\#8096](https://github.com/primefaces/primeng/issues/8096)
- Autocomplete does not work using Firefox Mobile browser [\#8082](https://github.com/primefaces/primeng/issues/8082)
- AccordionTab throwing ViewDestroyedError during unit testing [\#8044](https://github.com/primefaces/primeng/issues/8044)
- Turbotable - Multisort with null values doesn't quite work correctly [\#8001](https://github.com/primefaces/primeng/issues/8001)
- Dropdown - ViewDestroyedError [\#7970](https://github.com/primefaces/primeng/issues/7970)
- Error in tree.css file [\#7866](https://github.com/primefaces/primeng/issues/7866)
- Revert maximize should not remove modal blockScroll [\#6905](https://github.com/primefaces/primeng/issues/6905)
- Turbotable export creates file with UTF-8-BOM instead of UTF-8 [\#6901](https://github.com/primefaces/primeng/issues/6901)
- Multiselect Filter Issue [\#6891](https://github.com/primefaces/primeng/issues/6891)
- Column Re-sizer blue line is appearing even after the mouse click is released in Table  [\#6884](https://github.com/primefaces/primeng/issues/6884)
- Table: Error on multiple Sort with lazy Loading on using the Meta-Key \(CRTL\) [\#6804](https://github.com/primefaces/primeng/issues/6804)
- Up/Down keys are not secured against no children [\#6705](https://github.com/primefaces/primeng/issues/6705)
- Change of pDraggableDisabled property after ngAfterViewInit doesn't change element's behavior  [\#6694](https://github.com/primefaces/primeng/issues/6694)
- Calendar: p-header displays on last month if multiple months is activated [\#6570](https://github.com/primefaces/primeng/issues/6570)

## [8.0.3](https://github.com/primefaces/primeng/tree/8.0.3) (2019-09-05)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.0.2...8.0.3)

**Implemented New Features and Enhancements:**

- Add originalEvent to cellEdit events [\#8111](https://github.com/primefaces/primeng/issues/8111)
- ListBox - Add selected option value to onClick and onDblClick [\#8108](https://github.com/primefaces/primeng/issues/8108)
- Add tabindex property to Slider [\#8100](https://github.com/primefaces/primeng/issues/8100)
- Add Tabindex Property to MenuItem [\#8089](https://github.com/primefaces/primeng/issues/8089)
- Add unique attribute to Autocomplete [\#8067](https://github.com/primefaces/primeng/issues/8067)
- Textarea AutoResize Improvements [\#7778](https://github.com/primefaces/primeng/issues/7778)
- Keyboard support for Slider component [\#4237](https://github.com/primefaces/primeng/issues/4237)
- Add readonly to Checkbox and TriStateCheckbox [\#2999](https://github.com/primefaces/primeng/issues/2999)
- More search filters for searchable components \(Dropdown Multiselect Listbox etc\) [\#953](https://github.com/primefaces/primeng/issues/953)

**Fixed bugs:**

- MultiSelect: selectionLimit causes options to be in disabled-state [\#8116](https://github.com/primefaces/primeng/issues/8116)
- p-spinner does not clear when \[\(ngModel\)\] is assign to null or undefined [\#8114](https://github.com/primefaces/primeng/issues/8114)
- Calendar overlay doesn't disappear in OnPush components. [\#8102](https://github.com/primefaces/primeng/issues/8102)
- p-spinner min validator works only for first time [\#8095](https://github.com/primefaces/primeng/issues/8095)
- The FocusTrap directive throws a JS exception on browsers [\#8075](https://github.com/primefaces/primeng/issues/8075)
- The emptyMessage attribute is not working correctly with empty value array [\#8065](https://github.com/primefaces/primeng/issues/8065)
- p-dropdown only sets `filled` on click, not on select \(doesn't work with keyboard\) [\#8059](https://github.com/primefaces/primeng/issues/8059)
- Calendar view="month" does not highlight month unless manually clicked [\#8055](https://github.com/primefaces/primeng/issues/8055)
- The left and right arrow keys not working on input elements inside Tree [\#8039](https://github.com/primefaces/primeng/issues/8039)
- TabMenu Templating not working [\#8031](https://github.com/primefaces/primeng/issues/8031)
- dropdown throws "event is not defined" error in PrimeNG v8.0.2 on Firefox [\#8003](https://github.com/primefaces/primeng/issues/8003)
- The yearRange's value is not set on Calendar [\#7996](https://github.com/primefaces/primeng/issues/7996)
- p-inputMask with angular 8 doesn't set value [\#7979](https://github.com/primefaces/primeng/issues/7979)
- Typing times between 12:00AM-12:59AM save as PM [\#7977](https://github.com/primefaces/primeng/issues/7977)
- Selected item in drop-down with virtual scrolling does not always stay into view [\#7963](https://github.com/primefaces/primeng/issues/7963)
- forceSelection not clearing invalid single numbers/strings  [\#7841](https://github.com/primefaces/primeng/issues/7841)

**Unit Tests:**

- Unit Tests Need Improvement [\#8025](https://github.com/primefaces/primeng/issues/8025)
- FilterUtils Unit Test [\#8007](https://github.com/primefaces/primeng/issues/8007)

## [8.0.2](https://github.com/primefaces/primeng/tree/8.0.2) (2019-07-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.0.1...8.0.2)

**Implemented New Features and Enhancements:**

- Update FullCalendar to 4.1.0 [\#7980](https://github.com/primefaces/primeng/issues/7980)
- Add Range Separator to Calendar [\#7947](https://github.com/primefaces/primeng/issues/7947)
- Add Multiple Separator to Calendar  [\#7946](https://github.com/primefaces/primeng/issues/7946)
- ContextMenu does not expose Show / Hide events [\#7934](https://github.com/primefaces/primeng/issues/7934)
- FileLimit on FileUpload [\#7906](https://github.com/primefaces/primeng/issues/7906)
- range and multiple mode support for Month Picker [\#7130](https://github.com/primefaces/primeng/issues/7130)
- Shift Key selection for Tree [\#4216](https://github.com/primefaces/primeng/issues/4216)

**Fixed bugs:**

- ExpressionChangedAfterItHasBeenCheckedError when preselect a p-radioButton [\#7940](https://github.com/primefaces/primeng/issues/7940)
- Multiselect doesn't disable options if selectionLimit reached by default value [\#7187](https://github.com/primefaces/primeng/issues/7187)
- emptyMessage template is duplicated if table has frozen columns [\#7658](https://github.com/primefaces/primeng/issues/7658)
- Update and clear function is calling when disabled in File Upload Advanced [\#7974](https://github.com/primefaces/primeng/issues/7974)
- Multiselect throws error at isAllChecked [\#7950](https://github.com/primefaces/primeng/issues/7950)
- Calendar is not working correctly in overlayPanel [\#7939](https://github.com/primefaces/primeng/issues/7939)
- Accordion ExpressionChangedAfterItHasBeenCheckedError [\#7923](https://github.com/primefaces/primeng/issues/7923)
- ConfirmDialog is blurry when opened [\#7919](https://github.com/primefaces/primeng/issues/7919)
- Calendar touchUI issue with tab key [\#7907](https://github.com/primefaces/primeng/issues/7907)
- p-dropdown not closing when clicking outside of the control itself [\#7904](https://github.com/primefaces/primeng/issues/7904)
- FileUpload inital files preview is not working [\#7901](https://github.com/primefaces/primeng/issues/7901)
- Overlay panel arrow displayed on the wrong side in IE [\#7832](https://github.com/primefaces/primeng/issues/7832)
- On table when filter change "first" is changed after onLazyLoad call [\#7795](https://github.com/primefaces/primeng/issues/7795)
- Only inside p-overlayPanel, p-calendar has month/year navigation problem [\#7693](https://github.com/primefaces/primeng/issues/7693)
- p-calendar closes when clicking previous or next month from within editable table cell [\#7441](https://github.com/primefaces/primeng/issues/7441)
- Calendar - Unexpected behaviour when date format contains whitespace characters and showTime is enabled [\#6521](https://github.com/primefaces/primeng/issues/6521)

## [8.0.1](https://github.com/primefaces/primeng/tree/8.0.1) (2019-07-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.0.0...8.0.1)

**Implemented New Features and Enhancements:**

- SlideMenu: Back button keeps taking up space when hidden [\#7850](https://github.com/primefaces/primeng/issues/7850)
- Autcomplete ui-autocomplete-panel class [\#7822](https://github.com/primefaces/primeng/issues/7822)
- Improve formatValue method on Spinner [\#7815](https://github.com/primefaces/primeng/issues/7815)
- Different styling for AutoComplete EmptyMessage [\#7791](https://github.com/primefaces/primeng/issues/7791)
- Add showAll option for rowsPerPage to Paginator [\#7770](https://github.com/primefaces/primeng/issues/7770)
- OnNodeExpand event in Organization Chart [\#7592](https://github.com/primefaces/primeng/issues/7592)
- p-calendar shows a redundant week on the calendar [\#6501](https://github.com/primefaces/primeng/issues/6501)
- Add keyboard shortcut to lightbox so a user can escape out of the lightbox without use of the mouse [\#6456](https://github.com/primefaces/primeng/issues/6456)
- Responsive Lightbox [\#2318](https://github.com/primefaces/primeng/issues/2318)

**Fixed bugs:**

- Backspace doesn't clear the date in calendar. [\#7897](https://github.com/primefaces/primeng/issues/7897)
- Lightbox listeners should remove when hiding. [\#7895](https://github.com/primefaces/primeng/issues/7895)
- Table pSelectableRowCblClick provides no styling like pSelectableRow [\#7876](https://github.com/primefaces/primeng/issues/7876)
- Touch UI does not delete the background overlay properly - Breaks entire app state [\#7847](https://github.com/primefaces/primeng/issues/7847)
- The "required" prop is not working on Dropdown [\#7831](https://github.com/primefaces/primeng/issues/7831)
- Dropdown is not align with input when using appendTo="body" property [\#7808](https://github.com/primefaces/primeng/issues/7808)
- Times between 12:00AM-12:59AM save as PM when defaulted or typed in [\#7799](https://github.com/primefaces/primeng/issues/7799)
- Drag and Drop is not working in OrderList in Firefox web browser [\#7793](https://github.com/primefaces/primeng/issues/7793)
- Spinner does not reflect initially bound value when OnPush strategy is used [\#7773](https://github.com/primefaces/primeng/issues/7773)
- p-treetable not filtering when only one parent is present [\#7757](https://github.com/primefaces/primeng/issues/7757)
- KeyFilter is not working on pase [\#7729](https://github.com/primefaces/primeng/issues/7729)
- Dropdown does not scroll to selected when virtual scroll is enabled [\#7718](https://github.com/primefaces/primeng/issues/7718)
- p-multiselect disabled and selected option gets un-selected by the select all checkbox in header [\#7540](https://github.com/primefaces/primeng/issues/7540)
- Display issue with accordion nested inside overlay [\#6318](https://github.com/primefaces/primeng/issues/6318)

## [8.0.0](https://github.com/primefaces/primeng/tree/8.0.0) (2019-06-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/8.0.0-rc.1...8.0.0)

**Implemented New Features and Enhancements:**

- Add decimalSeparator and thousandSeparator props to Spinner [\#7807](https://github.com/primefaces/primeng/issues/7807)
- Add formatInput prop to Spinner [\#7806](https://github.com/primefaces/primeng/issues/7806)
- Add onSend and remove onBeforeSend for FileUpload [\#7805](https://github.com/primefaces/primeng/issues/7805)
- headers prop for FileUpload [\#7803](https://github.com/primefaces/primeng/issues/7803)
- Two-way binding support for "rows" property of Table [\#7797](https://github.com/primefaces/primeng/issues/7797)

**Fixed bugs:**

- withCredentials Ignored in FileUpload [\#7804](https://github.com/primefaces/primeng/issues/7804)
- 2x styleClass property in multiselect documentation [\#7790](https://github.com/primefaces/primeng/issues/7790)
- autocomplete - tabindex=-1 not working [\#7771](https://github.com/primefaces/primeng/issues/7771)
- Textarea Floating labels fails on Firefox [\#6957](https://github.com/primefaces/primeng/issues/6957)

## [8.0.0-rc.1](https://github.com/primefaces/primeng/tree/8.0.0-rc.1) (2019-06-03)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.1.3...8.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Apply ng lint to codebase [\#7418](https://github.com/primefaces/primeng/issues/7418)
- Remove aria props from pSortIcon [\#7766](https://github.com/primefaces/primeng/issues/7766)
- Add static false to all ViewChild and ContentChild [\#7764](https://github.com/primefaces/primeng/issues/7764)
- Chart and Editor should not use Global variables [\#7763](https://github.com/primefaces/primeng/issues/7763)
- Remove deprecated themes [\#7762](https://github.com/primefaces/primeng/issues/7762)
- Angular 8 Compatibility [\#7761](https://github.com/primefaces/primeng/issues/7761)
- Refactor forwardRef injects [\#7760](https://github.com/primefaces/primeng/issues/7760)
- Remove DataTable [\#7759](https://github.com/primefaces/primeng/issues/7759)
- Change Dropdown scrollHeight from TurboTable, DataView and Paginator [\#7713](https://github.com/primefaces/primeng/issues/7713)
- New Directive: pTrapFocus [\#7665](https://github.com/primefaces/primeng/issues/7665)
- Support Angular 8 [\#7627](https://github.com/primefaces/primeng/issues/7627)
- dismissableMask and closeOnEscape functionality for Sidebar [\#4793](https://github.com/primefaces/primeng/issues/4793)

**Fixed bugs:**

- p-TreeTable column reordering not working [\#7735](https://github.com/primefaces/primeng/issues/7735)
- Lazy loaded table will break with reordering of rows [\#7730](https://github.com/primefaces/primeng/issues/7730)
- Issue with indexing of current page in currentPageReport [\#7684](https://github.com/primefaces/primeng/issues/7684)
- p-table 'onRowReorder' event emits wrong dropindex value [\#6910](https://github.com/primefaces/primeng/issues/6910)
- p-Dropdown : ExpressionChangedAfterItHasBeenCheckedError: Expression has changed after it was checked. Previous value: 'ui-inputwrapper-focus: true'. Current value: 'ui-inputwrapper-focus: false'. [\#6671](https://github.com/primefaces/primeng/issues/6671)
- keyFilter on Chrome Android [\#5925](https://github.com/primefaces/primeng/issues/5925)

**Unit Tests:**

- Inputmask Unit Test [\#7680](https://github.com/primefaces/primeng/issues/7680)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.6-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.6) (2020-05-18)

- VirtualScrolling for Tree [\#8257](https://github.com/primefaces/primeng/issues/8257)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.5-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.5) (2020-05-11)

- Slider doesn't works properly with ChangeDetectionStrategy.OnPush / reactive forms [\#7692](https://github.com/primefaces/primeng/issues/7692)
- "no file chosen" tooltip appears after selecting file [\#7957](https://github.com/primefaces/primeng/issues/7957)
- fieldset: don't animate into collapse !... when collapse is default [\#8022](https://github.com/primefaces/primeng/issues/8022)
- Dropdown panelStyle min width overridden when appendTo body is used [\#8218](https://github.com/primefaces/primeng/issues/8218)
- Toast blocks protractor [\#8122](https://github.com/primefaces/primeng/issues/8122)
- [p-tree] [bug] right arrow key tries to expand a leaf if onNodeExpand function is defined [\#8271](https://github.com/primefaces/primeng/issues/8271)
- Panel: aria-labelledby points to not existing id when toggleable equals false [\#8272](https://github.com/primefaces/primeng/issues/8272)
- MenuItem items property type error [\#8339](https://github.com/primefaces/primeng/issues/8339)
- Multiple messages should wrap [\#8768](https://github.com/primefaces/primeng/issues/8768)
- Button and SplitButton have different brightness when disabled [\#8416](https://github.com/primefaces/primeng/issues/8416)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.4-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.4) (2020-04-28)

- selectOtherMonths is broken in multiple and range mode [\#8349](https://github.com/primefaces/primeng/issues/8349)
- Change Tooltip disabled doesn't close it [\#8324](https://github.com/primefaces/primeng/issues/8324)
- The dynamicDialog can't be closed using the ESC key if the dynamicDialog has the baseZIndex property [\#8666](https://github.com/primefaces/primeng/issues/8666)
- The dynamicDialog can't be closed using the ESC key if the dynamicDialog hasn't the baseZIndex property [\#8760](https://github.com/primefaces/primeng/issues/8760)
- Pressing arrow up key in drag and drop enabled tree selects wrong node [\#8623](https://github.com/primefaces/primeng/issues/8623)
- Tiered Menu command does not receive MenuItem in event [\#8592](https://github.com/primefaces/primeng/issues/8592)
- Tooltip - new tooltip created without removing old tooltip [\#8516](https://github.com/primefaces/primeng/issues/8516)
- PickList - items dissapear when items are moved and filters are set [\#8514](https://github.com/primefaces/primeng/issues/8514)
- p-calendar selectionMode="multiple" After unselect date, the calendar breaks. [\#8457](https://github.com/primefaces/primeng/issues/8457)
- Dropdown allows selecting disabled options [\#8448](https://github.com/primefaces/primeng/issues/8448)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.3-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.3) (2020-04-15)

- Calendar incorrect time validation [\#7381](https://github.com/primefaces/primeng/issues/7381)
- id selector is not being set on toast message [\#7449](https://github.com/primefaces/primeng/issues/7449)
- PrimeNG KeyFilter alphanum allows !#$%&( in Firefox and IE [\#7570](https://github.com/primefaces/primeng/issues/7570)
- Dropdown/MultiSelect control should be marked as touched after hiding the list [\#7629](https://github.com/primefaces/primeng/issues/7629)
- hideOnDateTimeSelect is not respected when showTime is false [\#7642](https://github.com/primefaces/primeng/issues/7642)
- bug in dropdown : TypeError: Cannot read property 'measureScrollOffset' of undefined [\#8140](https://github.com/primefaces/primeng/issues/8140)
- Keyboard navigation not working in IE11 after click on table row [\#7703](https://github.com/primefaces/primeng/issues/7703)
- MultiSelect and Dropdown role type is not appropriate [\#7703](https://github.com/primefaces/primeng/issues/7844)
- Checkbox binary property is treated like a boolean, declared as string and documented as boolean [\#7681](https://github.com/primefaces/primeng/issues/7681)
- Dropdown floating label ui-inputwrapper-filled css class not applied [\#8614](https://github.com/primefaces/primeng/issues/8614)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.2-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.2) (2020-04-08)

- TreeTable top level nodes not aligned [\#7297](https://github.com/primefaces/primeng/issues/7297)
- Table filter change detection race condition [\#7842](https://github.com/primefaces/primeng/issues/7842)
- TabMenu: support Ctrl+click for open link tab with routerLink [\#7434](https://github.com/primefaces/primeng/issues/7434)
- Breadcrumb should support Menuitem style/styleClass of MenuModel [\#7364](https://github.com/primefaces/primeng/issues/7364)
- Autocomplete - Not Defined Event Error [\#8645](https://github.com/primefaces/primeng/issues/8645)
- Refactor icon only buttons for Aria [\#7463](https://github.com/primefaces/primeng/issues/7463)
- filterPlaceholder for Listbox [\#7801](https://github.com/primefaces/primeng/issues/7801)
- Dynamic Dialog doesn't animate on hide only when showing [\#7728](https://github.com/primefaces/primeng/issues/7728)
- Autocomplete onShow onHide [\#8519](https://github.com/primefaces/primeng/issues/8519)
- Listbox "toggle all" checkbox deselects all disabled options [\#8149](https://github.com/primefaces/primeng/issues/8149)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.1-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.1) (2020-03-30)

- FileUpload size formatting is incorrect [\#8563](https://github.com/primefaces/primeng/issues/8563)
- ConfirmDialog close via service feature [\#8524](https://github.com/primefaces/primeng/issues/8524)
- Accept and Reject icons to Confirmation [\#8414](https://github.com/primefaces/primeng/issues/8414)
- onItemClick event for Breadcrumb [\#8230](https://github.com/primefaces/primeng/issues/8230)
- FilterUtils in filter should use deep object equality [\#8648](https://github.com/primefaces/primeng/issues/8648)
- Sortable columns should not be selectable [\#8634](https://github.com/primefaces/primeng/issues/8634)
- Customizable Toast Transformations [\#8136](https://github.com/primefaces/primeng/issues/8136)
- Pass current files to FileUpload onSelect [\#7421](https://github.com/primefaces/primeng/issues/7421)
- Bug: Calendar increasing/decreasing minutes does not clear Timeout [\#7342](https://github.com/primefaces/primeng/issues/7342)
- Context menu shouldn't close upon clicking an item with children [\#7076](https://github.com/primefaces/primeng/issues/7076)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.2.0-LTS](https://www.npmjs.com/package/primeng-lts/v/7.2.0) (2020-03-24)

- Autocomplete doesn't clear input value if user tabs before suggestions are displayed [\#8511](https://github.com/primefaces/primeng/issues/8511)
- Pagination not reseting when using multiple sortMode [\#7141](https://github.com/primefaces/primeng/issues/7141)
- Use requestAnimationFrame in VirtualScroll [\#8635](https://github.com/primefaces/primeng/issues/8635)
- LazyLoad event triggered by moving horizontal scrollbar [\#7207](https://github.com/primefaces/primeng/issues/7207)
- Dialog draggable wrong header style [\#7258](https://github.com/primefaces/primeng/issues/7258)
- p-dropdown with ui-fluid and ui-inputgroup classes does not grow horizontally [\#7224](https://github.com/primefaces/primeng/issues/7224)
- pTable cell editing: onEditComplete not triggered when clicking other cells. [\#8049](https://github.com/primefaces/primeng/issues/8049)
- Table EditableColumn crashing on Tab key when loose ui-editing-cell [\#8470](https://github.com/primefaces/primeng/issues/8470)
- pCellEditor not triggering edit when clicking on any element inside cell [\#8638](https://github.com/primefaces/primeng/issues/8638)
- Incorrect position for scroll bars in scrollpanel [\#8400](https://github.com/primefaces/primeng/issues/8400)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.1.9-LTS](https://www.npmjs.com/package/primeng-lts/v/7.1.8) (2020-03-11)

**Fixed bugs:**

- Turbotable export creates file with UTF-8-BOM instead of UTF-8 [\#6901](https://github.com/primefaces/primeng/issues/6901)
- Multiselect Filter Issue [\#6891](https://github.com/primefaces/primeng/issues/6891)
- Column Re-sizer blue line is appearing even after the mouse click is released in Table [\#6884](https://github.com/primefaces/primeng/issues/6884)
- Multiselect arrow keys for selection is not working properly [\#8167](https://github.com/primefaces/primeng/issues/8167)
- AccordionTab throwing ViewDestroyedError during unit testing [\#8044](https://github.com/primefaces/primeng/issues/8044)
- Change of pDraggableDisabled property after ngAfterViewInit doesn't change element's behavior [\#6694](https://github.com/primefaces/primeng/issues/6694)
- Chrome doesn't respect the autocomplete property of the p-autocomplete component [\#8096](https://github.com/primefaces/primeng/issues/8096)
- p-button style property doesn't work at all [\#8184](https://github.com/primefaces/primeng/issues/8184)
- Table: Error on multiple Sort with lazy Loading on using the Meta-Key (CRTL) [\#6804](https://github.com/primefaces/primeng/issues/6804)
- Revert maximize should not remove modal blockScroll [\#6905](https://github.com/primefaces/primeng/issues/6905)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.1.8-LTS](https://www.npmjs.com/package/primeng-lts/v/7.1.8) (2020-01-27)

**Fixed bugs:**

- Calendar overlay doesn't disappear in OnPush components. [\#8102](https://github.com/primefaces/primeng/issues/8102)
- The yearRange's value is not set on Calendar [\#7996](https://github.com/primefaces/primeng/issues/7996)
- Calendar view="month" does not highlight month unless manually clicked [\#8055](https://github.com/primefaces/primeng/issues/8055)
- p-dropdown only sets `filled` on click, not on select (doesn't work with keyboard) [\#8059](https://github.com/primefaces/primeng/issues/8059)
- The emptyMessage attribute is not working correctly with empty value array [\#8065](https://github.com/primefaces/primeng/issues/8065)
- The left and right arrow keys not working on input elements inside Tree [\#8039](https://github.com/primefaces/primeng/issues/8039)
- FocusTrap working only when dialog have a modal [\#8215](https://github.com/primefaces/primeng/issues/8215)
- Fix error when moving between cells [\#8098](https://github.com/primefaces/primeng/pull/8098)
- Turbotable - Multisort with null values doesn't quite work correctly [\#8001](https://github.com/primefaces/primeng/issues/8001)
- Dropdown - ViewDestroyedError [\#7970](https://github.com/primefaces/primeng/issues/7970)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.1.7-LTS](https://www.npmjs.com/package/primeng-lts/v/7.1.7) (2020-01-27)

**Fixed bugs:**

- On table when filter change "first" is changed after onLazyLoad call [\#7795](https://github.com/primefaces/primeng/issues/7795)
- Multiselect throws error at isAllChecked [\#7950](https://github.com/primefaces/primeng/issues/7950)
- Calendar - Unexpected behaviour when date format contains whitespace characters and showTime is enabled [\#6521](https://github.com/primefaces/primeng/issues/6521)
- p-calendar closes when clicking previous or next month from within editable table cell [\#7441](https://github.com/primefaces/primeng/issues/7441)
- Calendar is not working correctly in overlayPanel [\#7939](https://github.com/primefaces/primeng/issues/7939)
- Only inside p-overlayPanel, p-calendar has month/year navigation problem [\#7693](https://github.com/primefaces/primeng/issues/7693)
- Calendar touchUI issue with tab key [\#7907](https://github.com/primefaces/primeng/issues/7907)
- Selected item in drop-down with virtual scrolling does not always stay into view [\#7963](https://github.com/primefaces/primeng/issues/7963)
- MultiSelect: selectionLimit causes options to be in disabled-state [\#8116](https://github.com/primefaces/primeng/issues/8116)
- TabMenu Templating not working [\#8031](https://github.com/primefaces/primeng/issues/8031)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.1.6-LTS](https://www.npmjs.com/package/primeng-lts/v/7.1.6) (2020-01-27)

**Fixed bugs:**

- p-treetable not filtering when only one parent is present [\#7757](https://github.com/primefaces/primeng/issues/7757)
- Multiselect doesn't disable options if selectionLimit reached by default value [\#7187](https://github.com/primefaces/primeng/issues/7187)
- emptyMessage template is duplicated if table has frozen columns [\#7658](https://github.com/primefaces/primeng/issues/7658)
- Accordion ExpressionChangedAfterItHasBeenCheckedError [\#7923](https://github.com/primefaces/primeng/issues/7923)
- Overlay panel arrow displayed on the wrong side in IE [\#7832](https://github.com/primefaces/primeng/issues/7832)
- Update and clear function is calling when disabled in File Upload Advanced [\#7974](https://github.com/primefaces/primeng/issues/7974)
- ConfirmDialog is blurry when opened [\#7919](https://github.com/primefaces/primeng/issues/7919)
- p-dropdown not closing when clicking outside of the control itself [\#7904](https://github.com/primefaces/primeng/issues/7904)
- dropdown throws "event is not defined" error in PrimeNG v8.0.2 on Firefox  [\#8003](https://github.com/primefaces/primeng/issues/8003)
- FileUpload inital files preview is not working  [\#7901](https://github.com/primefaces/primeng/issues/7901)
- Table State not Saving Column Width When Column Reordered [\#8506](https://github.com/primefaces/primeng/issues/8506)
- Allow dragging popups outside of the viewport [\#8507](https://github.com/primefaces/primeng/issues/8507)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.1.5-LTS](https://www.npmjs.com/package/primeng-lts/v/7.1.5) (2020-01-27)

**Fixed bugs:**

- p-multiselect disabled and selected option gets un-selected by the select all checkbox in header [\#7540](https://github.com/primefaces/primeng/issues/7540)
- KeyFilter is not working on paste [\#7729](https://github.com/primefaces/primeng/issues/7729)
- Dropdown does not scroll to selected when virtual scroll is enabled [\#7718](https://github.com/primefaces/primeng/issues/7718)
- Backspace doesn't clear the date in calendar. [\#7897](https://github.com/primefaces/primeng/issues/7897)
- Display issue with accordion nested inside overlay [\#6318](https://github.com/primefaces/primeng/issues/6318)
- Lightbox listeners should remove when hiding. [\#7895](https://github.com/primefaces/primeng/issues/7895)
- Times between 12:00AM-12:59AM save as PM when defaulted or typed in [\#7799](https://github.com/primefaces/primeng/issues/7799)
- Drag and Drop is not working in OrderList in Firefox web browser [\#7793](https://github.com/primefaces/primeng/issues/7793)
- Spinner does not reflect initially bound value when OnPush strategy is used [\#7773](https://github.com/primefaces/primeng/issues/7773)
- Dropdown is not align with input when using appendTo="body" property [\#7808](https://github.com/primefaces/primeng/issues/7808)
- Scrollbar over footer cause display issue with frozen column [\#8431](https://github.com/primefaces/primeng/issues/8431)
- Frozen columns misalignment in Firefox [\#8474](https://github.com/primefaces/primeng/issues/8474)

## ![LTS](https://www.primefaces.org/wp-content/uploads/2020/01/lts-icon-24.png "PrimeNG LTS") [7.1.4-LTS](https://www.npmjs.com/package/primeng-lts/v/7.1.4) (2020-01-20)

**Fixed bugs:**

- Table pSelectableRowCblClick provides no styling like pSelectableRow[\#7876](https://github.com/primefaces/primeng/issues/7876)
- Touch UI does not delete the background overlay properly - Breaks entire app state [\#7847](https://github.com/primefaces/primeng/issues/7847)
- Autocomplete - tabindex=-1 not working  [\#7771](https://github.com/primefaces/primeng/issues/7771)
- Textarea Floating labels fails on Firefox [\#6957](https://github.com/primefaces/primeng/issues/6957)
- keyFilter on Chrome Android [\#5925](https://github.com/primefaces/primeng/issues/5925)
- Add filter autoapply for multiselect on options update [\#7733](https://github.com/primefaces/primeng/issues/7733)
- Lazy loaded table will break with reordering of rows [\#7730](https://github.com/primefaces/primeng/issues/7730)
- p-table 'onRowReorder' event emits wrong dropindex value [\#6910](https://github.com/primefaces/primeng/issues/6910)
- p-Dropdown : ExpressionChangedAfterItHasBeenCheckedError: Expression has changed after it was checked. Previous value: 'ui-inputwrapper-focus: true'. Current value: 'ui-inputwrapper-focus: false' [\#6671](https://github.com/primefaces/primeng/issues/6671)
- Issue with indexing of current page in currentPageReport [\#7684](https://github.com/primefaces/primeng/issues/7684)

## [7.1.3](https://github.com/primefaces/primeng/tree/7.1.3) (2019-05-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.1.2...7.1.3)

**Implemented New Features and Enhancements:**

- State save and restore events for Table [\#7666](https://github.com/primefaces/primeng/issues/7666)
- Improve relativePosition method in DomHandler [\#7653](https://github.com/primefaces/primeng/issues/7653)
- Improve Galleria styling [\#7652](https://github.com/primefaces/primeng/issues/7652)
- Left arrow press should focus parent on Tree [\#7619](https://github.com/primefaces/primeng/issues/7619)
- Update dynamic dialog animations  [\#7598](https://github.com/primefaces/primeng/issues/7598)
- Update confirmDialog animations [\#7597](https://github.com/primefaces/primeng/issues/7597)

**Fixed bugs:**

- InputMask's style not working [\#7664](https://github.com/primefaces/primeng/issues/7664)
- The scroll bar is not moving correctly on the TurboTable with resizeMode="expand" [\#7659](https://github.com/primefaces/primeng/issues/7659)
- Menu \(Popup\) - double click on item reloads the page [\#7648](https://github.com/primefaces/primeng/issues/7648)
- p-spinner min/max validation on every keypress prevents manual input of value PrimeNG7.1.2 [\#7643](https://github.com/primefaces/primeng/issues/7643)
- \[Spinner\] \(7.1.2\) Decimal spinner control marked as invalid in Firefox [\#7625](https://github.com/primefaces/primeng/issues/7625)
- \[Spinner\] 7.1.2 introduces incompatible changes to spinner control [\#7624](https://github.com/primefaces/primeng/issues/7624)
- The value of Spinner component is not always updated after being manually changed. [\#7623](https://github.com/primefaces/primeng/issues/7623)
- Down arrow press on draggable Tree [\#7617](https://github.com/primefaces/primeng/issues/7617)
- Spinner max length does not work in version 7.1.2 [\#7616](https://github.com/primefaces/primeng/issues/7616)
- p-menubar without AutoDisplay not opening adjacent menu items [\#7600](https://github.com/primefaces/primeng/issues/7600)
- p-dialog not considering content scroll height on resize [\#7573](https://github.com/primefaces/primeng/issues/7573)
- Spinner doesn't get the state filled [\#7532](https://github.com/primefaces/primeng/issues/7532)
- p-fileUpload component has bug on select file [\#7149](https://github.com/primefaces/primeng/issues/7149)

**Unit Tests:**

- DragDrop Unit Test [\#7656](https://github.com/primefaces/primeng/issues/7656)
- TreeTable Unit Test [\#7649](https://github.com/primefaces/primeng/issues/7649)
- DynamicDialog Unit Test [\#7630](https://github.com/primefaces/primeng/issues/7630)

## [7.1.2](https://github.com/primefaces/primeng/tree/7.1.2) (2019-04-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.1.1...7.1.2)

**Fixed bugs:**

- Wrong cursor behavior on Calendar with month view [\#7568](https://github.com/primefaces/primeng/issues/7568)
- Calendar navigator icons close the overlay [\#7566](https://github.com/primefaces/primeng/issues/7566)
- With focustrap for dialog you cannot tab past hidden or disabled elements [\#7561](https://github.com/primefaces/primeng/issues/7561)
- \[Calendar\]\[PrimeIcons\] - Chevrons lack tabindex which interrupts tabbing, empty href [\#6270](https://github.com/primefaces/primeng/issues/6270)

## [7.1.1](https://github.com/primefaces/primeng/tree/7.1.1) (2019-04-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.1.0...7.1.1)

**Implemented New Features and Enhancements:**

- Add Ability to Expand All Table Rows on Header Click [\#6221](https://github.com/primefaces/primeng/issues/6221)
- Improving Accessibility for Visually Impaired Users Via Aria Attributes [\#6103](https://github.com/primefaces/primeng/issues/6103)
- Add onBlur and onFocus to RadioButton [\#7558](https://github.com/primefaces/primeng/issues/7558)
- Pass total page count to paginator left and right templates [\#7552](https://github.com/primefaces/primeng/issues/7552)
- Maximizable dialog container size improvement [\#7486](https://github.com/primefaces/primeng/issues/7486)
- On Accordion, the disabled head can be focused on [\#7473](https://github.com/primefaces/primeng/issues/7473)
- Update to FullCalendar 4.2.0 [\#7450](https://github.com/primefaces/primeng/issues/7450)
- Update dialog animations [\#7447](https://github.com/primefaces/primeng/issues/7447)
- Pagination bug when removing an item [\#7437](https://github.com/primefaces/primeng/issues/7437)
- loadingBody template for TreeTable VirtualScroll [\#7426](https://github.com/primefaces/primeng/issues/7426)
- Add virtualScroll feature to treeTable component [\#7056](https://github.com/primefaces/primeng/issues/7056)
- Two-way binding support for "first" property of Table [\#6932](https://github.com/primefaces/primeng/issues/6932)
- Add onOptionClick event to p-listbox [\#6161](https://github.com/primefaces/primeng/issues/6161)
- Add currentPageReport option to Paginator [\#6070](https://github.com/primefaces/primeng/issues/6070)
- Accessibility: aria-support for p-autocomplete advanced [\#6066](https://github.com/primefaces/primeng/issues/6066)
- Picklist reordering direction [\#6015](https://github.com/primefaces/primeng/issues/6015)
- Shift key selection for OrderList and PickList [\#6000](https://github.com/primefaces/primeng/issues/6000)
- p-table Lazy load and multiple select with Shift does not select the correct rows [\#5995](https://github.com/primefaces/primeng/issues/5995)
- FocusTrap for Dialog [\#4544](https://github.com/primefaces/primeng/issues/4544)

**Fixed bugs:**

- p-tree renders invalid html for accessibility [\#7550](https://github.com/primefaces/primeng/issues/7550)
- ConfirmDialog are moving from side to center with Safari [\#7545](https://github.com/primefaces/primeng/issues/7545)
- Three Unit tests are failed in a large display environment [\#7529](https://github.com/primefaces/primeng/issues/7529)
- TieredMenu submenu not hiding when onPush enabled [\#7518](https://github.com/primefaces/primeng/issues/7518)
- Table showcase documentation has minor error [\#7516](https://github.com/primefaces/primeng/issues/7516)
- Maximized dialog can remain below other dialogs [\#7499](https://github.com/primefaces/primeng/issues/7499)
- Context menu: submenu unexpectedly disappears [\#7485](https://github.com/primefaces/primeng/issues/7485)
- Autoresize moves scroll position when too large [\#7481](https://github.com/primefaces/primeng/issues/7481)
- Property ActiveIndex ignored in Galleria [\#7472](https://github.com/primefaces/primeng/issues/7472)
- ExpressionChangedAfterItHasBeenCheckedError in dropdown [\#7455](https://github.com/primefaces/primeng/issues/7455)
- p-spinner binds strings instead of numbers on manual input in PrimeNG 7.1.0 [\#7445](https://github.com/primefaces/primeng/issues/7445)
- Dropdown: autoWidth property wrong name [\#7394](https://github.com/primefaces/primeng/issues/7394)
- Calendar TouchUI doesn't open [\#7389](https://github.com/primefaces/primeng/issues/7389)
- TypeError: Cannot read property 'nodeName' of null at Table.handleRowClick [\#7363](https://github.com/primefaces/primeng/issues/7363)
- Weird behavior when expanding in treeTable [\#7362](https://github.com/primefaces/primeng/issues/7362)
- Calendar touchUI on mobile devices - Cannot use due to keyboard popup [\#7358](https://github.com/primefaces/primeng/issues/7358)
- p-panelMenu - Expression changed after checked [\#7351](https://github.com/primefaces/primeng/issues/7351)
- Selecting row doesn't work with inplace [\#7335](https://github.com/primefaces/primeng/issues/7335)
- selectedItemsLabel for Multiselect component plain text bug [\#7324](https://github.com/primefaces/primeng/issues/7324)
- Input range disabled property bug on touch events [\#6026](https://github.com/primefaces/primeng/issues/6026)
- Inputmask doesn't update model when invalid value is cleared [\#5994](https://github.com/primefaces/primeng/issues/5994)

**Unit Tests:**

- ContextMenu Unit Test [\#7512](https://github.com/primefaces/primeng/issues/7512)
- KeyFilter Unit Test Improvement [\#7506](https://github.com/primefaces/primeng/issues/7506)
- ProgressSpinner Unit Test  [\#7505](https://github.com/primefaces/primeng/issues/7505)
- ColorPicker Unit Test [\#7501](https://github.com/primefaces/primeng/issues/7501)
- ScrollPanel Unit Test [\#7462](https://github.com/primefaces/primeng/issues/7462)
- Carousel Unit Test [\#7436](https://github.com/primefaces/primeng/issues/7436)
- Tree Unit Test Improvement  [\#7414](https://github.com/primefaces/primeng/issues/7414)

## [7.1.0](https://github.com/primefaces/primeng/tree/7.1.0) (2019-03-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.1.0-rc.1...7.1.0)

**Fixed bugs:**

- Horizontal scroll may cause misalignment when header elements receive focus [\#7376](https://github.com/primefaces/primeng/issues/7376)
- Dropdown does not have 100% with under .ui-fluid [\#7373](https://github.com/primefaces/primeng/issues/7373)
- Multiselect with \[selectionLimit\] = "1" throws exception [\#7221](https://github.com/primefaces/primeng/issues/7221)

## [7.1.0-rc.1](https://github.com/primefaces/primeng/tree/7.1.0-rc.1) (2019-03-05)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.5...7.1.0-rc.1)

**Breaking changes:**

- Remove autoWidth from Dropdown [\#7337](https://github.com/primefaces/primeng/issues/7337)
- expandedRowKeys map value should be a boolean [\#7333](https://github.com/primefaces/primeng/issues/7333)

**Implemented New Features and Enhancements:**

- loadingBody template for Table VirtualScroll [\#7336](https://github.com/primefaces/primeng/issues/7336)
- onShow and onHide events for Menu [\#7307](https://github.com/primefaces/primeng/issues/7307)
- Turbo table column re-order: The drag and drop should not be possible on the same column [\#7295](https://github.com/primefaces/primeng/issues/7295)
- dropdownIcon property for AutoComplete [\#7265](https://github.com/primefaces/primeng/issues/7265)
- Add key option to TreeNode API [\#7237](https://github.com/primefaces/primeng/issues/7237)
- Filtering for TreeTable [\#7230](https://github.com/primefaces/primeng/issues/7230)
- Accessibility: Screen Reader for single option p-selectButton reads incorrectly [\#5952](https://github.com/primefaces/primeng/issues/5952)
- Add Input binding for p-inputMask to set the html attribute "autocomplete" [\#5948](https://github.com/primefaces/primeng/issues/5948)
- Add row index to ContextMenu for tables [\#5940](https://github.com/primefaces/primeng/issues/5940)
- TurboTable edit by row [\#5284](https://github.com/primefaces/primeng/issues/5284)
- Filtering for Tree [\#1683](https://github.com/primefaces/primeng/issues/1683)

**Fixed bugs:**

- p-spinner readonly do not affect buttons [\#7262](https://github.com/primefaces/primeng/issues/7262)
- p-spinner: readonly attribute value ignored [\#7261](https://github.com/primefaces/primeng/issues/7261)
- MultiSelect with filtering and virtual scroll enabled doesn't work properly. [\#7251](https://github.com/primefaces/primeng/issues/7251)
- Class name ui-table-resizer-helper in docs should be ui-column-resizer-helper [\#7246](https://github.com/primefaces/primeng/issues/7246)
- Spinner Tabindex ignored for Buttons [\#7238](https://github.com/primefaces/primeng/issues/7238)
- When using Overlaypanel with appendTo property, closing the overlay when clicking the panel. [\#7235](https://github.com/primefaces/primeng/issues/7235)
- Calendar incorrect minutes validation [\#7232](https://github.com/primefaces/primeng/issues/7232)
- showOtherMonths styling does not work [\#7222](https://github.com/primefaces/primeng/issues/7222)
- p-overlay arrow tip is always on left. [\#7220](https://github.com/primefaces/primeng/issues/7220)
- OverlayPanel arrow appears on the wrong side on PrimeNG 7.0.5 [\#7218](https://github.com/primefaces/primeng/issues/7218)
- P-slider decimal step not working [\#7202](https://github.com/primefaces/primeng/issues/7202)
- p-fileUpload: after upgrade to primeng 7 there is no possibility to get response [\#7179](https://github.com/primefaces/primeng/issues/7179)
- Add blockSroll support to p-confirmDialog [\#7172](https://github.com/primefaces/primeng/issues/7172)
- Calendar doesn't clean up modality [\#7170](https://github.com/primefaces/primeng/issues/7170)
- Autocomplete Multiple model become empty string when delete digits [\#7161](https://github.com/primefaces/primeng/issues/7161)
- Element is not defined in TextEditor Universal build [\#7122](https://github.com/primefaces/primeng/issues/7122)
- android dropdown and multiselect with filter fails [\#7030](https://github.com/primefaces/primeng/issues/7030)
- toast bottom-left needs css change [\#6887](https://github.com/primefaces/primeng/issues/6887)
- SplitButton & TieredMenu - double click on item reloads the page [\#6822](https://github.com/primefaces/primeng/issues/6822)
- p-spinner with mininum set, on lose focus not setting null if empty value [\#6798](https://github.com/primefaces/primeng/issues/6798)
- Menubar gets closed immediately after mouse enter on menu-item when AutoDisplay property as false [\#6657](https://github.com/primefaces/primeng/issues/6657)
- Misalignment with frozen columns [\#6560](https://github.com/primefaces/primeng/issues/6560)
- "Cannot read property 'offsetParent' of null" when changing the route on autocomplete selection [\#6259](https://github.com/primefaces/primeng/issues/6259)
- Tree: checkbox selection, items where 'selectable:false' don't have a check box  [\#6144](https://github.com/primefaces/primeng/issues/6144)
- p-tableHeaderCheckbox check with a single space key press [\#6006](https://github.com/primefaces/primeng/issues/6006)
- pKeyFilter stops enter from submitting form [\#5931](https://github.com/primefaces/primeng/issues/5931)

## [7.0.5](https://github.com/primefaces/primeng/tree/7.0.5) (2019-01-24)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.4...7.0.5)

**Breaking changes:**

- Reimplement ConfirmDialog Positioning [\#7164](https://github.com/primefaces/primeng/issues/7164)

**Implemented New Features and Enhancements:**

- Screen reader support for multiselect, dropdown and listbox options [\#7169](https://github.com/primefaces/primeng/issues/7169)
- Add showPassword prop to Password component [\#7083](https://github.com/primefaces/primeng/issues/7083)
- DOM Handler causes incorrect offset in components that use "relativePosition" [\#6803](https://github.com/primefaces/primeng/issues/6803)
- Expose Dialog icons for easier customization [\#6102](https://github.com/primefaces/primeng/issues/6102)
- Update time separator in Calendar component with timeOnly [\#5917](https://github.com/primefaces/primeng/issues/5917)
- Focus method for Input Mask component. [\#5874](https://github.com/primefaces/primeng/issues/5874)
- files property on p-fileUpload fail [\#5817](https://github.com/primefaces/primeng/issues/5817)
- Filter inputs in component should have aria-label for accessibility [\#5811](https://github.com/primefaces/primeng/issues/5811)
- Accessibility: p-dropdown does not contain children with role=option [\#5809](https://github.com/primefaces/primeng/issues/5809)
- InputMask misses an INPUT event [\#5799](https://github.com/primefaces/primeng/issues/5799)
- Add scrollTop method to ScrollPanel [\#5787](https://github.com/primefaces/primeng/issues/5787)
- Use HTTPClient in FileUpload [\#4945](https://github.com/primefaces/primeng/issues/4945)
- Incorrect semantic use of HTML label element in multiselect [\#2306](https://github.com/primefaces/primeng/issues/2306)

**Fixed bugs:**

- Themes should not override icons [\#7168](https://github.com/primefaces/primeng/issues/7168)
- The borders of table don't appear on IE [\#7167](https://github.com/primefaces/primeng/issues/7167)
- SplitButton rounded corners broken under 640px [\#7162](https://github.com/primefaces/primeng/issues/7162)
- p-sidebar dimissable flag is not re-evaluated when its value changes [\#7157](https://github.com/primefaces/primeng/issues/7157)
- TurboTable resize columns when clicked only [\#7140](https://github.com/primefaces/primeng/issues/7140)
- Two Null Valued Table Filtering Bugs [\#7134](https://github.com/primefaces/primeng/issues/7134)
- ClearState method is cleaning all states. It should clears only stateKey state. [\#7124](https://github.com/primefaces/primeng/issues/7124)
- closeOnEscape property not working on p-dialog [\#7123](https://github.com/primefaces/primeng/issues/7123)
- p-spinner truncates decimal part for step bigger than 1 [\#7115](https://github.com/primefaces/primeng/issues/7115)
- Up/Down arrow press on draggable Tree [\#7080](https://github.com/primefaces/primeng/issues/7080)
- Accordion space-bar toggle event not working in IE  [\#5898](https://github.com/primefaces/primeng/issues/5898)
- Error loading captcha with angular 6 [\#5881](https://github.com/primefaces/primeng/issues/5881)
- p-table column reordering still not working [\#5878](https://github.com/primefaces/primeng/issues/5878)
- OverlayPanel doesn't close on iPhone [\#5870](https://github.com/primefaces/primeng/issues/5870)
- Editor insert image does not update value [\#5841](https://github.com/primefaces/primeng/issues/5841)
- ConfirmDialog doesn't always re-center on browser resize [\#5834](https://github.com/primefaces/primeng/issues/5834)
- Turbo Table: Shows scrollbars on Edge and IE11 even though \[scrollable\] is disabled [\#5824](https://github.com/primefaces/primeng/issues/5824)
- MenuItem\#styleClass suppport for Steps [\#5805](https://github.com/primefaces/primeng/issues/5805)

## [7.0.4](https://github.com/primefaces/primeng/tree/7.0.4) (2018-1-7)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.3...7.0.4)

**Implemented New Features and Enhancements:**

- Make DomHandler and ObjectUtils Static Utilities rather than Services [\#7073](https://github.com/primefaces/primeng/issues/7073)
- Table HeaderCheckBox not working when Filtered row count equal to the selected row count [\#7062](https://github.com/primefaces/primeng/issues/7062)
- Accent support in Table Filtering [\#7005](https://github.com/primefaces/primeng/issues/7005)
- Empty message for PickList [\#6967](https://github.com/primefaces/primeng/issues/6967)
- Performance improvements on TreeTable [\#6898](https://github.com/primefaces/primeng/issues/6898)
- InputGroup support for InputMask [\#5783](https://github.com/primefaces/primeng/issues/5783)
- Improve keyboard accessibility for SelectButton and ToggleButton [\#5739](https://github.com/primefaces/primeng/issues/5739)
- MultiSelect dropdown click event [\#5701](https://github.com/primefaces/primeng/issues/5701)
- More options for Editor [\#5695](https://github.com/primefaces/primeng/issues/5695)
- add support for 3rd party modules to quill editor \(image drop and resize\) [\#5622](https://github.com/primefaces/primeng/issues/5622)
- Lazy loading doesn't work on the Accordion [\#5621](https://github.com/primefaces/primeng/issues/5621)
- using multiple lines in p-message\(s\) breaks layout [\#5614](https://github.com/primefaces/primeng/issues/5614)
- p-calendar dateFormat into locale [\#5585](https://github.com/primefaces/primeng/issues/5585)
- Floating label support for textarea [\#5560](https://github.com/primefaces/primeng/issues/5560)
- Custom content support for TabMenu [\#3018](https://github.com/primefaces/primeng/issues/3018)
- Growl should support Message's with arbitrary timeouts [\#2590](https://github.com/primefaces/primeng/issues/2590)

**Fixed bugs:**

- TurboTable is not properly unbinding the body scroll listener [\#7074](https://github.com/primefaces/primeng/issues/7074)
- PickList dragdrop may conflict with other PickLists [\#7072](https://github.com/primefaces/primeng/issues/7072)
- OrderList dragdrop may conflict with other OrderLists [\#7071](https://github.com/primefaces/primeng/issues/7071)
- Table state not working when reorderableColumns being false [\#7057](https://github.com/primefaces/primeng/issues/7057)
- Multiselect Header Checkbox is not working correctly [\#7047](https://github.com/primefaces/primeng/issues/7047)
- Editor active item is not highlighted in toolbar [\#7041](https://github.com/primefaces/primeng/issues/7041)
- Multiselect Keyboard Support Not Working [\#7039](https://github.com/primefaces/primeng/issues/7039)
- style and styleClass for ConfirmDialog [\#7017](https://github.com/primefaces/primeng/issues/7017)
- p-textarea resize bug when used in an overlay + tabs [\#7000](https://github.com/primefaces/primeng/issues/7000)
- AutoComplete onSelect bug with forceSelection [\#6943](https://github.com/primefaces/primeng/issues/6943)
- Autocomplete control does not validate properly when you empty the control [\#6934](https://github.com/primefaces/primeng/issues/6934)
- MenuItem\#styleClass suppport for Steps [\#5805](https://github.com/primefaces/primeng/issues/5805)
- Improve Docs for CodeHighlighter [\#5792](https://github.com/primefaces/primeng/issues/5792)
- Advanced File Upload Defect with cancel buttons [\#5765](https://github.com/primefaces/primeng/issues/5765)
- Primeng KeyFilter does not working well when user do Cut, Copy and Paste [\#5752](https://github.com/primefaces/primeng/issues/5752)
- Separator causes menubar to break to new line [\#5741](https://github.com/primefaces/primeng/issues/5741)
- "in" doesn't properly filter value of null for Table [\#5735](https://github.com/primefaces/primeng/issues/5735)
- pDefer creates duplicate content [\#5730](https://github.com/primefaces/primeng/issues/5730)
- Dialog can be resized/dragged outside the viewport [\#5713](https://github.com/primefaces/primeng/issues/5713)
- Dialog doesn't render in Responsive when loaded from mobile view [\#5662](https://github.com/primefaces/primeng/issues/5662)
- Dataview doesn't reset to first page after filtering [\#5599](https://github.com/primefaces/primeng/issues/5599)

**Unit Tests:**

- Table Unit Test [\#7032](https://github.com/primefaces/primeng/issues/7032)

## [7.0.3](https://github.com/primefaces/primeng/tree/7.0.3) (2018-12-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.2...7.0.3)

**Fixed bugs:**

- Global Filtering Broken in Table [\#7004](https://github.com/primefaces/primeng/issues/7004)

## [7.0.2](https://github.com/primefaces/primeng/tree/7.0.2) (2018-12-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.1...7.0.2)

**Implemented New Features and Enhancements:**

- Improve Radio/Checkbox focus visuals on free themes [\#6999](https://github.com/primefaces/primeng/issues/6999)

**Fixed bugs:**

- Aot build not working with fullTemplateTypeCheck option [\#7001](https://github.com/primefaces/primeng/issues/7001)

## [7.0.1](https://github.com/primefaces/primeng/tree/7.0.1) (2018-12-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.0...7.0.1)

**Implemented New Features and Enhancements:**

- Tree and TreeTable toggle icon selects text [\#6983](https://github.com/primefaces/primeng/issues/6983)
- Refactor OrderList/PickList keyboard navigation [\#6980](https://github.com/primefaces/primeng/issues/6980)
- Refactor MultiSelect keyboard navigation [\#6979](https://github.com/primefaces/primeng/issues/6979)
- Refactor Listbox keyboard navigation [\#6978](https://github.com/primefaces/primeng/issues/6978)
- Refactor deepEquals implementation of ObjectUtils [\#6977](https://github.com/primefaces/primeng/issues/6977)
- Unnecessary save state at filtering during state restore [\#6969](https://github.com/primefaces/primeng/issues/6969)
- Acentuation insensitive filtering for componens having filters [\#6966](https://github.com/primefaces/primeng/issues/6966)
- Clear State Method [\#6950](https://github.com/primefaces/primeng/issues/6950)
- Autofocus on Autocomplete [\#6942](https://github.com/primefaces/primeng/issues/6942)
- VirtualScroller for MultiSelect [\#3952](https://github.com/primefaces/primeng/issues/3952)
- Unitless Dialog Width-Height [\#1990](https://github.com/primefaces/primeng/issues/1990)

**Fixed bugs:**

- Listbox filter does not allow upper case [\#6981](https://github.com/primefaces/primeng/issues/6981)
- SelectButton templating is not aligned with other Select components [\#6974](https://github.com/primefaces/primeng/issues/6974)
- TableState may fail if data gets initialized before state restore [\#6968](https://github.com/primefaces/primeng/issues/6968)
- DynamicDialogModule Could not find a declaration file for module [\#6954](https://github.com/primefaces/primeng/issues/6954)
- Dialog without footer has extra space at the bottom [\#6850](https://github.com/primefaces/primeng/issues/6850)
- Dropdown and MultiSelect converts filter value to lowercase [\#6779](https://github.com/primefaces/primeng/issues/6779)
- Slider onSlideEnd does not fire on touch end [\#4173](https://github.com/primefaces/primeng/issues/4173)

## [7.0.0-rc.1](https://github.com/primefaces/primeng/tree/7.0.0-rc.1) (2018-11-27)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.7...7.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Keyboard support for PickList component  [\#6897](https://github.com/primefaces/primeng/issues/6897)
- Keyboard support for OrderList component [\#6892](https://github.com/primefaces/primeng/issues/6892)
- Keyboard support for Listbox component [\#6883](https://github.com/primefaces/primeng/issues/6883)
- New Component: p-virtualScroll [\#6869](https://github.com/primefaces/primeng/issues/6869)
- Hide overlays on window resize [\#6834](https://github.com/primefaces/primeng/issues/6834)
- Holding down the up/down arrows should continue to scroll the numbers in timepicker [\#6783](https://github.com/primefaces/primeng/issues/6783)
- CSS calc support for Table ScrollHeight [\#6756](https://github.com/primefaces/primeng/issues/6756)
- Add search box to the sidebar of Showcase [\#6637](https://github.com/primefaces/primeng/issues/6637)
- p-inputSwitch: readonly support request [\#6332](https://github.com/primefaces/primeng/issues/6332)
- Keyboard support for MultiSelect component [\#6025](https://github.com/primefaces/primeng/issues/6025)
- Header/Footer template for MultiSelect [\#5950](https://github.com/primefaces/primeng/issues/5950)
- Add filtering / FilterBy into MultiSelect component [\#5172](https://github.com/primefaces/primeng/issues/5172)
- Ability to cancel dropping node from p-tree [\#3544](https://github.com/primefaces/primeng/issues/3544)
- Improve ContextMenu collision detection [\#3261](https://github.com/primefaces/primeng/issues/3261)
- DialogService for Dynamic Dialogs [\#1940](https://github.com/primefaces/primeng/issues/1940)
- Arrow for OverlayPanel [\#1474](https://github.com/primefaces/primeng/issues/1474)
- TableState for Table [\#304](https://github.com/primefaces/primeng/issues/304)

**Fixed bugs:**

- PickList - OrderList does not highlight drop points [\#6915](https://github.com/primefaces/primeng/issues/6915)
- OverlayPanel issues with components with overlays as children [\#6907](https://github.com/primefaces/primeng/issues/6907)
- p-listbox toggle-all checkbox is autochecked when filter matches no items [\#6903](https://github.com/primefaces/primeng/issues/6903)
- When custom template is provided; select button will unnecesarily manipulate options [\#6876](https://github.com/primefaces/primeng/issues/6876)
- Calendar touchui doesn't close correctly with tab key [\#6863](https://github.com/primefaces/primeng/issues/6863)
- Expandable rows compatibility issues with row selection [\#6861](https://github.com/primefaces/primeng/issues/6861)
- Pagination values mismatch after filtering [\#6859](https://github.com/primefaces/primeng/issues/6859)
- Remove moveOnTop from Dialog mousedown [\#6857](https://github.com/primefaces/primeng/issues/6857)
- Multiselect error fix [\#6838](https://github.com/primefaces/primeng/issues/6838)
- Toast autoZIndex not working correctly [\#6825](https://github.com/primefaces/primeng/issues/6825)
- Fileupload style not working [\#6817](https://github.com/primefaces/primeng/issues/6817)
- Radiobutton onClick is emitted before the form value is changed [\#6780](https://github.com/primefaces/primeng/issues/6780)
- Horizontal scrollable table header borders missing on IE [\#6768](https://github.com/primefaces/primeng/issues/6768)
- Pagination Page Numbers Wrapping After 100 Pages [\#6153](https://github.com/primefaces/primeng/issues/6153)
- Progress Spinner does not work in IE [\#4313](https://github.com/primefaces/primeng/issues/4313)
- Calendars inline with icons overlapping [\#3684](https://github.com/primefaces/primeng/issues/3684)

**Deprecated:**

- Deprecate DataScroller [\#6870](https://github.com/primefaces/primeng/issues/6870)

**Unit Tests:**

- Slider Unit Test Need Improvement [\#6848](https://github.com/primefaces/primeng/issues/6848)
- InputText Unit Test Need Improvement [\#6847](https://github.com/primefaces/primeng/issues/6847)
- CodeHighlighter Unit Test Need Improvement  [\#6845](https://github.com/primefaces/primeng/issues/6845)
- Breadcrumb Unit Test Need Improvement  [\#6844](https://github.com/primefaces/primeng/issues/6844)
- Dialog Unit Test Need Improvement [\#6843](https://github.com/primefaces/primeng/issues/6843)
- InputSwitch Unit Test  Need Improvement [\#6842](https://github.com/primefaces/primeng/issues/6842)
- Autocomplete Unit Test is Crashing [\#6821](https://github.com/primefaces/primeng/issues/6821)
- ConfrimDialog Unit Test is Crashing [\#6820](https://github.com/primefaces/primeng/issues/6820)
- Calendar Unit Test is Crashing [\#6818](https://github.com/primefaces/primeng/issues/6818)
- Fileupload Unit Test [\#6816](https://github.com/primefaces/primeng/issues/6816)

## [6.1.7](https://github.com/primefaces/primeng/tree/6.1.7) (2018-11-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.6...6.1.7)

**Fixed bugs:**

- OverlayPanel issues with components with overlays as children [\#6907](https://github.com/primefaces/primeng/issues/6907)

## [6.1.6](https://github.com/primefaces/primeng/tree/6.1.6) (2018-11-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/7.0.0-beta.1...6.1.6)

**Implemented New Features and Enhancements:**

- Select a tree node with enter key [\#6836](https://github.com/primefaces/primeng/issues/6836)

**Fixed bugs:**

- Multiselect error fix [\#6838](https://github.com/primefaces/primeng/issues/6838)

## [7.0.0-beta.1](https://github.com/primefaces/primeng/tree/7.0.0-beta.1) (2018-10-25)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.5...7.0.0-beta.1)

**Implemented New Features and Enhancements:**

- Calendar should reset the UI when opening for the second time [\#6765](https://github.com/primefaces/primeng/issues/6765)
- Clicking outside of the TreeTable should close editing cell [\#6763](https://github.com/primefaces/primeng/issues/6763)
- Keyboard navigation for TreeTable [\#6762](https://github.com/primefaces/primeng/issues/6762)
- Keyboard accessible sort headers for Table and TreeTable [\#6761](https://github.com/primefaces/primeng/issues/6761)
- Replace href="\#" with tabindex="0" [\#6760](https://github.com/primefaces/primeng/issues/6760)
- Deprecate p-schedule in favor of the new p-fullCalendar [\#6758](https://github.com/primefaces/primeng/issues/6758)
- Improve button focus visuals on Nova and Luna [\#6754](https://github.com/primefaces/primeng/issues/6754)
- Clicking outside of the Table should close editing cell [\#6753](https://github.com/primefaces/primeng/issues/6753)
- Select a tree node with enter key [\#6715](https://github.com/primefaces/primeng/issues/6715)
- Rename title/subtitle properties of Card [\#6703](https://github.com/primefaces/primeng/issues/6703)
- Keyboard Support for Table Row Selection [\#5762](https://github.com/primefaces/primeng/issues/5762)
- positionTop, positionLeft and breakpoint for ConfirmDialog [\#5534](https://github.com/primefaces/primeng/issues/5534)
- readonly support for MultiSelect [\#5506](https://github.com/primefaces/primeng/issues/5506)
- Create CHANGELOG.md [\#1675](https://github.com/primefaces/primeng/issues/1675)

**Fixed bugs:**

- Unselectable rows still get hover on Table [\#6751](https://github.com/primefaces/primeng/issues/6751)
- TreeTable frozen columns alignment issue [\#6748](https://github.com/primefaces/primeng/issues/6748)
- MultiSelect with resetFilterOnHide: input clears on hide, but objects are not refiltered [\#6740](https://github.com/primefaces/primeng/issues/6740)
- Carousel firstVisible is ignored [\#6728](https://github.com/primefaces/primeng/issues/6728)
- Table: blur event not called from an editable cell [\#6701](https://github.com/primefaces/primeng/issues/6701)
- Table.reset\(\) shouldn't reset the sortOrder to 1 [\#5546](https://github.com/primefaces/primeng/issues/5546)
- Slider does not reflect initially bound value when OnPush strategy is used [\#5530](https://github.com/primefaces/primeng/issues/5530)

**Unit Tests:**

- Message Unit Test [\#6698](https://github.com/primefaces/primeng/issues/6698)

## [6.1.5](https://github.com/primefaces/primeng/tree/6.1.5) (2018-10-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.4...6.1.5)

**Implemented New Features and Enhancements:**

- Accordion tab should be toggled with enter key as well [\#6685](https://github.com/primefaces/primeng/issues/6685)
- Use Flex for OrderList layout [\#6670](https://github.com/primefaces/primeng/issues/6670)
- onClickClick event for Chips component [\#6668](https://github.com/primefaces/primeng/issues/6668)
- Customizable animation transition options per component [\#6652](https://github.com/primefaces/primeng/issues/6652)
- Paginated & lazy loaded TurboTable should not truncate rows added manually [\#6634](https://github.com/primefaces/primeng/issues/6634)
- Reimplement Textarea AutoSize [\#6626](https://github.com/primefaces/primeng/issues/6626)
- TurboTable: provide rowIndex property in event when  toggleRowWithCheckbox and toggleRowWithRadio triggered [\#6617](https://github.com/primefaces/primeng/issues/6617)
- Add a property "inputId" in p-dropdown [\#6602](https://github.com/primefaces/primeng/issues/6602)
- Aria properties for AutoComplete [\#6565](https://github.com/primefaces/primeng/issues/6565)
- Add support of "iconPos" to p-toggleButton [\#6526](https://github.com/primefaces/primeng/issues/6526)
- SlideMenu ignores MenuItem.visible flag [\#6330](https://github.com/primefaces/primeng/issues/6330)
- p-panel toggle on header click [\#5694](https://github.com/primefaces/primeng/issues/5694)
- Remove the link displayed at bottom corner when hovering the accordion/tabview header [\#5518](https://github.com/primefaces/primeng/issues/5518)
- Ability to clear listbox filter [\#4680](https://github.com/primefaces/primeng/issues/4680)
- Enhancement: OrderList: new property to place "order panel" on the left or right side [\#4299](https://github.com/primefaces/primeng/issues/4299)
- onShow and onHide events for Dropdown [\#2172](https://github.com/primefaces/primeng/issues/2172)
- Keyboard and Screen Reader support for Vertical Tree component [\#1861](https://github.com/primefaces/primeng/issues/1861)
- Selected Items binding to OrderList [\#1797](https://github.com/primefaces/primeng/issues/1797)
- Optgroup for Dropdown [\#1221](https://github.com/primefaces/primeng/issues/1221)

**Fixed bugs:**

- Dialog may not get maximized [\#6697](https://github.com/primefaces/primeng/issues/6697)
- Multiselect defaultLabel model binding does not work [\#6665](https://github.com/primefaces/primeng/issues/6665)
- p-chips disabled issue [\#6661](https://github.com/primefaces/primeng/issues/6661)
- Calendar accepts invalid/disabled \(typed\) date when editable \(readonlyInput not set\) [\#6655](https://github.com/primefaces/primeng/issues/6655)
- TabView breaks and shows multiple panels when toggling visibility [\#6621](https://github.com/primefaces/primeng/issues/6621)
- TurboTable: Disabled TableHeaderCheckbox is clickable [\#6618](https://github.com/primefaces/primeng/issues/6618)
- Spinner inputStyle type is wrong [\#6597](https://github.com/primefaces/primeng/issues/6597)
- Issue with p-table pTemplate="frozenfooter" not displaying at all and frozenrow show bottom [\#6592](https://github.com/primefaces/primeng/issues/6592)
- Month is not highlighted when the date is not the first day of the month. [\#6535](https://github.com/primefaces/primeng/issues/6535)
- PickList onSourceReorder/onTargetReorder callbacks are not called when reordering the list via dragging of elements [\#6523](https://github.com/primefaces/primeng/issues/6523)
- onHide event not triggered in version 6.1.4 for dialog and overlayPanel [\#6520](https://github.com/primefaces/primeng/issues/6520)
- Listbox header is shown when it should not be. [\#6499](https://github.com/primefaces/primeng/issues/6499)
- Lightbox doesn't behave correctly when the onPush change-detection strategy is used [\#6488](https://github.com/primefaces/primeng/issues/6488)
- OverlayPanel show method not working [\#6467](https://github.com/primefaces/primeng/issues/6467)
- Changing p-schedule option causes no refresh [\#6386](https://github.com/primefaces/primeng/issues/6386)

**Unit Tests:**

- Messages Unit Test [\#6696](https://github.com/primefaces/primeng/issues/6696)
- Terminal Unit Test [\#6691](https://github.com/primefaces/primeng/issues/6691)
- BlockUI unit test [\#6684](https://github.com/primefaces/primeng/issues/6684)
- Inplace unit test [\#6683](https://github.com/primefaces/primeng/issues/6683)
- InputTextArea Unit Test  [\#6679](https://github.com/primefaces/primeng/issues/6679)
- InputTextArea unit test [\#6678](https://github.com/primefaces/primeng/issues/6678)
- slidemenu unit test need improvement [\#6677](https://github.com/primefaces/primeng/issues/6677)
- Dialog unit test [\#6648](https://github.com/primefaces/primeng/issues/6648)
- Slidemenu unit test [\#6644](https://github.com/primefaces/primeng/issues/6644)
- Radiobutton unit test [\#6641](https://github.com/primefaces/primeng/issues/6641)
- Tieredmenu unit test [\#6640](https://github.com/primefaces/primeng/issues/6640)
- Autocomplete unit test [\#6638](https://github.com/primefaces/primeng/issues/6638)
- Chips unit test [\#6620](https://github.com/primefaces/primeng/issues/6620)
- Picklist unit test [\#6600](https://github.com/primefaces/primeng/issues/6600)
- picklist unit test [\#6599](https://github.com/primefaces/primeng/issues/6599)
- Spinner unit test [\#6598](https://github.com/primefaces/primeng/issues/6598)
- Spinner unit test [\#6595](https://github.com/primefaces/primeng/issues/6595)
- Checkbox unit test [\#6589](https://github.com/primefaces/primeng/issues/6589)
- Selectbutton unit test [\#6588](https://github.com/primefaces/primeng/issues/6588)
- Calendar unit test [\#6586](https://github.com/primefaces/primeng/issues/6586)
- Listbox unit test [\#6585](https://github.com/primefaces/primeng/issues/6585)
- Megamenu unit test [\#6581](https://github.com/primefaces/primeng/issues/6581)
- Tristatecheckbox unit test [\#6580](https://github.com/primefaces/primeng/issues/6580)
- Orderlist unit test [\#6578](https://github.com/primefaces/primeng/issues/6578)
- calendar unit test [\#6571](https://github.com/primefaces/primeng/issues/6571)
- menubar unit test [\#6515](https://github.com/primefaces/primeng/issues/6515)

## [6.1.4](https://github.com/primefaces/primeng/tree/6.1.4) (2018-09-18)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.3...6.1.4)

**Implemented New Features and Enhancements:**

- Rewrite Spinner [\#6496](https://github.com/primefaces/primeng/issues/6496)
- New Luna Free Dark Theme Family [\#6491](https://github.com/primefaces/primeng/issues/6491)
- Improving accessibility for input mask [\#6465](https://github.com/primefaces/primeng/issues/6465)
- Keyboard search for Dropdown [\#3342](https://github.com/primefaces/primeng/issues/3342)
- New grid system based on flex [\#3298](https://github.com/primefaces/primeng/issues/3298)
- ContextMenu - enable left click listener [\#3215](https://github.com/primefaces/primeng/issues/3215)

**Fixed bugs:**

- Dragging a textarea in a draggable header should be prevented. [\#6510](https://github.com/primefaces/primeng/issues/6510)
- Calendar button goes out of bounds in Nova [\#6498](https://github.com/primefaces/primeng/issues/6498)
- Table row reorder indicator not visible on Nova [\#6497](https://github.com/primefaces/primeng/issues/6497)
- OrderList incorrect multiple items reorder on move top\bottom [\#6473](https://github.com/primefaces/primeng/issues/6473)
- Bug in date equality causes wrong initialization of dropdown with date value [\#6469](https://github.com/primefaces/primeng/issues/6469)
- Dialog/OverlayPanel onHide triggered when destroying an hidden dialog [\#6442](https://github.com/primefaces/primeng/issues/6442)
- InputSwitch not firing change detection on external value change with Push Strategy [\#6434](https://github.com/primefaces/primeng/issues/6434)
- Documentation typo on Calendar [\#6430](https://github.com/primefaces/primeng/issues/6430)
- p-dropdown input filter does not get focus anymore [\#6388](https://github.com/primefaces/primeng/issues/6388)
- problem with p-spinner and decimal \(5.2.4\) [\#5490](https://github.com/primefaces/primeng/issues/5490)

**Unit Tests:**

- spinner unit test not working [\#6500](https://github.com/primefaces/primeng/issues/6500)
- panel menu unit test [\#6484](https://github.com/primefaces/primeng/issues/6484)
- menu unit test [\#6483](https://github.com/primefaces/primeng/issues/6483)
- paginator unit test [\#6480](https://github.com/primefaces/primeng/issues/6480)
- slidemenu unit test [\#6475](https://github.com/primefaces/primeng/issues/6475)
- picklist unit test [\#6468](https://github.com/primefaces/primeng/issues/6468)
- orderlist unit test [\#6452](https://github.com/primefaces/primeng/issues/6452)
- calendar unit test [\#6437](https://github.com/primefaces/primeng/issues/6437)
- tieredmenu unit test [\#6428](https://github.com/primefaces/primeng/issues/6428)

## [6.1.3](https://github.com/primefaces/primeng/tree/6.1.3) (2018-08-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.2...6.1.3)

**Implemented New Features and Enhancements:**

- Dynamic year range for Calendar [\#6415](https://github.com/primefaces/primeng/issues/6415)
- Bold font weight for Table headers [\#6409](https://github.com/primefaces/primeng/issues/6409)
- Add nodeTrackBy to Tree [\#6378](https://github.com/primefaces/primeng/issues/6378)
- Improve shared OverlayPanel display [\#6377](https://github.com/primefaces/primeng/issues/6377)
- Tabview with custom html in the header [\#2462](https://github.com/primefaces/primeng/issues/2462)

**Fixed bugs:**

- p-multiSelect disabled option still possible to select [\#6422](https://github.com/primefaces/primeng/issues/6422)
- MultiSelect display broken if an option is selected and removed [\#6413](https://github.com/primefaces/primeng/issues/6413)
- p-calendar's navigation \(left/right\) is not in sync with selected date, if date is not in current year [\#6393](https://github.com/primefaces/primeng/issues/6393)
- Disabled option\(s\) in p-dropdown are selectable [\#6368](https://github.com/primefaces/primeng/issues/6368)
- ConfirmDialog `appendTo` is broken [\#6362](https://github.com/primefaces/primeng/issues/6362)
- ConfirmDialog screen position not working properly [\#6342](https://github.com/primefaces/primeng/issues/6342)
- Password component throws an error when handling keyup events and feedback is false [\#6334](https://github.com/primefaces/primeng/issues/6334)
- dropdown does not close on selection when change detection is on push [\#6193](https://github.com/primefaces/primeng/issues/6193)
- Calendar not closing on first click when with onPush strategy [\#6174](https://github.com/primefaces/primeng/issues/6174)
- Schedule control not showing events [\#6154](https://github.com/primefaces/primeng/issues/6154)
- p-dialog with height has invalid behavior while resizing [\#5974](https://github.com/primefaces/primeng/issues/5974)
- p-dialog - Size of dialog gets stuck on window zoom or resize [\#5336](https://github.com/primefaces/primeng/issues/5336)

**Unit Tests:**

- steps unit test [\#6424](https://github.com/primefaces/primeng/issues/6424)
- tabmenu unit test [\#6423](https://github.com/primefaces/primeng/issues/6423)
- megamenu unit test [\#6417](https://github.com/primefaces/primeng/issues/6417)
- breadcrumb unit test [\#6405](https://github.com/primefaces/primeng/issues/6405)
- toolbar unit test [\#6403](https://github.com/primefaces/primeng/issues/6403)
- card unit test [\#6402](https://github.com/primefaces/primeng/issues/6402)
- listbox unit test [\#6399](https://github.com/primefaces/primeng/issues/6399)
- tristatecheckbox unit test [\#6398](https://github.com/primefaces/primeng/issues/6398)
- inputswitch unit test [\#6397](https://github.com/primefaces/primeng/issues/6397)
- slider unit test [\#6382](https://github.com/primefaces/primeng/issues/6382)
- confirmDialog unit test [\#6381](https://github.com/primefaces/primeng/issues/6381)
- overlaypanel unit test [\#6374](https://github.com/primefaces/primeng/issues/6374)
- sidebar unit test [\#6373](https://github.com/primefaces/primeng/issues/6373)
- rating unit test [\#6359](https://github.com/primefaces/primeng/issues/6359)
- multiselect unit test [\#6353](https://github.com/primefaces/primeng/issues/6353)
- Progressbar unit test  [\#6348](https://github.com/primefaces/primeng/issues/6348)
- dropdown unit test [\#6347](https://github.com/primefaces/primeng/issues/6347)
- Split button unit test notation is not smooth [\#6337](https://github.com/primefaces/primeng/issues/6337)
- Splitbutton test [\#6335](https://github.com/primefaces/primeng/issues/6335)
- Tabview unit test [\#6325](https://github.com/primefaces/primeng/issues/6325)

## [6.1.2](https://github.com/primefaces/primeng/tree/6.1.2) (2018-08-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.1...6.1.2)

**Implemented New Features and Enhancements:**

- Improve Table and TreeTable Styling in Nova [\#6324](https://github.com/primefaces/primeng/issues/6324)

## [6.1.1](https://github.com/primefaces/primeng/tree/6.1.1) (2018-08-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.0...6.1.1)

**Implemented New Features and Enhancements:**

- baseZIndex and autoZindex for all overlay components [\#6298](https://github.com/primefaces/primeng/issues/6298)
- Reimplement restore of appendTo logic of overlays [\#6286](https://github.com/primefaces/primeng/issues/6286)
- Get-started guide uses wrong css file [\#6247](https://github.com/primefaces/primeng/issues/6247)
- DataView - Paginator : Add paginatorTemplateLeft and paginatorTemplateRight on DataView component [\#6232](https://github.com/primefaces/primeng/issues/6232)
- Lazy p-table:  add option for disabling initial data load and allowing to force load event manually [\#5481](https://github.com/primefaces/primeng/issues/5481)
- Date support for Table filtering [\#5441](https://github.com/primefaces/primeng/issues/5441)
- blockUI support for Table and TreeTable [\#5436](https://github.com/primefaces/primeng/issues/5436)

**Fixed bugs:**

- Event is not defined in InputSwitch [\#6314](https://github.com/primefaces/primeng/issues/6314)
- Dropdown/AutoComplete items with appendTo might have different styling [\#6313](https://github.com/primefaces/primeng/issues/6313)
- inplace editor button is misaligned [\#6310](https://github.com/primefaces/primeng/issues/6310)
- OverlayPanel position not updated if already visible [\#6289](https://github.com/primefaces/primeng/issues/6289)
- Showcase Splitbutton source code error [\#6287](https://github.com/primefaces/primeng/issues/6287)
- double clicking the checkbox/radiobutton causes the label to highlight [\#6278](https://github.com/primefaces/primeng/issues/6278)
- Dialog issue , onHide not triggered  [\#6277](https://github.com/primefaces/primeng/issues/6277)
- Sorting of DataView component does not work when filtering is applied [\#6263](https://github.com/primefaces/primeng/issues/6263)
- Calendar - when using monthNavigator/yearNavigator and binding a date - current month/year is based on today vs. the bound date [\#6261](https://github.com/primefaces/primeng/issues/6261)
- Dropdown / Multiselect - Filter still applies after hiding, while displaying empty filter field [\#6256](https://github.com/primefaces/primeng/issues/6256)
- Overlay dialog not  maximize without footer template [\#6246](https://github.com/primefaces/primeng/issues/6246)
- Password feedback error [\#6182](https://github.com/primefaces/primeng/issues/6182)
- dropdown. markForCheck being called before hide\(\) [\#6172](https://github.com/primefaces/primeng/issues/6172)
- p-calendar Month Picker rejects text input [\#6119](https://github.com/primefaces/primeng/issues/6119)
- Frozen columns issue with when scrollable columns present [\#5485](https://github.com/primefaces/primeng/issues/5485)
- p-table emits lazy load event twice when initializing and multiSortMeta is provided [\#5480](https://github.com/primefaces/primeng/issues/5480)
- Error in SelectButton Icons Documentation [\#5458](https://github.com/primefaces/primeng/issues/5458)
- Wrong default type of p-button [\#5453](https://github.com/primefaces/primeng/issues/5453)
- Body scrolls on touch devices when p-dialog is open, even with blockScroll="true" [\#5413](https://github.com/primefaces/primeng/issues/5413)
- ScrollPanel has incorrect height setting in .ui-scrollpanel-content. [\#5396](https://github.com/primefaces/primeng/issues/5396)
- Autocomplete - paste via mouse doesn't work [\#4397](https://github.com/primefaces/primeng/issues/4397)

**Unit Tests:**

- Test for Button Component [\#6299](https://github.com/primefaces/primeng/issues/6299)

## [6.1.0](https://github.com/primefaces/primeng/tree/6.1.0) (2018-08-06)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.1.0-rc.1...6.1.0)

**Implemented New Features and Enhancements:**

- Password panel min width should be the same as element width [\#6213](https://github.com/primefaces/primeng/issues/6213)
- Update password meter image [\#6212](https://github.com/primefaces/primeng/issues/6212)
- ToolTip for Tab-Panel [\#2262](https://github.com/primefaces/primeng/issues/2262)

**Fixed bugs:**

- Disabled rating icons still get hover [\#6244](https://github.com/primefaces/primeng/issues/6244)
- Time enabled calendars show a right border [\#6243](https://github.com/primefaces/primeng/issues/6243)
- InputGroup buttons look compressed with Firefox [\#6214](https://github.com/primefaces/primeng/issues/6214)
- Double clicking on a calendar date causes the page to reload [\#6195](https://github.com/primefaces/primeng/issues/6195)

## [6.1.0-rc.1](https://github.com/primefaces/primeng/tree/6.1.0-rc.1) (2018-08-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.2...6.1.0-rc.1)

**Implemented New Features and Enhancements:**

- New severity classes for p-messages [\#6205](https://github.com/primefaces/primeng/issues/6205)
- Upgrade to Angular 6.1.x and CLI 6.1.x [\#6202](https://github.com/primefaces/primeng/issues/6202)
- Days of other months should not render an anchor [\#6201](https://github.com/primefaces/primeng/issues/6201)
- Add ui-inplace-closable class to inplace [\#6200](https://github.com/primefaces/primeng/issues/6200)
- Align SplitButton animation with other overlay animations [\#6199](https://github.com/primefaces/primeng/issues/6199)
- Deprecate Free Themes in favor of Nova Free Theme Family [\#6198](https://github.com/primefaces/primeng/issues/6198)

**Fixed bugs:**

- Toast should export SharedModule [\#6203](https://github.com/primefaces/primeng/issues/6203)
- Dialog/OverlayPanel error when using appendTo [\#6168](https://github.com/primefaces/primeng/issues/6168)

## [6.0.2](https://github.com/primefaces/primeng/tree/6.0.2) (2018-07-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.1...6.0.2)

**Implemented New Features and Enhancements:**

- Animation for Messages [\#6160](https://github.com/primefaces/primeng/issues/6160)
- Replace anchors with spans in disabled dates of Calendar [\#6158](https://github.com/primefaces/primeng/issues/6158)
- Deprecate Growl [\#6156](https://github.com/primefaces/primeng/issues/6156)
- New Component: Toast [\#6155](https://github.com/primefaces/primeng/issues/6155)
- Disabled option support for MultiSelect [\#6148](https://github.com/primefaces/primeng/issues/6148)
- Disabled option support for Dropdown [\#6147](https://github.com/primefaces/primeng/issues/6147)
- Disabled option support for SelectButton [\#6146](https://github.com/primefaces/primeng/issues/6146)
- Disabled option support for ListBox [\#6145](https://github.com/primefaces/primeng/issues/6145)
- Reimplement Popup Mode of Menu, TieredMenu and SlideMenu [\#6141](https://github.com/primefaces/primeng/issues/6141)
- Reimplement OverlayPanel Visibility [\#6140](https://github.com/primefaces/primeng/issues/6140)
- Reimplement ConfirmDialog Visibility [\#6139](https://github.com/primefaces/primeng/issues/6139)
- Reimplement ColorPicker Overlay Visibility [\#6138](https://github.com/primefaces/primeng/issues/6138)
- Reimplement Password Overlay Visibility [\#6137](https://github.com/primefaces/primeng/issues/6137)
- Remove lazy from Dropdown [\#6135](https://github.com/primefaces/primeng/issues/6135)
- Reimplement InputSwitch [\#6134](https://github.com/primefaces/primeng/issues/6134)
- Reimplement MultiSelect Overlay Visibility [\#6133](https://github.com/primefaces/primeng/issues/6133)
- Reimplement Dropdown Overlay Visibility [\#6132](https://github.com/primefaces/primeng/issues/6132)
- Reimplement AutoComplete Overlay Visibility [\#6124](https://github.com/primefaces/primeng/issues/6124)
- Reimplement Calendar Overlay Visibility [\#6123](https://github.com/primefaces/primeng/issues/6123)
- Reimplement Dialog Visibility [\#6113](https://github.com/primefaces/primeng/issues/6113)
- Hide overlaypanel on window resize [\#6108](https://github.com/primefaces/primeng/issues/6108)
- Conditional pDraggable and pDroppable [\#6100](https://github.com/primefaces/primeng/issues/6100)
- Add disabled property to SelectItem interface [\#586](https://github.com/primefaces/primeng/issues/586)

**Fixed bugs:**

- TreeTable editable column directive name is wrong [\#6164](https://github.com/primefaces/primeng/issues/6164)
- Month Picker Year Cutoff - CSS Adjustment - Simple [\#6152](https://github.com/primefaces/primeng/issues/6152)
- MultiSelect ScrollHeight is ignored [\#6136](https://github.com/primefaces/primeng/issues/6136)
- p-calendar Month Navigator error [\#6118](https://github.com/primefaces/primeng/issues/6118)
- Decrementing year on month view doesn't display the correct year on the navigator [\#6110](https://github.com/primefaces/primeng/issues/6110)
- OverlayPanel close icon misaligned on free themes [\#6109](https://github.com/primefaces/primeng/issues/6109)
- Table: Virtual scroll broken [\#6098](https://github.com/primefaces/primeng/issues/6098)
- Dialog modal not accessible when open it, with tab key access. [\#6095](https://github.com/primefaces/primeng/issues/6095)
- TreeTable must export SharedModule [\#6034](https://github.com/primefaces/primeng/issues/6034)
- Resize column on TreeTable with scrollable and frozen feature doesnt work [\#5924](https://github.com/primefaces/primeng/issues/5924)
- p-message severity "warn" shows no icon \(primeicons\) [\#5894](https://github.com/primefaces/primeng/issues/5894)
- Color picker background color is dependent on the currently selected color not the current hue [\#4441](https://github.com/primefaces/primeng/issues/4441)

## [6.0.1](https://github.com/primefaces/primeng/tree/6.0.1) (2018-07-12)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.0...6.0.1)

**Implemented New Features and Enhancements:**

- Add ariaLabel to sortIcon [\#6040](https://github.com/primefaces/primeng/issues/6040)
- Add dismissable and showCloseIcon properties to Sidebar [\#6027](https://github.com/primefaces/primeng/issues/6027)
- Update to FullCalendar 4.0 [\#6022](https://github.com/primefaces/primeng/issues/6022)
- Improve Dialog Animations [\#6017](https://github.com/primefaces/primeng/issues/6017)
- GTE & LTE match modes don't exist [\#5962](https://github.com/primefaces/primeng/issues/5962)
- Udate moment version to 2.19.3 or newer [\#5926](https://github.com/primefaces/primeng/issues/5926)
- Change checkbox mode behavior in ListBox [\#5638](https://github.com/primefaces/primeng/issues/5638)
- Refactor toggle button icon binding performance [\#5596](https://github.com/primefaces/primeng/issues/5596)
- Customizable ContextMenu selection mode for Table and TreeTable [\#5558](https://github.com/primefaces/primeng/issues/5558)
- Support table style class for TurboTable \(like 'tableStyleClass' in DataTable\) [\#5189](https://github.com/primefaces/primeng/issues/5189)
- TouchUI mode for Calendar [\#4921](https://github.com/primefaces/primeng/issues/4921)
- Support for MenuItem icons in breadcrumb [\#4891](https://github.com/primefaces/primeng/issues/4891)
- Feature to display multiple months in Calendar [\#4759](https://github.com/primefaces/primeng/issues/4759)
- Feature Request: Selection limit for multiselect items [\#4614](https://github.com/primefaces/primeng/issues/4614)
- Month and Year only Calendar [\#3269](https://github.com/primefaces/primeng/issues/3269)

**Fixed bugs:**

- disabled table checkbox/radio still gets focus [\#6041](https://github.com/primefaces/primeng/issues/6041)
- Home icon of breadcrumb is ignored [\#6039](https://github.com/primefaces/primeng/issues/6039)
- ContextMenu selection style issues with row selection \(Table/TreeTable\) [\#6036](https://github.com/primefaces/primeng/issues/6036)
- UI Flicker on expandable rows of Table [\#6035](https://github.com/primefaces/primeng/issues/6035)
- we open date picker by using keyboard focus is not going into the pop up. [\#6014](https://github.com/primefaces/primeng/issues/6014)
- IE - X mark on date fields doesn't clear selected date - p-calendar [\#5998](https://github.com/primefaces/primeng/issues/5998)
- Add blockScroll to the table of properties in the dialog demo page. [\#5972](https://github.com/primefaces/primeng/issues/5972)
- Spinner allowing decimals however output has no decimal [\#5953](https://github.com/primefaces/primeng/issues/5953)
- resetFilterOnHide, p-dropdown do not clear filters on close [\#5915](https://github.com/primefaces/primeng/issues/5915)
- p-table: Bug and Fix Report - Multiselect with Shift on Filtered Table Selects Wrong Rows [\#5777](https://github.com/primefaces/primeng/issues/5777)
- Slider with step 0.1 don't working [\#5581](https://github.com/primefaces/primeng/issues/5581)
- Color problem with south-street theme [\#5504](https://github.com/primefaces/primeng/issues/5504)
- Dropdown autowidth doesn't auto-size in some cases [\#2973](https://github.com/primefaces/primeng/issues/2973)

## [6.0.0](https://github.com/primefaces/primeng/tree/6.0.0) (2018-06-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.0-rc.1...6.0.0)

**Fixed bugs:**

- Maximizable Dialog make the main window's scrollbar disappear [\#5929](https://github.com/primefaces/primeng/issues/5929)
- Select Button error when options are not defined [\#5913](https://github.com/primefaces/primeng/issues/5913)
- FileUpload styleClass not working in basic mode [\#5909](https://github.com/primefaces/primeng/issues/5909)
- Missing pi CSS class in org chart. [\#5871](https://github.com/primefaces/primeng/issues/5871)

## [6.0.0-rc.1](https://github.com/primefaces/primeng/tree/6.0.0-rc.1) (2018-06-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.0-beta.1...6.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Remove autoAlign from Dialog [\#5893](https://github.com/primefaces/primeng/issues/5893)
- Remove onValueChange from Calendar [\#5891](https://github.com/primefaces/primeng/issues/5891)
- Add closeCellEdit method to Table [\#5368](https://github.com/primefaces/primeng/issues/5368)
- Turbotable column style when 'pSortableColumnDisabled' [\#5329](https://github.com/primefaces/primeng/issues/5329)
- Maximizable Dialog [\#4124](https://github.com/primefaces/primeng/issues/4124)

**Fixed bugs:**

- am-pm formatting is wrong in Calendar [\#5882](https://github.com/primefaces/primeng/issues/5882)
- Frozen columns resize fails with new TreeTable [\#5867](https://github.com/primefaces/primeng/issues/5867)
- Jumping p-dialog [\#5855](https://github.com/primefaces/primeng/issues/5855)
- Dialog may cause flicker due to repositioning [\#5387](https://github.com/primefaces/primeng/issues/5387)
- Tree: checkbox selection, items where 'selectable:false' still have a check box [\#5359](https://github.com/primefaces/primeng/issues/5359)
- p-autocomplete - ExpressionChangedAfterItHasBeenCheckedError [\#5348](https://github.com/primefaces/primeng/issues/5348)
- slideMenu keeps overflow scrollbar even on item lists smaller than viewportHeight [\#5211](https://github.com/primefaces/primeng/issues/5211)

## [6.0.0-beta.1](https://github.com/primefaces/primeng/tree/6.0.0-beta.1) (2018-06-06)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.0-alpha.2...6.0.0-beta.1)

**Implemented New Features and Enhancements:**

- Add onValueChange to Calendar [\#5854](https://github.com/primefaces/primeng/issues/5854)
- Remove UTC mode from Calendar [\#5853](https://github.com/primefaces/primeng/issues/5853)
- Replace FontAwesome with PrimeIcons [\#5098](https://github.com/primefaces/primeng/issues/5098)

**Fixed bugs:**

- Spinner min-max problem [\#5847](https://github.com/primefaces/primeng/issues/5847)
- TurboTable border is not showing in FF, Edge browser [\#5829](https://github.com/primefaces/primeng/issues/5829)
- p-table \(turbo table\) frozenColumns + resize not working [\#5751](https://github.com/primefaces/primeng/issues/5751)
- Height in p-chart is not applied if the responsive parameter is true [\#5748](https://github.com/primefaces/primeng/issues/5748)
- Charts: generateLegend doesn't return value [\#5669](https://github.com/primefaces/primeng/issues/5669)
- p-dropdown doesn't fire focus/blur when editable=true [\#3746](https://github.com/primefaces/primeng/issues/3746)

## [6.0.0-alpha.2](https://github.com/primefaces/primeng/tree/6.0.0-alpha.2) (2018-05-31)

[Full Changelog](https://github.com/primefaces/primeng/compare/6.0.0-alpha.1...6.0.0-alpha.2)

**Implemented New Features and Enhancements:**

- Add ui-multiselect-open class to multiselect component [\#5680](https://github.com/primefaces/primeng/issues/5680)
- New TreeTable [\#4813](https://github.com/primefaces/primeng/issues/4813)

**Fixed bugs:**

- ng-template "emptymessage" not working anymore in data-table [\#5804](https://github.com/primefaces/primeng/issues/5804)
- p-calendar timepicker UTC 12 hour wrong AM/PM  [\#5772](https://github.com/primefaces/primeng/issues/5772)
- SplitButton's overlay not being removed [\#5706](https://github.com/primefaces/primeng/issues/5706)
- Turbo Table only applies the last filter before timeout [\#5660](https://github.com/primefaces/primeng/issues/5660)
- Float label not moving over input in Firefox [\#5657](https://github.com/primefaces/primeng/issues/5657)
- Docs error on file upload [\#5618](https://github.com/primefaces/primeng/issues/5618)
- TurboTable IE and Edge Resizable Columns Highlight [\#5446](https://github.com/primefaces/primeng/issues/5446)

## [6.0.0-alpha.1](https://github.com/primefaces/primeng/tree/6.0.0-alpha.1) (2018-05-18)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.7...6.0.0-alpha.1)

**Implemented New Features and Enhancements:**

- Angular 6 Compatibility [\#5758](https://github.com/primefaces/primeng/issues/5758)
- Rxjs 6 support [\#5462](https://github.com/primefaces/primeng/issues/5462)

## [5.2.7](https://github.com/primefaces/primeng/tree/5.2.7) (2018-05-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.6...5.2.7)

**Fixed bugs:**

- Screen readers should not read button icons [\#5744](https://github.com/primefaces/primeng/issues/5744)
- Tooltip life may be ignored [\#5731](https://github.com/primefaces/primeng/issues/5731)
- Calendar broken in 24hr mode between 0:00 - 1:00 [\#5705](https://github.com/primefaces/primeng/issues/5705)
- Table should apply filter if value changes [\#5664](https://github.com/primefaces/primeng/issues/5664)

## [5.2.6](https://github.com/primefaces/primeng/tree/5.2.6) (2018-05-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.5...5.2.6)

**Implemented New Features and Enhancements:**

- RadioButton should focus on click [\#5702](https://github.com/primefaces/primeng/issues/5702)

**Fixed bugs:**

- Tooltip is not cleared on Safari [\#5699](https://github.com/primefaces/primeng/issues/5699)
- screen reader support of sortable headers [\#5697](https://github.com/primefaces/primeng/issues/5697)
- Tooltip with delay stick on screen when navigating [\#5693](https://github.com/primefaces/primeng/issues/5693)
- Firefox closes editable cell on right click for DataTable [\#5687](https://github.com/primefaces/primeng/issues/5687)
- p-tabview can be closed in disabled state [\#5673](https://github.com/primefaces/primeng/issues/5673)
- ValueChanged is executed when onFocus/unFocus in inputmask component [\#5672](https://github.com/primefaces/primeng/issues/5672)

## [5.2.5](https://github.com/primefaces/primeng/tree/5.2.5) (2018-04-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.4...5.2.5)

**Implemented New Features and Enhancements:**

- Add modal property to Sidebar [\#5634](https://github.com/primefaces/primeng/issues/5634)
- 100% compatible tslint checks [\#5598](https://github.com/primefaces/primeng/issues/5598)
- Spinner should keep focus on input [\#5555](https://github.com/primefaces/primeng/issues/5555)
- Add trackBy to PickList [\#5536](https://github.com/primefaces/primeng/issues/5536)
- Custom export for TurboTable  [\#5493](https://github.com/primefaces/primeng/issues/5493)
- Add resetPageOnSort property to table [\#5464](https://github.com/primefaces/primeng/issues/5464)
- Two way binding for TabView activeIndex [\#5270](https://github.com/primefaces/primeng/issues/5270)
- Add support for max-height on ScrollPanel [\#5250](https://github.com/primefaces/primeng/issues/5250)
- Hide ContextMenu on window resize [\#5200](https://github.com/primefaces/primeng/issues/5200)
- Update Issue template to use Stackblitz instead of Plunkr [\#5187](https://github.com/primefaces/primeng/issues/5187)
- Footer for multiselect [\#5174](https://github.com/primefaces/primeng/issues/5174)
- Added box-sizing: border-box to ui-g [\#5144](https://github.com/primefaces/primeng/issues/5144)
- Use Ng-Template for Selectbutton options. [\#5124](https://github.com/primefaces/primeng/issues/5124)
- Schedule - Emit events navLinkDayClick and navLinkWeekClick available at Full Calendar [\#5117](https://github.com/primefaces/primeng/issues/5117)
- Use same align on TurboTable on editable cell for input and output template [\#5102](https://github.com/primefaces/primeng/issues/5102)
- Add inputStyle and inputStyleClass to Spinner [\#5093](https://github.com/primefaces/primeng/issues/5093)
- acceptLabel - rejectLabel are not settable with ConfirmationService [\#5090](https://github.com/primefaces/primeng/issues/5090)
- PrimeNg Growl component causes Protractor synchronisation with Angular failure [\#4681](https://github.com/primefaces/primeng/issues/4681)

**Fixed bugs:**

- Spinner field have problems with min negative values [\#5656](https://github.com/primefaces/primeng/issues/5656)
- TableHeaderCheckbox not synced with filtering [\#5637](https://github.com/primefaces/primeng/issues/5637)
- Disabled radio button is still editable [\#5633](https://github.com/primefaces/primeng/issues/5633)
- Visible property has no effect on TieredMenu and Menubar [\#5632](https://github.com/primefaces/primeng/issues/5632)
- FileUpload hover animation is not disabled when the component is disabled [\#5591](https://github.com/primefaces/primeng/issues/5591)
- Table - Row Reorder navigates to "b.com" after row drag/drop in Firefox [\#5577](https://github.com/primefaces/primeng/issues/5577)
- Calendar Max Date issue [\#5535](https://github.com/primefaces/primeng/issues/5535)
- input-mask model doesn't update when select-all and delete input [\#5531](https://github.com/primefaces/primeng/issues/5531)
- keyfilter validation when empty but there is no "required" validator [\#5520](https://github.com/primefaces/primeng/issues/5520)
- Sort icon not correctly display [\#5509](https://github.com/primefaces/primeng/issues/5509)
- Table .reset\(\) not resetting column sort style [\#5499](https://github.com/primefaces/primeng/issues/5499)
- Autocomplete multiple forceSelection [\#5498](https://github.com/primefaces/primeng/issues/5498)
- Table frozen column and caption position  [\#5491](https://github.com/primefaces/primeng/issues/5491)
- Scrollable-header does not show when p-table is on tabView [\#5451](https://github.com/primefaces/primeng/issues/5451)
- TurboTable -  tabbing from an edited cell doesn´t emit onEditComplete [\#5282](https://github.com/primefaces/primeng/issues/5282)
- panel component animation 'collapsed model' driven bug [\#5274](https://github.com/primefaces/primeng/issues/5274)
- Calendar dates display URL when dragged [\#5263](https://github.com/primefaces/primeng/issues/5263)
- Sub-menu incorrectly align with Primeng 5.2 [\#5218](https://github.com/primefaces/primeng/issues/5218)
- Navigation buttons in gallery component embedded in an overlay panel is not clickable [\#5207](https://github.com/primefaces/primeng/issues/5207)
- MenuBar without AutoDisplay: menu doesn't close when clicked [\#5196](https://github.com/primefaces/primeng/issues/5196)
- Scrolling in TurboTable with 'virtualScroll' and 'lazy' enabled leads to jumping [\#5193](https://github.com/primefaces/primeng/issues/5193)
- p-tabMenu should specify item ID attribute [\#5184](https://github.com/primefaces/primeng/issues/5184)
- MegaMenuModule component : ERROR TypeError: Cannot read property 'styleClass' of undefined [\#5169](https://github.com/primefaces/primeng/issues/5169)
- Listbox readonly property doesn't work [\#5168](https://github.com/primefaces/primeng/issues/5168)
- DragAndDrop: dragHandle attribute doesn't work properly [\#5167](https://github.com/primefaces/primeng/issues/5167)
- Autocomplete readonly and forceSelection not work on multiple mode [\#5159](https://github.com/primefaces/primeng/issues/5159)
- DataTable/p-table: sorting doesn't check for null values in multisort mode [\#5158](https://github.com/primefaces/primeng/issues/5158)
- Menubar active item not disappearing with OnPush strategy [\#5131](https://github.com/primefaces/primeng/issues/5131)
- Chips component "max" is limiting does not work [\#5123](https://github.com/primefaces/primeng/issues/5123)
- CodeHighlighter doesn't work in \*ngFor loop [\#5121](https://github.com/primefaces/primeng/issues/5121)
- "disabled" property not working on tableRadioButton and tableCheckbox [\#5095](https://github.com/primefaces/primeng/issues/5095)
- Weird behavior when editing p-spinner and min is set [\#5073](https://github.com/primefaces/primeng/issues/5073)
- KeyFilter pValidateOnly does not accept Null values [\#5047](https://github.com/primefaces/primeng/issues/5047)
- Bug with overlaypanel in 4.3.0 [\#4327](https://github.com/primefaces/primeng/issues/4327)

## [5.2.4](https://github.com/primefaces/primeng/tree/5.2.4) (2018-03-28)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.3...5.2.4)

**Implemented New Features and Enhancements:**

- New mode to keyfilter to validate whole value [\#5433](https://github.com/primefaces/primeng/issues/5433)
- Add name property to MultiSelect [\#4991](https://github.com/primefaces/primeng/issues/4991)
- Responsive FileUpload [\#4981](https://github.com/primefaces/primeng/issues/4981)
- labelStyleClass for Checkbox and RadioButton [\#4847](https://github.com/primefaces/primeng/issues/4847)
- name property for p-spinner [\#4821](https://github.com/primefaces/primeng/issues/4821)
- showHeader property for MultiSelect [\#4787](https://github.com/primefaces/primeng/issues/4787)
- Add focus\(\) method to Dropdown [\#4752](https://github.com/primefaces/primeng/issues/4752)
- Add \[autofocus\]="value" in input \(inputMask\) [\#4722](https://github.com/primefaces/primeng/issues/4722)
- Support composite icon inside a button with no label [\#4719](https://github.com/primefaces/primeng/issues/4719)
- Add hideOnDateTimeSelect property to Calendar [\#4710](https://github.com/primefaces/primeng/issues/4710)
- Add onClick event to Dropdown [\#4702](https://github.com/primefaces/primeng/issues/4702)

**Fixed bugs:**

- SplitButton alignment issues with inline content [\#5443](https://github.com/primefaces/primeng/issues/5443)
- rowIndex broken in TurboTable Paginator [\#5442](https://github.com/primefaces/primeng/issues/5442)
- p-growl show 'null' in IE, if without detail [\#5420](https://github.com/primefaces/primeng/issues/5420)
- AutoComplete - ui-state-filled is not updated when remove items thought backspace [\#5369](https://github.com/primefaces/primeng/issues/5369)
- InputMask issue on Android devices [\#5361](https://github.com/primefaces/primeng/issues/5361)
- Documentation error on Dialog [\#5356](https://github.com/primefaces/primeng/issues/5356)
- Turbo table: rowIndex attribute is not attached to event for onRowSelection event [\#5349](https://github.com/primefaces/primeng/issues/5349)
- EffectDuration is ignored in Galleria [\#5345](https://github.com/primefaces/primeng/issues/5345)
- Shift key selection only works on first page [\#5330](https://github.com/primefaces/primeng/issues/5330)
- Bug in p-chart.ts template [\#5322](https://github.com/primefaces/primeng/issues/5322)
- Table tries to sort even sorting is not used [\#5321](https://github.com/primefaces/primeng/issues/5321)
- Scrollable Table misaligns after page-filter [\#5320](https://github.com/primefaces/primeng/issues/5320)
- TurboTable with virtualScroll not display records when totalRecords is set after ngOnInit [\#5303](https://github.com/primefaces/primeng/issues/5303)
- TurboTable Frozen columns and Virtual scroll bottom alignment [\#5245](https://github.com/primefaces/primeng/issues/5245)
- Table checkbox selection ignores filtering [\#5220](https://github.com/primefaces/primeng/issues/5220)
- Autocomplete does not emit onClear event with forceSelection [\#5142](https://github.com/primefaces/primeng/issues/5142)
- class .ui-inputwrapper-filled is not removed on Dropdown [\#5109](https://github.com/primefaces/primeng/issues/5109)
- The array of objects displayed in the p-table is not displayed in original order when using row grouping [\#5050](https://github.com/primefaces/primeng/issues/5050)
- AutoComplete fails with async pipe [\#5030](https://github.com/primefaces/primeng/issues/5030)
- p-card control's line-height style causes inconsistent heights with internal controls [\#5001](https://github.com/primefaces/primeng/issues/5001)
- Resize+Reorder combination fails on TurboTable header [\#4957](https://github.com/primefaces/primeng/issues/4957)
- Organization Chart Alignment problems [\#4906](https://github.com/primefaces/primeng/issues/4906)
- Multiselect updateLabel fails when selectedItemsLabel does not include {} [\#4905](https://github.com/primefaces/primeng/issues/4905)
- Gmap component doesn't remove listeners when removing markers. [\#4873](https://github.com/primefaces/primeng/issues/4873)
- Editor empty value contains formattings [\#4843](https://github.com/primefaces/primeng/issues/4843)
- fullTemplateTypeCheck option incompatibility [\#4832](https://github.com/primefaces/primeng/issues/4832)
- Progressbar label not visible for 0 [\#4831](https://github.com/primefaces/primeng/issues/4831)
- Basic FileUpload fails to clear input field on call to clear\(\) [\#4816](https://github.com/primefaces/primeng/issues/4816)
- p-dialog \[minHeight\] missing [\#4814](https://github.com/primefaces/primeng/issues/4814)
- Accordion RTL icon is wrong [\#4749](https://github.com/primefaces/primeng/issues/4749)
- Dropdown autoWidth is not updated on value change [\#4747](https://github.com/primefaces/primeng/issues/4747)
- Calendar dateType ignored in multiple/range modes [\#4724](https://github.com/primefaces/primeng/issues/4724)
- Autocomplete suggestions are displayed on calendar input [\#4691](https://github.com/primefaces/primeng/issues/4691)
- Tooltip in scrolling containers doens't work [\#4450](https://github.com/primefaces/primeng/issues/4450)
- p-inputMask Cursor-Keys "Left/Right" don't work correctly on Firefox [\#3772](https://github.com/primefaces/primeng/issues/3772)
- Spinner: decimals are separated by the thousand separator [\#2993](https://github.com/primefaces/primeng/issues/2993)

## [5.2.3](https://github.com/primefaces/primeng/tree/5.2.3) (2018-03-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.2...5.2.3)

**Implemented New Features and Enhancements:**

- Dialog positioning improvement [\#2795](https://github.com/primefaces/primeng/issues/2795)

## [5.2.2](https://github.com/primefaces/primeng/tree/5.2.2) (2018-03-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.1...5.2.2)

**Implemented New Features and Enhancements:**

- Add minX and minY to dialog [\#5313](https://github.com/primefaces/primeng/issues/5313)
- Add showClear property to Dropdown [\#5285](https://github.com/primefaces/primeng/issues/5285)

**Fixed bugs:**

- Dialog drag should keep it within viewport [\#5312](https://github.com/primefaces/primeng/issues/5312)
- Dialog no longer draggable [\#5298](https://github.com/primefaces/primeng/issues/5298)
- max-height of p-listbox is ignored  [\#5291](https://github.com/primefaces/primeng/issues/5291)
- Dropdown clear functionality should emit onChange  [\#5288](https://github.com/primefaces/primeng/issues/5288)
- TurboTable isEnabled\(\) logical error. [\#5287](https://github.com/primefaces/primeng/issues/5287)
- Disabled dropdown still can be cleared [\#5286](https://github.com/primefaces/primeng/issues/5286)
- Dropdown with default value does not work properly with clear button [\#5280](https://github.com/primefaces/primeng/issues/5280)
- turbo table paginator template document typo [\#5275](https://github.com/primefaces/primeng/issues/5275)
- p-dialog autolayering fails [\#5271](https://github.com/primefaces/primeng/issues/5271)
- Dialog becomes unusable after moving rapidly [\#5231](https://github.com/primefaces/primeng/issues/5231)
- Dialog becomes unusable after pressing escape during movement [\#5230](https://github.com/primefaces/primeng/issues/5230)
- Input Mask sets DIRTY state incorrectly [\#5045](https://github.com/primefaces/primeng/issues/5045)
- class .ui-inputwrapper-filled is not removed on p-autocomplete with multipe=true [\#4753](https://github.com/primefaces/primeng/issues/4753)

## [5.2.1](https://github.com/primefaces/primeng/tree/5.2.1) (2018-03-06)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.0...5.2.1)

**Implemented New Features and Enhancements:**

- Add key property to Message API and Messages-Growl Components [\#5260](https://github.com/primefaces/primeng/issues/5260)
- Add enableService property to Messages [\#5259](https://github.com/primefaces/primeng/issues/5259)
- Selecting a row with double click using TurboTable [\#5256](https://github.com/primefaces/primeng/issues/5256)
- Deprecate DataList and DataGrid [\#5255](https://github.com/primefaces/primeng/issues/5255)
- New Component: DataView [\#5248](https://github.com/primefaces/primeng/issues/5248)
- Disabled property to TurboTable directives [\#5243](https://github.com/primefaces/primeng/issues/5243)
- automationId attribute \(menubar component\)  [\#5180](https://github.com/primefaces/primeng/issues/5180)
- metaKeySelection option for TurboTable [\#5111](https://github.com/primefaces/primeng/issues/5111)
- ColReorder support for Row Expansion in TurboTable [\#4999](https://github.com/primefaces/primeng/issues/4999)
- Clear icon for Dropdown [\#4363](https://github.com/primefaces/primeng/issues/4363)
- Scoping for MessageService [\#4347](https://github.com/primefaces/primeng/issues/4347)
- Row reordering with DragDrop for TurboTable [\#504](https://github.com/primefaces/primeng/issues/504)

**Fixed bugs:**

- slideMenu ignores styleClass on MenuItem model properties [\#5253](https://github.com/primefaces/primeng/issues/5253)
- SplitButton buttons misaligned on Firefox [\#5215](https://github.com/primefaces/primeng/issues/5215)
- DataGrid p-footer display glitch [\#5156](https://github.com/primefaces/primeng/issues/5156)
- Bug: Calendar won't accept user input when UTC is selected and the date is different from local zone [\#5137](https://github.com/primefaces/primeng/issues/5137)
- width and height fails for Charts [\#5126](https://github.com/primefaces/primeng/issues/5126)
- p-dropdown \[group\]=true not set default value [\#5080](https://github.com/primefaces/primeng/issues/5080)
- Picklist multi select and move does not work if selecting items in reverse order [\#5046](https://github.com/primefaces/primeng/issues/5046)
- Atribute visible from MenuItem is not work in SplitButton [\#5042](https://github.com/primefaces/primeng/issues/5042)
- ScrollPanel has wrong css to hide scroll panel [\#5038](https://github.com/primefaces/primeng/issues/5038)
- Dialog causes ExpressionChangedAfterItHasBeenCheckedError [\#5004](https://github.com/primefaces/primeng/issues/5004)
- PanelMenu ignores the visible attribute [\#4809](https://github.com/primefaces/primeng/issues/4809)
- \[minDate-maxDate\] may not update in Calendar [\#4755](https://github.com/primefaces/primeng/issues/4755)
- Calendar onMonthChange is not triggered when change monthNavigator [\#4708](https://github.com/primefaces/primeng/issues/4708)
- Prevent fileUpload messages to display services messages [\#4572](https://github.com/primefaces/primeng/issues/4572)

## [5.2.0](https://github.com/primefaces/primeng/tree/5.2.0) (2018-02-01)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.0-rc.2...5.2.0)

**Implemented New Features and Enhancements:**

- Remove onRowClick from Table [\#5037](https://github.com/primefaces/primeng/issues/5037)
- Better resize support for Scrollable Tables [\#5032](https://github.com/primefaces/primeng/issues/5032)
- refresh method to ScrollPanel [\#5014](https://github.com/primefaces/primeng/issues/5014)
- style and styleClass for Panel [\#5006](https://github.com/primefaces/primeng/issues/5006)
- Icons for p-selectButton [\#4924](https://github.com/primefaces/primeng/issues/4924)
- scrollHeight not dynamically on new Turbo Table [\#4884](https://github.com/primefaces/primeng/issues/4884)
- Refactor DataScroller for Performance and Fix Lazy Loading [\#3906](https://github.com/primefaces/primeng/issues/3906)
- SelectItemGroup support for Dropdown [\#3548](https://github.com/primefaces/primeng/issues/3548)

**Fixed bugs:**

- Last column should not be resizable in Fit Mode of Table [\#5033](https://github.com/primefaces/primeng/issues/5033)
- TurboTable - Multiple Row Selection selects same rows more than once [\#5027](https://github.com/primefaces/primeng/issues/5027)
- TurboTable: editable dropdown cursor problem [\#5026](https://github.com/primefaces/primeng/issues/5026)
- Scrollable table may misalign when there is less data then scrollHeight [\#5013](https://github.com/primefaces/primeng/issues/5013)
- TurboTable: sortField+sortOrder with lazy loading triggers onLazyLoad callback three times on init [\#5012](https://github.com/primefaces/primeng/issues/5012)
- Rating fails under Push change detection [\#4994](https://github.com/primefaces/primeng/issues/4994)
- Table body overflows when the window width becomes smaller [\#4978](https://github.com/primefaces/primeng/issues/4978)
- DataList pagination class is wrong [\#4966](https://github.com/primefaces/primeng/issues/4966)
- TurboTable Frozen columns and Virtual scroll [\#4868](https://github.com/primefaces/primeng/issues/4868)
- LazyLoading fails for TabView [\#4839](https://github.com/primefaces/primeng/issues/4839)
- Calendar UI doesn't update when showTime is changed [\#4632](https://github.com/primefaces/primeng/issues/4632)

## [5.2.0-rc.2](https://github.com/primefaces/primeng/tree/5.2.0-rc.2) (2018-01-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.2.0-rc.1...5.2.0-rc.2)

**Implemented New Features and Enhancements:**

- Add autoLayout prop to TurboTable [\#4938](https://github.com/primefaces/primeng/issues/4938)
- TurboTable cell widths should scale based on content [\#4937](https://github.com/primefaces/primeng/issues/4937)
- Custom sortFunction for TurboTable [\#4926](https://github.com/primefaces/primeng/issues/4926)
- Priority based responsive demo for TurboTable [\#4925](https://github.com/primefaces/primeng/issues/4925)
- Delay for TurboTable Filtering [\#4912](https://github.com/primefaces/primeng/issues/4912)
- Add globalFilterFields to TurboTable [\#4911](https://github.com/primefaces/primeng/issues/4911)
- Added horizontal scrollbar support to ScrollPanel [\#4909](https://github.com/primefaces/primeng/issues/4909)
- TurboTable requires dynamic columns in filtering [\#4908](https://github.com/primefaces/primeng/issues/4908)
- Checkbox Selection for TurboTable [\#4883](https://github.com/primefaces/primeng/issues/4883)
- Radio Selection for TurboTable [\#4882](https://github.com/primefaces/primeng/issues/4882)
- ShiftKey based range selection for TurboTable [\#4881](https://github.com/primefaces/primeng/issues/4881)
- Calendar time picking doesn't work with range or multiple selection [\#4705](https://github.com/primefaces/primeng/issues/4705)
- Floating label support for MultiSelect [\#4579](https://github.com/primefaces/primeng/issues/4579)
- Floating label support for Dropdown [\#4578](https://github.com/primefaces/primeng/issues/4578)
- style and styleClass attributes for TieredMenu MenuItem [\#1097](https://github.com/primefaces/primeng/issues/1097)
- Customizable accordion icons [\#934](https://github.com/primefaces/primeng/issues/934)

**Fixed bugs:**

- TurboTable emptyMessage template does not work [\#4934](https://github.com/primefaces/primeng/issues/4934)
- \[TurboTable\] / p-table Cannot copy text from a cell in single/multiple selectionMode [\#4933](https://github.com/primefaces/primeng/issues/4933)
- ui-float-label breaks some input components [\#4930](https://github.com/primefaces/primeng/issues/4930)
- TurboTable clear of data does not work if filter is present [\#4913](https://github.com/primefaces/primeng/issues/4913)
- Turbotable sorting does not work if filter is present [\#4910](https://github.com/primefaces/primeng/issues/4910)
- \[TurboTable\] multiple onLazyLoad events are fired when using the Global Filter [\#4899](https://github.com/primefaces/primeng/issues/4899)
- onLazyLoad event not fired when a text filter is cleared out [\#4898](https://github.com/primefaces/primeng/issues/4898)
- Docs typos [\#4895](https://github.com/primefaces/primeng/issues/4895)
- TurboTable columns cannot be resized when columnResizeMode="expand" and scrollable="true" [\#4893](https://github.com/primefaces/primeng/issues/4893)
- Turbotable paginator templates left/right [\#4890](https://github.com/primefaces/primeng/issues/4890)
- Sorting a TurboTable calls the onLazyLoad function twice [\#4889](https://github.com/primefaces/primeng/issues/4889)
- Set lazy as false in TurboTable [\#4885](https://github.com/primefaces/primeng/issues/4885)
- Autocomplete forceSelection bug with dropdown [\#4874](https://github.com/primefaces/primeng/issues/4874)
- TurboTable lazy filtering fails when a text is cleared [\#4863](https://github.com/primefaces/primeng/issues/4863)
- Card import fails [\#4862](https://github.com/primefaces/primeng/issues/4862)
- Bad character at Table [\#4861](https://github.com/primefaces/primeng/issues/4861)
- New import system fails under AOT [\#4841](https://github.com/primefaces/primeng/issues/4841)
- Calendar UI does not update in some cases [\#4775](https://github.com/primefaces/primeng/issues/4775)
- file upload doesnt work in IE after the first upload event or clear event  [\#4733](https://github.com/primefaces/primeng/issues/4733)
- The UTC time format still does not work in the calendar. [\#4359](https://github.com/primefaces/primeng/issues/4359)
- autocomplete with forceSelection bug [\#4332](https://github.com/primefaces/primeng/issues/4332)
- Multiselet calendar don't update ngModel on unselect date [\#3876](https://github.com/primefaces/primeng/issues/3876)
- autocomplete ngModel not updated before onUnselect event callback is called, but is before onSelect [\#3188](https://github.com/primefaces/primeng/issues/3188)

## [5.2.0-rc.1](https://github.com/primefaces/primeng/tree/5.2.0-rc.1) (2018-01-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.0.2...5.2.0-rc.1)

**Implemented New Features and Enhancements:**

- Timeout for menu overlay hide [\#4828](https://github.com/primefaces/primeng/issues/4828)
- Ability to import single modules with a shorthand [\#4822](https://github.com/primefaces/primeng/issues/4822)
- Refactor CSS of menu components [\#4819](https://github.com/primefaces/primeng/issues/4819)
- Add baseZIndex and autoZIndex to dynamic menu [\#4818](https://github.com/primefaces/primeng/issues/4818)
- Replace p-templateLoader with ngTemplateOutlet [\#4812](https://github.com/primefaces/primeng/issues/4812)
- Keep incorrect value in calendar [\#4785](https://github.com/primefaces/primeng/issues/4785)
- New Table Component aka TurboTable [\#4743](https://github.com/primefaces/primeng/issues/4743)
- Built-in Radio and Checkbox of DataTable performance issue [\#4723](https://github.com/primefaces/primeng/issues/4723)
- New Component: Button [\#4687](https://github.com/primefaces/primeng/issues/4687)
- Dialog should focus first element on open [\#4686](https://github.com/primefaces/primeng/issues/4686)
- New Directive: KeyFilter [\#4670](https://github.com/primefaces/primeng/issues/4670)
- BlockUI for Tree component [\#4669](https://github.com/primefaces/primeng/issues/4669)
- autocomplete onModelChange should be be triggered onInput if forceSelection is true [\#4668](https://github.com/primefaces/primeng/issues/4668)
- Document rowStyleMap usage in DataTable [\#4658](https://github.com/primefaces/primeng/issues/4658)
- Feature request: Add emptyMessage for Dropdown with filter enabled [\#4635](https://github.com/primefaces/primeng/issues/4635)
- Distribute individual component CSS in npm [\#4623](https://github.com/primefaces/primeng/issues/4623)
- FilterPlaceHolder property for MultiSelect [\#4607](https://github.com/primefaces/primeng/issues/4607)
- DragDrop component performance improvements [\#4590](https://github.com/primefaces/primeng/issues/4590)
- PickList reset filters feature [\#4589](https://github.com/primefaces/primeng/issues/4589)
- MultiSelect: expose the currently selected option item [\#4582](https://github.com/primefaces/primeng/issues/4582)
- Add showSourceFilter and showTargetFilter to PickList [\#4581](https://github.com/primefaces/primeng/issues/4581)
- Improve charts responsiveness [\#4577](https://github.com/primefaces/primeng/issues/4577)
- Empty records Tree message [\#4554](https://github.com/primefaces/primeng/issues/4554)
- New Component - Card [\#4535](https://github.com/primefaces/primeng/issues/4535)
- Toolbar BlockableUI [\#4518](https://github.com/primefaces/primeng/issues/4518)
- Better OnPush support for DataTable [\#4501](https://github.com/primefaces/primeng/issues/4501)
- Template support for selected item in Dropdown [\#4497](https://github.com/primefaces/primeng/issues/4497)
- Blockable FileUpload [\#4057](https://github.com/primefaces/primeng/issues/4057)
- Performance improvements for Tooltip [\#4053](https://github.com/primefaces/primeng/issues/4053)
- New Component: ScrollPanel [\#3917](https://github.com/primefaces/primeng/issues/3917)
- AutoDisplay mode to menubar [\#2449](https://github.com/primefaces/primeng/issues/2449)

**Fixed bugs:**

- InputMask caret moving on Android 4.x Chrome  [\#4799](https://github.com/primefaces/primeng/issues/4799)
- Calendar zIndex problem [\#4758](https://github.com/primefaces/primeng/issues/4758)
- AutoComplete field does not work for nested fields [\#4720](https://github.com/primefaces/primeng/issues/4720)
- TemplateWrapper does not refresh itself [\#4693](https://github.com/primefaces/primeng/issues/4693)
- p-dialog dynamic styleClass attribution after opening, result to make the popup disappear [\#4685](https://github.com/primefaces/primeng/issues/4685)
- Tooltip is aligned wrong when tooltipStyleClass changes the tooltip size [\#4682](https://github.com/primefaces/primeng/issues/4682)
- rich-text editor: onTextChange called on initialization when value exist [\#4674](https://github.com/primefaces/primeng/issues/4674)
- MegaMenu does not accept a menuitem at root [\#4663](https://github.com/primefaces/primeng/issues/4663)
- pTooltip does not close in Safari [\#4659](https://github.com/primefaces/primeng/issues/4659)
- DataList/DataGrid paginator is displayed when it should not be [\#4655](https://github.com/primefaces/primeng/issues/4655)
- Calendar needs double click when minDate/ MaxDate property is set. [\#4641](https://github.com/primefaces/primeng/issues/4641)
- Select event triggered when autocomplete loses focus [\#4634](https://github.com/primefaces/primeng/issues/4634)
- Tree: Dragging-and-dropping anything other than tree nodes throws error [\#4631](https://github.com/primefaces/primeng/issues/4631)
- DataTable column resizing does not consider next column minWith [\#4624](https://github.com/primefaces/primeng/issues/4624)
- Accordion activeIndex doesn't work initially [\#4610](https://github.com/primefaces/primeng/issues/4610)
- Problem of Object equality checks with frozen objects [\#4600](https://github.com/primefaces/primeng/issues/4600)
- DataTable: textarea as custom editor does not receive focus [\#4550](https://github.com/primefaces/primeng/issues/4550)
- Button of label is not updated properly [\#4548](https://github.com/primefaces/primeng/issues/4548)
- Fieldset is always toggleable [\#4527](https://github.com/primefaces/primeng/issues/4527)
- SelectButton does not support OnPush ChangeDetection [\#4520](https://github.com/primefaces/primeng/issues/4520)
- Errors for scrollable table with both resizable and frozen columns  [\#4512](https://github.com/primefaces/primeng/issues/4512)
- Cannot use resizableColumns together with dynamic visibility [\#4510](https://github.com/primefaces/primeng/issues/4510)
- handleAndroidInput not updating model [\#4495](https://github.com/primefaces/primeng/issues/4495)

## [5.0.2](https://github.com/primefaces/primeng/tree/5.0.2) (2017-11-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.0.1...5.0.2)

**Implemented New Features and Enhancements:**

- Add a span for accordion header text [\#4522](https://github.com/primefaces/primeng/issues/4522)

## [5.0.1](https://github.com/primefaces/primeng/tree/5.0.1) (2017-11-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.0.0...5.0.1)

**Implemented New Features and Enhancements:**

- Custom style classes for ConfirmDialog [\#4521](https://github.com/primefaces/primeng/issues/4521)
- Provide access to datatable/paginator variables in paginator template [\#4481](https://github.com/primefaces/primeng/issues/4481)

**Fixed bugs:**

- Slider indicator missing for horizontal orientation [\#4513](https://github.com/primefaces/primeng/issues/4513)
- ExportCSV False value converted to empty space [\#4511](https://github.com/primefaces/primeng/issues/4511)
- Error in prime 5.0.0 .. autocomplete -\> Cannot read property 'nativeElement' of undefined [\#4483](https://github.com/primefaces/primeng/issues/4483)
- p-header of Custom legend fails [\#4470](https://github.com/primefaces/primeng/issues/4470)
- Button with empty label and text shows "ui-button" [\#1657](https://github.com/primefaces/primeng/issues/1657)

## [5.0.0](https://github.com/primefaces/primeng/tree/5.0.0) (2017-11-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/5.0.0-rc.0...5.0.0)

**Implemented New Features and Enhancements:**

- add datepickerStyleClass to calendar datepicker [\#4440](https://github.com/primefaces/primeng/issues/4440)
- Update Chart.js dependency [\#4391](https://github.com/primefaces/primeng/issues/4391)
- Datatable paginator add template feature [\#4329](https://github.com/primefaces/primeng/issues/4329)
- Ability to customize Dialog visible style property [\#4320](https://github.com/primefaces/primeng/issues/4320)
- Double Click event for TreeTable [\#2468](https://github.com/primefaces/primeng/issues/2468)

**Fixed bugs:**

- Footer label going outside the horizontal scroll bar in primeng datatable [\#4439](https://github.com/primefaces/primeng/issues/4439)
- Remove placeholder in non-empty Chips component [\#4438](https://github.com/primefaces/primeng/issues/4438)
- Accordion with \*ngIf directive - tabs in wrong order [\#4437](https://github.com/primefaces/primeng/issues/4437)
- Chips component `onFocus` & `onBlur` events do not pass arguments to callback function [\#4436](https://github.com/primefaces/primeng/issues/4436)
- Color picker appendTo="body" property is not working [\#4423](https://github.com/primefaces/primeng/issues/4423)
- split button panel right aligns to the button, not the trigger [\#4417](https://github.com/primefaces/primeng/issues/4417)
- DataTable - Minor CSS Issue with borders when \[scrollable\]="true" [\#4407](https://github.com/primefaces/primeng/issues/4407)
- When clicking on AutoComplete dropdown button it does not close other list [\#4405](https://github.com/primefaces/primeng/issues/4405)
- 5.0.0-rc.0 generated css error [\#4386](https://github.com/primefaces/primeng/issues/4386)
- Floating-label on p-autocomplete unfloating after selection [\#4319](https://github.com/primefaces/primeng/issues/4319)

## [5.0.0-rc.0](https://github.com/primefaces/primeng/tree/5.0.0-rc.0) (2017-11-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.3.0...5.0.0-rc.0)

**Implemented New Features and Enhancements:**

- Accessible Fieldset [\#4377](https://github.com/primefaces/primeng/issues/4377)
- Accessible Panel [\#4376](https://github.com/primefaces/primeng/issues/4376)
- Accessible TabView [\#4375](https://github.com/primefaces/primeng/issues/4375)
- Accessible Accordion Panel [\#4368](https://github.com/primefaces/primeng/issues/4368)
- Screen Reader support for MultiSelect Items [\#4365](https://github.com/primefaces/primeng/issues/4365)
- Keyboard enhancements for MultiSelect [\#4364](https://github.com/primefaces/primeng/issues/4364)
- trackBy and immutable properties to DataScroller [\#4361](https://github.com/primefaces/primeng/issues/4361)
- RTL Support for SplitButton [\#4305](https://github.com/primefaces/primeng/issues/4305)
- Datatable resize column support at column level enable/disable [\#4292](https://github.com/primefaces/primeng/issues/4292)
- id property to menuitem api [\#2559](https://github.com/primefaces/primeng/issues/2559)

**Fixed bugs:**

- Data export displays null/undefined [\#4362](https://github.com/primefaces/primeng/issues/4362)
- ProgressBar compile issue [\#4357](https://github.com/primefaces/primeng/issues/4357)
- Chrome 62 messages button corners [\#4356](https://github.com/primefaces/primeng/issues/4356)
- p-dropdown in DataTable paginator has incorrect width [\#4351](https://github.com/primefaces/primeng/issues/4351)
- p-multiSelect - CSS Issue with showToggleAll [\#4350](https://github.com/primefaces/primeng/issues/4350)
- orderList is not able to re-order multiple items [\#4348](https://github.com/primefaces/primeng/issues/4348)
- p-datatable w/ metaSelectionKey="false" does not emit row data on selection [\#4335](https://github.com/primefaces/primeng/issues/4335)
- Time picker displays 00 for hours for 12 hour time [\#4312](https://github.com/primefaces/primeng/issues/4312)
- Autocomplete remains in focus with forceSelection [\#4298](https://github.com/primefaces/primeng/issues/4298)
- Internal span of file upload component remains disabled  [\#4293](https://github.com/primefaces/primeng/issues/4293)
- Double quotes fail in DataTable export [\#4280](https://github.com/primefaces/primeng/issues/4280)

## [4.3.0](https://github.com/primefaces/primeng/tree/4.3.0) (2017-10-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.3.0-rc.2...4.3.0)

**Implemented New Features and Enhancements:**

- Ability to use any object instead of a SelectItem [\#4274](https://github.com/primefaces/primeng/issues/4274)
- Do not display emptyMessage when table is loading [\#4272](https://github.com/primefaces/primeng/issues/4272)
- Utilize scope property in DataTable for Screen Readers [\#4255](https://github.com/primefaces/primeng/issues/4255)
- Add scope property to column component [\#4253](https://github.com/primefaces/primeng/issues/4253)
- Improve Message colors [\#4244](https://github.com/primefaces/primeng/issues/4244)
- Use p-dropdown in Paginator rows per page [\#4242](https://github.com/primefaces/primeng/issues/4242)
- Add autoZIndex to Sidebar [\#4234](https://github.com/primefaces/primeng/issues/4234)
- Customize icon of MultiSelect [\#4232](https://github.com/primefaces/primeng/issues/4232)
- Multiselect should have onFocus event. [\#4224](https://github.com/primefaces/primeng/issues/4224)
- Chips input - ability to auto create chip when focus is left [\#4218](https://github.com/primefaces/primeng/issues/4218)
- Remove obselete property on .ui-datatable-scrollable-wrapper [\#4213](https://github.com/primefaces/primeng/issues/4213)
- label template for MultiSelect [\#4209](https://github.com/primefaces/primeng/issues/4209)
- Datatable editable - all inputs have 'required' attribute [\#4195](https://github.com/primefaces/primeng/issues/4195)
- Calendar should switch to month of today if today is clicked [\#4194](https://github.com/primefaces/primeng/issues/4194)
- Control sorting from model properties without UI interaction [\#4168](https://github.com/primefaces/primeng/issues/4168)
- Add headerStyle/Class, bodyStyle/Class, footerStyle/Class to column [\#4165](https://github.com/primefaces/primeng/issues/4165)
- Improve Dialog Accessibility [\#4161](https://github.com/primefaces/primeng/issues/4161)
- Ability to exclude columns from global filtering [\#4157](https://github.com/primefaces/primeng/issues/4157)
- Expand mode in data table rowgroup [\#4141](https://github.com/primefaces/primeng/issues/4141)
- New Message component [\#4136](https://github.com/primefaces/primeng/issues/4136)
- Property for header display in panel component [\#4131](https://github.com/primefaces/primeng/issues/4131)
- DataTable isSelected check performance improvement [\#4122](https://github.com/primefaces/primeng/issues/4122)
- navlinks in schedule component [\#4109](https://github.com/primefaces/primeng/issues/4109)
- Undetermined progress bar [\#4093](https://github.com/primefaces/primeng/issues/4093)
- Progress Spinner -New Component. [\#4077](https://github.com/primefaces/primeng/issues/4077)
- ForceSelection should also update the value [\#4040](https://github.com/primefaces/primeng/issues/4040)
- name property for Dropdown [\#4009](https://github.com/primefaces/primeng/issues/4009)
- Add baseZIndex and autoZIndex to blockui [\#4005](https://github.com/primefaces/primeng/issues/4005)
- Add baseZIndex and autoZIndex property to Calendar and Dialog [\#3940](https://github.com/primefaces/primeng/issues/3940)
- AutoComplete forceSelection should be caseSensitive [\#3932](https://github.com/primefaces/primeng/issues/3932)
- Customize dropdown trigger icon [\#3843](https://github.com/primefaces/primeng/issues/3843)
- Datatable - Add ui-rowgroup-footer css class  [\#3811](https://github.com/primefaces/primeng/issues/3811)
- Calling Add or AddAll method of the MessageServices should not remove previous messages [\#3784](https://github.com/primefaces/primeng/issues/3784)
- Show message summary and detail only when they have value [\#3778](https://github.com/primefaces/primeng/issues/3778)
- Ability not to displaying header toogle checkbox in datatable [\#3761](https://github.com/primefaces/primeng/issues/3761)
- Improve event bindings on OverlayPanel and ContextMenu to avoid unnecessary change detection [\#3671](https://github.com/primefaces/primeng/issues/3671)
- Disabled property for PickList [\#3590](https://github.com/primefaces/primeng/issues/3590)
- Add baseZIndex and controlZIndex props to Growl [\#3586](https://github.com/primefaces/primeng/issues/3586)
- Calendar with time should keep panel open when selecting a day value [\#3584](https://github.com/primefaces/primeng/issues/3584)
- Header template for Listbox [\#3460](https://github.com/primefaces/primeng/issues/3460)
- AutoComplete panel width improvements with appendto [\#2929](https://github.com/primefaces/primeng/issues/2929)
- Add queryParam support to MenuItem. [\#1939](https://github.com/primefaces/primeng/issues/1939)
- Ability to export specific columns [\#1567](https://github.com/primefaces/primeng/issues/1567)

**Fixed bugs:**

- AutoComplete forceSelection cleares predefined value [\#4263](https://github.com/primefaces/primeng/issues/4263)
- Slider onSlideEnd event does not trigger due to ngZone.runOutsideAngular\(\) [\#4257](https://github.com/primefaces/primeng/issues/4257)
- Dropdown does not open first time after selecting an item [\#4243](https://github.com/primefaces/primeng/issues/4243)
- DataTable with PMultiSelect error in Chrome 62 [\#4233](https://github.com/primefaces/primeng/issues/4233)
- Chips-Component - 'allowDuplicate' break IE 11 [\#4204](https://github.com/primefaces/primeng/issues/4204)
- Dropdown cuts its placeholder to width of its options [\#4176](https://github.com/primefaces/primeng/issues/4176)
- Property Visible in menumodel does not work, Im using menubar [\#4170](https://github.com/primefaces/primeng/issues/4170)
- Carousel broken on initial loading [\#4163](https://github.com/primefaces/primeng/issues/4163)
- AutoComplete panel opened with dropdown does not hide when clicked outside [\#4162](https://github.com/primefaces/primeng/issues/4162)
- TabMenu adds space when there is no icon [\#4156](https://github.com/primefaces/primeng/issues/4156)
- p-dropdown template on p-datatable triggers sort on click [\#4152](https://github.com/primefaces/primeng/issues/4152)
- Rating throws error on Firefox [\#4148](https://github.com/primefaces/primeng/issues/4148)
- Float label fails with p-autoComplete [\#4145](https://github.com/primefaces/primeng/issues/4145)
- PrimeNG - Calendar Issues with TimePicker in TimeOnly mode. [\#4125](https://github.com/primefaces/primeng/issues/4125)
- datatable radio/checkbox selections not updated at events [\#4119](https://github.com/primefaces/primeng/issues/4119)
- Dropdown list shows "empty" text for null/empty values [\#4112](https://github.com/primefaces/primeng/issues/4112)
- Export Sidebar from 'primeng' shorthand [\#4110](https://github.com/primefaces/primeng/issues/4110)
- Spinner readonly do not affect buttons [\#4108](https://github.com/primefaces/primeng/issues/4108)
- Lazy scrollable datatable: not stable data [\#4096](https://github.com/primefaces/primeng/issues/4096)
- DataTable with Virtual Scroll still flickers [\#4029](https://github.com/primefaces/primeng/issues/4029)
- Remove enableLoader and built-in loading status management from lazy [\#3963](https://github.com/primefaces/primeng/issues/3963)
- \[Float Label\] doesn't work when using textarea [\#3955](https://github.com/primefaces/primeng/issues/3955)
- toggeable p-menu displays no label with ui-fluid css class applied [\#3937](https://github.com/primefaces/primeng/issues/3937)
- Date range picker display bug [\#3926](https://github.com/primefaces/primeng/issues/3926)
- AutoComplete passes wrong item to Unselect in multiple mode [\#3864](https://github.com/primefaces/primeng/issues/3864)
- p-calendar AM/PM stepper does not work correctly when the hour is set to 12. [\#3798](https://github.com/primefaces/primeng/issues/3798)
- Datalist index not working [\#3753](https://github.com/primefaces/primeng/issues/3753)
- MegaMenu doesn't compile with TypeScript 2.4 [\#3640](https://github.com/primefaces/primeng/issues/3640)
- AutoComplete broken with ui-fluid and inputGroup [\#3629](https://github.com/primefaces/primeng/issues/3629)
- paginatorPosition not working [\#3619](https://github.com/primefaces/primeng/issues/3619)
- programmatic element \(pre-\)selection on datatable fails when using dataKey [\#3618](https://github.com/primefaces/primeng/issues/3618)
- p-calendar doesn't display correct date when utc="true"  [\#3611](https://github.com/primefaces/primeng/issues/3611)
- Range handles overlap on click of the slider bar for the first time. [\#3606](https://github.com/primefaces/primeng/issues/3606)
- Orderlist: drag&drop in Firefox navigates to the value of dragdropscope [\#3605](https://github.com/primefaces/primeng/issues/3605)
- Multiple dialog - Scroll not blocked after closing the top dialog [\#3604](https://github.com/primefaces/primeng/issues/3604)
- DataTable with dataKey wont update view properly [\#3549](https://github.com/primefaces/primeng/issues/3549)
- Calendar with showTime not updating model when only time has been changed [\#2941](https://github.com/primefaces/primeng/issues/2941)
- Disable filter functionality is not working on custom filter of columns [\#2940](https://github.com/primefaces/primeng/issues/2940)
- Calendar - time in minDate, maxDate is disregarded when showTime is enabled [\#2884](https://github.com/primefaces/primeng/issues/2884)
- Max value on Spinner not working as expected [\#2747](https://github.com/primefaces/primeng/issues/2747)
- Breadcrumb home icon customization fails [\#2531](https://github.com/primefaces/primeng/issues/2531)
- Overlaypanel need a double click on the body to close it, if the event that call show\(\) is not a click event [\#2380](https://github.com/primefaces/primeng/issues/2380)

## [4.3.0-rc.2](https://github.com/primefaces/primeng/tree/4.3.0-rc.2) (2017-10-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.3.0-rc.1...4.3.0-rc.2)

## [4.3.0-rc.1](https://github.com/primefaces/primeng/tree/4.3.0-rc.1) (2017-10-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.2.2...4.3.0-rc.1)

## [4.2.2](https://github.com/primefaces/primeng/tree/4.2.2) (2017-10-05)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.2.1...4.2.2)

**Implemented New Features and Enhancements:**

- StartsWith filtering option for Listbox [\#4088](https://github.com/primefaces/primeng/issues/4088)
- Improve Confirm Dialog event performance [\#4085](https://github.com/primefaces/primeng/issues/4085)
- Picklist/OrderList: expose index of element in ng-template [\#4084](https://github.com/primefaces/primeng/issues/4084)
- RouterLinkActive in tabMenu not applied to the li element. [\#4081](https://github.com/primefaces/primeng/issues/4081)
- Performance improvement for Dialog [\#4080](https://github.com/primefaces/primeng/issues/4080)
- Add resetFilterOnHide to Dropdown and MultiSelect [\#3999](https://github.com/primefaces/primeng/issues/3999)
- onFocus and onBlur events for Chips [\#3998](https://github.com/primefaces/primeng/issues/3998)
- Visible flag support for TabMenu [\#3980](https://github.com/primefaces/primeng/issues/3980)
- Visible flag support for MenuBar [\#3942](https://github.com/primefaces/primeng/issues/3942)
- p-rating component with custom icons [\#3795](https://github.com/primefaces/primeng/issues/3795)
- Focus visuals for Listbox [\#3730](https://github.com/primefaces/primeng/issues/3730)
- Documentation of using resetFilter\(\) method from the dropdown component [\#3562](https://github.com/primefaces/primeng/issues/3562)
- Column Grouping support for Scrollable Table with Frozen Columns [\#3559](https://github.com/primefaces/primeng/issues/3559)
- Export selected rows to CSV [\#3504](https://github.com/primefaces/primeng/issues/3504)
- Add multiple property to PanelMenu [\#3303](https://github.com/primefaces/primeng/issues/3303)
- Datatable - Editable - events incorrectly raised on keydown [\#3138](https://github.com/primefaces/primeng/issues/3138)
- New Component: Sidebar [\#3134](https://github.com/primefaces/primeng/issues/3134)
- Add onPanelShow callback to MultiSelect [\#2574](https://github.com/primefaces/primeng/issues/2574)
- Apply TreeNode styleClass on TreeTable row. [\#2441](https://github.com/primefaces/primeng/issues/2441)
- Percentage scrollheight on datatable [\#1905](https://github.com/primefaces/primeng/issues/1905)
- DataTable: expanded row styling [\#1845](https://github.com/primefaces/primeng/issues/1845)

**Fixed bugs:**

- Move events do not called on dragdrop for PickList [\#4086](https://github.com/primefaces/primeng/issues/4086)
- Autocomplete with minLength fires completeMethod after onClear [\#4071](https://github.com/primefaces/primeng/issues/4071)
- Dropdown filter has incorrect width under fluid mode [\#4067](https://github.com/primefaces/primeng/issues/4067)
- TieredMenu with appendTo=body isn't removed [\#4056](https://github.com/primefaces/primeng/issues/4056)
- Label problems in Dropdown component [\#4013](https://github.com/primefaces/primeng/issues/4013)
- confirm-dialog: Error when hitting Escape after dialog is closed [\#4004](https://github.com/primefaces/primeng/issues/4004)
- Filtered listbox toggle all fails with new items [\#4002](https://github.com/primefaces/primeng/issues/4002)
- Calendar range/multiple default values cause error [\#3996](https://github.com/primefaces/primeng/issues/3996)
- OrderList throws a "Cannot read property getBoundingClientRect of undefined" [\#3933](https://github.com/primefaces/primeng/issues/3933)
- DataTable RowGroup and Expand bug [\#3930](https://github.com/primefaces/primeng/issues/3930)
- Calendar parseDate function ignores "utc" parameter [\#3927](https://github.com/primefaces/primeng/issues/3927)
- Column reordering does not work with Scrollable Table [\#3910](https://github.com/primefaces/primeng/issues/3910)
- OrderList onReorder is not called on DragDrop [\#3820](https://github.com/primefaces/primeng/issues/3820)
- Filtering by default fails on DataTable [\#3770](https://github.com/primefaces/primeng/issues/3770)
- Dragging and Resizing Dialog highlights content behind and in it [\#3711](https://github.com/primefaces/primeng/issues/3711)
- Validation Clears When Pressing Enter Editable Datatable [\#3547](https://github.com/primefaces/primeng/issues/3547)
- Empty footer in dialog that has a table with footer [\#3545](https://github.com/primefaces/primeng/issues/3545)
- Readonly attribute of p-editor component does not reflect changes [\#3536](https://github.com/primefaces/primeng/issues/3536)
- p-checkbox template/model driven behaviour disparity [\#2906](https://github.com/primefaces/primeng/issues/2906)
- Tooltip remains visible after clicking the target [\#2196](https://github.com/primefaces/primeng/issues/2196)
- Slider fails with big values [\#2145](https://github.com/primefaces/primeng/issues/2145)

## [4.2.1](https://github.com/primefaces/primeng/tree/4.2.1) (2017-09-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.2.0...4.2.1)

**Implemented New Features and Enhancements:**

- Add enableLoader to DataTable [\#3958](https://github.com/primefaces/primeng/issues/3958)
- dropdownMode for AutoComplete [\#3956](https://github.com/primefaces/primeng/issues/3956)

**Fixed bugs:**

- FileUpload does not allow multiple files [\#3961](https://github.com/primefaces/primeng/issues/3961)
- IE11 FileUpload messages are not displayed [\#3960](https://github.com/primefaces/primeng/issues/3960)
- VirtualScroll fails if initially hidden [\#3957](https://github.com/primefaces/primeng/issues/3957)
- Paginator rowsPerPageDropdown does not work [\#3944](https://github.com/primefaces/primeng/issues/3944)
- autoComplete dropdown button doesn't work  [\#3829](https://github.com/primefaces/primeng/issues/3829)

## [4.2.0](https://github.com/primefaces/primeng/tree/4.2.0) (2017-09-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.2.0-rc.1...4.2.0)

**Implemented New Features and Enhancements:**

- Multiselect - Selected labels delimited list no longer has space following comma. [\#3858](https://github.com/primefaces/primeng/issues/3858)
- 'Move all' buttons should not move filtered item. [\#3855](https://github.com/primefaces/primeng/issues/3855)
- MessageService clear\(\) [\#3837](https://github.com/primefaces/primeng/issues/3837)
- Update Schedule to FullCalendar 3.5.0 [\#3813](https://github.com/primefaces/primeng/issues/3813)
- SelectButton: add custom style to each button option  [\#3485](https://github.com/primefaces/primeng/issues/3485)
- EmptyMessage template for DataTable [\#3470](https://github.com/primefaces/primeng/issues/3470)
- MultiSelect should have flag to show/hide select all [\#3417](https://github.com/primefaces/primeng/issues/3417)
- SelectButton onClick event [\#3387](https://github.com/primefaces/primeng/issues/3387)
- Footer for Listbox and Add Fixed Header [\#3379](https://github.com/primefaces/primeng/issues/3379)
- Add life property to Tooltip [\#3370](https://github.com/primefaces/primeng/issues/3370)

**Fixed bugs:**

- Global Filter timeout problem [\#3913](https://github.com/primefaces/primeng/issues/3913)
- Column footerTemplate does not work [\#3912](https://github.com/primefaces/primeng/issues/3912)
- ui-dropdown-label-empty class not applied properly [\#3908](https://github.com/primefaces/primeng/issues/3908)
- Virtual scroll + lazy load repeating rows  [\#3907](https://github.com/primefaces/primeng/issues/3907)
- Slide doesn't work if the slider was initaly disabled and then got enabled [\#3897](https://github.com/primefaces/primeng/issues/3897)
- Paginator causes route reset [\#3871](https://github.com/primefaces/primeng/issues/3871)
- Calendar onClose event is fired even if overlay is not visible [\#3826](https://github.com/primefaces/primeng/issues/3826)
- Build error: dropdown.d.ts.Dropdown.html \(6,13\): Type 'string' is not assignable to type 'boolean'. [\#3781](https://github.com/primefaces/primeng/issues/3781)
- Calendar validation fails with reactive forms [\#3436](https://github.com/primefaces/primeng/issues/3436)
- DataTable Column Reordering Does Not Match Indicator [\#3395](https://github.com/primefaces/primeng/issues/3395)
- DataTable with Virtual Scroll flickers  [\#3377](https://github.com/primefaces/primeng/issues/3377)
- TreeNode styleClass update sets ui-tree-toggler visibility to hidden [\#2675](https://github.com/primefaces/primeng/issues/2675)

## [4.2.0-rc.1](https://github.com/primefaces/primeng/tree/4.2.0-rc.1) (2017-08-29)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.3...4.2.0-rc.1)

**Implemented New Features and Enhancements:**

- Null Checks for OrganizationChart [\#3758](https://github.com/primefaces/primeng/issues/3758)
- Make expand/collapse icons configurable in DataTable [\#3744](https://github.com/primefaces/primeng/issues/3744)
- Rewrite Terminal using a Service and Observables [\#3733](https://github.com/primefaces/primeng/issues/3733)
- Loading status icon for AutoComplete [\#3724](https://github.com/primefaces/primeng/issues/3724)
- Improve ContextMenu Global Event Bindings [\#3720](https://github.com/primefaces/primeng/issues/3720)
- MessageService for Growl and Messages [\#3719](https://github.com/primefaces/primeng/issues/3719)
- MenuItem interface title attribute [\#3707](https://github.com/primefaces/primeng/issues/3707)
- Support styling checkbox/radiobutton label based on state [\#3578](https://github.com/primefaces/primeng/issues/3578)
- Display HTML content in p-messages [\#3486](https://github.com/primefaces/primeng/issues/3486)
- Calendar: Inner input element misses the name attribute [\#3461](https://github.com/primefaces/primeng/issues/3461)
- ScreenReader role support for dropdown [\#3446](https://github.com/primefaces/primeng/issues/3446)
- Tree add loading status [\#3381](https://github.com/primefaces/primeng/issues/3381)
- Radiobutton's linefeed behavior is different to Checkbox [\#3363](https://github.com/primefaces/primeng/issues/3363)
- Offsets for Grid CSS [\#3362](https://github.com/primefaces/primeng/issues/3362)
- Floating labels for Inputs [\#3334](https://github.com/primefaces/primeng/issues/3334)
- Add filterField to Column [\#3333](https://github.com/primefaces/primeng/issues/3333)
- Date template for Calendar [\#3321](https://github.com/primefaces/primeng/issues/3321)
- appendTo for SlideMenu [\#3313](https://github.com/primefaces/primeng/issues/3313)
- Reimplement TabView Lazy Loading [\#3295](https://github.com/primefaces/primeng/issues/3295)
- Add tooltipZIndex property [\#3294](https://github.com/primefaces/primeng/issues/3294)
- OnFocus for Spinner [\#3291](https://github.com/primefaces/primeng/issues/3291)
- Visible flag support for Menu [\#3072](https://github.com/primefaces/primeng/issues/3072)
- Templating support for Multiselect component [\#2165](https://github.com/primefaces/primeng/issues/2165)
- Today Button for Calendar [\#1859](https://github.com/primefaces/primeng/issues/1859)
- forceSelection for AutoComplete [\#864](https://github.com/primefaces/primeng/issues/864)
- Clear button for Calendar [\#506](https://github.com/primefaces/primeng/issues/506)

**Fixed bugs:**

- Dropdown may cause infinite loop [\#3731](https://github.com/primefaces/primeng/issues/3731)
- AutoComplete does not add ui-state-filled on load if non-empty [\#3729](https://github.com/primefaces/primeng/issues/3729)
- Dropdown placeholder color is different [\#3727](https://github.com/primefaces/primeng/issues/3727)
- Growl onClose also triggers onClick [\#3721](https://github.com/primefaces/primeng/issues/3721)
- Fileupload dragover performance issue [\#3715](https://github.com/primefaces/primeng/issues/3715)
- Paginator "go to first/last page" function is still called in first/last pages [\#3690](https://github.com/primefaces/primeng/issues/3690)
- FileUpload Cannot read property 'nativeElement' of undefined; PrimeNG 4.1.3 Release -  [\#3664](https://github.com/primefaces/primeng/issues/3664)
- Spaces are not accepted in p-dropdown filters [\#3657](https://github.com/primefaces/primeng/issues/3657)
- Chips with addOnTab does not move focus after empty input tab [\#3654](https://github.com/primefaces/primeng/issues/3654)
- Add required property to AutoComplete, Spinner and InputMask [\#3503](https://github.com/primefaces/primeng/issues/3503)
- Scrollable datatable layout breaks when column hidden=true is used [\#3471](https://github.com/primefaces/primeng/issues/3471)
- OrderList: Backend array remains unchanged when elements are ordered in component frontend [\#3466](https://github.com/primefaces/primeng/issues/3466)
- Datatable column misalignment issue on page change [\#3465](https://github.com/primefaces/primeng/issues/3465)
- p-autocomplete selects wrong/old option on enter [\#3431](https://github.com/primefaces/primeng/issues/3431)
- Not continuously input the same commands [\#3424](https://github.com/primefaces/primeng/issues/3424)
- BlockUI is not properly destroyed [\#3410](https://github.com/primefaces/primeng/issues/3410)
- Sorting a single column emits an 'onPage' event [\#3408](https://github.com/primefaces/primeng/issues/3408)
- Datatable : onLazyLoad event fire twice when "first" property is different from 0 [\#3399](https://github.com/primefaces/primeng/issues/3399)
- The p-calendar shows  NaN when changing showTime at runtime [\#3396](https://github.com/primefaces/primeng/issues/3396)
- Spinner onChange fires undefined [\#3390](https://github.com/primefaces/primeng/issues/3390)
- AutoComplete not updated  [\#3360](https://github.com/primefaces/primeng/issues/3360)
- Context Menu problems with Firefox [\#3353](https://github.com/primefaces/primeng/issues/3353)
- Frozen columns not synced after visibility changes [\#3345](https://github.com/primefaces/primeng/issues/3345)
- Paginator rendering issues with some themes [\#3319](https://github.com/primefaces/primeng/issues/3319)
- Incorrect rowHeight calculation when using virtual scrolling [\#3301](https://github.com/primefaces/primeng/issues/3301)
- Loading indicator fails with Lazy DataTable [\#3300](https://github.com/primefaces/primeng/issues/3300)
- Issue with autoComplete and field attribute [\#3289](https://github.com/primefaces/primeng/issues/3289)
- emptyMessage appears before minLength is reached in autoComplete [\#3284](https://github.com/primefaces/primeng/issues/3284)
- disabledDates in calendar are not updating [\#3283](https://github.com/primefaces/primeng/issues/3283)
- dataTable default styleClass is undefined [\#3279](https://github.com/primefaces/primeng/issues/3279)
- Error when selecting a day on a p-calendar inside an editor column [\#3256](https://github.com/primefaces/primeng/issues/3256)

## [4.1.3](https://github.com/primefaces/primeng/tree/4.1.3) (2017-08-11)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.2...4.1.3)

**Implemented New Features and Enhancements:**

- Frozen Rows for Scrollable DataTable [\#3642](https://github.com/primefaces/primeng/issues/3642)
- Add defaultSortOrder property to DataTable [\#3637](https://github.com/primefaces/primeng/issues/3637)
- In Checkbox and RadioButton add for attribute in label [\#3617](https://github.com/primefaces/primeng/issues/3617)
- Range selection mode for Calendar [\#3609](https://github.com/primefaces/primeng/issues/3609)
- valueChange event for DataTable [\#3593](https://github.com/primefaces/primeng/issues/3593)
- Chips - Add new chip on Tab keypress [\#3527](https://github.com/primefaces/primeng/issues/3527)
- Tree  onDropPoint does not pass dropNode property to onNodeDrop listeners [\#3458](https://github.com/primefaces/primeng/issues/3458)
- Ability to style entire selected treenode [\#3246](https://github.com/primefaces/primeng/issues/3246)
- Autofocus editable dropdown menu [\#3236](https://github.com/primefaces/primeng/issues/3236)
- Multiple Date selection in calendar [\#2970](https://github.com/primefaces/primeng/issues/2970)
- Dynamic mask support to InputMask [\#2632](https://github.com/primefaces/primeng/issues/2632)
- Icons for TreeTable [\#2269](https://github.com/primefaces/primeng/issues/2269)

**Fixed bugs:**

- Dropdown should update width when options change [\#3639](https://github.com/primefaces/primeng/issues/3639)
- Schedule default active button style missing from Omega [\#3638](https://github.com/primefaces/primeng/issues/3638)
- Panel onAfterToggle is called early. [\#3607](https://github.com/primefaces/primeng/issues/3607)
- PanelMenu shows top level entries with the label underlined [\#3592](https://github.com/primefaces/primeng/issues/3592)
- Datatable error after hitting enter or escape on edit cell [\#3553](https://github.com/primefaces/primeng/issues/3553)
- Slider doesn't work when using range + orientation vertical [\#3540](https://github.com/primefaces/primeng/issues/3540)
- Dropdown filter: Keypress up/down does not work [\#3511](https://github.com/primefaces/primeng/issues/3511)
- Dropdown not selecting item on enter keyDown [\#3481](https://github.com/primefaces/primeng/issues/3481)
- Datatable - Cannot read property 'tagName' of null - when editable true [\#3478](https://github.com/primefaces/primeng/issues/3478)
- p-tooltip is forever stuck on the page when a hide delay is specified and the tooltip target is hovered again while the tooltip is hiding. [\#3462](https://github.com/primefaces/primeng/issues/3462)
- When dataType is "string" and showTime is true the ngModel value is just a date [\#3441](https://github.com/primefaces/primeng/issues/3441)
- FileUpload does not allow selecting same file [\#3385](https://github.com/primefaces/primeng/issues/3385)
- Row Grouping is not working as expected [\#1830](https://github.com/primefaces/primeng/issues/1830)
- dataTable\#rowStyleClass mess up with row styles [\#1827](https://github.com/primefaces/primeng/issues/1827)

## [4.1.2](https://github.com/primefaces/primeng/tree/4.1.2) (2017-07-27)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.1...4.1.2)

**Implemented New Features and Enhancements:**

- Improve editable cell event bindings [\#3510](https://github.com/primefaces/primeng/issues/3510)
- Autocomplete onKeyUp event [\#3494](https://github.com/primefaces/primeng/issues/3494)
- DataTable Performance Optimizations [\#3468](https://github.com/primefaces/primeng/issues/3468)

**Fixed bugs:**

- Popup TieredMenu overlay positioning may fail [\#3518](https://github.com/primefaces/primeng/issues/3518)
- TabView activeIndex throws exception if bigger than length [\#3517](https://github.com/primefaces/primeng/issues/3517)
- IE - 'null' shown before tooltip's text [\#3490](https://github.com/primefaces/primeng/issues/3490)
- Tieredmenu popup performance issue [\#3476](https://github.com/primefaces/primeng/issues/3476)
- DataTable Loading Status Icon not working [\#3457](https://github.com/primefaces/primeng/issues/3457)
- Editable dropdown preselection fails with ReactiveForms [\#3407](https://github.com/primefaces/primeng/issues/3407)
- Calendar navigator year bug [\#3337](https://github.com/primefaces/primeng/issues/3337)
- Dropdown selected value not working properly if Editable is true [\#3297](https://github.com/primefaces/primeng/issues/3297)

## [4.1.1](https://github.com/primefaces/primeng/tree/4.1.1) (2017-07-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.0...4.1.1)

**Implemented New Features and Enhancements:**

- Add lazy mode to Dropdown [\#3447](https://github.com/primefaces/primeng/issues/3447)
- Add blockScroll property to Dialog [\#3438](https://github.com/primefaces/primeng/issues/3438)
- ColorPicker: Selected Color value should start with a '\#' in hex format  [\#3376](https://github.com/primefaces/primeng/issues/3376)
- DataTable loading indicator Input [\#3329](https://github.com/primefaces/primeng/issues/3329)
- p-dialog - Scroll page when modal content overflows [\#3306](https://github.com/primefaces/primeng/issues/3306)
- Double click based transfer on PickList [\#3223](https://github.com/primefaces/primeng/issues/3223)
- Scrollable DataList [\#3210](https://github.com/primefaces/primeng/issues/3210)
- Input Group [\#3181](https://github.com/primefaces/primeng/issues/3181)
- DataTable radioButton unselection [\#2653](https://github.com/primefaces/primeng/issues/2653)
- Add onProgress callback to FileUpload [\#2570](https://github.com/primefaces/primeng/issues/2570)

**Fixed bugs:**

- Dropdown fails when opened with space [\#3449](https://github.com/primefaces/primeng/issues/3449)
- disabled buttons can receive hover visuals [\#3448](https://github.com/primefaces/primeng/issues/3448)
- confirmDialog fa missing from dom [\#3444](https://github.com/primefaces/primeng/issues/3444)
- \[Bug\] DataTable with Dropdown has exception on click event [\#3443](https://github.com/primefaces/primeng/issues/3443)
- Navigators may be misaligned on calendar [\#3423](https://github.com/primefaces/primeng/issues/3423)
- Filtering by notEquals raises "TypeError: Cannot read property 'equals' of undefined" [\#3388](https://github.com/primefaces/primeng/issues/3388)
- \[bug report\] Picklist: Drag and Drop not working properly [\#3367](https://github.com/primefaces/primeng/issues/3367)
- Button.ts class name typo [\#3365](https://github.com/primefaces/primeng/issues/3365)
- p-dialog - \[minWidth\] property does not work [\#3324](https://github.com/primefaces/primeng/issues/3324)
- Spinner does not set model to null when a min value is specified [\#3318](https://github.com/primefaces/primeng/issues/3318)
- AutoComplete - Suggestions display issue when suggestions above [\#3312](https://github.com/primefaces/primeng/issues/3312)
- Remove extra styleClass attribute from DataTable with paginator [\#3288](https://github.com/primefaces/primeng/issues/3288)
- Calendar throws an error on Firefox [\#3282](https://github.com/primefaces/primeng/issues/3282)
- Invalid  Invalid CSS after "...color: \#ffffff," [\#3280](https://github.com/primefaces/primeng/issues/3280)
- Growl's initial messages do not disappear [\#3228](https://github.com/primefaces/primeng/issues/3228)
- Lightbox positioning issue [\#2292](https://github.com/primefaces/primeng/issues/2292)

## [4.1.0](https://github.com/primefaces/primeng/tree/4.1.0) (2017-07-12)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.0-rc.3...4.1.0)

**Implemented New Features and Enhancements:**

- badge and badgeStyleClass for MenuItem [\#3328](https://github.com/primefaces/primeng/issues/3328)
- InputMask misses an onFocus output event [\#3216](https://github.com/primefaces/primeng/issues/3216)
- Filtering for orderlist [\#3007](https://github.com/primefaces/primeng/issues/3007)
- InputSwitch accessibility [\#2951](https://github.com/primefaces/primeng/issues/2951)
- Shift key support for DataTable row selection [\#1283](https://github.com/primefaces/primeng/issues/1283)
- ColorPicker Component [\#50](https://github.com/primefaces/primeng/issues/50)

**Fixed bugs:**

- Tooltip setter [\#3355](https://github.com/primefaces/primeng/issues/3355)
- Datatable resizer-helper [\#3354](https://github.com/primefaces/primeng/issues/3354)
- ContextMenu and Menubar doesn't render style or styleClass for MenuItems [\#3296](https://github.com/primefaces/primeng/issues/3296)
- Bug: 4.1.0-rc.3 multiple selection broken in Data Table [\#3277](https://github.com/primefaces/primeng/issues/3277)
- onHide is shown when a dialog is created [\#3051](https://github.com/primefaces/primeng/issues/3051)

## [4.1.0-rc.3](https://github.com/primefaces/primeng/tree/4.1.0-rc.3) (2017-06-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.0-rc.2...4.1.0-rc.3)

**Implemented New Features and Enhancements:**

- Optimize MultiSelect event bindings [\#3254](https://github.com/primefaces/primeng/issues/3254)
- Remove ui-dialog-buttonpane [\#3244](https://github.com/primefaces/primeng/issues/3244)
- Immutable property for data components [\#3227](https://github.com/primefaces/primeng/issues/3227)
- Use a DataTable with resizableColumns and scrollable may cause unresponsive web page or lag css animation. [\#3195](https://github.com/primefaces/primeng/issues/3195)
- PanelMenu - Feature Request - Customise Styles [\#3175](https://github.com/primefaces/primeng/issues/3175)
- Bootstrap theme overrides anchor link colors with priority [\#3173](https://github.com/primefaces/primeng/issues/3173)
- Custom content for horizontal megamenu [\#3153](https://github.com/primefaces/primeng/issues/3153)
- Add filterMaxlength property to column [\#3142](https://github.com/primefaces/primeng/issues/3142)
- activeIndex for Accordion [\#3137](https://github.com/primefaces/primeng/issues/3137)
- Compatibility for Scrollable and Responsive datatable [\#2980](https://github.com/primefaces/primeng/issues/2980)
- MenuItem style and styleClass properties [\#2901](https://github.com/primefaces/primeng/issues/2901)
- appendTo property to TieredMenu component [\#2773](https://github.com/primefaces/primeng/issues/2773)
- Make use of direct child selection in CSS where possible/reasonable [\#2700](https://github.com/primefaces/primeng/issues/2700)
- Accordion component padding issues in bootstrap theme [\#2672](https://github.com/primefaces/primeng/issues/2672)
- Improve overflow hidden on DataTable [\#2447](https://github.com/primefaces/primeng/issues/2447)
- Remove placehoder in non-empty multiple autocomplete [\#2197](https://github.com/primefaces/primeng/issues/2197)
- ConfirmDialog focus button when it opens [\#2119](https://github.com/primefaces/primeng/issues/2119)
- Add type property to Spinner [\#2107](https://github.com/primefaces/primeng/issues/2107)
- inputStyle and inputStyleClass for Chips [\#2065](https://github.com/primefaces/primeng/issues/2065)
- Custom content for menubar [\#1997](https://github.com/primefaces/primeng/issues/1997)
- Pass rowIndex to column template \(pTemplate="rowexpansion"\) [\#1910](https://github.com/primefaces/primeng/issues/1910)
- Calendar needs "onClose" event [\#1874](https://github.com/primefaces/primeng/issues/1874)
- Chip duplicate handling [\#1630](https://github.com/primefaces/primeng/issues/1630)
- modal dialogs should prevent the background from being scrolleable [\#1625](https://github.com/primefaces/primeng/issues/1625)
- Simplify menuitem command handling [\#1354](https://github.com/primefaces/primeng/issues/1354)

**Fixed bugs:**

- Carousel throws ExpressionChecked error on Angular 4.2.x [\#3263](https://github.com/primefaces/primeng/issues/3263)
- Multiselect component fails with ChangeDetectionStrategy.OnPush [\#3253](https://github.com/primefaces/primeng/issues/3253)
- Left tooltip position fails [\#3252](https://github.com/primefaces/primeng/issues/3252)
- InputSwitch throws expression was checked error with Angular 4.2.x [\#3247](https://github.com/primefaces/primeng/issues/3247)
- Bootstrap theme calendar [\#3243](https://github.com/primefaces/primeng/issues/3243)
- Autocomplete inputtext content not shown [\#3199](https://github.com/primefaces/primeng/issues/3199)
- p-dialog Bootstrap footer style issue with PrimeNG 4.0 [\#3183](https://github.com/primefaces/primeng/issues/3183)
- color picker in reactive forms doesn't select color [\#3179](https://github.com/primefaces/primeng/issues/3179)
- FileUpload firefox problem [\#3165](https://github.com/primefaces/primeng/issues/3165)
- Autocomplete empty text when lost focus [\#3147](https://github.com/primefaces/primeng/issues/3147)
- Orderlist header alignment issues [\#3145](https://github.com/primefaces/primeng/issues/3145)
- Organization Chart - no lines, empty leafs, etc. for Bootstrap theme [\#3130](https://github.com/primefaces/primeng/issues/3130)
- Datatable reset method doesn't emit onLazyLoadEvent [\#3128](https://github.com/primefaces/primeng/issues/3128)
- Picklist header alignment issues [\#3125](https://github.com/primefaces/primeng/issues/3125)
- Type definition file missing for shorthand [\#3123](https://github.com/primefaces/primeng/issues/3123)
- AOT compilation issues [\#3122](https://github.com/primefaces/primeng/issues/3122)
- FileUpload multiple file drag when multiple set to false [\#3120](https://github.com/primefaces/primeng/issues/3120)
- FileUpload remove method throwing error on Firefox [\#3119](https://github.com/primefaces/primeng/issues/3119)
- PanelMenu animation broken on fast click [\#3052](https://github.com/primefaces/primeng/issues/3052)
- DataTable - ExpressionChangedAfterItHasBeenCheckedError: Expression has changed after it was checked. Previous value: 'NaNpx'. Current value: '352px' [\#3041](https://github.com/primefaces/primeng/issues/3041)
- Focused dropdown reveals blinking cursor iOS [\#3027](https://github.com/primefaces/primeng/issues/3027)
- Datatable totalRecords is not updated after calling the resetMethod [\#2948](https://github.com/primefaces/primeng/issues/2948)
- Data table with filter and sort does not work with headerColumnGroup [\#2900](https://github.com/primefaces/primeng/issues/2900)
- Footer Group not displayed on scrollable datatable [\#2894](https://github.com/primefaces/primeng/issues/2894)
- Calendar displayed value not updated on blur [\#2826](https://github.com/primefaces/primeng/issues/2826)
- ExpressionChangedAfterItHasBeenCheckedError in radioButton on reactive form [\#2761](https://github.com/primefaces/primeng/issues/2761)
- Dropdown onChange fires on re-selection of same item [\#2760](https://github.com/primefaces/primeng/issues/2760)
- Memory leak in accordion [\#2696](https://github.com/primefaces/primeng/issues/2696)
- Custom sorting breaks pagination [\#2687](https://github.com/primefaces/primeng/issues/2687)
- Tree - DragDrop makes mistakes when dragging downwards in between other nodes [\#2569](https://github.com/primefaces/primeng/issues/2569)
- Calendar should allow valid blank/null value [\#2471](https://github.com/primefaces/primeng/issues/2471)
- Error in DataTable with ContextMenu [\#2431](https://github.com/primefaces/primeng/issues/2431)
- Calendar clicking on button icon not opening calendar IE9/IE10 [\#2213](https://github.com/primefaces/primeng/issues/2213)
- DataTable filter is not cleared when ::-ms-clear is clicked [\#2179](https://github.com/primefaces/primeng/issues/2179)
- p-confirmdialog is not centered to browser [\#2146](https://github.com/primefaces/primeng/issues/2146)
- Slider: Highlights surrounding text with mouse [\#2143](https://github.com/primefaces/primeng/issues/2143)
- Datatable nested datatable not showing header [\#2090](https://github.com/primefaces/primeng/issues/2090)
- p-calendar bug with IE11 [\#2026](https://github.com/primefaces/primeng/issues/2026)
- Editor's onTextChange event is sending the wrong value for "source" [\#2014](https://github.com/primefaces/primeng/issues/2014)
- can't to add filter for columns in p-headerColumnGroup tag [\#1979](https://github.com/primefaces/primeng/issues/1979)
- Styleclass for TreeNode fails for Horizontal Tree [\#1963](https://github.com/primefaces/primeng/issues/1963)
- MultiSelect value support objects [\#1962](https://github.com/primefaces/primeng/issues/1962)
- \[iOS only\] Dropdown Autocmoplete doesn't show suggestions by clicking on dropdown button  [\#1948](https://github.com/primefaces/primeng/issues/1948)
- Editable dropdown caret jumps [\#1897](https://github.com/primefaces/primeng/issues/1897)
- Custom filter selection apply sort [\#1873](https://github.com/primefaces/primeng/issues/1873)
- DataTable filter input deletes characters during typing [\#1813](https://github.com/primefaces/primeng/issues/1813)
- p-gmap in hidden containers fails [\#1806](https://github.com/primefaces/primeng/issues/1806)
- Data-table scroll disappears when filtering in a field shown by width scroll [\#1805](https://github.com/primefaces/primeng/issues/1805)
- Datatable is not updated inside an expansiontemplate [\#1775](https://github.com/primefaces/primeng/issues/1775)
- AutoComplete box-shadow issue while nested in Panel [\#1561](https://github.com/primefaces/primeng/issues/1561)
- DataTable Column with Template onRowClick/onRowSelect not firing [\#1485](https://github.com/primefaces/primeng/issues/1485)
- Menubar event emmiter broken after hide and show [\#857](https://github.com/primefaces/primeng/issues/857)

## [4.1.0-rc.2](https://github.com/primefaces/primeng/tree/4.1.0-rc.2) (2017-06-16)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.1.0-rc.1...4.1.0-rc.2)

## [4.1.0-rc.1](https://github.com/primefaces/primeng/tree/4.1.0-rc.1) (2017-06-16)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.3...4.1.0-rc.1)

**Implemented New Features and Enhancements:**

- New PrimeNG Website [\#3111](https://github.com/primefaces/primeng/issues/3111)
- Move column click handler to row for performance of DataTable [\#3110](https://github.com/primefaces/primeng/issues/3110)
- Improve Checkbox and Radio Icons CSS in Omega [\#3108](https://github.com/primefaces/primeng/issues/3108)
- Improve DataTable selection performance [\#3101](https://github.com/primefaces/primeng/issues/3101)
- Dropdown should filter run again if model options change [\#3081](https://github.com/primefaces/primeng/issues/3081)
- Picklist Drag and Drop support [\#3075](https://github.com/primefaces/primeng/issues/3075)
- FlipFit for Relative Positioning [\#3063](https://github.com/primefaces/primeng/issues/3063)
- Use native angular animations for SplitButton [\#3062](https://github.com/primefaces/primeng/issues/3062)
- Optimize SplitButton global click listener [\#3061](https://github.com/primefaces/primeng/issues/3061)
- appendTo for SplitButton [\#3060](https://github.com/primefaces/primeng/issues/3060)
- DragDrop support for OrderList [\#3043](https://github.com/primefaces/primeng/issues/3043)
- Custom Upload Handler for FileUpload [\#3040](https://github.com/primefaces/primeng/issues/3040)
- Filter for Picklist [\#3036](https://github.com/primefaces/primeng/issues/3036)
- Multi Filter Support for Picklist [\#3035](https://github.com/primefaces/primeng/issues/3035)
- Animation for panelmenu submenus [\#3025](https://github.com/primefaces/primeng/issues/3025)
- Multifilter function for ObjectUtils [\#3011](https://github.com/primefaces/primeng/issues/3011)
- Filter event for Orderlist [\#3010](https://github.com/primefaces/primeng/issues/3010)
- Multi filter support for Orderlist [\#3009](https://github.com/primefaces/primeng/issues/3009)
- Orderlist set get methods [\#3008](https://github.com/primefaces/primeng/issues/3008)
- New Component: Organization Chart [\#2992](https://github.com/primefaces/primeng/issues/2992)
- Dropdown accessiblity [\#2966](https://github.com/primefaces/primeng/issues/2966)
- Inputswitch accessibility screen reader [\#2953](https://github.com/primefaces/primeng/issues/2953)
- Footer for Panel [\#2591](https://github.com/primefaces/primeng/issues/2591)
- PickList: move all items from target to source issue [\#2573](https://github.com/primefaces/primeng/issues/2573)
- Severity support for SplitButton [\#2482](https://github.com/primefaces/primeng/issues/2482)
- Multi filter support for Dropdown [\#2454](https://github.com/primefaces/primeng/issues/2454)
- Tooltip delay feature [\#1244](https://github.com/primefaces/primeng/issues/1244)
- Refactor OrderList CSS design [\#1240](https://github.com/primefaces/primeng/issues/1240)
- New component: TimePicker [\#1102](https://github.com/primefaces/primeng/issues/1102)
- Add compareSelectionBy property to DataTable. [\#981](https://github.com/primefaces/primeng/issues/981)
- onResize callback for InputTextarea [\#957](https://github.com/primefaces/primeng/issues/957)
- Basic UI mode for FileUpload [\#923](https://github.com/primefaces/primeng/issues/923)
- ConfirmDialog on close should act as reject [\#921](https://github.com/primefaces/primeng/issues/921)
- Color Picker [\#909](https://github.com/primefaces/primeng/issues/909)
- Possibility to do Client-side FileUpload [\#892](https://github.com/primefaces/primeng/issues/892)
- Separators in MenuModel [\#888](https://github.com/primefaces/primeng/issues/888)
- Collision detection for tooltip positioning to keep inside viewport [\#812](https://github.com/primefaces/primeng/issues/812)

**Fixed bugs:**

- FieldSet animation fails on fast click [\#3107](https://github.com/primefaces/primeng/issues/3107)
- DataTable Paginator Top CSS Issued [\#3103](https://github.com/primefaces/primeng/issues/3103)
- Changing column width changes table width [\#3096](https://github.com/primefaces/primeng/issues/3096)
- ExpandMode resize issue with Scrollable Table [\#3094](https://github.com/primefaces/primeng/issues/3094)
- Column resize helper misaligned in overflow [\#3092](https://github.com/primefaces/primeng/issues/3092)
- Carousel error on initializing value with non-empty array [\#3084](https://github.com/primefaces/primeng/issues/3084)
- Carousel Viewport undefined error [\#3083](https://github.com/primefaces/primeng/issues/3083)
- Severity buttons of Omega are overriden [\#3080](https://github.com/primefaces/primeng/issues/3080)
- Listbox custom style [\#3077](https://github.com/primefaces/primeng/issues/3077)
- SlideMenu routerLink doesn't work because of a bug in the template [\#3074](https://github.com/primefaces/primeng/issues/3074)
- Binding to first property has no effect on DataTable [\#3044](https://github.com/primefaces/primeng/issues/3044)
- Tooltip text update on change [\#3019](https://github.com/primefaces/primeng/issues/3019)
- Dialog global event handlers are not cleared [\#2976](https://github.com/primefaces/primeng/issues/2976)
- Dropdown panel is disconnected on filtering [\#2936](https://github.com/primefaces/primeng/issues/2936)
- Autocomplete inputStyle/inputStyleClass doesn't work for multiple mode [\#1257](https://github.com/primefaces/primeng/issues/1257)
- p-splitButton: menu not closed when clicked on other splitButton menubutton [\#1008](https://github.com/primefaces/primeng/issues/1008)
- Dropdown should scroll to selected item when overlay gets opened [\#952](https://github.com/primefaces/primeng/issues/952)
- p-autocomplete bug in field based object mapping [\#910](https://github.com/primefaces/primeng/issues/910)

## [4.0.3](https://github.com/primefaces/primeng/tree/4.0.3) (2017-05-31)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.2...4.0.3)

**Fixed bugs:**

- Breadcrumb home item throws exception [\#2935](https://github.com/primefaces/primeng/issues/2935)

## [4.0.2](https://github.com/primefaces/primeng/tree/4.0.2) (2017-05-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.1...4.0.2)

**Implemented New Features and Enhancements:**

- Dedicated footer section for Dialog [\#2920](https://github.com/primefaces/primeng/issues/2920)
- Optimize dialog global event listeners [\#2918](https://github.com/primefaces/primeng/issues/2918)
- Dialog should be responsive by default [\#2917](https://github.com/primefaces/primeng/issues/2917)
- Add breakpoint property to Dialog [\#2916](https://github.com/primefaces/primeng/issues/2916)
- Optimize AutoComplete global document click handler [\#2914](https://github.com/primefaces/primeng/issues/2914)
- Apply box-sizing:border-box to all widgets [\#2912](https://github.com/primefaces/primeng/issues/2912)
- FlyIn animation for Growl [\#2909](https://github.com/primefaces/primeng/issues/2909)
- RTL support for Accordion [\#2899](https://github.com/primefaces/primeng/issues/2899)
- RTL support for Dialog [\#2883](https://github.com/primefaces/primeng/issues/2883)
- Add style and styleClass to RadioButton [\#2881](https://github.com/primefaces/primeng/issues/2881)
- Add style and styleClass to Checkbox [\#2880](https://github.com/primefaces/primeng/issues/2880)
- Mobile Touch support to Slider Component [\#2866](https://github.com/primefaces/primeng/issues/2866)
- Customizable panel toggle icon [\#2865](https://github.com/primefaces/primeng/issues/2865)
- Checkbox should support null/undefined model [\#2864](https://github.com/primefaces/primeng/issues/2864)
- RTL support for TabView [\#2859](https://github.com/primefaces/primeng/issues/2859)
- alwaysShowPaginator property for Paginator [\#2858](https://github.com/primefaces/primeng/issues/2858)
- routerLinkActiveOptions property for MenuItem api [\#2838](https://github.com/primefaces/primeng/issues/2838)
- Add style and styleClass to TriStateCheckbox [\#2836](https://github.com/primefaces/primeng/issues/2836)
- Optimize positioning calculation for Tooltip [\#2830](https://github.com/primefaces/primeng/issues/2830)
- Add onRemove callback to FileUpload [\#2822](https://github.com/primefaces/primeng/issues/2822)
- Can't upload file using PUT request [\#2808](https://github.com/primefaces/primeng/issues/2808)
- Splitbutton new event [\#2804](https://github.com/primefaces/primeng/issues/2804)
- Pass index to Listbox template [\#2772](https://github.com/primefaces/primeng/issues/2772)
- Use Renderer2 over Renderer [\#2764](https://github.com/primefaces/primeng/issues/2764)
- MultiSelect Optional Filter [\#2736](https://github.com/primefaces/primeng/issues/2736)
- Chips Template support Close icon [\#2728](https://github.com/primefaces/primeng/issues/2728)
- Initialization callback for Catpcha [\#2584](https://github.com/primefaces/primeng/issues/2584)
- onEditComplete event is not fired when user hit Tab key [\#2535](https://github.com/primefaces/primeng/issues/2535)
- Multiselect: mouse click on "Close" at the header is bubbled beyond the component [\#2007](https://github.com/primefaces/primeng/issues/2007)
- Align SplitButton router support with other Menu Components [\#721](https://github.com/primefaces/primeng/issues/721)
- Pass filteredValue to onFilter callback [\#678](https://github.com/primefaces/primeng/issues/678)
- Make the event optional in tabView.open\(\) [\#564](https://github.com/primefaces/primeng/issues/564)
- Access Quill API when using the editor [\#522](https://github.com/primefaces/primeng/issues/522)

**Fixed bugs:**

- Slider handles are slightly offset [\#2925](https://github.com/primefaces/primeng/issues/2925)
- Vertical slider handle is behind the bar [\#2924](https://github.com/primefaces/primeng/issues/2924)
- Listbox header checkbox not synced with filtering [\#2923](https://github.com/primefaces/primeng/issues/2923)
- ContextMenu may open first item by default [\#2915](https://github.com/primefaces/primeng/issues/2915)
- AutoComplete drop down close down on right click in firefox [\#2913](https://github.com/primefaces/primeng/issues/2913)
- Dropdown breaks editable datatable layout on Firefox [\#2907](https://github.com/primefaces/primeng/issues/2907)
- Calendar icon moves on hover in Omega Theme [\#2896](https://github.com/primefaces/primeng/issues/2896)
- MultiSelect error if options are not provided [\#2895](https://github.com/primefaces/primeng/issues/2895)
- Resizable columns can break Scrollable DataTable [\#2890](https://github.com/primefaces/primeng/issues/2890)
- AutoComplete input does not reflect model changes [\#2882](https://github.com/primefaces/primeng/issues/2882)
- Growl's onClose event references wrong message when message is closed manually [\#2846](https://github.com/primefaces/primeng/issues/2846)
- Multiselect container misaligned on filtering with appendTo="body" [\#2823](https://github.com/primefaces/primeng/issues/2823)
- rowgroupheader colspan not tracking visible columns [\#2814](https://github.com/primefaces/primeng/issues/2814)
- Growl has a flicker effect on remove of a message from multiple messages [\#2805](https://github.com/primefaces/primeng/issues/2805)
- OverlayPanel does not close with OnPush strategy [\#2803](https://github.com/primefaces/primeng/issues/2803)
- SelectButton onFocus throws error on Firefox [\#2801](https://github.com/primefaces/primeng/issues/2801)
- TypeError: Cannot read property 'length' of null for DataTable with headerCheckboxToggleAllPages true [\#2796](https://github.com/primefaces/primeng/issues/2796)
- DeferModule is not exported [\#2792](https://github.com/primefaces/primeng/issues/2792)
- Calendar not working well together with validators [\#2790](https://github.com/primefaces/primeng/issues/2790)
- AutoComplete Module doesn't work properly in IE11 [\#2788](https://github.com/primefaces/primeng/issues/2788)
- Attribute visible doesn't work in context-menu [\#2785](https://github.com/primefaces/primeng/issues/2785)
- Using file upload with a non-wildcard MIME type results in validation errors [\#2699](https://github.com/primefaces/primeng/issues/2699)
- rowIndex is not updating when a row is removed from Datatable  [\#2432](https://github.com/primefaces/primeng/issues/2432)
- onSlideEnd event is not getting values on range mode [\#2429](https://github.com/primefaces/primeng/issues/2429)
- AutoComplete dropdown wraps to next line [\#2387](https://github.com/primefaces/primeng/issues/2387)
- icon only toggle button [\#1980](https://github.com/primefaces/primeng/issues/1980)
- Dialog width is not responsive [\#740](https://github.com/primefaces/primeng/issues/740)
- Dialog resizing fails with fixed height [\#737](https://github.com/primefaces/primeng/issues/737)
- Selected values in multiselect label are \(null\) when list of options loaded \*after\* bound selectedValue [\#725](https://github.com/primefaces/primeng/issues/725)

## [4.0.1](https://github.com/primefaces/primeng/tree/4.0.1) (2017-05-16)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.0...4.0.1)

**Implemented New Features and Enhancements:**

- Add positionLeft and positionTop to Dialog [\#2781](https://github.com/primefaces/primeng/issues/2781)
- Add onInput event to calendar. [\#2780](https://github.com/primefaces/primeng/issues/2780)
- Two-Way binding support for Messages [\#2779](https://github.com/primefaces/primeng/issues/2779)
- Add id to Message Api [\#2777](https://github.com/primefaces/primeng/issues/2777)
- Disabled support for Steps [\#2776](https://github.com/primefaces/primeng/issues/2776)
- Add UTC option to Calendar [\#2775](https://github.com/primefaces/primeng/issues/2775)
- Keyboard accessibility for SelectButton [\#2774](https://github.com/primefaces/primeng/issues/2774)
- TieredMenu activeItem type should be MenuItem [\#2770](https://github.com/primefaces/primeng/issues/2770)
- FileUpload component not sending Authentication Credentials [\#2745](https://github.com/primefaces/primeng/issues/2745)
- New pDefer Directive [\#2714](https://github.com/primefaces/primeng/issues/2714)
- Two-Way binding support for Growl [\#2712](https://github.com/primefaces/primeng/issues/2712)
- RowTrackBy for DataTable, DataGrid and DataList [\#2633](https://github.com/primefaces/primeng/issues/2633)
- Add onBlur event to p-spinner [\#2524](https://github.com/primefaces/primeng/issues/2524)
- EmptyMessage for AutoComplete [\#2305](https://github.com/primefaces/primeng/issues/2305)
- Add onSelectionChange to OrderList [\#2180](https://github.com/primefaces/primeng/issues/2180)
- Prevent calendar to go out of viewport bounds [\#2128](https://github.com/primefaces/primeng/issues/2128)
- Filtering support for CSV export [\#982](https://github.com/primefaces/primeng/issues/982)

**Fixed bugs:**

- Dialog drag problem with close icon [\#2782](https://github.com/primefaces/primeng/issues/2782)
- Menu component Show\(\) method not working [\#2767](https://github.com/primefaces/primeng/issues/2767)
- TieredMenu routerLink fails [\#2763](https://github.com/primefaces/primeng/issues/2763)
- CSS of accordion interferes with fontawesome [\#2751](https://github.com/primefaces/primeng/issues/2751)
- Scrollable table misaligned if body is smaller than scrollHeight [\#2708](https://github.com/primefaces/primeng/issues/2708)
- Autocomplete component dropdown button style issues in bootstrap  [\#2695](https://github.com/primefaces/primeng/issues/2695)
- Calendar TimeOnly incorrect hourformat [\#2693](https://github.com/primefaces/primeng/issues/2693)
- Calendar year navigator spacing issue in Bootstrap theme [\#2692](https://github.com/primefaces/primeng/issues/2692)
- Carousel pagelinks are not visible [\#2659](https://github.com/primefaces/primeng/issues/2659)
- Android Mask Input Cursor Behind Text [\#2519](https://github.com/primefaces/primeng/issues/2519)
- CSV export fails with comma values [\#2460](https://github.com/primefaces/primeng/issues/2460)

## [4.0.0](https://github.com/primefaces/primeng/tree/4.0.0) (2017-04-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.0-rc.5...4.0.0)

**Fixed bugs:**

- AutoComplete with multiple and dropdown gives error on dropdown click [\#2655](https://github.com/primefaces/primeng/issues/2655)
- Autocomplete gives error if suggestions are initialized on load  [\#2647](https://github.com/primefaces/primeng/issues/2647)

## [4.0.0-rc.5](https://github.com/primefaces/primeng/tree/4.0.0-rc.5) (2017-04-28)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.0-rc.4...4.0.0-rc.5)

**Implemented New Features and Enhancements:**

- DataTable sort support for Immutable Data [\#2630](https://github.com/primefaces/primeng/issues/2630)
- Replace all document body click with document click [\#2628](https://github.com/primefaces/primeng/issues/2628)
- Type property for AutoComplete [\#2627](https://github.com/primefaces/primeng/issues/2627)

**Fixed bugs:**

- p-dropdown crashes when placed on a div with ngIf \(RC.4\) [\#2619](https://github.com/primefaces/primeng/issues/2619)
- DataTable sorting broken when using pagination [\#2618](https://github.com/primefaces/primeng/issues/2618)
- \[showcase\] DataTable selection documentatiton typo [\#2616](https://github.com/primefaces/primeng/issues/2616)
- DataTable, findNextEditableColumn throws exception when using tab from the last cell in the grid [\#2615](https://github.com/primefaces/primeng/issues/2615)
- touched class not set when touching p-editor [\#2614](https://github.com/primefaces/primeng/issues/2614)

## [4.0.0-rc.4](https://github.com/primefaces/primeng/tree/4.0.0-rc.4) (2017-04-27)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.0-rc.3...4.0.0-rc.4)

**Implemented New Features and Enhancements:**

- Remove ngDoCheck from DataTable,DataGrid,DataList,DataScroller [\#2606](https://github.com/primefaces/primeng/issues/2606)
- Multiselect selectedItemsLabel attribute [\#2587](https://github.com/primefaces/primeng/issues/2587)
- Multiselect maxSelectedLabels attribute [\#2586](https://github.com/primefaces/primeng/issues/2586)
- Multiselect displaySelectedLabel attribute [\#2585](https://github.com/primefaces/primeng/issues/2585)
- Add onBlur event to MultiSelect [\#2549](https://github.com/primefaces/primeng/issues/2549)
- MultiSelect label parameter [\#2548](https://github.com/primefaces/primeng/issues/2548)
- Breadcrumb home mouseover displays default cursor [\#2283](https://github.com/primefaces/primeng/issues/2283)

**Fixed bugs:**

- AutoComplete and SplitButton compatibility with Push CDS [\#2612](https://github.com/primefaces/primeng/issues/2612)
- Dropdown autocomplete does not work on FF and Safari [\#2604](https://github.com/primefaces/primeng/issues/2604)
- inputtextarea doc is incorrect [\#2595](https://github.com/primefaces/primeng/issues/2595)
- DropDown with filter and appendTo attributes [\#2581](https://github.com/primefaces/primeng/issues/2581)
- SlideMenu Show method is not working [\#2578](https://github.com/primefaces/primeng/issues/2578)
- Dropdown panel is not as wide as supposed to when appendTo is set to body. [\#2551](https://github.com/primefaces/primeng/issues/2551)
- Autocomplete uses Wrong ElementRef for multiple mode [\#2544](https://github.com/primefaces/primeng/issues/2544)
- PanelMenu router links do not work [\#2522](https://github.com/primefaces/primeng/issues/2522)
- SplitButton iconPos property is unused [\#2483](https://github.com/primefaces/primeng/issues/2483)
- Datatable lazy loading filter loop [\#2405](https://github.com/primefaces/primeng/issues/2405)
- AppendTo body closes MultiSelect [\#2345](https://github.com/primefaces/primeng/issues/2345)

## [4.0.0-rc.3](https://github.com/primefaces/primeng/tree/4.0.0-rc.3) (2017-04-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.6...4.0.0-rc.3)

**Implemented New Features and Enhancements:**

- Tab based cell navigation support for non-editable columns [\#2520](https://github.com/primefaces/primeng/issues/2520)
- Apply focus after dropdown item select [\#2513](https://github.com/primefaces/primeng/issues/2513)
- Add closeCell method to DataTable [\#2511](https://github.com/primefaces/primeng/issues/2511)
- Refactor AutoComplete to use ViewChild [\#2499](https://github.com/primefaces/primeng/issues/2499)
- Collision detection to Dropdown overlay [\#2496](https://github.com/primefaces/primeng/issues/2496)
- Add onMapReady event to GMap [\#2435](https://github.com/primefaces/primeng/issues/2435)
- Add loading property to DataTable [\#2395](https://github.com/primefaces/primeng/issues/2395)
- Always center dialog before reopen [\#2310](https://github.com/primefaces/primeng/issues/2310)
- Keyboard navigation on editable cells with custom editors [\#2124](https://github.com/primefaces/primeng/issues/2124)
- Custom content inside BlockUI [\#1623](https://github.com/primefaces/primeng/issues/1623)

**Fixed bugs:**

- MenuBar router links do not work [\#2512](https://github.com/primefaces/primeng/issues/2512)
- onNodeDrop doesn't cover onDropPoint [\#2510](https://github.com/primefaces/primeng/issues/2510)
- Sorting on lazy pagination does not reset paginator [\#2493](https://github.com/primefaces/primeng/issues/2493)
- Autocomplete - cursor allways move to the end of the string [\#2488](https://github.com/primefaces/primeng/issues/2488)
- UTF support for CSV export [\#2473](https://github.com/primefaces/primeng/issues/2473)
- AutoComplete hides when click inside input [\#2466](https://github.com/primefaces/primeng/issues/2466)
- Dialogs fail if visible by default [\#2428](https://github.com/primefaces/primeng/issues/2428)
- Calendar selected date is off a day [\#2426](https://github.com/primefaces/primeng/issues/2426)

## [2.0.6](https://github.com/primefaces/primeng/tree/2.0.6) (2017-04-12)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.0-rc.2...2.0.6)

**Fixed bugs:**

- Checkboxes of a disabled listbox are still editable [\#2476](https://github.com/primefaces/primeng/issues/2476)
- Multiselect checkbox gets selected automatically if no search results are found [\#2418](https://github.com/primefaces/primeng/issues/2418)
- Listbox checkbox gets selected automatically if no search results are found [\#2417](https://github.com/primefaces/primeng/issues/2417)

## [4.0.0-rc.2](https://github.com/primefaces/primeng/tree/4.0.0-rc.2) (2017-03-29)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.5...4.0.0-rc.2)

**Implemented New Features and Enhancements:**

- Rename Dialog events [\#2413](https://github.com/primefaces/primeng/issues/2413)
- Immutability support for array properties [\#2396](https://github.com/primefaces/primeng/issues/2396)
- Add routerLinkActive support to Menu Components [\#2393](https://github.com/primefaces/primeng/issues/2393)
- Dynamic Locale support for Calendar [\#2361](https://github.com/primefaces/primeng/issues/2361)
- Add dataKey to Input List components [\#2357](https://github.com/primefaces/primeng/issues/2357)
- Introduce dataKey to DataTable [\#2356](https://github.com/primefaces/primeng/issues/2356)
- Remove overflow from dialog [\#2355](https://github.com/primefaces/primeng/issues/2355)
- Custom header support for Fieldset legend [\#2344](https://github.com/primefaces/primeng/issues/2344)
- Autocomplete with onBlur event [\#2256](https://github.com/primefaces/primeng/issues/2256)
- Add return statement to captcha [\#2132](https://github.com/primefaces/primeng/issues/2132)
- Allow editor template access rowIndex in datatable [\#2104](https://github.com/primefaces/primeng/issues/2104)
- Highlight first item in AutoComplete [\#2040](https://github.com/primefaces/primeng/issues/2040)
- Switch cell to view mode when focus is lost on editable cells [\#1924](https://github.com/primefaces/primeng/issues/1924)
- FileUpload. There is no validation for accept types [\#1694](https://github.com/primefaces/primeng/issues/1694)
- Calendar disable specific dates and/or days such as holidays or weekends [\#1690](https://github.com/primefaces/primeng/issues/1690)
- Datatable selection detection can not work if its value is immutable object array [\#1530](https://github.com/primefaces/primeng/issues/1530)
- HTML support in tooltip [\#377](https://github.com/primefaces/primeng/issues/377)

**Fixed bugs:**

- AutoComplete Dropdown UI Flicker on Hover [\#2392](https://github.com/primefaces/primeng/issues/2392)
- AutoComplete Dropdown click throws error [\#2391](https://github.com/primefaces/primeng/issues/2391)
- dt.filter\(\) method in dataTable causes ExpressionChangedAfterItHasBeenCheckedError [\#2384](https://github.com/primefaces/primeng/issues/2384)
- Menu with appendTo is not properly destroyed [\#2366](https://github.com/primefaces/primeng/issues/2366)
- Calendar time format problem with PM [\#2359](https://github.com/primefaces/primeng/issues/2359)
- ExpressionChangedAfterItHasBeenCheckedError with input directives [\#2307](https://github.com/primefaces/primeng/issues/2307)
- Fluid buttons with icons misalignment [\#2304](https://github.com/primefaces/primeng/issues/2304)
- Schedule has an infinite loop on the event. [\#2264](https://github.com/primefaces/primeng/issues/2264)
- Disabled autocomplete values are still deletable [\#2252](https://github.com/primefaces/primeng/issues/2252)
- Potential calendar time dateFormat bug [\#2244](https://github.com/primefaces/primeng/issues/2244)
- Calendar doesnt play well with OnPush change detection strategy [\#2148](https://github.com/primefaces/primeng/issues/2148)
- Reset filter of dropdown if model changes [\#2043](https://github.com/primefaces/primeng/issues/2043)
- Dropdown does not hide on Push ChangeDetection [\#1754](https://github.com/primefaces/primeng/issues/1754)
- SlideMenu breaks initial app load: Expression has changed after it was checked [\#1677](https://github.com/primefaces/primeng/issues/1677)
- Lazy loaded data tables never set multiSortMeta [\#1476](https://github.com/primefaces/primeng/issues/1476)
- Calendar issue UTC - beta19 [\#1113](https://github.com/primefaces/primeng/issues/1113)
- Dialog visible attr change not triggers any hide events [\#956](https://github.com/primefaces/primeng/issues/956)

## [2.0.5](https://github.com/primefaces/primeng/tree/2.0.5) (2017-03-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.4...2.0.5)

**Fixed bugs:**

- Footers are not displayed in Scrollable Table [\#2350](https://github.com/primefaces/primeng/issues/2350)
- ContextMenu onDestroy may cause reference error [\#2349](https://github.com/primefaces/primeng/issues/2349)

## [2.0.4](https://github.com/primefaces/primeng/tree/2.0.4) (2017-03-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/4.0.0-rc.1...2.0.4)

**Implemented New Features and Enhancements:**

- Mutiselect: no space after comma [\#2331](https://github.com/primefaces/primeng/issues/2331)
- EmptyMessage for DataList [\#2324](https://github.com/primefaces/primeng/issues/2324)

**Fixed bugs:**

- SplitButton panel is not shown on top [\#2332](https://github.com/primefaces/primeng/issues/2332)
- Pass global filter to LazyLoadEvent [\#2330](https://github.com/primefaces/primeng/issues/2330)
- Paginators not in sync for DataTable, DataList and DataGrid [\#2329](https://github.com/primefaces/primeng/issues/2329)
- Dropdown panel misaligned on filtering with appendTo [\#2328](https://github.com/primefaces/primeng/issues/2328)
- Ensure that document functions exist before calling in ngOnDestroy\(\)  [\#2327](https://github.com/primefaces/primeng/issues/2327)
- class .ui-inputwrapper-filled is not removed on Calendar [\#2326](https://github.com/primefaces/primeng/issues/2326)
- Calendar does not populate date the second time [\#2325](https://github.com/primefaces/primeng/issues/2325)
- Filter of a disabled listbox still functions [\#2323](https://github.com/primefaces/primeng/issues/2323)

## [4.0.0-rc.1](https://github.com/primefaces/primeng/tree/4.0.0-rc.1) (2017-03-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.3...4.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Add immutable mode to DataTable [\#2282](https://github.com/primefaces/primeng/issues/2282)
- EmptyMessage for DataList [\#2255](https://github.com/primefaces/primeng/issues/2255)
- Add activeIndex to TabView to change tab by code [\#2253](https://github.com/primefaces/primeng/issues/2253)
- Mutiselect: no space after comma [\#2250](https://github.com/primefaces/primeng/issues/2250)
- Selectable property for TreeNode [\#2218](https://github.com/primefaces/primeng/issues/2218)
- Improve absolute positioning with flipfit [\#1904](https://github.com/primefaces/primeng/issues/1904)
- PropagateSelection option for tree [\#1849](https://github.com/primefaces/primeng/issues/1849)
- Feature Request: Add drag and drop support to the tree [\#683](https://github.com/primefaces/primeng/issues/683)
- Class 'ui-state-active' is missing on checkbox for selecting all options in multiselect [\#416](https://github.com/primefaces/primeng/issues/416)
- Attach ContextMenu to any Element [\#358](https://github.com/primefaces/primeng/issues/358)
- ContextMenu in TreeTable [\#274](https://github.com/primefaces/primeng/issues/274)
- Prevent soft keyboard on calendar [\#149](https://github.com/primefaces/primeng/issues/149)

**Fixed bugs:**

- Filter of a disabled listbox still functions [\#2296](https://github.com/primefaces/primeng/issues/2296)
- ui-state-filled not managed property on inputtext [\#2295](https://github.com/primefaces/primeng/issues/2295)
- Calendar error at click in date [\#2267](https://github.com/primefaces/primeng/issues/2267)
- Paginators not in sync for DataTable, DataList and DataGrid [\#2263](https://github.com/primefaces/primeng/issues/2263)
- class .ui-inputwrapper-filled is not removed on Calendar [\#2246](https://github.com/primefaces/primeng/issues/2246)
- Ensure that document functions exist before calling in ngOnDestroy\(\) [\#2149](https://github.com/primefaces/primeng/issues/2149)
- Footers are not displayed in Scrollable Table [\#273](https://github.com/primefaces/primeng/issues/273)

## [2.0.3](https://github.com/primefaces/primeng/tree/2.0.3) (2017-03-08)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.2...2.0.3)

**Implemented New Features and Enhancements:**

- ChangeDetection for Charts [\#2235](https://github.com/primefaces/primeng/issues/2235)
- Move animations to new package [\#2234](https://github.com/primefaces/primeng/issues/2234)
- Migrate to ng-template [\#2233](https://github.com/primefaces/primeng/issues/2233)
- pPassword needs attribute to switch on/off metering panel [\#2187](https://github.com/primefaces/primeng/issues/2187)

**Fixed bugs:**

- SplitButton panel is not shown on top [\#2228](https://github.com/primefaces/primeng/issues/2228)

## [2.0.2](https://github.com/primefaces/primeng/tree/2.0.2) (2017-03-03)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.1...2.0.2)

**Implemented New Features and Enhancements:**

- onPage event for DataGrid [\#2211](https://github.com/primefaces/primeng/issues/2211)
- target support for menu items [\#2210](https://github.com/primefaces/primeng/issues/2210)
- reinit\(\) method to Chart [\#2204](https://github.com/primefaces/primeng/issues/2204)
- onSourceReorder and onTargetReorder events for PickList [\#2203](https://github.com/primefaces/primeng/issues/2203)
- expose the carousel event  [\#2201](https://github.com/primefaces/primeng/issues/2201)
- Change locale of Schedule string [\#2188](https://github.com/primefaces/primeng/issues/2188)
- Add key to ConfirmDialog [\#2186](https://github.com/primefaces/primeng/issues/2186)
- Improve autocomplete performance [\#2166](https://github.com/primefaces/primeng/issues/2166)
- Option to disable formatting in Spinner [\#2161](https://github.com/primefaces/primeng/issues/2161)
- onFocus support for autocomplete [\#2136](https://github.com/primefaces/primeng/issues/2136)
- DataTable expandableRows single mode [\#995](https://github.com/primefaces/primeng/issues/995)
- New Component: Inplace [\#970](https://github.com/primefaces/primeng/issues/970)
- onPage event for DataList [\#412](https://github.com/primefaces/primeng/issues/412)
- Dropdown Placeholder Capability [\#234](https://github.com/primefaces/primeng/issues/234)

**Fixed bugs:**

- MenuBar visuals broken on IE11 [\#2175](https://github.com/primefaces/primeng/issues/2175)
- ContextMenu freeze with routerLink and appendTo=body [\#2160](https://github.com/primefaces/primeng/issues/2160)
- DataTable Memory problem after update to 2.0.1 [\#2133](https://github.com/primefaces/primeng/issues/2133)
- Listbox disabled allows item selection [\#2108](https://github.com/primefaces/primeng/issues/2108)
- Schedule Drag and Resize do not update the event data [\#2070](https://github.com/primefaces/primeng/issues/2070)
- Dragging schedule events moves all events [\#2017](https://github.com/primefaces/primeng/issues/2017)
- Files not removed correctly in file upload [\#1707](https://github.com/primefaces/primeng/issues/1707)

## [2.0.1](https://github.com/primefaces/primeng/tree/2.0.1) (2017-02-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.0...2.0.1)

**Implemented New Features and Enhancements:**

- Customizable Multiple selection mode for TreeTable [\#2100](https://github.com/primefaces/primeng/issues/2100)
- Customizable Multiple selection mode for Tree [\#2099](https://github.com/primefaces/primeng/issues/2099)
- Customizable Multiple selection mode for DataTable [\#2098](https://github.com/primefaces/primeng/issues/2098)
- Customizable Multiple selection mode for PickList [\#2097](https://github.com/primefaces/primeng/issues/2097)
- Customizable Multiple selection mode for OrderList [\#2096](https://github.com/primefaces/primeng/issues/2096)
- Customizable Multiple selection mode for Listbox [\#2094](https://github.com/primefaces/primeng/issues/2094)
- Virtual Scrolling for DataTable [\#2062](https://github.com/primefaces/primeng/issues/2062)
- Use ViewChild to access DataScroller [\#2061](https://github.com/primefaces/primeng/issues/2061)
- Checkbox selection for TreeTable [\#2060](https://github.com/primefaces/primeng/issues/2060)
- Multiselect missing documentation [\#2041](https://github.com/primefaces/primeng/issues/2041)
- Captcha Component [\#2027](https://github.com/primefaces/primeng/issues/2027)

**Fixed bugs:**

- DataTable Cell failed to turn to Edit mode after 2nd time click [\#2120](https://github.com/primefaces/primeng/issues/2120)
- Spinner buttons post the form [\#2105](https://github.com/primefaces/primeng/issues/2105)
- AutoComplete field resolution lacks chaining [\#2092](https://github.com/primefaces/primeng/issues/2092)
- Refactor equals check in DomHandler [\#2091](https://github.com/primefaces/primeng/issues/2091)
- "showTargetControls" attribute has no effect on target wrapper of PickList [\#2077](https://github.com/primefaces/primeng/issues/2077)
- \[showcase\]Setup wrong import file path [\#2053](https://github.com/primefaces/primeng/issues/2053)
- Autocomplete dropdown focus [\#2037](https://github.com/primefaces/primeng/issues/2037)
- Tree leaf and non-leaf items are not aligned [\#2019](https://github.com/primefaces/primeng/issues/2019)
- Unable to delete characters from Spinner's input field \(Firefox only\) [\#2012](https://github.com/primefaces/primeng/issues/2012)
- Large dialog content or small screens causes the dialog to be positioned outside the viewport [\#1925](https://github.com/primefaces/primeng/issues/1925)
- \[Bug\] Memory leak in DataTable with column template [\#1780](https://github.com/primefaces/primeng/issues/1780)

## [2.0.0](https://github.com/primefaces/primeng/tree/2.0.0) (2017-02-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.0-rc.3...2.0.0)

**Implemented New Features and Enhancements:**

- TriStateCheckbox support for ChangeDetectionStrategy.OnPush [\#2002](https://github.com/primefaces/primeng/issues/2002)
- Add target option to menumodel [\#1994](https://github.com/primefaces/primeng/issues/1994)
- Lightbox appendTo option [\#1987](https://github.com/primefaces/primeng/issues/1987)

**Fixed bugs:**

- Horizontal tree misses hover on selection [\#1995](https://github.com/primefaces/primeng/issues/1995)
- Popup menu positioning on window resize [\#1982](https://github.com/primefaces/primeng/issues/1982)
- Spinner onChange doesn't fire with buttons [\#1927](https://github.com/primefaces/primeng/issues/1927)
- p-inputMask not updating [\#1868](https://github.com/primefaces/primeng/issues/1868)

## [2.0.0-rc.3](https://github.com/primefaces/primeng/tree/2.0.0-rc.3) (2017-02-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.0-rc.2...2.0.0-rc.3)

**Implemented New Features and Enhancements:**

- Use ViewChild to select elements in MultiSelect [\#1977](https://github.com/primefaces/primeng/issues/1977)
- Add options property to Schedule [\#1976](https://github.com/primefaces/primeng/issues/1976)
- Tooltip offset inside scrollable container [\#1974](https://github.com/primefaces/primeng/issues/1974)
- AppendTo Target mode for tooltip [\#1968](https://github.com/primefaces/primeng/issues/1968)
- Add visible to menuitem api [\#1959](https://github.com/primefaces/primeng/issues/1959)
- Add contentStyle to dialog [\#1956](https://github.com/primefaces/primeng/issues/1956)
- Multiselect appendTo option [\#1837](https://github.com/primefaces/primeng/issues/1837)
- Tooltip: add a styleClass attribute [\#1510](https://github.com/primefaces/primeng/issues/1510)

**Fixed bugs:**

- Dropdown does not support ChangeDetection Push strategy [\#1971](https://github.com/primefaces/primeng/issues/1971)
- Bootstrap theme misses invalid input styles [\#1970](https://github.com/primefaces/primeng/issues/1970)
- Chips do not display invalid style [\#1969](https://github.com/primefaces/primeng/issues/1969)
- AutoComplete dropdown misaligned in multiple mode [\#1967](https://github.com/primefaces/primeng/issues/1967)
- ConfirmDialog should export SharedModule [\#1958](https://github.com/primefaces/primeng/issues/1958)
- Rename disabled of tooltip to disabledTooltip [\#1955](https://github.com/primefaces/primeng/issues/1955)
- Disabled inputs can still get hover [\#1954](https://github.com/primefaces/primeng/issues/1954)
- DataTable rowIndex in body template is NaN [\#1929](https://github.com/primefaces/primeng/issues/1929)
- Scheduler do not load initial events [\#1915](https://github.com/primefaces/primeng/issues/1915)
- event is undefined in Listbox multiple checkbox select [\#1887](https://github.com/primefaces/primeng/issues/1887)
- Ensure that document functions exist before calling in ngOnDestroy\(\) [\#1672](https://github.com/primefaces/primeng/issues/1672)
- Calender : in 12 hourformat manually editing values not updating   [\#1648](https://github.com/primefaces/primeng/issues/1648)
- XSS vulnerability on p-tooltip [\#1558](https://github.com/primefaces/primeng/issues/1558)

## [2.0.0-rc.2](https://github.com/primefaces/primeng/tree/2.0.0-rc.2) (2017-01-27)

[Full Changelog](https://github.com/primefaces/primeng/compare/2.0.0-rc.1...2.0.0-rc.2)

**Implemented New Features and Enhancements:**

- Enhance DataTable Scrolling [\#1921](https://github.com/primefaces/primeng/issues/1921)
- Push change detection for RadioButton and Checkbox [\#1920](https://github.com/primefaces/primeng/issues/1920)

**Fixed bugs:**

- Multiselect: select all option does not work well when using the filter [\#1870](https://github.com/primefaces/primeng/issues/1870)
- Remove accordion overflow [\#1869](https://github.com/primefaces/primeng/issues/1869)
- DataTable emptyMessage not working 2.0.0-rc.1  [\#1866](https://github.com/primefaces/primeng/issues/1866)
- Listbox: select all option does not work well when using the filter [\#1862](https://github.com/primefaces/primeng/issues/1862)
- Offset when opening up menu  [\#1854](https://github.com/primefaces/primeng/issues/1854)

## [2.0.0-rc.1](https://github.com/primefaces/primeng/tree/2.0.0-rc.1) (2017-01-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.1.4...2.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Cosmetics for SplitButton [\#1852](https://github.com/primefaces/primeng/issues/1852)
- Use buttons for Spinner instead of anchors [\#1850](https://github.com/primefaces/primeng/issues/1850)
- Improve Growl CSS [\#1848](https://github.com/primefaces/primeng/issues/1848)
- Improve dropdown performance [\#1847](https://github.com/primefaces/primeng/issues/1847)
- Use native animations for dropdown [\#1846](https://github.com/primefaces/primeng/issues/1846)
- style and styleClass for Growl [\#1839](https://github.com/primefaces/primeng/issues/1839)
- Update full calendar to 3.1. [\#1825](https://github.com/primefaces/primeng/issues/1825)
- Replace viewRender with onViewRender in schedule [\#1824](https://github.com/primefaces/primeng/issues/1824)
- Lazy Loading for Accordion and TabView [\#1808](https://github.com/primefaces/primeng/issues/1808)
- Custom header and footer support for Calendar [\#1794](https://github.com/primefaces/primeng/issues/1794)
- StepHour and StepMinute for calendar [\#1791](https://github.com/primefaces/primeng/issues/1791)
- Calendar performance issues [\#1781](https://github.com/primefaces/primeng/issues/1781)
- Editor Toolbar Accessibility [\#1769](https://github.com/primefaces/primeng/issues/1769)
- Dropdown should open using the space key [\#1767](https://github.com/primefaces/primeng/issues/1767)
- Enhance Dropdown event binding for performance [\#1757](https://github.com/primefaces/primeng/issues/1757)
- Add sortField to column [\#1743](https://github.com/primefaces/primeng/issues/1743)
- Frozen Columns for DataTable [\#1742](https://github.com/primefaces/primeng/issues/1742)
- Calendar control validity state [\#1676](https://github.com/primefaces/primeng/issues/1676)
- Readonly support for Dropdown [\#1524](https://github.com/primefaces/primeng/issues/1524)
- Seconds support for Calendar [\#1454](https://github.com/primefaces/primeng/issues/1454)
- Column resize and reorder support for Scrollable DataTable [\#1005](https://github.com/primefaces/primeng/issues/1005)
- New Component: BlockUI [\#976](https://github.com/primefaces/primeng/issues/976)
- Disabled for Tooltip [\#460](https://github.com/primefaces/primeng/issues/460)

**Fixed bugs:**

- BlockUI target element style attribute [\#1857](https://github.com/primefaces/primeng/issues/1857)
- Calendar button issue with ui-fluid [\#1853](https://github.com/primefaces/primeng/issues/1853)
- DataTable resize helper positioning issue [\#1826](https://github.com/primefaces/primeng/issues/1826)
- Autocomplete readonly [\#1786](https://github.com/primefaces/primeng/issues/1786)
- onFocus for Calendar [\#1766](https://github.com/primefaces/primeng/issues/1766)
- Single FileUpload still behaves as multiple [\#1759](https://github.com/primefaces/primeng/issues/1759)
- Memory leak in calendar [\#1758](https://github.com/primefaces/primeng/issues/1758)
- p-InputMask does not update its 'filled' property when use within a FormGroup [\#1734](https://github.com/primefaces/primeng/issues/1734)
- Button with Icon: the label is not updated when used with a pipe [\#1719](https://github.com/primefaces/primeng/issues/1719)
- p-multiselect label is not updated when ngModel changes [\#1696](https://github.com/primefaces/primeng/issues/1696)
- Button label updates icon instead of label. [\#1685](https://github.com/primefaces/primeng/issues/1685)
- p-dataTable does not render when multiSortMeta is set [\#1663](https://github.com/primefaces/primeng/issues/1663)
- Templating fails when using any \*ng directives [\#1655](https://github.com/primefaces/primeng/issues/1655)
- DataTable still propagating endless onLazyLoad events - previous case \#1434 [\#1502](https://github.com/primefaces/primeng/issues/1502)

## [1.1.4](https://github.com/primefaces/primeng/tree/1.1.4) (2017-01-05)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.1.3...1.1.4)

**Implemented New Features and Enhancements:**

- Datepicker showOnFocus method [\#1738](https://github.com/primefaces/primeng/issues/1738)
- \[Feature Request\] Allow FileUpload toolbar customization similar to that of the Toolbar component. [\#1712](https://github.com/primefaces/primeng/issues/1712)
- Refactor TabView navigator part [\#1687](https://github.com/primefaces/primeng/issues/1687)
- Custom Editor for DataTable cell? [\#360](https://github.com/primefaces/primeng/issues/360)

**Fixed bugs:**

- p-header is not a know element for panel and editor [\#1735](https://github.com/primefaces/primeng/issues/1735)
- DataTable scrollable doesn't show the header of the sorted field [\#1600](https://github.com/primefaces/primeng/issues/1600)

## [1.1.3](https://github.com/primefaces/primeng/tree/1.1.3) (2017-01-03)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.1.2...1.1.3)

**Implemented New Features and Enhancements:**

- Replace Header and Footer with p-header and p-footer [\#1710](https://github.com/primefaces/primeng/issues/1710)
- \[ Feature Request \] Dialogs to have option to hide header  [\#1709](https://github.com/primefaces/primeng/issues/1709)
- Use font icons in rating [\#1686](https://github.com/primefaces/primeng/issues/1686)
- Contextmenu submenu appears out of view area [\#1596](https://github.com/primefaces/primeng/issues/1596)
- Replace JS based hover and focus with pseudo classes [\#1536](https://github.com/primefaces/primeng/issues/1536)
- Bootstrap theme 2.0 migration [\#1716](https://github.com/primefaces/primeng/issues/1716)

**Fixed bugs:**

- DataTable cells with templating are not updated [\#1711](https://github.com/primefaces/primeng/issues/1711)

## [1.1.2](https://github.com/primefaces/primeng/tree/1.1.2) (2016-12-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.1.1...1.1.2)

**Fixed bugs:**

- Calendar button inside ui-fluid [\#1662](https://github.com/primefaces/primeng/issues/1662)
- Data Table 'trackBy must be a function, but received undefined' [\#1652](https://github.com/primefaces/primeng/issues/1652)

## [1.1.1](https://github.com/primefaces/primeng/tree/1.1.1) (2016-12-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.1.0...1.1.1)

**Implemented New Features and Enhancements:**

- Expose toggleRow for DataTable [\#1644](https://github.com/primefaces/primeng/issues/1644)
- Disabled chips should not display close icon [\#1635](https://github.com/primefaces/primeng/issues/1635)
- Add appendTo for AutoComplete [\#1616](https://github.com/primefaces/primeng/issues/1616)
- \[Enhancement\] DataTable hover highlighting [\#1480](https://github.com/primefaces/primeng/issues/1480)
- DataTable should have @Input\(\) first: number [\#660](https://github.com/primefaces/primeng/issues/660)

**Fixed bugs:**

- 'acc' at end of css line causing error. [\#1639](https://github.com/primefaces/primeng/issues/1639)
- Button icon is offset [\#1636](https://github.com/primefaces/primeng/issues/1636)
- Empty dropdown option label not displayed properly [\#1626](https://github.com/primefaces/primeng/issues/1626)
- Bootstrap Theme - Overwrites Application Style [\#1624](https://github.com/primefaces/primeng/issues/1624)
- New bootstrap theme: dropdown in datatable filter has invisible options [\#1618](https://github.com/primefaces/primeng/issues/1618)
- Datatable: \[rowStyleClass\] method isn't called if the table has \[scrollable\]=true [\#1613](https://github.com/primefaces/primeng/issues/1613)
- CSS media queries for ui-grid fails [\#1602](https://github.com/primefaces/primeng/issues/1602)
- Paginator is broken in bootstrap theme [\#1598](https://github.com/primefaces/primeng/issues/1598)
- Accessibility for Togglebutton [\#1597](https://github.com/primefaces/primeng/issues/1597)
- Multiple dropdown autocomplete can't be disabled [\#1592](https://github.com/primefaces/primeng/issues/1592)
- Calendar Select Other Month issue [\#1475](https://github.com/primefaces/primeng/issues/1475)
- Button icon is not dynamic [\#1408](https://github.com/primefaces/primeng/issues/1408)
- Datatable column sorting does not work with global filter [\#654](https://github.com/primefaces/primeng/issues/654)

## [1.1.0](https://github.com/primefaces/primeng/tree/1.1.0) (2016-12-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.1...1.1.0)

**Implemented New Features and Enhancements:**

- Severity buttons [\#1584](https://github.com/primefaces/primeng/issues/1584)
- Add appendTo for context menu [\#1583](https://github.com/primefaces/primeng/issues/1583)
- Pass original event to chip events [\#1581](https://github.com/primefaces/primeng/issues/1581)
- Deprecate type property of pTemplate [\#1572](https://github.com/primefaces/primeng/issues/1572)
- Pass original event to onRowExpand and onRowCollapse [\#1571](https://github.com/primefaces/primeng/issues/1571)
- Community Themes Refactor [\#1559](https://github.com/primefaces/primeng/issues/1559)
- Migrate MegaMenu to new Grid CSS [\#1555](https://github.com/primefaces/primeng/issues/1555)
- Missing tabindex for calendar [\#1549](https://github.com/primefaces/primeng/issues/1549)
- Code review CSS of all components [\#1547](https://github.com/primefaces/primeng/issues/1547)
- Replace px with em unit [\#1545](https://github.com/primefaces/primeng/issues/1545)
- appendTo support for components [\#1544](https://github.com/primefaces/primeng/issues/1544)
- \[Enhancement\] Ability to make Calendar HTML5 Required [\#1540](https://github.com/primefaces/primeng/issues/1540)
- Provide rowIndex to DataList template [\#1539](https://github.com/primefaces/primeng/issues/1539)
- Require a pTemplate for RowExpansion [\#1533](https://github.com/primefaces/primeng/issues/1533)
- New FilterMatchModes for DataTable: "in" and "equals" [\#1527](https://github.com/primefaces/primeng/issues/1527)
- Filtering for Listbox [\#1518](https://github.com/primefaces/primeng/issues/1518)
- onSlideEnd of slider should pass the value [\#1515](https://github.com/primefaces/primeng/issues/1515)
- New Bootstrap Theme [\#1512](https://github.com/primefaces/primeng/issues/1512)
- Expose home menuitem in breadcrumb [\#1509](https://github.com/primefaces/primeng/issues/1509)
- Checkbox support for Listbox [\#1469](https://github.com/primefaces/primeng/issues/1469)
- Improve documentation for dependencies – e.g. Quill [\#1457](https://github.com/primefaces/primeng/issues/1457)
- Migrate all primeng component's css to box-sizing: border-box [\#1379](https://github.com/primefaces/primeng/issues/1379)
- Bootstrap compatibility [\#1236](https://github.com/primefaces/primeng/issues/1236)
- Row Grouping on DataTable [\#403](https://github.com/primefaces/primeng/issues/403)
- Custom Filter Elements for DataTable [\#196](https://github.com/primefaces/primeng/issues/196)

**Fixed bugs:**

- Null check for DataTable resolve field data [\#1579](https://github.com/primefaces/primeng/issues/1579)
- p-chips doesn't fire onRemove if chip is deleted with backspace [\#1556](https://github.com/primefaces/primeng/issues/1556)
- datatable: error on destroy if not initialized [\#1520](https://github.com/primefaces/primeng/issues/1520)
- Chips empty value problem [\#1507](https://github.com/primefaces/primeng/issues/1507)
- Add positionStyle property to tooltip [\#1506](https://github.com/primefaces/primeng/issues/1506)
- Karma test throws "documentResizeListener is not a function" message in dialog.js [\#1314](https://github.com/primefaces/primeng/issues/1314)
- Autocomplete panel opens after user tabs off field [\#1277](https://github.com/primefaces/primeng/issues/1277)
- Bug in bootstrap theme for growl componemt [\#1187](https://github.com/primefaces/primeng/issues/1187)
- Bootstrap theme. .ui-growl-item-container.ui-state-highlight.ui-growl-message-... is not defined [\#1143](https://github.com/primefaces/primeng/issues/1143)

## [1.0.1](https://github.com/primefaces/primeng/tree/1.0.1) (2016-12-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0...1.0.1)

**Implemented New Features and Enhancements:**

- DecimalSeparator and ThousandSeparator for Spinner [\#1472](https://github.com/primefaces/primeng/issues/1472)
- New Component: Chips [\#1380](https://github.com/primefaces/primeng/issues/1380)
- Checkbox Selection Mode for Tree [\#1130](https://github.com/primefaces/primeng/issues/1130)

**Fixed bugs:**

- Disabled dropdown receives focus [\#1481](https://github.com/primefaces/primeng/issues/1481)
- BlockUI does not block scrollable content  [\#1467](https://github.com/primefaces/primeng/issues/1467)
- Drag and Drop: Cannot read property 'parentNode' of undefined [\#1462](https://github.com/primefaces/primeng/issues/1462)
- InputMask name attribute is undefined [\#1445](https://github.com/primefaces/primeng/issues/1445)
- \<p-tabView orientation="bottom"\> doesn't work correctly [\#1442](https://github.com/primefaces/primeng/issues/1442)
- Lazy Loading looping issue [\#1434](https://github.com/primefaces/primeng/issues/1434)
- Reactive RadioButtons not grouped [\#1420](https://github.com/primefaces/primeng/issues/1420)
- Calendar issues with time [\#1417](https://github.com/primefaces/primeng/issues/1417)
- Schedule onDrop event does not pass date [\#1415](https://github.com/primefaces/primeng/issues/1415)
- Dropdrown appendTo="body" miss calculation [\#1411](https://github.com/primefaces/primeng/issues/1411)
- Datatable resize with facets [\#1403](https://github.com/primefaces/primeng/issues/1403)
- Calendar minDate and maxDate bindings don't work [\#1150](https://github.com/primefaces/primeng/issues/1150)
- Drag and Drop not working in IE11 [\#632](https://github.com/primefaces/primeng/issues/632)

## [1.0.0](https://github.com/primefaces/primeng/tree/1.0.0) (2016-11-23)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.7...1.0.0)

**Implemented New Features and Enhancements:**

- Keyboard accessibility for Checkbox [\#836](https://github.com/primefaces/primeng/issues/836)

**Fixed bugs:**

- Datatable column template and expandable rows [\#1396](https://github.com/primefaces/primeng/issues/1396)

## [1.0.0-rc.7](https://github.com/primefaces/primeng/tree/1.0.0-rc.7) (2016-11-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.6...1.0.0-rc.7)

**Fixed bugs:**

- Calendar,SplitButton are broken under ui-fluid [\#1395](https://github.com/primefaces/primeng/issues/1395)
- Tooltip Positioning Issues [\#1383](https://github.com/primefaces/primeng/issues/1383)
- onContextMenuSelect in datatable is not documented in showcase [\#1377](https://github.com/primefaces/primeng/issues/1377)
- Omega theme: Gradient has outdated direction syntax [\#1376](https://github.com/primefaces/primeng/issues/1376)
- Datatable error with selection \(on firefox\) [\#1084](https://github.com/primefaces/primeng/issues/1084)
- Empty tooltips are still displayed [\#705](https://github.com/primefaces/primeng/issues/705)

## [1.0.0-rc.6](https://github.com/primefaces/primeng/tree/1.0.0-rc.6) (2016-11-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.5...1.0.0-rc.6)

**Implemented New Features and Enhancements:**

- Compatibility with 2.2.0 [\#1369](https://github.com/primefaces/primeng/issues/1369)

**Fixed bugs:**

- AccordionTab header collapsing with datatable headerFacet [\#1375](https://github.com/primefaces/primeng/issues/1375)
- Datatable draggable=true when filtering [\#1364](https://github.com/primefaces/primeng/issues/1364)
- Charts keep reloading [\#1363](https://github.com/primefaces/primeng/issues/1363)
- RC5: Updating data does not reflect changes when filtered  [\#1362](https://github.com/primefaces/primeng/issues/1362)
- ui-fluid breaks schedule buttons [\#1359](https://github.com/primefaces/primeng/issues/1359)
- SplitButton RC.5 disabled state is broken [\#1353](https://github.com/primefaces/primeng/issues/1353)
- Remove problematic change detection for charts [\#1352](https://github.com/primefaces/primeng/issues/1352)
- Editable Dropdown disabled not working [\#1351](https://github.com/primefaces/primeng/issues/1351)
- Dropdown appendTo doesn't work as intended [\#1348](https://github.com/primefaces/primeng/issues/1348)
- PanelMenu rootitem should not display content if there are no subitems [\#1347](https://github.com/primefaces/primeng/issues/1347)
- Placeholder text isn't displayed correctly on InputMask [\#1345](https://github.com/primefaces/primeng/issues/1345)

## [1.0.0-rc.5](https://github.com/primefaces/primeng/tree/1.0.0-rc.5) (2016-11-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.4...1.0.0-rc.5)

**Implemented New Features and Enhancements:**

- AutoComplete multiple option have no placeholder [\#1329](https://github.com/primefaces/primeng/issues/1329)
- Set minLength of autocomplete as 1 by default [\#1323](https://github.com/primefaces/primeng/issues/1323)
- Down arrow should execute autocomplete [\#1322](https://github.com/primefaces/primeng/issues/1322)
- Row based styling for DataTable [\#1296](https://github.com/primefaces/primeng/issues/1296)
- Spinner buttons overlay [\#1293](https://github.com/primefaces/primeng/issues/1293)
- Refactor Calendar dom query [\#1290](https://github.com/primefaces/primeng/issues/1290)
- Add toggle\(\) to ContextMenu [\#1289](https://github.com/primefaces/primeng/issues/1289)
- Refactor SplitButton [\#1288](https://github.com/primefaces/primeng/issues/1288)
- Steps component should start from 1 [\#1273](https://github.com/primefaces/primeng/issues/1273)
- Style and StyleClass for Dialog [\#1263](https://github.com/primefaces/primeng/issues/1263)
- Auto width for Dialog [\#1262](https://github.com/primefaces/primeng/issues/1262)
- p-fileupload button labels [\#1247](https://github.com/primefaces/primeng/issues/1247)
- multiselect filter logic should be contains [\#1131](https://github.com/primefaces/primeng/issues/1131)
- Add trackBy to DataTable [\#1057](https://github.com/primefaces/primeng/issues/1057)
- Improve TreeTable performance [\#1032](https://github.com/primefaces/primeng/issues/1032)

**Fixed bugs:**

- Column reordering misbehaves [\#1327](https://github.com/primefaces/primeng/issues/1327)
- Reorder icons misaligned on FF and IE for datatable [\#1326](https://github.com/primefaces/primeng/issues/1326)
- Growl : TypeError when adding to message array before the component is initialised. [\#1324](https://github.com/primefaces/primeng/issues/1324)
- AutoComplete shows list even input doesn't have focus [\#1321](https://github.com/primefaces/primeng/issues/1321)
- DataTable resizing fails when inside invisible container [\#1320](https://github.com/primefaces/primeng/issues/1320)
- Toolbardemo not working in IE according to wrong html [\#1302](https://github.com/primefaces/primeng/issues/1302)
- Treetable borders are not visible in IE [\#1300](https://github.com/primefaces/primeng/issues/1300)
- Editable dropdown is not in sync with model [\#1298](https://github.com/primefaces/primeng/issues/1298)
- Updating data does not reflect changes when filtered [\#1295](https://github.com/primefaces/primeng/issues/1295)
- Inputs are not functional when inside reordarable columns on IE [\#1294](https://github.com/primefaces/primeng/issues/1294)
- PickList throws error on reorder [\#1292](https://github.com/primefaces/primeng/issues/1292)
- Spinner fails on reactive form [\#1287](https://github.com/primefaces/primeng/issues/1287)
- Slider range handler stuck on maximum [\#1285](https://github.com/primefaces/primeng/issues/1285)
- SlideMenu quick click on item breaks the menu [\#1274](https://github.com/primefaces/primeng/issues/1274)
- Splitbutton without icon property is broken [\#1266](https://github.com/primefaces/primeng/issues/1266)
- Autocomplete event doesn't get fired in Model Driven Form [\#1241](https://github.com/primefaces/primeng/issues/1241)
- Calendar initial value not visible with reactive forms [\#1226](https://github.com/primefaces/primeng/issues/1226)
- Spinner does not allow manual input [\#1224](https://github.com/primefaces/primeng/issues/1224)
- DataTable export does not work in IE [\#1212](https://github.com/primefaces/primeng/issues/1212)
- Slider not working correctly with min value [\#1193](https://github.com/primefaces/primeng/issues/1193)
- PickList: onMoveToSource\(\) event only works when you use onMovetoSource \(note the small 't'\) [\#1115](https://github.com/primefaces/primeng/issues/1115)
- DataTable - Column reordering errors in IE 11 [\#1018](https://github.com/primefaces/primeng/issues/1018)
- Tooltips are positioned incorrectly on FF and IE [\#666](https://github.com/primefaces/primeng/issues/666)
- Charts do not update [\#568](https://github.com/primefaces/primeng/issues/568)
- p-schedule inside p-tabPanel does not render calendar view  [\#497](https://github.com/primefaces/primeng/issues/497)

## [1.0.0-rc.4](https://github.com/primefaces/primeng/tree/1.0.0-rc.4) (2016-11-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.3...1.0.0-rc.4)

**Implemented New Features and Enhancements:**

- Improve ProgressBar Omega Visuals [\#1255](https://github.com/primefaces/primeng/issues/1255)
- Flipfit collision detection for ContextMenu [\#1249](https://github.com/primefaces/primeng/issues/1249)
- Use @ViewChild instead of dom query in Dialog [\#1235](https://github.com/primefaces/primeng/issues/1235)
- Allow binding string to Calendar [\#1231](https://github.com/primefaces/primeng/issues/1231)
- Add dataType to Calendar [\#1230](https://github.com/primefaces/primeng/issues/1230)
- Add dayRender to schedule [\#1225](https://github.com/primefaces/primeng/issues/1225)
- \[Feature Request\] DataTable: Placeholder for column filter input [\#1218](https://github.com/primefaces/primeng/issues/1218)
- Datatable empty message class for styling the emptyMessage [\#1216](https://github.com/primefaces/primeng/issues/1216)
- Add state classes to input components [\#1201](https://github.com/primefaces/primeng/issues/1201)
- Handle ctrl/meta keys for datatable multiple selection [\#794](https://github.com/primefaces/primeng/issues/794)
- Tabbing support for editable cells in DataTable [\#223](https://github.com/primefaces/primeng/issues/223)

**Fixed bugs:**

- Resizable columns override custom widths [\#1252](https://github.com/primefaces/primeng/issues/1252)
- Non sortable columns are focusable [\#1251](https://github.com/primefaces/primeng/issues/1251)
- Editable dropdown throws an exception [\#1238](https://github.com/primefaces/primeng/issues/1238)
- Dropdown with no options cause exception on keydown [\#1229](https://github.com/primefaces/primeng/issues/1229)
- Scrollable DataTable fails with percentage height and header [\#1222](https://github.com/primefaces/primeng/issues/1222)
- Datatable ContextMenu Inside of Tabpanel not working correctly [\#1219](https://github.com/primefaces/primeng/issues/1219)
- Scrollable table header misaligned if data changes [\#1217](https://github.com/primefaces/primeng/issues/1217)
- Spinner size attribute throws exception [\#1197](https://github.com/primefaces/primeng/issues/1197)
- Calendar 'onSelect' not fired on time change [\#1192](https://github.com/primefaces/primeng/issues/1192)
- Dialog may not be centered [\#1176](https://github.com/primefaces/primeng/issues/1176)

## [1.0.0-rc.3](https://github.com/primefaces/primeng/tree/1.0.0-rc.3) (2016-11-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.2...1.0.0-rc.3)

## [1.0.0-rc.2](https://github.com/primefaces/primeng/tree/1.0.0-rc.2) (2016-11-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/1.0.0-rc.1...1.0.0-rc.2)

**Implemented New Features and Enhancements:**

- use tsconfig.json's "lib": \["es6"\] instead of @types/core-js [\#1191](https://github.com/primefaces/primeng/issues/1191)

**Fixed bugs:**

- Cannot find type definition file for 'core-js' [\#1186](https://github.com/primefaces/primeng/issues/1186)

## [1.0.0-rc.1](https://github.com/primefaces/primeng/tree/1.0.0-rc.1) (2016-11-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.20...1.0.0-rc.1)

**Implemented New Features and Enhancements:**

- Severity icons for messages [\#1172](https://github.com/primefaces/primeng/issues/1172)
- Refresh Scrolling of DataTable when data changes [\#1171](https://github.com/primefaces/primeng/issues/1171)
- onFocus and onBlur for dropdown [\#1156](https://github.com/primefaces/primeng/issues/1156)
- Add tableStyle and tableStyleClass to DataTable [\#1155](https://github.com/primefaces/primeng/issues/1155)
- Add readonly to Spinner [\#1148](https://github.com/primefaces/primeng/issues/1148)
- Lazy loading for showcase [\#1141](https://github.com/primefaces/primeng/issues/1141)
- Improve tree rendering performance [\#1088](https://github.com/primefaces/primeng/issues/1088)
- AOT support [\#871](https://github.com/primefaces/primeng/issues/871)
- Missed sources for source maps [\#672](https://github.com/primefaces/primeng/issues/672)

**Fixed bugs:**

- Alignment broken with multiple messages [\#1174](https://github.com/primefaces/primeng/issues/1174)
- bug: datatable filter function with lazy [\#1170](https://github.com/primefaces/primeng/issues/1170)
- Paste event does not update input mask value [\#1162](https://github.com/primefaces/primeng/issues/1162)
- DropDown input documentclicklistener is not checked on ngOnDestroy [\#1158](https://github.com/primefaces/primeng/issues/1158)
- EmptyMessage is not getting displayed when scrollable = true - Datatable [\#1153](https://github.com/primefaces/primeng/issues/1153)
- InputMask onComplete bug [\#1151](https://github.com/primefaces/primeng/issues/1151)
- Calendar Input Box Display [\#1140](https://github.com/primefaces/primeng/issues/1140)
- Tree should export SharedModule [\#1135](https://github.com/primefaces/primeng/issues/1135)
- Disabled attribute on multiselect does not work [\#1047](https://github.com/primefaces/primeng/issues/1047)
- Datatable w/ scrollable and scrollHeight=100% miscomputes scrollHeight [\#973](https://github.com/primefaces/primeng/issues/973)
- DataTable with scroll and few data causes headers and table cells to misalign [\#917](https://github.com/primefaces/primeng/issues/917)
- Datatable scrollable="true" breaks checkbox-radio selection [\#860](https://github.com/primefaces/primeng/issues/860)
- Datatable scrollable="true" breaks column template header [\#859](https://github.com/primefaces/primeng/issues/859)
- Stop html autocomplete for inputs in p-autoComplete [\#701](https://github.com/primefaces/primeng/issues/701)
- DataTable: sorting null not properly working [\#681](https://github.com/primefaces/primeng/issues/681)
- Context menu runs off edge of screen [\#593](https://github.com/primefaces/primeng/issues/593)
- Bug in datatable:  filterMatchMode="endsWith" if filter number [\#582](https://github.com/primefaces/primeng/issues/582)
- DataTable with explicit widths causes headers and table cells to misalign [\#487](https://github.com/primefaces/primeng/issues/487)

## [v1.0.0-beta.20](https://github.com/primefaces/primeng/tree/v1.0.0-beta.20) (2016-10-25)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.19...v1.0.0-beta.20)

**Implemented New Features and Enhancements:**

- Improve p-dropdown focus visuals for Omega [\#1105](https://github.com/primefaces/primeng/issues/1105)
- Horizontal Orientation for Tree [\#1104](https://github.com/primefaces/primeng/issues/1104)
- New component: Steps [\#1103](https://github.com/primefaces/primeng/issues/1103)
- New component: Inplace [\#1101](https://github.com/primefaces/primeng/issues/1101)
- Declarative datatable column grouping [\#1100](https://github.com/primefaces/primeng/issues/1100)
- TimeOnly option for Calendar [\#1099](https://github.com/primefaces/primeng/issues/1099)

**Fixed bugs:**

- Disabled checkbox is still focusable with keyboard [\#1121](https://github.com/primefaces/primeng/issues/1121)
- Exception on editable dropdown keydown [\#1108](https://github.com/primefaces/primeng/issues/1108)
- Initial values in p-calendar are not displayed in specified date format [\#1098](https://github.com/primefaces/primeng/issues/1098)
- Calendar not working in  1.0.0-beta.19 \( in Firefox 49\) [\#1092](https://github.com/primefaces/primeng/issues/1092)
- Disabled radio still clickable via label [\#983](https://github.com/primefaces/primeng/issues/983)

## [v1.0.0-beta.19](https://github.com/primefaces/primeng/tree/v1.0.0-beta.19) (2016-10-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.18...v1.0.0-beta.19)

## [v1.0.0-beta.18](https://github.com/primefaces/primeng/tree/v1.0.0-beta.18) (2016-10-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.17...v1.0.0-beta.18)

**Implemented New Features and Enhancements:**

- Control method for tab close  [\#1075](https://github.com/primefaces/primeng/issues/1075)
- New component: BlockUI [\#1069](https://github.com/primefaces/primeng/issues/1069)
- Transfer events for PickList [\#1053](https://github.com/primefaces/primeng/issues/1053)
- Native calendar without jQuery UI [\#885](https://github.com/primefaces/primeng/issues/885)
- showSourceControls and showTargetControls for PickList [\#395](https://github.com/primefaces/primeng/issues/395)

**Fixed bugs:**

- On click of accordion icon Nothing happening   [\#1050](https://github.com/primefaces/primeng/issues/1050)
- TriStateCheckbox not taking initial values for false [\#1027](https://github.com/primefaces/primeng/issues/1027)
- Picklist TypeError: Cannot read property 'getBoundingClientRect' of undefined [\#1002](https://github.com/primefaces/primeng/issues/1002)
- Picklist cannot add all on first render [\#1001](https://github.com/primefaces/primeng/issues/1001)

## [v1.0.0-beta.17](https://github.com/primefaces/primeng/tree/v1.0.0-beta.17) (2016-10-03)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.16...v1.0.0-beta.17)

**Implemented New Features and Enhancements:**

- Configurable visibility of confirm dialog buttons [\#994](https://github.com/primefaces/primeng/issues/994)
- Row click event should not be triggered if target is clickable [\#971](https://github.com/primefaces/primeng/issues/971)
- Remove columns from DataGrid [\#969](https://github.com/primefaces/primeng/issues/969)
- Add ui-state-filled to pInputText [\#950](https://github.com/primefaces/primeng/issues/950)
- p-splitButton \[disabled\] @Input [\#947](https://github.com/primefaces/primeng/issues/947)
- Add ui-inputswitch-checked to p-inputswitch [\#944](https://github.com/primefaces/primeng/issues/944)
- DataGrid should use Grid CSS [\#943](https://github.com/primefaces/primeng/issues/943)
- Reimplement mask component as native [\#927](https://github.com/primefaces/primeng/issues/927)
- New component: TriStateCheckbox [\#756](https://github.com/primefaces/primeng/issues/756)
- \[Request\] Double click handler for ListBox Control [\#755](https://github.com/primefaces/primeng/issues/755)
- \[Request\] Add ui-messages-success [\#473](https://github.com/primefaces/primeng/issues/473)

**Fixed bugs:**

- Horizontal scrolling is misaligned [\#997](https://github.com/primefaces/primeng/issues/997)
- incomplete file path in aristo theme.css [\#989](https://github.com/primefaces/primeng/issues/989)
- InputSwitch rendering fails inside hidden containers [\#972](https://github.com/primefaces/primeng/issues/972)
- Sort event should not be triggered if target is clickable [\#963](https://github.com/primefaces/primeng/issues/963)
- ConfirmDialog displays stale data -\> dialog is not reusable [\#958](https://github.com/primefaces/primeng/issues/958)
- Overlay Menus position might be offset relative to buttons [\#955](https://github.com/primefaces/primeng/issues/955)
- InputMask does not show invalid state [\#951](https://github.com/primefaces/primeng/issues/951)
- Checkbox keyboard fails with JAWS reader [\#949](https://github.com/primefaces/primeng/issues/949)
- ConfirmDialog rejectIcon ignored [\#946](https://github.com/primefaces/primeng/issues/946)
- p-inputMask doesn't clean itself when model value is set to "undefined" [\#937](https://github.com/primefaces/primeng/issues/937)
- Editable Dropdown doesn't display selected value [\#749](https://github.com/primefaces/primeng/issues/749)
- Multiple selection fails on windows for Tree and TreeTable [\#720](https://github.com/primefaces/primeng/issues/720)

## [v1.0.0-beta.16](https://github.com/primefaces/primeng/tree/v1.0.0-beta.16) (2016-09-19)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.15...v1.0.0-beta.16)

**Implemented New Features and Enhancements:**

- New ConfirmDialog Component [\#901](https://github.com/primefaces/primeng/issues/901)
- Add expanded property to TreeNode [\#900](https://github.com/primefaces/primeng/issues/900)
- Rename click of RadioButton to onClick [\#899](https://github.com/primefaces/primeng/issues/899)
- Add applyFocus\(\) method to dropdown [\#886](https://github.com/primefaces/primeng/issues/886)
- Native slider without jQuery UI [\#884](https://github.com/primefaces/primeng/issues/884)
- Disabled support in model driven forms [\#883](https://github.com/primefaces/primeng/issues/883)
- Multiple templates for Tree [\#881](https://github.com/primefaces/primeng/issues/881)
- Add disabled to menuitem [\#880](https://github.com/primefaces/primeng/issues/880)
- Slide animation for PanelMenu Toggle [\#862](https://github.com/primefaces/primeng/issues/862)
- Enhancement request: Keyboard support for radio buttons [\#847](https://github.com/primefaces/primeng/issues/847)
- Two way binding support for Accordion Tab Selected property [\#843](https://github.com/primefaces/primeng/issues/843)
- Keyboard support for Paginator [\#840](https://github.com/primefaces/primeng/issues/840)
- Keyboard support for DataTable sort headers [\#839](https://github.com/primefaces/primeng/issues/839)
- Keyboard and Screen reader support for TabView [\#838](https://github.com/primefaces/primeng/issues/838)
- Keyboard and Screen reader support for Accordion [\#837](https://github.com/primefaces/primeng/issues/837)

## [v1.0.0-beta.15](https://github.com/primefaces/primeng/tree/v1.0.0-beta.15) (2016-09-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.14...v1.0.0-beta.15)

**Implemented New Features and Enhancements:**

- Allow executing command in panelmenu submenus [\#861](https://github.com/primefaces/primeng/issues/861)
- Upgrade deprecated `Query` implementation to `ContentChildren` [\#850](https://github.com/primefaces/primeng/issues/850)
- Two way binding support for Panel collapsed state [\#842](https://github.com/primefaces/primeng/issues/842)
- Update to RC6 [\#833](https://github.com/primefaces/primeng/issues/833)
- \[Enhancement\] Allow to customize FileUpload UI [\#824](https://github.com/primefaces/primeng/issues/824)
- \[Ehancement\] Add AutoUpload support in FileUpload Component [\#823](https://github.com/primefaces/primeng/issues/823)
- \[Request\] Schedule: add missing eventRender hook [\#777](https://github.com/primefaces/primeng/issues/777)

**Fixed bugs:**

- Broken slider [\#863](https://github.com/primefaces/primeng/issues/863)
- TreeTable field resolution improvement [\#835](https://github.com/primefaces/primeng/issues/835)
- Some image files are missing in PrimeNG 1.0.0-beta.14 [\#828](https://github.com/primefaces/primeng/issues/828)
- package.json contains dependencies [\#827](https://github.com/primefaces/primeng/issues/827)
- FileUpload fails on firefox [\#826](https://github.com/primefaces/primeng/issues/826)
- Dropdown preselection fails for objects with null values [\#820](https://github.com/primefaces/primeng/issues/820)
- new `fileupload` component not exported from the barrel making the TypeScript compiler all sad [\#819](https://github.com/primefaces/primeng/issues/819)
- DataTableModule should import InputTextModule [\#768](https://github.com/primefaces/primeng/issues/768)

## [v1.0.0-beta.14](https://github.com/primefaces/primeng/tree/v1.0.0-beta.14) (2016-08-31)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.13...v1.0.0-beta.14)

**Implemented New Features and Enhancements:**

- Templating for TreeTable column headers and footers [\#816](https://github.com/primefaces/primeng/issues/816)
- Pass menuitem metadata to command callbacks [\#809](https://github.com/primefaces/primeng/issues/809)
- Editor should support Quill's "formats" option [\#803](https://github.com/primefaces/primeng/issues/803)
- Slide animation for Fieldset Toggle [\#800](https://github.com/primefaces/primeng/issues/800)
- Move styles from PrimeUI to PrimeNG [\#799](https://github.com/primefaces/primeng/issues/799)
- Slide animation for Accordion Tabs [\#798](https://github.com/primefaces/primeng/issues/798)
- Slide animation for Panel toggle [\#797](https://github.com/primefaces/primeng/issues/797)
- Use NG2 Animate for Dialog FadeIn [\#796](https://github.com/primefaces/primeng/issues/796)
- Add showLabel to progressbar [\#793](https://github.com/primefaces/primeng/issues/793)
- Add disabled option to SelectButton [\#774](https://github.com/primefaces/primeng/issues/774)
- Add appendTo for Dropdown [\#773](https://github.com/primefaces/primeng/issues/773)
- FileUpload Component [\#104](https://github.com/primefaces/primeng/issues/104)
- Templating in Column Header/Footer [\#98](https://github.com/primefaces/primeng/issues/98)

**Fixed bugs:**

- Terminal throws exception [\#817](https://github.com/primefaces/primeng/issues/817)
- InputMask - Unmask is not working [\#802](https://github.com/primefaces/primeng/issues/802)
- DataTable Single Mode Selection doesn't unselect  [\#783](https://github.com/primefaces/primeng/issues/783)
- Spinner maxlength change doesn't work [\#775](https://github.com/primefaces/primeng/issues/775)
- Can't bind to 'rows' since it isn't a known property of 'p-paginator'. [\#771](https://github.com/primefaces/primeng/issues/771)

## [v1.0.0-beta.13](https://github.com/primefaces/primeng/tree/v1.0.0-beta.13) (2016-08-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.12...v1.0.0-beta.13)

**Implemented New Features and Enhancements:**

- Add expanded to menuitem [\#758](https://github.com/primefaces/primeng/issues/758)
- Replace SplitButtonItem with MenuItem [\#752](https://github.com/primefaces/primeng/issues/752)
- RC5 Support [\#739](https://github.com/primefaces/primeng/issues/739)

**Fixed bugs:**

- Dragging a file over datatable header throws Exception [\#759](https://github.com/primefaces/primeng/issues/759)
- Default rows selected in datatables [\#754](https://github.com/primefaces/primeng/issues/754)
- Calendar button cannot be disabled [\#746](https://github.com/primefaces/primeng/issues/746)
- Removed nbsp from components [\#738](https://github.com/primefaces/primeng/issues/738)
- Add allDayText to schedule, Fix allDaySlot typo [\#717](https://github.com/primefaces/primeng/issues/717)

## [v1.0.0-beta.12](https://github.com/primefaces/primeng/tree/v1.0.0-beta.12) (2016-08-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.11...v1.0.0-beta.12)

**Implemented New Features and Enhancements:**

- Editable Dropdown [\#711](https://github.com/primefaces/primeng/issues/711)
- Add yearRange to calendar [\#709](https://github.com/primefaces/primeng/issues/709)
- ContextMenu for Tree [\#680](https://github.com/primefaces/primeng/issues/680)
- Add appendTo for OverlayPanel [\#679](https://github.com/primefaces/primeng/issues/679)
- Make private properties in classes protected [\#677](https://github.com/primefaces/primeng/issues/677)

**Fixed bugs:**

- Editor does not reflect value change [\#714](https://github.com/primefaces/primeng/issues/714)
- HeaderCheckbox toggle does not update selection [\#687](https://github.com/primefaces/primeng/issues/687)
- Dropdown onModelChange is not executed when selecting value by arrows [\#685](https://github.com/primefaces/primeng/issues/685)
- OverlayPanel - cannot use inside divs with position: relative [\#676](https://github.com/primefaces/primeng/issues/676)
- OverlayPanel - always opens to the left of the element [\#675](https://github.com/primefaces/primeng/issues/675)
- Tooltip fails on some elements [\#673](https://github.com/primefaces/primeng/issues/673)
- Selecting item from dropdown by using firefox [\#667](https://github.com/primefaces/primeng/issues/667)
- Carousel page links redirect to \# [\#554](https://github.com/primefaces/primeng/issues/554)
- ContextMenu tied to DataTable always opens no matter where you right click on the page [\#414](https://github.com/primefaces/primeng/issues/414)

## [v1.0.0-beta.11](https://github.com/primefaces/primeng/tree/v1.0.0-beta.11) (2016-07-26)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.10...v1.0.0-beta.11)

**Implemented New Features and Enhancements:**

- Initially expanded rows [\#657](https://github.com/primefaces/primeng/issues/657)
- Add appendTo for Dialog [\#656](https://github.com/primefaces/primeng/issues/656)
- Labels for RadioButton [\#655](https://github.com/primefaces/primeng/issues/655)
- Unsubscribe from column changes in DataTable at onDestroy [\#650](https://github.com/primefaces/primeng/issues/650)
- Labels for Checkbox [\#649](https://github.com/primefaces/primeng/issues/649)
- Radio-Checkbox Selection for DataTable [\#648](https://github.com/primefaces/primeng/issues/648)
- PaginatorPosition for DataTable, DataList and DataGrid [\#635](https://github.com/primefaces/primeng/issues/635)
- Missing lifecycle interfaces in Schedule component [\#623](https://github.com/primefaces/primeng/issues/623)

**Fixed bugs:**

- Expansion icon displayed with a space [\#658](https://github.com/primefaces/primeng/issues/658)
- Dropdown preselection might fail if options initialized later [\#651](https://github.com/primefaces/primeng/issues/651)
- Dropdown selects wrong item after update to beta.10 [\#643](https://github.com/primefaces/primeng/issues/643)
- ColToggler incompatible with Resizable Columns [\#637](https://github.com/primefaces/primeng/issues/637)
- InputMask with ngModel not updating first character [\#587](https://github.com/primefaces/primeng/issues/587)
- DataTable component: memory leak [\#488](https://github.com/primefaces/primeng/issues/488)
- modal dialog freezes the whole page [\#276](https://github.com/primefaces/primeng/issues/276)

## [v1.0.0-beta.10](https://github.com/primefaces/primeng/tree/v1.0.0-beta.10) (2016-07-22)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.9...v1.0.0-beta.10)

**Implemented New Features and Enhancements:**

- p-menu appendTo property [\#639](https://github.com/primefaces/primeng/issues/639)
- Binary attribute to Checkbox [\#636](https://github.com/primefaces/primeng/issues/636)
- EmptyMessage for DataTable [\#609](https://github.com/primefaces/primeng/issues/609)
- p-dropdown: add a class to the ui-dropdown element if open [\#581](https://github.com/primefaces/primeng/issues/581)
- New templating for components having custom content templates [\#572](https://github.com/primefaces/primeng/issues/572)

**Fixed bugs:**

- Dropdown fails when items are loaded async [\#610](https://github.com/primefaces/primeng/issues/610)
- custom list of objects to dropdown  [\#364](https://github.com/primefaces/primeng/issues/364)

## [v1.0.0-beta.9](https://github.com/primefaces/primeng/tree/v1.0.0-beta.9) (2016-06-29)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.8...v1.0.0-beta.9)

**Implemented New Features and Enhancements:**

- Add new page number to onPageChange event of Paginator [\#527](https://github.com/primefaces/primeng/issues/527)
- Add onSelectionChange event to Editor [\#526](https://github.com/primefaces/primeng/issues/526)
- onSlideEnd event for slider [\#520](https://github.com/primefaces/primeng/issues/520)
- New InputMask Component [\#510](https://github.com/primefaces/primeng/issues/510)
- Custom content support for dialog header [\#507](https://github.com/primefaces/primeng/issues/507)
- New methods for Schedule [\#495](https://github.com/primefaces/primeng/issues/495)
- Support New Angular2 Form APIs [\#492](https://github.com/primefaces/primeng/issues/492)
- RC3 support [\#491](https://github.com/primefaces/primeng/issues/491)
- DataTables multiple selection without CTRL key [\#284](https://github.com/primefaces/primeng/issues/284)

**Fixed bugs:**

- Wrong url link in PanelMenu [\#525](https://github.com/primefaces/primeng/issues/525)
- PanelMenu toggle icon click prevents toggle [\#523](https://github.com/primefaces/primeng/issues/523)
- Dropdown entering filter value with no results breaks dropdown if left uncleared [\#518](https://github.com/primefaces/primeng/issues/518)
- Tool tips are not cleared after navigating to a different page. [\#505](https://github.com/primefaces/primeng/issues/505)
- Quill editor jumps to the beginning when text typed very fast [\#486](https://github.com/primefaces/primeng/issues/486)
- Updating sorted data causes shuffle behavior [\#396](https://github.com/primefaces/primeng/issues/396)

## [v1.0.0-beta.8](https://github.com/primefaces/primeng/tree/v1.0.0-beta.8) (2016-05-31)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.7...v1.0.0-beta.8)

**Implemented New Features and Enhancements:**

- Add routerLink option to MenuItem [\#434](https://github.com/primefaces/primeng/issues/434)

**Fixed bugs:**

- Column Reordering throws js error on destroy [\#435](https://github.com/primefaces/primeng/issues/435)
- Datatable Column Reorder - Order fails [\#432](https://github.com/primefaces/primeng/issues/432)

## [v1.0.0-beta.7](https://github.com/primefaces/primeng/tree/v1.0.0-beta.7) (2016-05-30)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.6...v1.0.0-beta.7)

**Implemented New Features and Enhancements:**

- Improve dialog positioning [\#430](https://github.com/primefaces/primeng/issues/430)
- New Grid CSS [\#427](https://github.com/primefaces/primeng/issues/427)
- Validation indicators for Input components [\#418](https://github.com/primefaces/primeng/issues/418)
- Icons for Tab Headers [\#417](https://github.com/primefaces/primeng/issues/417)
- Update Quill Editor [\#411](https://github.com/primefaces/primeng/issues/411)
- Remove chart components [\#409](https://github.com/primefaces/primeng/issues/409)
- Add viewRender event to Schedule [\#404](https://github.com/primefaces/primeng/issues/404)
- Break dependency to PrimeUI javascript [\#400](https://github.com/primefaces/primeng/issues/400)
- Reimplement column reordering for datatable as native [\#399](https://github.com/primefaces/primeng/issues/399)
- Reimplement datatable resizable columns as native [\#398](https://github.com/primefaces/primeng/issues/398)
- Custom icon for calendar/daypicker [\#397](https://github.com/primefaces/primeng/issues/397)
- Reimplement DataTable scrolling as native [\#391](https://github.com/primefaces/primeng/issues/391)
- Update to new router [\#388](https://github.com/primefaces/primeng/issues/388)
- Upgrade to Chart.js 2.x [\#305](https://github.com/primefaces/primeng/issues/305)

**Fixed bugs:**

- Dialog mask is not removed on destroy. [\#428](https://github.com/primefaces/primeng/issues/428)
- Multiselect disabled attribute is ignored [\#422](https://github.com/primefaces/primeng/issues/422)
- Disabled button should force removal of ui-state-hover class [\#419](https://github.com/primefaces/primeng/issues/419)
- Spinner - Doesn't change value if underlying value changes [\#415](https://github.com/primefaces/primeng/issues/415)
- datatable is not allowing you to use different ChangeDetectionStrategies in enclosing components which use datatable [\#405](https://github.com/primefaces/primeng/issues/405)
- Editor: Auto-Resize or Layout fix [\#401](https://github.com/primefaces/primeng/issues/401)
- Schedule onEventMouseout callback ignored [\#393](https://github.com/primefaces/primeng/issues/393)
- Dropdown focus gets lost [\#392](https://github.com/primefaces/primeng/issues/392)
- MegaMenu: click doesn't work [\#390](https://github.com/primefaces/primeng/issues/390)

## [v1.0.0-beta.6](https://github.com/primefaces/primeng/tree/v1.0.0-beta.6) (2016-05-17)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.5...v1.0.0-beta.6)

**Implemented New Features and Enhancements:**

- Add onImageClicked event to galleria [\#368](https://github.com/primefaces/primeng/issues/368)
- Add onRowExpand callback to DataTable [\#363](https://github.com/primefaces/primeng/issues/363)
- Reimplement SlideMenu as native [\#362](https://github.com/primefaces/primeng/issues/362)
- Reimplement PanelMenu as native [\#361](https://github.com/primefaces/primeng/issues/361)
- Reimplement MegaMenu as native [\#359](https://github.com/primefaces/primeng/issues/359)
- New component: TabMenu [\#354](https://github.com/primefaces/primeng/issues/354)
- Reimplement ContextMenu as native [\#353](https://github.com/primefaces/primeng/issues/353)
- Reimplement Menubar as a native component [\#352](https://github.com/primefaces/primeng/issues/352)
- Reimplement TieredMenu as native [\#351](https://github.com/primefaces/primeng/issues/351)
- Reimplement menu component as native [\#341](https://github.com/primefaces/primeng/issues/341)
- Reimplement breadcrumb as a native component [\#340](https://github.com/primefaces/primeng/issues/340)
- Reimplement Lightbox as a native component [\#330](https://github.com/primefaces/primeng/issues/330)
- Update the setup [\#319](https://github.com/primefaces/primeng/issues/319)
- Tooltip Component [\#52](https://github.com/primefaces/primeng/issues/52)

**Fixed bugs:**

- p-breadcrumb is not working properly if Observable\<string\[\]\> is provided in \<li \*ngFor\> [\#355](https://github.com/primefaces/primeng/issues/355)
- InputSwitch - Initial value not working [\#348](https://github.com/primefaces/primeng/issues/348)
- Dialog Component - Setting Resizeable False doesn't remove resize handle  [\#347](https://github.com/primefaces/primeng/issues/347)
- Schedule onEventDrop event does not work [\#335](https://github.com/primefaces/primeng/issues/335)

## [v1.0.0-beta.5](https://github.com/primefaces/primeng/tree/v1.0.0-beta.5) (2016-05-09)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.4...v1.0.0-beta.5)

**Implemented New Features and Enhancements:**

- p-checkbox by using the keyboard \[improvement\] [\#324](https://github.com/primefaces/primeng/issues/324)
- Inline styles do not work with Angular2 RC [\#321](https://github.com/primefaces/primeng/issues/321)
- Customizable Panel Header Content [\#316](https://github.com/primefaces/primeng/issues/316)
- Remove item with backspace in autocomplete multiple mode [\#313](https://github.com/primefaces/primeng/issues/313)
- Prevent duplicate selection in autocomplete multiple mode [\#309](https://github.com/primefaces/primeng/issues/309)
- ContentHeight property for Dialog [\#307](https://github.com/primefaces/primeng/issues/307)
- Update to RC1 [\#303](https://github.com/primefaces/primeng/issues/303)
- Implement Carousel as a Native Component [\#302](https://github.com/primefaces/primeng/issues/302)
- Dynamic Sorting on data update?  [\#298](https://github.com/primefaces/primeng/issues/298)
- DataTable export to csv support [\#263](https://github.com/primefaces/primeng/issues/263)

**Fixed bugs:**

- DataTable multi sort throws JS exception [\#326](https://github.com/primefaces/primeng/issues/326)
- SplitButton overlay might go out of bounds horizontally [\#318](https://github.com/primefaces/primeng/issues/318)
- styleClass attribute ignored by SplitButton [\#317](https://github.com/primefaces/primeng/issues/317)
- p-messages not up to date with the doc [\#314](https://github.com/primefaces/primeng/issues/314)
- AutoComplete panel stays open on blur [\#311](https://github.com/primefaces/primeng/issues/311)
- Responsive Datatable seems to be broken [\#306](https://github.com/primefaces/primeng/issues/306)
- Dialog not working on mozilla 43.0.1 [\#301](https://github.com/primefaces/primeng/issues/301)
- DataTable sortField breaks sorting \(beta 4\) [\#299](https://github.com/primefaces/primeng/issues/299)
- Dialog Destroy problem [\#297](https://github.com/primefaces/primeng/issues/297)
- Dialog - Scrolling break [\#296](https://github.com/primefaces/primeng/issues/296)
- Dialog - onBeforeHide and onAfterHide events not fire [\#295](https://github.com/primefaces/primeng/issues/295)
- DataTable - expandableRows with some hidden columns [\#293](https://github.com/primefaces/primeng/issues/293)

## [v1.0.0-beta.4](https://github.com/primefaces/primeng/tree/v1.0.0-beta.4) (2016-05-02)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.3...v1.0.0-beta.4)

**Implemented New Features and Enhancements:**

- Reimplement Password as a native component [\#282](https://github.com/primefaces/primeng/issues/282)
- Reimplement Growl as a native component [\#275](https://github.com/primefaces/primeng/issues/275)
- Add onBlur event to calendar [\#269](https://github.com/primefaces/primeng/issues/269)
- Pass rowIndex to column template [\#268](https://github.com/primefaces/primeng/issues/268)
- update to beta.17 [\#260](https://github.com/primefaces/primeng/issues/260)
- IE 9-10 support for hidden datatable columns [\#257](https://github.com/primefaces/primeng/issues/257)
- Compatibility with Electron [\#256](https://github.com/primefaces/primeng/issues/256)
- Reimplement Galleria as a native component [\#253](https://github.com/primefaces/primeng/issues/253)
- Reimplement Dialog as native [\#249](https://github.com/primefaces/primeng/issues/249)
- Reimplement InputSwitch as a native component [\#239](https://github.com/primefaces/primeng/issues/239)
- Add onRowClick to DataTable [\#233](https://github.com/primefaces/primeng/issues/233)
- p-dropdown support for HTML5 required attribute [\#230](https://github.com/primefaces/primeng/issues/230)
- DataTable global filter without column filters [\#197](https://github.com/primefaces/primeng/issues/197)
- Two components require global var PUI to be defined. [\#183](https://github.com/primefaces/primeng/issues/183)
- Toolbar Component [\#182](https://github.com/primefaces/primeng/issues/182)
- Support for model binding to first and rows in datatable [\#114](https://github.com/primefaces/primeng/issues/114)

**Fixed bugs:**

- Button label is not updated when used with a pipe [\#290](https://github.com/primefaces/primeng/issues/290)
- datatable expandableRows and onRowSelect - should not fire onRowSelect if expand arrow is clicked [\#281](https://github.com/primefaces/primeng/issues/281)
- datatable expandableRows does not work with scrollable="true" [\#280](https://github.com/primefaces/primeng/issues/280)
- Growl doesn't remove messages automatically [\#265](https://github.com/primefaces/primeng/issues/265)
- Cannot read property 'left' of undefined error when populating Galleria with observable data [\#262](https://github.com/primefaces/primeng/issues/262)
- p-dropDown: styleclass not honored [\#259](https://github.com/primefaces/primeng/issues/259)
- Bug Autocomplete without any field for multiple=true, display empty selection [\#248](https://github.com/primefaces/primeng/issues/248)
- \[Bug\] pPassword -  mediumLabel attribute doesn't work [\#246](https://github.com/primefaces/primeng/issues/246)
- Data Table Expandable Rows break when there is a custom column in between the Row Template [\#245](https://github.com/primefaces/primeng/issues/245)
- p-autoComplete: styleClass attributes not honored [\#242](https://github.com/primefaces/primeng/issues/242)
- beta3 - DataTable default sortField causes crash [\#227](https://github.com/primefaces/primeng/issues/227)

## [v1.0.0-beta.3](https://github.com/primefaces/primeng/tree/v1.0.0-beta.3) (2016-04-20)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.2...v1.0.0-beta.3)

**Implemented New Features and Enhancements:**

- Events for DataTable Page-Sort-Filter [\#215](https://github.com/primefaces/primeng/issues/215)
- Link and Image support to Editor [\#214](https://github.com/primefaces/primeng/issues/214)
- DataTable Column custom sorter support [\#210](https://github.com/primefaces/primeng/issues/210)
- PeerDependency Reorg [\#206](https://github.com/primefaces/primeng/issues/206)
- Add reset\(\) method to datatable [\#181](https://github.com/primefaces/primeng/issues/181)
- Drag Drop Components [\#103](https://github.com/primefaces/primeng/issues/103)
- Row Expansion for DataTable [\#97](https://github.com/primefaces/primeng/issues/97)

**Fixed bugs:**

- Potential lifecycle error in autocomplete [\#221](https://github.com/primefaces/primeng/issues/221)
- Dropdown throwing error on empty selectitem array [\#220](https://github.com/primefaces/primeng/issues/220)
- beta2 - dynamically changing p-dropdown \[options\] and ngModel value crashes [\#218](https://github.com/primefaces/primeng/issues/218)
- Range Slider does not pass values [\#216](https://github.com/primefaces/primeng/issues/216)
- AutoComplete passes wrong item to Unselect in multiple mode [\#213](https://github.com/primefaces/primeng/issues/213)
- Autocomplete down arrow on last item [\#211](https://github.com/primefaces/primeng/issues/211)
- DataTable filtering and sorting not working well together [\#207](https://github.com/primefaces/primeng/issues/207)
- Dropdowns remain opened after selecting a new Dropdown [\#203](https://github.com/primefaces/primeng/issues/203)
- Dropdown without value not displayed properly [\#198](https://github.com/primefaces/primeng/issues/198)
- Missing to pass the parameter 'legendTemplate' into Chart js [\#186](https://github.com/primefaces/primeng/issues/186)

## [v1.0.0-beta.2](https://github.com/primefaces/primeng/tree/v1.0.0-beta.2) (2016-04-14)

[Full Changelog](https://github.com/primefaces/primeng/compare/v1.0.0-beta.1...v1.0.0-beta.2)

**Implemented New Features and Enhancements:**

- DataTable Column Hidden Property Missing\(p-column\) [\#190](https://github.com/primefaces/primeng/issues/190)
- Locale configuration for Schedule [\#184](https://github.com/primefaces/primeng/issues/184)

**Fixed bugs:**

- p-radioButton: disabled attribute not honored [\#195](https://github.com/primefaces/primeng/issues/195)
- p-dropDown: disabled attribute not honored [\#192](https://github.com/primefaces/primeng/issues/192)
- p-autoComplete: Input field remains disabled if using the disabled attribute [\#191](https://github.com/primefaces/primeng/issues/191)
- Button label is not updated [\#189](https://github.com/primefaces/primeng/issues/189)
- Events do not work any longer with Dropdown v1.0 [\#187](https://github.com/primefaces/primeng/issues/187)

## [v1.0.0-beta.1](https://github.com/primefaces/primeng/tree/v1.0.0-beta.1) (2016-04-10)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.9.1...v1.0.0-beta.1)

**Implemented New Features and Enhancements:**

- Add getBase64Image\(\) method to charts [\#179](https://github.com/primefaces/primeng/issues/179)
- Add getCanvas\(\) method to charts [\#178](https://github.com/primefaces/primeng/issues/178)
- onReorder event for OrderList [\#166](https://github.com/primefaces/primeng/issues/166)
- TimePicker Component [\#165](https://github.com/primefaces/primeng/issues/165)
- Replace p-radio with p-radioButton [\#164](https://github.com/primefaces/primeng/issues/164)
- Use ngModel in input components instead of value [\#163](https://github.com/primefaces/primeng/issues/163)
- SplitButton SplitButtonItem router support [\#161](https://github.com/primefaces/primeng/issues/161)
- RowsPerPage for Paginator [\#159](https://github.com/primefaces/primeng/issues/159)
- Support NgForm apis for input controls [\#158](https://github.com/primefaces/primeng/issues/158)
- Button with icon for calendar [\#157](https://github.com/primefaces/primeng/issues/157)
- OverlayPanel: Close overlay when clicked again [\#151](https://github.com/primefaces/primeng/issues/151)
- Replace EventEmitter next with emit [\#147](https://github.com/primefaces/primeng/issues/147)
- Reset to first page after filtering [\#143](https://github.com/primefaces/primeng/issues/143)
- Toggleable DataTable Reflow Mode [\#141](https://github.com/primefaces/primeng/issues/141)
- MultiSelect Component [\#138](https://github.com/primefaces/primeng/issues/138)
- Reimplement Dropdown as a native component [\#123](https://github.com/primefaces/primeng/issues/123)
- New Feature : Gmap [\#100](https://github.com/primefaces/primeng/issues/100)
- ContextMenu Integration for DataTable [\#93](https://github.com/primefaces/primeng/issues/93)
- ContextMenu Component [\#36](https://github.com/primefaces/primeng/issues/36)

**Fixed bugs:**

- DataTable Filtering get lost after pagination or sorting [\#180](https://github.com/primefaces/primeng/issues/180)
- Sortable and Scrollable sortable of undefined [\#162](https://github.com/primefaces/primeng/issues/162)
- Calendar styleClass ignored [\#160](https://github.com/primefaces/primeng/issues/160)
- Accordion header hover fails with custom content [\#156](https://github.com/primefaces/primeng/issues/156)
- Cell templating ignored on scrollable table [\#155](https://github.com/primefaces/primeng/issues/155)
- PickList target buttons fail [\#152](https://github.com/primefaces/primeng/issues/152)

## [v0.9.1](https://github.com/primefaces/primeng/tree/v0.9.1) (2016-03-28)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.9.0...v0.9.1)

**Fixed bugs:**

- Responsive Charts Fail [\#148](https://github.com/primefaces/primeng/issues/148)

## [v0.9.0](https://github.com/primefaces/primeng/tree/v0.9.0) (2016-03-25)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.8.2...v0.9.0)

**Implemented New Features and Enhancements:**

- AutoComplete Component [\#144](https://github.com/primefaces/primeng/issues/144)
- Add style and styleclass to selectButton [\#136](https://github.com/primefaces/primeng/issues/136)
- Templating support for accordion tab [\#135](https://github.com/primefaces/primeng/issues/135)
- Add headerStyle and headerStyleClass to p:tabPanel [\#132](https://github.com/primefaces/primeng/issues/132)
- Editor Component [\#48](https://github.com/primefaces/primeng/issues/48)

**Fixed bugs:**

- Button performance is slow [\#145](https://github.com/primefaces/primeng/issues/145)
- Spinner displays undefined [\#134](https://github.com/primefaces/primeng/issues/134)
- DataTable should not default sort a lazy table [\#133](https://github.com/primefaces/primeng/issues/133)

## [v0.8.2](https://github.com/primefaces/primeng/tree/v0.8.2) (2016-03-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.8.1...v0.8.2)

**Implemented New Features and Enhancements:**

- Add style and styleclass to inputswitch [\#130](https://github.com/primefaces/primeng/issues/130)
- Add ui-inputfield to input texts [\#129](https://github.com/primefaces/primeng/issues/129)

**Fixed bugs:**

- Global chart options are ignored [\#131](https://github.com/primefaces/primeng/issues/131)
- primeng.d.ts misses export of TreeNode [\#127](https://github.com/primefaces/primeng/issues/127)

## [v0.8.1](https://github.com/primefaces/primeng/tree/v0.8.1) (2016-03-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.8.0...v0.8.1)

## [v0.8.0](https://github.com/primefaces/primeng/tree/v0.8.0) (2016-03-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.7.0...v0.8.0)

**Implemented New Features and Enhancements:**

- Include ts files in npm distribution [\#125](https://github.com/primefaces/primeng/issues/125)
- Reimplement Spinner as a native component [\#122](https://github.com/primefaces/primeng/issues/122)
- Default Sorting for DataTable [\#121](https://github.com/primefaces/primeng/issues/121)
- Add style and styleClass to fieldset [\#120](https://github.com/primefaces/primeng/issues/120)
- Add disabled option to Listbox [\#116](https://github.com/primefaces/primeng/issues/116)
- Reimplement Listbox as a native component [\#115](https://github.com/primefaces/primeng/issues/115)
- Case insensitive filtering for DataTable [\#113](https://github.com/primefaces/primeng/issues/113)
- Pass the columns to colReorder event [\#111](https://github.com/primefaces/primeng/issues/111)
- Composite field support for DataTable [\#108](https://github.com/primefaces/primeng/issues/108)
- SplitButton Component [\#106](https://github.com/primefaces/primeng/issues/106)
- OverlayPanel Component [\#105](https://github.com/primefaces/primeng/issues/105)
- New Feature: edit-related events [\#101](https://github.com/primefaces/primeng/issues/101)
- OnRowDblClick Event on Data Table  [\#99](https://github.com/primefaces/primeng/issues/99)
- Global filtering for DataTable [\#95](https://github.com/primefaces/primeng/issues/95)
- Multi Column sorting for DataTable [\#94](https://github.com/primefaces/primeng/issues/94)
- TreeTable Component [\#67](https://github.com/primefaces/primeng/issues/67)
- Tree Component [\#66](https://github.com/primefaces/primeng/issues/66)
- Terminal Component [\#51](https://github.com/primefaces/primeng/issues/51)

**Fixed bugs:**

- TabPanel duplicates tab on conditional display [\#112](https://github.com/primefaces/primeng/issues/112)
- Disabled checkbox is still editable [\#110](https://github.com/primefaces/primeng/issues/110)
- Multiple selection for datatable fails on windows [\#109](https://github.com/primefaces/primeng/issues/109)

## [v0.7.0](https://github.com/primefaces/primeng/tree/v0.7.0) (2016-03-13)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.6.0...v0.7.0)

**Implemented New Features and Enhancements:**

- Templating support for DataTable [\#96](https://github.com/primefaces/primeng/issues/96)
- Reimplement TabView as a native component [\#91](https://github.com/primefaces/primeng/issues/91)
- Reimplement Accordion as a native component [\#90](https://github.com/primefaces/primeng/issues/90)
- Use peerDependencies [\#88](https://github.com/primefaces/primeng/issues/88)
- Type for LazyLoadEvent [\#87](https://github.com/primefaces/primeng/issues/87)
- Reimplement SelectButton as a native component [\#84](https://github.com/primefaces/primeng/issues/84)
- Reimplement ToggleButton as a native component [\#83](https://github.com/primefaces/primeng/issues/83)
- Reimplement Rating as native component [\#82](https://github.com/primefaces/primeng/issues/82)
- Reimplement Button as a native component [\#81](https://github.com/primefaces/primeng/issues/81)
- DataScroller Component [\#45](https://github.com/primefaces/primeng/issues/45)
- DataGrid Component [\#44](https://github.com/primefaces/primeng/issues/44)
- DataList Component [\#43](https://github.com/primefaces/primeng/issues/43)

**Fixed bugs:**

- Error on click of a non-editable column [\#89](https://github.com/primefaces/primeng/issues/89)
- dialog.visible is not in correct value when dialog is closed by pressing 'Esc' [\#85](https://github.com/primefaces/primeng/issues/85)
- Dropdown is not exported [\#80](https://github.com/primefaces/primeng/issues/80)

## [v0.6.0](https://github.com/primefaces/primeng/tree/v0.6.0) (2016-03-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.5.0...v0.6.0)

**Implemented New Features and Enhancements:**

- Reimplement Panel as a native component [\#76](https://github.com/primefaces/primeng/issues/76)
- Reimplement Fieldset as a native component [\#75](https://github.com/primefaces/primeng/issues/75)
- Reimplement InputTextarea as a native directive [\#74](https://github.com/primefaces/primeng/issues/74)
- Reimplement InputText as a native directive [\#73](https://github.com/primefaces/primeng/issues/73)
- Using p:checkbox as a boolean [\#72](https://github.com/primefaces/primeng/issues/72)
- Change module to CommonJS [\#60](https://github.com/primefaces/primeng/issues/60)
- Schedule Component [\#54](https://github.com/primefaces/primeng/issues/54)
- OrderList Component [\#47](https://github.com/primefaces/primeng/issues/47)
- PickList Component [\#46](https://github.com/primefaces/primeng/issues/46)
- Paginator Component [\#42](https://github.com/primefaces/primeng/issues/42)

**Fixed bugs:**

- Calendar is not exported [\#71](https://github.com/primefaces/primeng/issues/71)

## [v0.5.0](https://github.com/primefaces/primeng/tree/v0.5.0) (2016-02-28)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.4.0...v0.5.0)

**Implemented New Features and Enhancements:**

- Use template element in dropdown,listbox,carousel [\#68](https://github.com/primefaces/primeng/issues/68)
- CodeHighlighter Directive [\#62](https://github.com/primefaces/primeng/issues/62)
- DataTable Component [\#31](https://github.com/primefaces/primeng/issues/31)

## [v0.4.0](https://github.com/primefaces/primeng/tree/v0.4.0) (2016-02-21)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.3.0...v0.4.0)

**Implemented New Features and Enhancements:**

- PanelMenu Component [\#59](https://github.com/primefaces/primeng/issues/59)
- SlideMenu Component [\#56](https://github.com/primefaces/primeng/issues/56)
- Paginator Component [\#55](https://github.com/primefaces/primeng/issues/55)
- Lightbox Component [\#40](https://github.com/primefaces/primeng/issues/40)
- Slider Component [\#39](https://github.com/primefaces/primeng/issues/39)
- MegaMenu Component [\#38](https://github.com/primefaces/primeng/issues/38)
- PanelMenu Component [\#37](https://github.com/primefaces/primeng/issues/37)
- Menubar Component [\#35](https://github.com/primefaces/primeng/issues/35)
- Breadcrumb Component [\#34](https://github.com/primefaces/primeng/issues/34)
- TieredMenu Component [\#33](https://github.com/primefaces/primeng/issues/33)
- Menu Component [\#32](https://github.com/primefaces/primeng/issues/32)

## [v0.3.0](https://github.com/primefaces/primeng/tree/v0.3.0) (2016-02-15)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.2.0...v0.3.0)

**Implemented New Features and Enhancements:**

- Footer for Dialog [\#41](https://github.com/primefaces/primeng/issues/41)
- Replace .pui- with .ui style prefix [\#30](https://github.com/primefaces/primeng/issues/30)
- Chart Components [\#29](https://github.com/primefaces/primeng/issues/29)

## [v0.2.0](https://github.com/primefaces/primeng/tree/v0.2.0) (2016-02-07)

[Full Changelog](https://github.com/primefaces/primeng/compare/v0.1.0...v0.2.0)

**Implemented New Features and Enhancements:**

- ProgressBar Component [\#27](https://github.com/primefaces/primeng/issues/27)
- Dropdown Component [\#26](https://github.com/primefaces/primeng/issues/26)
- SelectButton Component [\#25](https://github.com/primefaces/primeng/issues/25)
- DatePicker Component [\#24](https://github.com/primefaces/primeng/issues/24)
- Carousel Component [\#23](https://github.com/primefaces/primeng/issues/23)
- InputSwitch Component [\#22](https://github.com/primefaces/primeng/issues/22)
- Growl component [\#21](https://github.com/primefaces/primeng/issues/21)
- Messages Component [\#20](https://github.com/primefaces/primeng/issues/20)
- Listbox Component [\#19](https://github.com/primefaces/primeng/issues/19)

## [v0.1.0](https://github.com/primefaces/primeng/tree/v0.1.0) (2016-01-31)

[Full Changelog](https://github.com/primefaces/primeng/compare/14cfdd41a1904baf648ecab24b2cf027cb00d05e...v0.1.0)

**Implemented New Features and Enhancements:**

- Galleria Component [\#18](https://github.com/primefaces/primeng/issues/18)
- InputTextarea directive [\#17](https://github.com/primefaces/primeng/issues/17)
- Grid CSS [\#15](https://github.com/primefaces/primeng/issues/15)
- Accordion Component [\#14](https://github.com/primefaces/primeng/issues/14)
- TabView Component [\#13](https://github.com/primefaces/primeng/issues/13)
- Checkbox Component [\#12](https://github.com/primefaces/primeng/issues/12)
- RadioButton Component [\#11](https://github.com/primefaces/primeng/issues/11)
- Dialog Component [\#10](https://github.com/primefaces/primeng/issues/10)
- ToggleButton component [\#9](https://github.com/primefaces/primeng/issues/9)
- Password Directive [\#8](https://github.com/primefaces/primeng/issues/8)
- Spinner Directive [\#7](https://github.com/primefaces/primeng/issues/7)
- Fieldset Component [\#6](https://github.com/primefaces/primeng/issues/6)
- Panel Component [\#5](https://github.com/primefaces/primeng/issues/5)
- Rating Component [\#4](https://github.com/primefaces/primeng/issues/4)
- Button Component [\#3](https://github.com/primefaces/primeng/issues/3)
- InputText Component [\#2](https://github.com/primefaces/primeng/issues/2)

\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*
